(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   2300095,      52422]
NotebookOptionsPosition[   2271005,      51520]
NotebookOutlinePosition[   2271352,      51535]
CellTagsIndexPosition[   2271309,      51532]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Copyright", " ", "2016"}], "-", 
   RowBox[{"2017", " ", "Daniel", " ", "Strano"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6921315180575843`*^9, 3.692131531090472*^9}, {
   3.692284480367113*^9, 3.692284481921115*^9}, {3.704971010311099*^9, 
   3.7049710148030596`*^9}, 3.705883201910982*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"To", " ", "run", " ", "this", " ", "notebook"}], ",", " ", 
   RowBox[{"you", " ", "will", " ", "need", " ", "the", " ", "package", " ", 
    RowBox[{"diffgeo", ".", "m"}], " ", "by", " ", "Matthew", " ", 
    RowBox[{"Headrick", ".", " ", "It"}], " ", "is", " ", "freely", " ", 
    "available", " ", "on", " ", "the", " ", 
    RowBox[{"Web", ".", " ", "All"}], " ", "applicable", " ", "rights", " ", 
    "to", " ", "that", " ", "package", " ", "belong", " ", "him"}], ",", " ", 
   RowBox[{"but", " ", "I", " ", "thank", " ", 
    RowBox[{"him", "!"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692131453954417*^9, 3.692131731639501*^9}, {
  3.692141111996084*^9, 3.6921412317760167`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"INSTRUCTIONS", " ", "TO", " ", "RUN", " ", 
    RowBox[{"NOTEBOOK", ":", " ", 
     RowBox[{
     "Run", " ", "sequentially", " ", "from", " ", "beginning", " ", "of", 
      " ", "file", " ", "between", " ", "each", " ", "SEGMENT", " ", 
      RowBox[{"note", ".", " ", 
       RowBox[{"(", 
        RowBox[{
        "Run", " ", "a", " ", "string", " ", "search", " ", "for", " ", 
         RowBox[{"SEGMENT", "."}]}], ")"}]}], " ", "It", " ", "will", " ", 
      "be", " ", "noted", " ", "that", " ", 
      RowBox[{"diffgeo", ".", "m"}], " ", "must", " ", "be", " ", "run", " ", 
      "between", " ", "these", " ", 
      RowBox[{"segments", ".", " ", "It"}], " ", "might", " ", "be", " ", 
      "necessary", " ", "to", " ", "close", " ", "and", " ", "reopen", " ", 
      "Mathematica", " ", "to", " ", "clear", " ", "the", " ", "global", " ", 
      "name", " ", "space"}]}]}], ",", " ", 
   RowBox[{
   "in", " ", "order", " ", "to", " ", "complete", " ", "a", " ", "new", " ", 
    "segment"}], ",", " ", 
   RowBox[{"so", " ", "save", " ", "and", " ", 
    RowBox[{"reopen", ".", " ", "All"}], " ", "results", " ", "are", " ", 
    "already", " ", 
    RowBox[{"calculated", "."}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.692131740589023*^9, 3.692132135742595*^9}, {
  3.692132230943333*^9, 3.6921322335595055`*^9}, {3.705081176495516*^9, 
  3.7050812129718647`*^9}, {3.710946766166197*^9, 3.7109467810613995`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"We", " ", "form", " ", "the", " ", "metric"}], ",", " ", 
    RowBox[{
    "given", " ", "the", " ", "perturbation", " ", "in", " ", "Strano", " ", 
     "2017.", " ", "We", " ", "take", " ", "the", " ", "time", " ", 
     "coordinate", " ", "and", " ", "replace", " ", "it", " ", "with", " ", 
     "the", " ", "retarded", " ", "time"}], ",", " ", 
    RowBox[{"\"\<tret\>\"", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.6921322367989774`*^9, 3.6921322890201626`*^9}, {
   3.6925728981335583`*^9, 3.6925729400890675`*^9}, {3.6927401630607677`*^9, 
   3.692740232310008*^9}, 3.6929062343714113`*^9, {3.6930830261523533`*^9, 
   3.6930830564717875`*^9}, {3.705500454996361*^9, 3.705500456719227*^9}, {
   3.710946788411497*^9, 3.710946789113738*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.7067968201318874`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"rs", "/", "r"}]}], ")"}], "^", 
    RowBox[{"-", "1"}]}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054980856513186`*^9, 3.705498122833687*^9}, {
   3.7054981792294493`*^9, 3.70549818076854*^9}, {3.705498235422139*^9, 
   3.705498264159997*^9}, {3.705498370567457*^9, 3.7054983833725424`*^9}, 
   3.705514804297816*^9, 3.7055148385640783`*^9, {3.705525186217229*^9, 
   3.7055253278004975`*^9}, {3.7055258500205107`*^9, 3.7055258656035814`*^9}}],

Cell[BoxData[
 RowBox[{"r", "+", 
  RowBox[{"rs", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"r", "-", "rs"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.7067968201907673`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Remember", " ", "the", " ", "constant", " ", "of", " ", 
    RowBox[{"integration", ".", " ", "We"}], " ", "want", " ", "tret", " ", 
    "to", " ", "equal", " ", "0", " ", "at", " ", "t"}], "=", 
   RowBox[{"0", " ", "on", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "We"}], " ", "want", " ", "the", " ", 
    "coordinate", " ", "to", " ", "also", " ", "be", " ", 
    RowBox[{"exterior", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705516027304986*^9, 3.7055160655961294`*^9}, {
  3.705525886661501*^9, 3.7055258964694357`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "-", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"rs", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"r", "-", "rs"}], "]"}]}]}], ")"}]}], ")"}], "\[Equal]", 
     "tret"}], ",", "tret"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054993689206886`*^9, 3.705499437609107*^9}, {
   3.7054998588565397`*^9, 3.7054998751240654`*^9}, 3.705500171824253*^9, {
   3.705514764541647*^9, 3.7055147702196703`*^9}, {3.7055148408547163`*^9, 
   3.705514841379064*^9}, {3.705514871448057*^9, 3.7055148732713757`*^9}, {
   3.7055150874930925`*^9, 3.70551508774026*^9}, {3.7055151678950543`*^9, 
   3.7055151946490097`*^9}, {3.7055154929789534`*^9, 
   3.7055154990122285`*^9}, {3.7055156229229703`*^9, 3.705515624212884*^9}, 
   3.705515679055741*^9, 3.7055157293410172`*^9, {3.70551599868874*^9, 
   3.7055160048511057`*^9}, {3.705516257710047*^9, 3.7055162720412006`*^9}, 
   3.7055163529427876`*^9, 3.7055166276162415`*^9, {3.7055175194226294`*^9, 
   3.705517547359689*^9}, {3.7055200707301893`*^9, 3.705520071040408*^9}, 
   3.705521493439684*^9, {3.705521552456608*^9, 3.705521556120209*^9}, {
   3.705524903512908*^9, 3.705524903849158*^9}, 3.705525118848544*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"tret", "\[Rule]", 
    RowBox[{
     RowBox[{"-", "r"}], "+", "t", "-", 
     RowBox[{"rs", " ", 
      RowBox[{"Log", "[", 
       RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.7067968202062783`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "r"}], "+", "t", "-", 
      RowBox[{"rs", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"r", "-", "rs"}], "]"}]}]}], ")"}], "/.", 
    RowBox[{"rs", "\[Rule]", "1"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7055250384565845`*^9, 3.705525085565968*^9}, 
   3.705525131672657*^9, {3.7055258205806828`*^9, 3.7055258209248977`*^9}}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJyEnXVYVN/WgIceesgZuoYSUAkxYY6KIiqimISIGFgoIiIKAiomqAhYYFBK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   "], {{
     {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
       GrayLevel[1], 3], 
      StyleBox[GraphicsGroup3DBox[
        TagBox[{Polygon3DBox[CompressedData["
1:eJxFmgf4ltMbx9/nOc95hZaSQkvRTlFGRZNIVpmRBrJpSmZGKoVQ9t57Jg1J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           "]], Polygon3DBox[CompressedData["
1:eJxFmnX8F0X3xXdnZ2kFFERAGpSyE1tSGhEQEBBRsMUu7O4OMBDEeh5sERAl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           "]], Polygon3DBox[CompressedData["
1:eJwt13n8V1Mex/Ffv+/3ZkkkbUqiXWmhkkSJ7DODmLHOjDKWkES0KGSNUqmk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           "]], 
          Polygon3DBox[{{1104, 626, 811, 1342, 883, 884}, {902, 901, 1353, 
           825, 826, 1354}, {888, 887, 1344, 813, 814, 1345}, {1110, 630, 821,
            1349, 897, 898}, {900, 899, 1351, 823, 824, 1352}, {1111, 631, 
           822, 1350, 899, 900}, {1105, 627, 812, 1343, 885, 886}, {890, 889, 
           1346, 815, 816, 1347}, {904, 903, 1355, 827, 828, 1356}}]},
         Annotation[#, "Charting`Private`Tag$369#1"]& ]],
       Lighting->{{"Ambient", 
          RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
         "Directional", 
          RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
          ImageScaled[{0, 2, 2}]}, {"Directional", 
          RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
          ImageScaled[{2, 2, 2}]}, {"Directional", 
          RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
          ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
     {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt01lL1FEYwOF/JbTc1CcojG66KIhuC4p2NSvbtUXHdcYZTdu0fdfSbNfK
TFu0XCrbs7T1IwRFV0Wk9AWioJueA108/F4458y8KJMeq8ypGBVF0Vf+Euaq
MVFUzSRzk07RNp2pfTpXB3WILPMXzdOfmtDfWqtj06JoHPXmadqis7VLe/W7
jveFT8MbhskfHUXPtECfa0xfaKEOaJG+1GJ9pSVayqC5TIc0rq81oW+0XN9q
Ut9pSt/rdHv+0Al2+KB/GCHbbk90nnbqLG3WqZpOnTlNa/SXz4iHd5qrn/UT
meYBnaM9OkNbdbI2agMTzfN99zdt0b08Zgsn2cwjitzdo83U8pBN1JNHP4Xu
1OgldvOAXOrYSIXz+7qLi+zkHhs4QcL5eu1jBxfYTi9xZ+v0OGvpoZrzVNFN
mTtr9Birucs2zlFJyvkdzeEoq+gKe3GWYucp7WQlR1jBbWLOknqGcm6RzWGW
czPsT1PYlRtkcYhMkt53hB05TSntZHCQZVynhMawC23hnndL9QBLuBb+FzSE
vzet4Y07i3U/i7gS9uUUBWFf55d1IftYwFXy2crH/7+7f4OfcaU=
       "]]}, 
     {GrayLevel[0.2], 
      Line3DBox[{882, 1200, 1358, 1103, 880, 1202, 1359, 1104, 884, 1204, 
       1360, 1105, 886, 1207, 1361, 1106, 888, 1345, 1362, 1107, 890, 1347, 
       1363, 1108, 892, 1348, 1364, 1238, 1573, 894, 1214, 1365, 1109, 896, 
       1216, 1366, 1110, 898, 1218, 1367, 1111, 900, 1352, 1368, 1112, 902, 
       1354, 1369, 1113, 904, 1356, 1370, 1114, 906, 1357, 1371, 1115, 908}], 
      Line3DBox[{907, 1223, 1237, 1222, 1576, 905, 1221, 1236, 1581, 1355, 
       903, 1220, 1235, 1580, 1353, 901, 1219, 1234, 1579, 1351, 899, 1350, 
       1464, 1233, 1217, 897, 1349, 1463, 1232, 1215, 895, 1575, 1213, 1231, 
       1212, 893, 1572, 1211, 1230, 1210, 1574, 891, 1209, 1229, 1578, 1346, 
       889, 1208, 1228, 1577, 1344, 887, 1206, 1227, 1205, 885, 1343, 1462, 
       1226, 1203, 883, 1342, 1461, 1225, 1201, 879, 1571, 1199, 1224, 1198, 
       881}], Line3DBox[{910, 1239, 1465, 909, 1372, 1116, 911, 1373, 1117, 
       912, 1374, 1118, 913, 1375, 1119, 914, 1376, 1120, 915, 1377, 1240, 
       1466, 916, 1241, 1467, 917, 1378, 1121, 918, 1379, 1122, 919, 1380, 
       1123, 920, 1381, 1124, 921, 1382, 1125, 922, 1383, 1126, 923}], 
      Line3DBox[{925, 1242, 1468, 924, 1243, 1469, 926, 1244, 1470, 927, 1384,
        1127, 928, 1385, 1128, 929, 1386, 1129, 930, 1387, 1245, 1471, 931, 
       1246, 1472, 932, 1247, 1473, 933, 1248, 1474, 934, 1388, 1130, 935, 
       1389, 1131, 936, 1390, 1132, 937, 1391, 1133, 938}], 
      Line3DBox[{940, 1249, 1475, 939, 1250, 1476, 941, 1251, 1477, 942, 1252,
        1478, 943, 1253, 1479, 944, 1392, 1134, 945, 1393, 1254, 1480, 946, 
       1255, 1481, 947, 1256, 1482, 948, 1257, 1483, 949, 1258, 1484, 950, 
       1259, 1485, 951, 1394, 1135, 952, 1395, 1136, 953}], 
      Line3DBox[{957, 1396, 1137, 955, 1397, 1138, 959, 1398, 1139, 961, 1399,
        1140, 963, 1400, 1141, 965, 1401, 1142, 967, 1403, 1267, 1493, 969, 
       1404, 1143, 971, 1405, 1144, 973, 1406, 1145, 975, 1407, 1146, 977, 
       1408, 1147, 979, 1409, 1148, 981, 1411, 1150, 983}], 
      Line3DBox[{982, 1149, 1410, 980, 1499, 1273, 978, 1498, 1272, 976, 1497,
        1271, 974, 1496, 1270, 972, 1495, 1269, 970, 1494, 1268, 968, 1492, 
       1266, 1402, 966, 1491, 1265, 964, 1490, 1264, 962, 1489, 1263, 960, 
       1488, 1262, 958, 1487, 1261, 954, 1486, 1260, 956}], 
      Line3DBox[{985, 1274, 1500, 984, 1275, 1501, 986, 1412, 1151, 987, 1413,
        1152, 988, 1414, 1153, 989, 1415, 1154, 990, 1416, 1276, 1502, 991, 
       1277, 1503, 992, 1278, 1504, 993, 1417, 1155, 994, 1418, 1156, 995, 
       1419, 1157, 996, 1420, 1158, 997, 1421, 1159, 998}], 
      Line3DBox[{1000, 1279, 1505, 999, 1280, 1506, 1001, 1281, 1507, 1002, 
       1282, 1508, 1003, 1422, 1160, 1004, 1423, 1161, 1005, 1424, 1283, 1509,
        1006, 1284, 1510, 1007, 1285, 1511, 1008, 1286, 1512, 1009, 1287, 
       1513, 1010, 1425, 1162, 1011, 1426, 1163, 1012, 1427, 1164, 1013}], 
      Line3DBox[{1015, 1288, 1514, 1014, 1289, 1515, 1016, 1290, 1516, 1017, 
       1291, 1517, 1018, 1292, 1518, 1019, 1428, 1165, 1020, 1429, 1293, 1519,
        1021, 1294, 1520, 1022, 1295, 1521, 1023, 1296, 1522, 1024, 1297, 
       1523, 1025, 1298, 1524, 1026, 1430, 1166, 1027, 1431, 1167, 1028}], 
      Line3DBox[{1032, 1300, 1526, 1030, 1432, 1168, 1034, 1433, 1169, 1036, 
       1434, 1170, 1038, 1435, 1171, 1040, 1436, 1172, 1042, 1437, 1307, 1534,
        1044, 1309, 1536, 1046, 1438, 1173, 1048, 1439, 1174, 1050, 1440, 
       1175, 1052, 1441, 1176, 1054, 1442, 1177, 1056, 1443, 1178, 1058}], 
      Line3DBox[{1057, 1542, 1315, 1055, 1541, 1314, 1053, 1540, 1313, 1051, 
       1539, 1312, 1049, 1538, 1311, 1047, 1537, 1310, 1045, 1535, 1308, 1043,
        1533, 1532, 1306, 1041, 1531, 1305, 1039, 1530, 1304, 1037, 1529, 
       1303, 1035, 1528, 1302, 1033, 1527, 1301, 1029, 1525, 1299, 1031}], 
      Line3DBox[{1060, 1316, 1543, 1059, 1317, 1544, 1061, 1444, 1179, 1062, 
       1445, 1180, 1063, 1446, 1181, 1064, 1447, 1182, 1065, 1448, 1318, 1545,
        1066, 1319, 1546, 1067, 1320, 1547, 1068, 1449, 1183, 1069, 1450, 
       1184, 1070, 1451, 1185, 1071, 1452, 1186, 1072, 1453, 1187, 1073}], 
      Line3DBox[{1075, 1321, 1548, 1074, 1322, 1549, 1076, 1323, 1550, 1077, 
       1324, 1551, 1078, 1454, 1188, 1079, 1455, 1189, 1080, 1456, 1325, 1552,
        1081, 1326, 1553, 1082, 1327, 1554, 1083, 1328, 1555, 1084, 1329, 
       1556, 1085, 1457, 1190, 1086, 1458, 1191, 1087, 1459, 1192, 1088}], 
      Line3DBox[{1102, 1197, 1196, 1570, 1101, 1568, 1341, 1100, 1567, 1340, 
       1099, 1566, 1339, 1098, 1565, 1338, 1097, 1564, 1337, 1096, 1563, 1336,
        1095, 1562, 1335, 1460, 1094, 1561, 1334, 1093, 1560, 1333, 1092, 
       1559, 1332, 1091, 1558, 1331, 1090, 1557, 1330, 1089, 1569, 1194, 1193,
        1195}]}, 
     {GrayLevel[0.2], 
      Line3DBox[{608, 782, 1569, 806, 593, 767, 1548, 578, 752, 1543, 563, 
       737, 1526, 1525, 548, 722, 1514, 533, 707, 1505, 518, 692, 1500, 503, 
       1396, 677, 1486, 488, 662, 1475, 473, 647, 1468, 458, 632, 1465, 443, 
       1358, 625, 1571, 810, 436, 622, 838, 800, 875}], 
      Line3DBox[{609, 783, 1557, 594, 768, 1549, 579, 753, 1544, 564, 1432, 
       738, 1527, 549, 723, 1515, 534, 708, 1506, 519, 693, 1501, 504, 1397, 
       678, 1487, 489, 663, 1476, 474, 648, 1469, 459, 1372, 633, 444, 1359, 
       626, 811, 1461, 437, 840, 839, 841, 870}], 
      Line3DBox[{610, 784, 1558, 595, 769, 1550, 580, 1444, 754, 565, 1433, 
       739, 1528, 550, 724, 1516, 535, 709, 1507, 520, 1412, 694, 505, 1398, 
       679, 1488, 490, 664, 1477, 475, 649, 1470, 460, 1373, 634, 445, 1360, 
       627, 812, 1462, 438, 843, 842, 844, 871}], 
      Line3DBox[{611, 785, 1559, 596, 770, 1551, 581, 1445, 755, 566, 1434, 
       740, 1529, 551, 725, 1517, 536, 710, 1508, 521, 1413, 695, 506, 1399, 
       680, 1489, 491, 665, 1478, 476, 1384, 650, 461, 1374, 635, 446, 1361, 
       234, 1227, 254, 199, 383}], 
      Line3DBox[{612, 786, 1560, 597, 1454, 771, 582, 1446, 756, 567, 1435, 
       741, 1530, 552, 726, 1518, 537, 1422, 711, 522, 1414, 696, 507, 1400, 
       681, 1490, 492, 666, 1479, 477, 1385, 651, 462, 1375, 636, 447, 1362, 
       814, 813, 1577, 831, 845, 796, 846, 876}], 
      Line3DBox[{613, 787, 1561, 598, 1455, 772, 583, 1447, 757, 568, 1436, 
       742, 1531, 553, 1428, 727, 538, 1423, 712, 523, 1415, 697, 508, 1401, 
       682, 1491, 493, 1392, 667, 478, 1386, 652, 463, 1376, 637, 448, 1363, 
       816, 815, 1578, 832, 286, 287, 418}], 
      Line3DBox[{615, 789, 1562, 600, 774, 1552, 585, 759, 1545, 570, 744, 
       1534, 1533, 555, 729, 1519, 540, 714, 1509, 525, 699, 1502, 510, 684, 
       1493, 1492, 495, 669, 1480, 480, 654, 1471, 465, 639, 1466, 450, 628, 
       1573, 1572, 818, 439, 623, 849, 802, 865, 869}], 
      Line3DBox[{616, 790, 1563, 601, 775, 1553, 586, 760, 1546, 571, 745, 
       1536, 1535, 556, 730, 1520, 541, 715, 1510, 526, 700, 1503, 511, 1404, 
       685, 1494, 496, 670, 1481, 481, 655, 1472, 466, 640, 1467, 451, 1365, 
       629, 1575, 820, 440, 624, 850, 803, 877}], 
      Line3DBox[{617, 791, 1564, 602, 776, 1554, 587, 761, 1547, 572, 1438, 
       746, 1537, 557, 731, 1521, 542, 716, 1511, 527, 701, 1504, 512, 1405, 
       686, 1495, 497, 671, 1482, 482, 656, 1473, 467, 1378, 641, 452, 1366, 
       630, 821, 1463, 441, 852, 851, 853, 872}], 
      Line3DBox[{618, 792, 1565, 603, 777, 1555, 588, 1449, 762, 573, 1439, 
       747, 1538, 558, 732, 1522, 543, 717, 1512, 528, 1417, 702, 513, 1406, 
       687, 1496, 498, 672, 1483, 483, 657, 1474, 468, 1379, 642, 453, 1367, 
       631, 822, 1464, 442, 855, 854, 856, 873}], 
      Line3DBox[{619, 793, 1566, 604, 778, 1556, 589, 1450, 763, 574, 1440, 
       748, 1539, 559, 733, 1523, 544, 718, 1513, 529, 1418, 703, 514, 1407, 
       688, 1497, 499, 673, 1484, 484, 1388, 658, 469, 1380, 643, 454, 1368, 
       824, 823, 1579, 834, 857, 798, 858, 797, 874}], 
      Line3DBox[{620, 794, 1567, 605, 1457, 779, 590, 1451, 764, 575, 1441, 
       749, 1540, 560, 734, 1524, 545, 1425, 719, 530, 1419, 704, 515, 1408, 
       689, 1498, 500, 674, 1485, 485, 1389, 659, 470, 1381, 644, 455, 1369, 
       826, 825, 1580, 835, 859, 799, 860, 878}], 
      Line3DBox[{621, 795, 1568, 606, 1458, 780, 591, 1452, 765, 576, 1442, 
       750, 1541, 561, 1430, 735, 546, 1426, 720, 531, 1420, 705, 516, 1409, 
       690, 1499, 501, 1394, 675, 486, 1390, 660, 471, 1382, 645, 456, 1370, 
       828, 827, 1581, 836, 861, 862, 804, 867}], 
      Line3DBox[{809, 808, 1570, 807, 607, 1459, 781, 592, 1453, 766, 577, 
       1443, 751, 1542, 562, 1431, 736, 547, 1427, 721, 532, 1421, 706, 517, 
       1411, 1410, 691, 502, 1395, 676, 487, 1391, 661, 472, 1383, 646, 457, 
       1371, 830, 1576, 829, 837, 863, 864, 805, 868}], 
      Line3DBox[{866, 801, 848, 847, 833, 817, 1574, 819, 1364, 449, 638, 
       1377, 464, 653, 1387, 479, 668, 1393, 494, 683, 1402, 1403, 509, 698, 
       1416, 524, 713, 1424, 539, 728, 1429, 554, 1532, 743, 1437, 569, 758, 
       1448, 584, 773, 1456, 599, 788, 1460, 614}]}, {}, {}}},
   VertexNormals->CompressedData["
1:eJzNvHlUzt/7/xsVzclMIVIZQhnK2JaSlJIGc1SUOTJEZkJSEkKGqChTSjJE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    "]],
  Axes->True,
  AxesLabel->{None, None, None},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGridsStyle->Automatic,
  ImageSize->{361.9403711304296, 235.3248537393488},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], "RotationControl" -> "Globe"},
  PlotRange->{{0, 5}, {0, 10}, {-12.197223426542564`, 14.924562691149596`}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{3.230184168451619, 0.018030500852606716`, 1.0077624417111046`},
  ViewVertical->{0., 0., 1.}]], "Output",
 CellChangeTimes->{3.7067968208128567`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "+", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"rs", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"r", "-", "rs"}], "]"}]}]}], ")"}]}], ")"}], "\[Equal]", 
     "radv"}], ",", "radv"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7055002447048855`*^9, 3.7055002589239545`*^9}, 
   3.705500294433987*^9, {3.7055147767402897`*^9, 3.705514777471809*^9}, {
   3.7055148463485823`*^9, 3.705514846596758*^9}, 3.705514883520553*^9, {
   3.7055152626029596`*^9, 3.7055152828154593`*^9}, 3.7055154010532904`*^9, {
   3.705516115782676*^9, 3.705516120574097*^9}, {3.705516309627805*^9, 
   3.7055163117843437`*^9}, 3.705516649166503*^9, {3.705517551330515*^9, 
   3.705517551557664*^9}, 3.7055176844115696`*^9, {3.7055200736442385`*^9, 
   3.7055200742716713`*^9}, 3.7055214561300063`*^9, {3.7055215588792934`*^9, 
   3.7055215591321836`*^9}, {3.7055249096862645`*^9, 3.705524910211654*^9}, {
   3.705525950259535*^9, 3.7055259728765554`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"radv", "\[Rule]", 
    RowBox[{"r", "+", "t", "+", 
     RowBox[{"rs", " ", 
      RowBox[{"Log", "[", 
       RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.7067968208438663`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"tret", ",", "radv"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "r"}], "+", "t", "-", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}], ",", 
      RowBox[{"r", "+", "t", "+", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7055003503596044`*^9, 3.7055003954996147`*^9}, {
   3.7055149114598885`*^9, 3.705514926216339*^9}, 3.7055152213359184`*^9, {
   3.7055153006360846`*^9, 3.705515321491778*^9}, {3.7055154119579935`*^9, 
   3.705515419452567*^9}, 3.7055155193316097`*^9, 3.7055157007710977`*^9, {
   3.705516137864853*^9, 3.7055161476587677`*^9}, {3.705516325643051*^9, 
   3.7055163353799763`*^9}, 3.70551636675955*^9, {3.7055166432413*^9, 
   3.705516664252186*^9}, {3.7055175344532595`*^9, 3.70551757990675*^9}, 
   3.7055176958156567`*^9, {3.705520090819089*^9, 3.705520109916751*^9}, {
   3.7055209117667627`*^9, 3.705520937426956*^9}, 3.705521469519494*^9, {
   3.705521509158736*^9, 3.705521510869949*^9}, {3.7055215795946813`*^9, 
   3.7055215926219163`*^9}, {3.7055249609175653`*^9, 3.705524974278043*^9}, 
   3.7055259369631405`*^9, {3.7055259951395016`*^9, 3.705525996252287*^9}, {
   3.7070536013297358`*^9, 3.7070536317167377`*^9}, {3.70705367890961*^9, 
   3.7070537201959534`*^9}, {3.707053780348902*^9, 3.7070537853892756`*^9}, 
   3.7070791877701263`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t", "\[Rule]", 
     FractionBox[
      RowBox[{"radv", "+", "tret"}], "2"]}], ",", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{"rs", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            FractionBox["radv", 
             RowBox[{"2", " ", "rs"}]], "-", 
            FractionBox["tret", 
             RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}]}]}], "}"}],
   "}"}]], "Output",
 CellChangeTimes->{3.706796821013522*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"We", " ", "want", " ", "radv"}], "=", 
   RowBox[{
    RowBox[{
    "0", " ", "at", " ", "the", " ", "Schwarzschild", " ", "radius", " ", 
     "at", " ", "tret"}], "=", 
    RowBox[{"0", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7070523077112207`*^9, 3.7070523423056293`*^9}, {
  3.707053744066336*^9, 3.707053792272729*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"rs", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"ProductLog", "[", 
        FractionBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           FractionBox["radv", 
            RowBox[{"2", " ", "rs"}]], "-", 
           FractionBox["tret", 
            RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
    RowBox[{"ProductLog", "[", 
     RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"rs", "\[Rule]", "1"}], ",", 
    RowBox[{"radv", "\[Rule]", "0"}], ",", 
    RowBox[{"tret", "\[Rule]", "0"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.707052394978817*^9, 3.7070524085132923`*^9}, 
   3.7070536532668037`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "r"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"radv", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "+", "tret"}], "2"], ",", 
      RowBox[{
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", "rs"}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.707079193862405*^9, 3.7070792547011657`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"radv", "+", "tret", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}], ",", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{"rs", "-", 
      RowBox[{"ProductLog", "[", 
       FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"ProductLog", "[", 
        FractionBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           FractionBox["radv", 
            RowBox[{"2", " ", "rs"}]], "-", 
           FractionBox["tret", 
            RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}]}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7070792462273207`*^9, 3.7070792652023315`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "r"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"radv", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "+", "tret"}], "2"], ",", 
      RowBox[{
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", "rs"}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"tret", ",", "radv"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.707079314060295*^9, 3.707079315824435*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"tret", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "t"}], "-", 
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "+", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "rs", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              "rs"]}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", "rs", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
          "]"}]}], "-", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}], ",", 
    RowBox[{"radv", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "t"}], "+", 
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "+", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "rs", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              "rs"]}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", "rs", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
          "]"}]}], "-", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7070793188906527`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Make", " ", "sure", " ", "the", " ", "coordinates", " ", "are", " ", 
   "exterior", " ", "and", " ", "pointing", " ", 
   RowBox[{"outward", ".", " ", "Should"}], " ", "be", " ", "real", " ", 
   "and", " ", "positive", " ", "for", " ", "these", " ", 
   RowBox[{"values", ".", " ", "r"}], " ", "must", " ", "be", " ", "greater", 
   " ", "than", " ", 
   RowBox[{"rs", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705516204944559*^9, 3.7055162514015627`*^9}, {
  3.705526151130643*^9, 3.7055261716762476`*^9}, {3.7109468696616526`*^9, 
  3.71094688336889*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"rs", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"ProductLog", "[", 
        FractionBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           FractionBox["radv", 
            RowBox[{"2", " ", "rs"}]], "-", 
           FractionBox["tret", 
            RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
    RowBox[{"ProductLog", "[", 
     RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"rs", "\[Rule]", "1`"}], ",", 
    RowBox[{"radv", "\[Rule]", "11`"}], ",", 
    RowBox[{"tret", "\[Rule]", "7`"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7055150090508833`*^9, 3.7055150499818835`*^9}, {
   3.7055151255090237`*^9, 3.7055151459715323`*^9}, 3.705515345549939*^9, 
   3.70551543462959*^9, 3.70551619257736*^9, 3.705516411490143*^9, {
   3.7055165892190247`*^9, 3.705516594818006*^9}, {3.7055167448356056`*^9, 
   3.705516753802945*^9}, {3.7055171139197173`*^9, 3.7055171227249813`*^9}, 
   3.7055173268093996`*^9, {3.705517465206975*^9, 3.705517469713187*^9}, {
   3.70551764313107*^9, 3.7055176686201277`*^9}, {3.7055177229560547`*^9, 
   3.705517736540692*^9}, {3.7055201289318943`*^9, 3.705520150465205*^9}, {
   3.70552020248306*^9, 3.705520220599896*^9}, {3.7055202600998836`*^9, 
   3.7055202795576687`*^9}, {3.705520950954017*^9, 3.705521030267439*^9}, {
   3.70552106079807*^9, 3.705521061691703*^9}, {3.7055211131451583`*^9, 
   3.7055211257671013`*^9}, {3.705521302084115*^9, 3.7055213309433107`*^9}, {
   3.7055216103453975`*^9, 3.705521653064686*^9}, {3.7055223177533574`*^9, 
   3.7055223403936605`*^9}, {3.7055228101779604`*^9, 
   3.7055228573023486`*^9}, {3.7055229213397884`*^9, 3.705522987993475*^9}, {
   3.7055231568208637`*^9, 3.705523197726856*^9}, {3.7055237230169077`*^9, 
   3.7055237432792616`*^9}, 3.70552393489119*^9, 3.705525002897398*^9, {
   3.7055260133700085`*^9, 3.7055260379364433`*^9}, {3.7055261228936367`*^9, 
   3.7055261240034227`*^9}, {3.7070523642348366`*^9, 3.7070523842779512`*^9}}],

Cell[BoxData["2.`"], "Output",
 CellChangeTimes->{3.7067968210300436`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"radv", "+", "tret"}], "2"], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"rs", "\[Rule]", "1`"}], ",", 
    RowBox[{"radv", "\[Rule]", "10`"}], ",", 
    RowBox[{"tret", "\[Rule]", "10`"}]}], "}"}]}]], "Input",
 CellChangeTimes->{
  3.705515457274657*^9, 3.7055155442538013`*^9, {3.705516168148308*^9, 
   3.7055161741713204`*^9}, 3.7055163879084473`*^9, {3.7055166864684644`*^9, 
   3.705516729524742*^9}, {3.7055171314871883`*^9, 3.705517134398237*^9}, 
   3.705517324207529*^9, {3.705517473268689*^9, 3.7055174733837967`*^9}, {
   3.705517618913913*^9, 3.7055176401469717`*^9}, {3.7055177134022837`*^9, 
   3.7055177202921658`*^9}, {3.705520163280284*^9, 3.705520167147996*^9}, {
   3.7055202999480743`*^9, 3.705520321222118*^9}, {3.705521077151657*^9, 
   3.705521096392289*^9}}],

Cell[BoxData["10.`"], "Output",
 CellChangeTimes->{3.706796821040039*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"tret_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"2", "*", 
     RowBox[{"Hold", "[", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"k", "*", "tret"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "Infinity"}], "}"}]}], "]"}], "]"}]}], 
    "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903238341154*^9, 
   3.692903241803214*^9}, {3.6929970587680025`*^9, 3.692997078850181*^9}, {
   3.6930595265338883`*^9, 3.693059545429216*^9}, {3.704933836623302*^9, 
   3.7049338820453806`*^9}, {3.704933912612405*^9, 3.7049339816902204`*^9}, 
   3.706106854984318*^9, {3.7064783373676715`*^9, 3.706478337543812*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
            "phi"}], "]"}], ")"}], "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
            "phi"}], "]"}], ")"}], "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
  3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
  3.692741488610837*^9, 3.692741493782071*^9}, {3.7049338930176797`*^9, 
  3.704933896461905*^9}, {3.7049339873204226`*^9, 3.704934002212364*^9}, {
  3.7049340804210873`*^9, 3.704934085419406*^9}, {3.706106412667866*^9, 
  3.7061064334489727`*^9}, {3.7061069750178328`*^9, 3.706106990339055*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
           RowBox[{
            RowBox[{
             RowBox[{"b", "[", 
              RowBox[{"k", ",", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
               "phi"}], "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "r"]}], ",", "0", 
     ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                "phi"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "r"]}]], ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706796821055563*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.7067968210705605`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", "HERE"}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.6921321676616096`*^9, 3.692132169504179*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "boundary", " ", "conditions", " ", "must", " ", "be", " ", 
     "satisfied", " ", "for", " ", "the", " ", "Einstein"}], "-", 
    RowBox[{
    "Hilbert", " ", "action", " ", "to", " ", "be", " ", "a", " ", 
     "meaningful", " ", "description", " ", "of", " ", "the", " ", 
     RowBox[{"interior", ".", " ", "With"}], " ", "a", " ", "general", " ", 
     "perturbation"}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "we", " ", "first", " ", "check", " ", "what", " ", "parts", " ", "of", 
     " ", "the", " ", "boundary", " ", "condition", " ", "are", " ", "non"}], 
    "-", 
    RowBox[{"trivial", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132299679185*^9, 3.6921323138532095`*^9}, {
  3.692132347221799*^9, 3.692132422250717*^9}, {3.6921412641823487`*^9, 
  3.6921412675535693`*^9}}],

Cell[BoxData[
 RowBox[{"hypersurface", "[", 
  RowBox[{"t", ",", " ", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.660350972743921*^9, 3.660350975789729*^9}, {
  3.6609473014279613`*^9, 3.6609473032657676`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["extrinsic"], "Input",
 CellChangeTimes->{3.66558037986862*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"r", " ", 
        SqrtBox[
         FractionBox["r", 
          RowBox[{"r", "-", 
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "t"], 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "t"], 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "r"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                  "phi"}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
         "2"]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067968534309015`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["induced"], "Input",
 CellChangeTimes->{{3.665580408491025*^9, 3.6655804097462406`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
                "phi"}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "r"]}]], ",", "0",
      ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067968534541793`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"induced4", ":=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655804877921205`*^9, 3.665580493705736*^9}, {
  3.665580545400695*^9, 3.66558054862733*^9}, {3.692379441140069*^9, 
  3.692379484574189*^9}, {3.692379649006301*^9, 3.6923796730028324`*^9}}],

Cell[BoxData[
 RowBox[{"invInduced", ":=", 
  RowBox[{"raise", "[", 
   RowBox[{"induced4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655806306454115`*^9, 3.665580646289775*^9}, 
   3.692379529459448*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "In", " ", "order", " ", "for", " ", "the", " ", "boundary", " ", 
    "conditions", " ", "to", " ", "be", " ", "satisfied"}], ",", " ", 
   RowBox[{
   "a", " ", "surface", " ", "integral", " ", "of", " ", "this", " ", 
    "extrinsic", " ", "term", " ", "must", " ", 
    RowBox[{"vanish", ".", " ", "We"}], " ", "assume", " ", "that", " ", 
    "bounding", " ", "volumes", " ", "are", " ", "parallel", " ", "and", " ", 
    "perpendicular", " ", "to", " ", "the", " ", "coordinates"}], ",", " ", 
   RowBox[{
   "and", " ", "we", " ", "pair", " ", "opposing", " ", "faces", " ", "of", 
    " ", "bounding", " ", 
    RowBox[{"volumes", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132495168952*^9, 3.6921326406697955`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "beh", ",", "behr", ",", "behrInt", ",", "behthetaInt", ",", "behthetaInt", 
   ",", "behphi", ",", "behphiInt"}], "]"}]], "Input",
 CellChangeTimes->{{3.665580603556497*^9, 3.6655806062737455`*^9}, {
   3.6656104038199406`*^9, 3.6656104473284917`*^9}, 3.7061077715638037`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"beh", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"beh", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], "*", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], "*", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "3"}], "]"}], "]"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"extrinsictrace", "*", "invInduced"}], "-", "extrinsic"}], 
      ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6603971267987247`*^9, 3.6603971528391542`*^9}, {
  3.660397263234913*^9, 3.660397267532553*^9}, {3.6605219711757355`*^9, 
  3.660521978394868*^9}, {3.660522382933532*^9, 3.6605223880095186`*^9}, {
  3.6655802785875387`*^9, 3.665580302897689*^9}, {3.6655806543942823`*^9, 
  3.665580677067096*^9}, {3.665610203393684*^9, 3.665610228652419*^9}, {
  3.6923799958554554`*^9, 3.692380000270088*^9}, {3.692572862825182*^9, 
  3.692572869357932*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"behr", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behr", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519859290266`*^9, {3.6655992558355274`*^9, 3.6655992611412916`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behr", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7067968536425486`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behrInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaR_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behrInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], "]"}], 
   "=", 
   RowBox[{
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", 
      RowBox[{"r", "+", "deltaR"}], ",", "theta", ",", "phi"}], "]"}], "-", 
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519972360644`*^9, {3.6636693207273684`*^9, 3.6636693315311337`*^9}, {
   3.666177898908599*^9, 3.666177905909754*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behrInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], 
  "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706796853661561*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behtheta", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behtheta", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852018175275*^9, 3.6628957832517853`*^9, {3.665599271940704*^9, 
   3.6655992769696407`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behtheta", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["r", "4"], " ", 
    SqrtBox[
     FractionBox["r", 
      RowBox[{"r", "-", 
       RowBox[{"2", " ", 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
             "phi"}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
      RowBox[{"rs", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
             "phi"}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
      RowBox[{"rs", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]",
         MultilineFunction->None], "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", 
       RowBox[{"2", " ", 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "3"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.7067968536959715`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behthetaInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaTheta_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behthetaInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", 
      RowBox[{"theta", "+", "deltaTheta"}], ",", "phi"}], "]"}], "-", 
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520318824463`*^9, {3.666177910561014*^9, 3.6661779178956223`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behthetaInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.6628520420339923`*^9, {3.666177961515559*^9, 3.666177963080166*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706796853712983*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphi", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behphi", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852051097291*^9, {3.6655992823310194`*^9, 3.6655992860243697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphi", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["r", "3"], " ", 
    SqrtBox[
     FractionBox["r", 
      RowBox[{"r", "-", 
       RowBox[{"2", " ", 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]], " ", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]",
         MultilineFunction->None], "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "r"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], ",", "theta", ",", 
              "phi"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
     "2"]}]]}]], "Output",
 CellChangeTimes->{3.706796853732497*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphiInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaPhi_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behphiInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], "]"}],
    "=", 
   RowBox[{
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", 
      RowBox[{"phi", "+", "deltaPhi"}]}], "]"}], "-", 
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520584446745`*^9, {3.666177923109236*^9, 3.666177930034356*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphiInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6628519042518234`*^9, 3.6628520623736315`*^9}, {
  3.6661779658521905`*^9, 3.666177967482606*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706796853749509*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Paired", " ", "opposing", " ", "faces", " ", "are", " ", "already", " ", 
   RowBox[{"satisfied", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6921324433968124`*^9, 3.692132461161307*^9}, {
  3.6921326570211525`*^9, 3.692132800744498*^9}, {3.692380285748784*^9, 
  3.6923803038376083`*^9}, {3.6923813058377953`*^9, 3.6923813515782413`*^9}, {
  3.6925840506238937`*^9, 3.6925840623244095`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{" ", 
           RowBox[{"Ultimately", ",", " ", 
            RowBox[{
             RowBox[{
             "we", " ", "want", " ", "the", " ", "entire", " ", "system", " ",
               "in", " ", 
              RowBox[{"{", 
               RowBox[{
               "tret", ",", " ", "radv", ",", " ", "theta", ",", " ", "phi"}],
                "}"}], " ", 
              RowBox[{"coordinates", ".", " ", "Trial"}]}], "-", "and", "-", 
             RowBox[{
             "error", " ", "has", " ", "demonstrated", " ", "to", " ", "the", 
              " ", "author", " ", 
              RowBox[{"that", ":", "\[IndentingNewLine]", "1"}]}]}]}], ")"}], 
          " ", "The", " ", "exact", " ", "boundary", " ", "conditions"}], ",",
          " ", 
         RowBox[{"for", " ", "a", " ", "general", " ", "variation"}], ",", 
         " ", 
         RowBox[{"for", " ", "a", " ", "tret", " ", "hypersurface"}], ",", 
         " ", 
         RowBox[{
         "evaluate", " ", "to", " ", "indeterminate", " ", "with", " ", 
          RowBox[{"diffgeo", ".", "m"}]}], ",", " ", 
         RowBox[{"BUT", "\[IndentingNewLine]", "2"}]}], ")"}], " ", 
       "Approximating", " ", "the", " ", "definition", " ", "of", " ", "tret",
        " ", "and", " ", "radv", " ", "by", " ", "taking", " ", "the", " ", 
       "expectation", " ", "of", " ", "the", " ", "coordinates", " ", "over", 
       " ", "full", " ", "variation", " ", "wavelengths", " ", "leads", " ", 
       "to", " ", "vanishing", " ", "boundary", " ", "conditions"}], ",", " ", 
      RowBox[{"AND", "\[IndentingNewLine]", "3"}]}], ")"}], " ", "For", " ", 
    "the", " ", "exact"}], ",", " ", 
   RowBox[{
   "recursive", " ", "coordinates", " ", "with", " ", "presumable", " ", 
    "eigenstates", " ", "of", " ", "the", " ", "gravitons"}], ",", " ", 
   RowBox[{
   "that", " ", "is", " ", "single", " ", "sinosoidal", " ", "wave", " ", 
    "components"}], ",", " ", 
   RowBox[{
   "the", " ", "boundary", " ", "conditions", " ", "are", " ", "satisfied", 
    " ", "on", " ", "a", " ", "tret", " ", "hypersurface", " ", "for", " ", 
    "arbitrary", " ", "paired", " ", "constant", " ", "radv"}], ",", " ", 
   "theta", ",", " ", 
   RowBox[{"and", " ", "phi", " ", 
    RowBox[{"faces", ".", "\[IndentingNewLine]", "We"}], " ", "demonstrate", 
    " ", 
    RowBox[{"(", "2", ")"}], " ", "part", " ", "below"}], ",", " ", 
   RowBox[{"and", " ", "we", " ", "demonstrate", " ", 
    RowBox[{"(", "3", ")"}], " ", "at", " ", "the", " ", "end", " ", "of", 
    " ", "the", " ", 
    RowBox[{"notebook", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706474277266461*^9, 3.706474660683579*^9}, {
  3.706474744008575*^9, 3.7064747441896753`*^9}, {3.7109469518841143`*^9, 
  3.710947070977171*^9}, {3.7109471036670938`*^9, 3.7109471048982115`*^9}, {
  3.710948116034564*^9, 3.710948146943539*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"CLEAR", " ", "GLOBAL", " ", "NAMESPACE", " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.7045807104212956`*^9, 3.704580720751587*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"rs", "/", "r"}]}], ")"}], "^", 
    RowBox[{"-", "1"}]}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054980856513186`*^9, 3.705498122833687*^9}, {
   3.7054981792294493`*^9, 3.70549818076854*^9}, {3.705498235422139*^9, 
   3.705498264159997*^9}, {3.705498370567457*^9, 3.7054983833725424`*^9}, 
   3.705514804297816*^9, 3.7055148385640783`*^9, {3.705525186217229*^9, 
   3.7055253278004975`*^9}, {3.7055258500205107`*^9, 3.7055258656035814`*^9}}],

Cell[BoxData[
 RowBox[{"r", "+", 
  RowBox[{"rs", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"r", "-", "rs"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.706796902028102*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Remember", " ", "the", " ", "constant", " ", "of", " ", 
    RowBox[{"integration", ".", " ", "We"}], " ", "want", " ", "tret", " ", 
    "to", " ", "equal", " ", "0", " ", "at", " ", "t"}], "=", 
   RowBox[{"0", " ", "on", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "We"}], " ", "want", " ", "the", " ", 
    "coordinate", " ", "to", " ", "also", " ", "be", " ", 
    RowBox[{"exterior", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705516027304986*^9, 3.7055160655961294`*^9}, {
  3.705525886661501*^9, 3.7055258964694357`*^9}, {3.7055262488019156`*^9, 
  3.7055262491221447`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "-", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"rs", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"r", "-", "rs"}], "]"}]}]}], ")"}]}], ")"}], "\[Equal]", 
     "tret"}], ",", "tret"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054993689206886`*^9, 3.705499437609107*^9}, {
   3.7054998588565397`*^9, 3.7054998751240654`*^9}, 3.705500171824253*^9, {
   3.705514764541647*^9, 3.7055147702196703`*^9}, {3.7055148408547163`*^9, 
   3.705514841379064*^9}, {3.705514871448057*^9, 3.7055148732713757`*^9}, {
   3.7055150874930925`*^9, 3.70551508774026*^9}, {3.7055151678950543`*^9, 
   3.7055151946490097`*^9}, {3.7055154929789534`*^9, 
   3.7055154990122285`*^9}, {3.7055156229229703`*^9, 3.705515624212884*^9}, 
   3.705515679055741*^9, 3.7055157293410172`*^9, {3.70551599868874*^9, 
   3.7055160048511057`*^9}, {3.705516257710047*^9, 3.7055162720412006`*^9}, 
   3.7055163529427876`*^9, 3.7055166276162415`*^9, {3.7055175194226294`*^9, 
   3.705517547359689*^9}, {3.7055200707301893`*^9, 3.705520071040408*^9}, 
   3.705521493439684*^9, {3.705521552456608*^9, 3.705521556120209*^9}, {
   3.705524903512908*^9, 3.705524903849158*^9}, 3.705525118848544*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"tret", "\[Rule]", 
    RowBox[{
     RowBox[{"-", "r"}], "+", "t", "-", 
     RowBox[{"rs", " ", 
      RowBox[{"Log", "[", 
       RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.706796902071145*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "+", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"rs", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"r", "-", "rs"}], "]"}]}]}], ")"}]}], ")"}], "\[Equal]", 
     "radv"}], ",", "radv"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7055002447048855`*^9, 3.7055002589239545`*^9}, 
   3.705500294433987*^9, {3.7055147767402897`*^9, 3.705514777471809*^9}, {
   3.7055148463485823`*^9, 3.705514846596758*^9}, 3.705514883520553*^9, {
   3.7055152626029596`*^9, 3.7055152828154593`*^9}, 3.7055154010532904`*^9, {
   3.705516115782676*^9, 3.705516120574097*^9}, {3.705516309627805*^9, 
   3.7055163117843437`*^9}, 3.705516649166503*^9, {3.705517551330515*^9, 
   3.705517551557664*^9}, 3.7055176844115696`*^9, {3.7055200736442385`*^9, 
   3.7055200742716713`*^9}, 3.7055214561300063`*^9, {3.7055215588792934`*^9, 
   3.7055215591321836`*^9}, {3.7055249096862645`*^9, 3.705524910211654*^9}, {
   3.705525950259535*^9, 3.7055259728765554`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"radv", "\[Rule]", 
    RowBox[{"r", "+", "t", "+", 
     RowBox[{"rs", " ", 
      RowBox[{"Log", "[", 
       RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.706796902079138*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"tret", ",", "radv"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "r"}], "+", "t", "-", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}], ",", 
      RowBox[{"r", "+", "t", "+", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}], ",", "Reals"}], "]"}]], "Input",
 CellChangeTimes->{{3.7055003503596044`*^9, 3.7055003954996147`*^9}, {
   3.7055149114598885`*^9, 3.705514926216339*^9}, 3.7055152213359184`*^9, {
   3.7055153006360846`*^9, 3.705515321491778*^9}, {3.7055154119579935`*^9, 
   3.705515419452567*^9}, 3.7055155193316097`*^9, 3.7055157007710977`*^9, {
   3.705516137864853*^9, 3.7055161476587677`*^9}, {3.705516325643051*^9, 
   3.7055163353799763`*^9}, 3.70551636675955*^9, {3.7055166432413*^9, 
   3.705516664252186*^9}, {3.7055175344532595`*^9, 3.70551757990675*^9}, 
   3.7055176958156567`*^9, {3.705520090819089*^9, 3.705520109916751*^9}, {
   3.7055209117667627`*^9, 3.705520937426956*^9}, 3.705521469519494*^9, {
   3.705521509158736*^9, 3.705521510869949*^9}, {3.7055215795946813`*^9, 
   3.7055215926219163`*^9}, {3.7055249609175653`*^9, 3.705524974278043*^9}, 
   3.7055259369631405`*^9, {3.7055259951395016`*^9, 3.705525996252287*^9}, {
   3.7064347212429523`*^9, 3.706434725721117*^9}, {3.706439143787035*^9, 
   3.706439147270501*^9}, {3.706453012970621*^9, 3.706453013737133*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"tret", ",", "radv"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "r"}], "+", "t", "-", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}], ",", 
      RowBox[{"r", "+", "t", "+", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}], ",", "Reals"}], "]"}]], "Output",
 CellChangeTimes->{3.7067969022537627`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"t", "=", 
  FractionBox[
   RowBox[{"radv", "+", "tret"}], "2"]}]], "Input",
 CellChangeTimes->{{3.7055178472847843`*^9, 3.70551784778714*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"radv", "+", "tret"}], "2"]], "Output",
 CellChangeTimes->{3.7067969022637696`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"tret_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"2", "*", 
     RowBox[{"Hold", "[", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"k", "*", "tret"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "Infinity"}], "}"}]}], "]"}], "]"}]}], 
    "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903238341154*^9, 
   3.692903241803214*^9}, {3.6929970587680025`*^9, 3.692997078850181*^9}, {
   3.6930595265338883`*^9, 3.693059545429216*^9}, {3.704933836623302*^9, 
   3.7049338820453806`*^9}, {3.704933912612405*^9, 3.7049339816902204`*^9}, 
   3.706106854984318*^9, {3.7064783373676715`*^9, 3.706478337543812*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Recursive", " ", "definition", " ", "in", " ", "terms", " ", "of", " ", 
   RowBox[{"rq", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7064747034778643`*^9, 3.7064747261079073`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"r", "=", 
  RowBox[{
   RowBox[{"rs", "[", "tret", "]"}], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"ProductLog", "[", 
      FractionBox[
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox["radv", 
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
         FractionBox["tret", 
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
       RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.705501044642853*^9, 3.7055010524613943`*^9}, {
   3.7055013487531047`*^9, 3.7055013489452405`*^9}, {3.7055027793855386`*^9, 
   3.705502796259491*^9}, 3.705503146182869*^9, {3.7055031967398977`*^9, 
   3.705503206742957*^9}, {3.7055177993251624`*^9, 3.7055178091501517`*^9}, {
   3.7055194411634593`*^9, 3.7055194436952796`*^9}, {3.7055203865319953`*^9, 
   3.705520396254884*^9}, {3.705521728613337*^9, 3.705521746107731*^9}, {
   3.7055262595835295`*^9, 3.7055262749764366`*^9}, {3.7055272967006035`*^9, 
   3.705527297618252*^9}, {3.706106069093521*^9, 3.706106072064708*^9}, {
   3.7061061130057545`*^9, 3.7061061167806787`*^9}, {3.7061061502657127`*^9, 
   3.7061061607090054`*^9}, {3.706106605270755*^9, 3.7061066443063593`*^9}, {
   3.70610742541571*^9, 3.706107451529374*^9}, {3.706454660411109*^9, 
   3.7064547617037916`*^9}, {3.706666318888093*^9, 3.7066663528558235`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"ProductLog", "[", 
     FractionBox[
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        FractionBox["radv", 
         RowBox[{"2", " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
        FractionBox["tret", 
         RowBox[{"2", " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
      RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
  RowBox[{"rs", "[", "tret", "]"}]}]], "Output",
 CellChangeTimes->{3.7067969022882986`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "untrnsMetric", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"untrnsMetric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
   3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
   3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
   3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
   3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
   3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
   3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
   3.692741488610837*^9, 3.692741493782071*^9}, {3.7049338930176797`*^9, 
   3.704933896461905*^9}, {3.7049339873204226`*^9, 3.704934002212364*^9}, {
   3.7049340804210873`*^9, 3.704934085419406*^9}, 3.7049702486890497`*^9, {
   3.706106553386031*^9, 3.7061065633420568`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
           RowBox[{
            RowBox[{
             RowBox[{"b", "[", 
              RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
             " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", "tret"}], "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
        RowBox[{"rs", "[", "tret", "]"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
            RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]]}], ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
              " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", "tret"}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", "tret", "]"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
               FractionBox["tret", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
         RowBox[{"rs", "[", "tret", "]"}]}]]}]], ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", "tret", "]"}], "2"]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067969023193207`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "jcbian", "]"}]], "Input",
 CellChangeTimes->{{3.704536866118086*^9, 3.7045368705967164`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jcbian", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"t", ",", "tret"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{"t", ",", "radv"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"r", ",", "tret"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{"r", ",", "radv"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7045368298209867`*^9, 3.7045368512569337`*^9}, {
  3.704536890714956*^9, 3.704536900707712*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"rs", "[", "tret", "]"}], " ", 
        RowBox[{
         SuperscriptBox["rs", "\[Prime]",
          MultilineFunction->None], "[", "tret", "]"}]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "-", "tret", "-", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]}], 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
        RowBox[{"rs", "[", "tret", "]"}], " ", 
        RowBox[{
         SuperscriptBox["rs", "\[Prime]",
          MultilineFunction->None], "[", "tret", "]"}]}], "+", 
       RowBox[{
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "-", "tret", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]]], 
          RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}]}], "+", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", 
              RowBox[{
               SuperscriptBox["rs", "\[Prime]",
                MultilineFunction->None], "[", "tret", "]"}]}]}], ")"}]}]}], 
         ")"}]}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "-", "tret", "-", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]}], 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
       RowBox[{"rs", "[", "tret", "]"}]}]], ",", 
     FractionBox[
      RowBox[{"ProductLog", "[", 
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "-", "tret", "-", 
           RowBox[{"2", " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]}], 
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]]], 
        RowBox[{"rs", "[", "tret", "]"}]], "]"}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "-", "tret", "-", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]}], 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}]}]], ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067969023728456`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "metric", "]"}]], "Input",
 CellChangeTimes->{{3.704538996185095*^9, 3.704538998961834*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{
   RowBox[{"Transpose", "[", "jcbian", "]"}], ".", "untrnsMetric", ".", 
   "jcbian"}]}]], "Input",
 CellChangeTimes->{{3.704536650289685*^9, 3.704536651399123*^9}, {
  3.7045367006960144`*^9, 3.704536701274145*^9}, {3.7045369955720143`*^9, 
  3.7045370233166013`*^9}, {3.704538965511732*^9, 3.7045389708749495`*^9}, {
  3.7045390097590475`*^9, 3.7045390139346905`*^9}, {3.7045390504810467`*^9, 
  3.704539053152063*^9}, {3.704539116322667*^9, 3.7045391336037054`*^9}, {
  3.7045392989975533`*^9, 3.704539302763184*^9}, {3.704628138208721*^9, 
  3.7046281436504726`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox[
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
                " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", "tret"}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", "tret", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "-", "tret", "-", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]}], 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]], 
              RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
           RowBox[{"rs", "[", "tret", "]"}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}]}], "+", 
          RowBox[{
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
              RowBox[{
               SuperscriptBox["rs", "\[Prime]",
                MultilineFunction->None], "[", "tret", "]"}]}], "+", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}]}], 
               ")"}]}]}], ")"}]}]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
               RowBox[{
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox["radv", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                  FractionBox["tret", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ",", 
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox[
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
                " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", "tret"}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", "tret", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "-", "tret", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]]], 
          RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "-", "tret", "-", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]}], 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]], 
              RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
           RowBox[{"rs", "[", "tret", "]"}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}]}], "+", 
          RowBox[{
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
              RowBox[{
               SuperscriptBox["rs", "\[Prime]",
                MultilineFunction->None], "[", "tret", "]"}]}], "+", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}]}], 
               ")"}]}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
        RowBox[{"rs", "[", "tret", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
               RowBox[{
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox["radv", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                  FractionBox["tret", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox[
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
                " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", "tret"}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", "tret", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "-", "tret", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]]], 
          RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "-", "tret", "-", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]}], 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]], 
              RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
           RowBox[{"rs", "[", "tret", "]"}], " ", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}]}], "+", 
          RowBox[{
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
              RowBox[{
               SuperscriptBox["rs", "\[Prime]",
                MultilineFunction->None], "[", "tret", "]"}]}], "+", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}]}], 
               ")"}]}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
        RowBox[{"rs", "[", "tret", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
               RowBox[{
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox["radv", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                  FractionBox["tret", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ",", 
     RowBox[{
      FractionBox[
       SuperscriptBox[
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "-", "tret", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]]], 
          RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
               RowBox[{
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox["radv", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                  FractionBox["tret", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox[
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
                " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", "tret"}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", "tret", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", "tret", "]"}], "2"]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067969024085064`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"metric", "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "1"}], "]"}], "]"}], "-", 
   RowBox[{"metric", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.70453906444353*^9, 3.7045390762084684`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.70679690241601*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "coord", "]"}]], "Input",
 CellChangeTimes->{{3.7045355004619265`*^9, 3.7045355026963215`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9, {
   3.7045390892453403`*^9, 3.704539092100324*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.7067969024295197`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.706796907073572*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", 
    RowBox[{"HERE", ".", " ", 
     RowBox[{"(", 
      RowBox[{"SEE", " ", "IMPORTANT", " ", 
       RowBox[{"NOTE", "."}]}], ")"}]}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.705501434662224*^9, 3.7055014481297655`*^9}, {
  3.7055186126258783`*^9, 3.705518618302295*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "boundary", " ", "conditions", " ", "must", " ", "be", " ", 
     "satisfied", " ", "for", " ", "the", " ", "Einstein"}], "-", 
    RowBox[{
    "Hilbert", " ", "action", " ", "to", " ", "be", " ", "a", " ", 
     "meaningful", " ", "description", " ", "of", " ", "the", " ", 
     RowBox[{"interior", ".", " ", 
      RowBox[{"It", "'"}]}], "s", " ", "difficult", " ", "to", " ", "solve", 
     " ", "for", " ", "derivatives", " ", "of", " ", "a", " ", 
     "recursively"}], "-", 
    RowBox[{"defined", " ", "tret"}]}], ",", " ", 
   RowBox[{
   "but", " ", "we", " ", "check", " ", "the", " ", "nonrecursive", " ", 
    "classical", " ", "limit"}], ",", " ", 
   RowBox[{"first", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132299679185*^9, 3.6921323138532095`*^9}, {
  3.692132347221799*^9, 3.692132422250717*^9}, {3.6921412641823487`*^9, 
  3.6921412675535693`*^9}, {3.706474768922086*^9, 3.7064747823445864`*^9}, {
  3.7067275580809345`*^9, 3.7067276174776287`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"IMPORTANT", " ", 
    RowBox[{"NOTE", ":", " ", 
     RowBox[{
     "This", " ", "hypersurface", " ", "takes", " ", "over", " ", "15", " ", 
      "minutes"}]}]}], ",", " ", 
   RowBox[{"or", " ", "much", " ", 
    RowBox[{"longer", ".", " ", "If"}], " ", "it", " ", "can", " ", "be", " ",
     "calculated", " ", "without", " ", "simplification", " ", "until", " ", 
    "the", " ", "end"}], ",", " ", 
   RowBox[{"that", " ", "should", " ", "be", " ", 
    RowBox[{"sufficient", ".", " ", "Try"}], " ", "removing", " ", "all", " ",
     "simplification", " ", "from", " ", 
    RowBox[{"diffgeo", ".", "m"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.70550392165765*^9, 3.7055039739778395`*^9}, {
  3.705504122934465*^9, 3.705504134673783*^9}, {3.7055185814581585`*^9, 
  3.705518626338377*^9}}],

Cell[BoxData[
 RowBox[{"hypersurface", "[", 
  RowBox[{"tret", ",", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.705501503976407*^9, 3.7055015115827956`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["induced"], "Input",
 CellChangeTimes->{{3.7045895141564503`*^9, 3.704589515365304*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       SuperscriptBox[
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "-", "tret", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]]], 
          RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "-", "tret", "-", 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]], 
             RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
               RowBox[{
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}],
                  " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k", " ", "tret"}], "]"}]}], 
                RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
            RowBox[{"rs", "[", "tret", "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox["radv", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                  FractionBox["tret", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox[
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], "]"}], 
                " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", "tret"}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
           RowBox[{"rs", "[", "tret", "]"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", "tret", "]"}], "2"]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
           RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067969223480268`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"induced4", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6655804877921205`*^9, 3.665580493705736*^9}, {
   3.665580545400695*^9, 3.66558054862733*^9}, {3.692379441140069*^9, 
   3.692379484574189*^9}, {3.692379649006301*^9, 3.6923796730028324`*^9}, {
   3.704589576640542*^9, 3.7045896891634665`*^9}, 3.7045901463917885`*^9}],

Cell[BoxData[
 RowBox[{"invInduced", ":=", 
  RowBox[{"raise", "[", 
   RowBox[{"induced4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655806306454115`*^9, 3.665580646289775*^9}, 
   3.692379529459448*^9}],

Cell[CellGroupData[{

Cell[BoxData["invInduced"], "Input",
 CellChangeTimes->{{3.706107262715*^9, 3.706107263949423*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           SuperscriptBox[
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "-", "tret", "-", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]}], 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]], 
              RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox[
                 SuperscriptBox["\[ExponentialE]", 
                  FractionBox[
                   RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                 RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              FractionBox[
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"Hold", "[", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                   RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                RowBox[{"rs", "[", "tret", "]"}]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox[
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{
                  SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                  RowBox[{
                   RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                   RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
               RowBox[{"rs", "[", "tret", "]"}]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox[
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"Hold", "[", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                   RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                RowBox[{"rs", "[", "tret", "]"}]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
           FractionBox[
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"radv", "-", "tret", "-", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]}], 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["rs", "\[Prime]",
                  MultilineFunction->None], "[", "tret", "]"}]}], "+", 
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                RowBox[{"rs", "[", "tret", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["rs", "\[Prime]",
                  MultilineFunction->None], "[", "tret", "]"}]}], "+", 
               RowBox[{
                RowBox[{"ProductLog", "[", 
                 FractionBox[
                  SuperscriptBox["\[ExponentialE]", 
                   FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                  RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                   RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}], 
            RowBox[{"4", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"ProductLog", "[", 
                 FractionBox[
                  SuperscriptBox["\[ExponentialE]", 
                   FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                  RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
             " ", 
             RowBox[{"rs", "[", "tret", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
         "2"]}], ")"}], "/", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              FractionBox["1", "4"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
             FractionBox[
              RowBox[{
               RowBox[{"ProductLog", "[", 
                FractionBox[
                 SuperscriptBox["\[ExponentialE]", 
                  FractionBox[
                   RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                 RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                  RowBox[{"rs", "[", "tret", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}], 
              RowBox[{"4", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
               " ", 
               RowBox[{"rs", "[", "tret", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}]}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
           "2"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             SuperscriptBox[
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "-", "tret", "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              SuperscriptBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], 
           ")"}]}]}], ")"}], "2"]}], ",", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             SuperscriptBox[
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "-", "tret", "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
            FractionBox[
             RowBox[{
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "-", "tret", "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              RowBox[{"rs", "[", "tret", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
          " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              SuperscriptBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}]}], 
         ")"}], "/", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                FractionBox["1", "4"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
                 " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
             "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               SuperscriptBox[
                RowBox[{"ProductLog", "[", 
                 FractionBox[
                  SuperscriptBox["\[ExponentialE]", 
                   FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                  RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
                " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}]}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], 
            " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}]}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
              FractionBox[
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}], " ", 
                   RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                  RowBox[{"2", " ", 
                   SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                   RowBox[{"rs", "[", "tret", "]"}], " ", 
                   RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
                " ", 
                SuperscriptBox[
                 RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], 
             ")"}]}]}], ")"}], "2"]}], ")"}]}], ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             SuperscriptBox[
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "-", "tret", "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
            FractionBox[
             RowBox[{
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "-", "tret", "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              RowBox[{"rs", "[", "tret", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
          " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              SuperscriptBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}]}], 
         ")"}], "/", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                FractionBox["1", "4"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}], 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
                 " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
             "2"]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               SuperscriptBox[
                RowBox[{"ProductLog", "[", 
                 FractionBox[
                  SuperscriptBox["\[ExponentialE]", 
                   FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                  RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
                " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}]}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], 
            " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}]}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
              FractionBox[
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}], " ", 
                   RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                  RowBox[{"2", " ", 
                   SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                   RowBox[{"rs", "[", "tret", "]"}], " ", 
                   RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
                " ", 
                SuperscriptBox[
                 RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], 
             ")"}]}]}], ")"}], "2"]}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           SuperscriptBox[
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "-", "tret", "-", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]}], 
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]], 
              RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox[
                 SuperscriptBox["\[ExponentialE]", 
                  FractionBox[
                   RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                 RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              FractionBox[
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"Hold", "[", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                   RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                RowBox[{"rs", "[", "tret", "]"}]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox[
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{
                  SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                  RowBox[{
                   RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                   RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
               RowBox[{"rs", "[", "tret", "]"}]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
               RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox[
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"Hold", "[", 
                  RowBox[{
                   SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                   RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                RowBox[{"rs", "[", "tret", "]"}]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["rs", "\[Prime]",
                  MultilineFunction->None], "[", "tret", "]"}]}], "+", 
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                RowBox[{"rs", "[", "tret", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["rs", "\[Prime]",
                  MultilineFunction->None], "[", "tret", "]"}]}], "+", 
               RowBox[{
                RowBox[{"ProductLog", "[", 
                 FractionBox[
                  SuperscriptBox["\[ExponentialE]", 
                   FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                  RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                   RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}], "2"], 
            RowBox[{"4", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"ProductLog", "[", 
                 FractionBox[
                  SuperscriptBox["\[ExponentialE]", 
                   FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                  RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
             " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
         "2"]}], ")"}], "/", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              FractionBox["1", "4"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
             FractionBox[
              RowBox[{
               RowBox[{"ProductLog", "[", 
                FractionBox[
                 SuperscriptBox["\[ExponentialE]", 
                  FractionBox[
                   RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                 RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                  RowBox[{"rs", "[", "tret", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}], 
              RowBox[{"4", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
               " ", 
               RowBox[{"rs", "[", "tret", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}]}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], ")"}], 
           "2"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             SuperscriptBox[
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "-", "tret", "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]], 
                RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], " ", 
                 RowBox[{"rs", "[", "tret", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["rs", "\[Prime]",
                   MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret"}], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"radv", "-", "tret", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], 
              " ", 
              SuperscriptBox[
               RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                  RowBox[{"rs", "[", "tret", "]"}]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]]}], 
           ")"}]}]}], ")"}], "2"]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox["1", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
            RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", "tret", "]"}], "2"]}]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"Csc", "[", "theta", "]"}], "2"], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
            RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", "tret", "]"}], "2"]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067969224346*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "In", " ", "order", " ", "for", " ", "the", " ", "boundary", " ", 
    "conditions", " ", "to", " ", "be", " ", "satisfied"}], ",", " ", 
   RowBox[{
   "a", " ", "surface", " ", "integral", " ", "of", " ", "this", " ", 
    "extrinsic", " ", "term", " ", "must", " ", 
    RowBox[{"vanish", ".", " ", "We"}], " ", "assume", " ", "that", " ", 
    "bounding", " ", "volumes", " ", "are", " ", "parallel", " ", "and", " ", 
    "perpendicular", " ", "to", " ", "the", " ", "coordinates"}], ",", " ", 
   RowBox[{
   "and", " ", "we", " ", "pair", " ", "opposing", " ", "faces", " ", "of", 
    " ", "bounding", " ", 
    RowBox[{"volumes", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132495168952*^9, 3.6921326406697955`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "beh", ",", "behr", ",", "behrInt", ",", "behthetaInt", ",", "behthetaInt", 
   ",", "behphi", ",", "behphiInt"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061077058466268`*^9, 3.7061077423378444`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"beh", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"beh", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], "*", 
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "2"}], "]"}], "]"}], "*", 
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"3", ",", "3"}], "]"}], "]"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"extrinsictrace", "*", "invInduced"}], "-", "extrinsic"}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6603971267987247`*^9, 3.6603971528391542`*^9}, {
  3.660397263234913*^9, 3.660397267532553*^9}, {3.6605219711757355`*^9, 
  3.660521978394868*^9}, {3.660522382933532*^9, 3.6605223880095186`*^9}, {
  3.6655802785875387`*^9, 3.665580302897689*^9}, {3.6655806543942823`*^9, 
  3.665580677067096*^9}, {3.665610203393684*^9, 3.665610228652419*^9}, {
  3.6923799958554554`*^9, 3.692380000270088*^9}, {3.692572862825182*^9, 
  3.692572869357932*^9}, {3.7045812298568335`*^9, 3.704581233319463*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"behr", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behr", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519859290266`*^9, {3.6655992558355274`*^9, 3.6655992611412916`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behr", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.7045811542919507`*^9, 3.7045811562329884`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "4"], " ", 
          TemplateBox[{"3"},
           "OutputSizeLimit`Skeleton",
           DisplayFunction->(FrameBox[
             RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
             Background -> GrayLevel[0.75], 
             BaseStyle -> {
              "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
               ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
             ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
             FrameStyle -> None, RoundingRadius -> 7]& )], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret", ",", "theta", ",", "phi"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}], "+", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"], " ", 
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}]]}], ")"}], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                RowBox[{
                 SqrtBox[
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}], "2"], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}]], "+", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}]}], 
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]], "+", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}]]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}]], "-", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "-", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "-", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "4"], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], "+", 
                  FractionBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}], "+", 
            TemplateBox[{"1"},
             "OutputSizeLimit`Skeleton",
             DisplayFunction->(FrameBox[
               
               RowBox[{
                "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
               Background -> GrayLevel[0.75], 
               BaseStyle -> {
                "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                 ShowStringCharacters -> False}, BaselinePosition -> Baseline,
                ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
               FrameStyle -> None, RoundingRadius -> 7]& )]}], ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 212, 32787105698304314822, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 212, 32787105698304314822, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 212, 32787105698304314822, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[212]]], "Output",
 CellChangeTimes->{3.706796923268449*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behrInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaR_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behrInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], "]"}], 
   "=", 
   RowBox[{
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", 
      RowBox[{"r", "+", "deltaR"}], ",", "theta", ",", "phi"}], "]"}], "-", 
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519972360644`*^9, {3.6636693207273684`*^9, 3.6636693315311337`*^9}, {
   3.666177898908599*^9, 3.666177905909754*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behrInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaR"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7045811600781393`*^9, 3.7045811619550724`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7067969233337708`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behtheta", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behtheta", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852018175275*^9, 3.6628957832517853`*^9, {3.665599271940704*^9, 
   3.6655992769696407`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behtheta", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.704581165870282*^9, 3.704581167887597*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "4"], " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", "tret", "]"}], "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             SuperscriptBox[
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )]], "]"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], ")"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}]], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )]]}], ")"}]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], ")"}]}], "+", 
            FractionBox[
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FractionBox[
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]], "+", 
                RowBox[{
                 FractionBox["1", "4"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ",", "phi"}], "]"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}], ")"}], 
              " ", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  FractionBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "-", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                  SuperscriptBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]], "+", 
                TemplateBox[{"4"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "+", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )]}], ")"}]}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]], "+", 
                   RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]}], ")"}], "2"]]}], 
           ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 216, 32787105698304314822, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 216, 32787105698304314822, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 216, 32787105698304314822, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[216]]], "Output",
 CellChangeTimes->{3.706796923919258*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behthetaInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaTheta_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behthetaInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", 
      RowBox[{"theta", "+", "deltaTheta"}], ",", "phi"}], "]"}], "-", 
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520318824463`*^9, {3.666177910561014*^9, 3.6661779178956223`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behthetaInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.6628520420339923`*^9, {3.666177961515559*^9, 3.666177963080166*^9}, {
   3.704581173235983*^9, 3.7045811762465343`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706796923997798*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphi", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behphi", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852051097291*^9, {3.6655992823310194`*^9, 3.6655992860243697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphi", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.7045811816524315`*^9, 3.7045811833243504`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
               RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], "4"], " ", 
          TemplateBox[{"3"},
           "OutputSizeLimit`Skeleton",
           DisplayFunction->(FrameBox[
             RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
             Background -> GrayLevel[0.75], 
             BaseStyle -> {
              "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
               ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
             ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
             FrameStyle -> None, RoundingRadius -> 7]& )], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}], "2"], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}]}], ")"}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "rs", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"4"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}]]}], ")"}]}]], "+", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}]}], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], " ", 
                    RowBox[{"rs", "[", "tret", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], 
                 RowBox[{
                  SqrtBox[
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}], "2"], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}]], "+", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}]}], 
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]], "+", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}]]}]], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}]]}], "+", 
               FractionBox[
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], 
                RowBox[{
                 SqrtBox[
                  RowBox[{"-", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], " ", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], "+", 
            FractionBox[
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )]]}], ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 220, 32787105698304314822, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 220, 32787105698304314822, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 220, 32787105698304314822, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[220]]], "Output",
 CellChangeTimes->{3.7067969244382925`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphiInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaPhi_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behphiInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], "]"}],
    "=", 
   RowBox[{
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", 
      RowBox[{"phi", "+", "deltaPhi"}]}], "]"}], "-", 
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520584446745`*^9, {3.666177923109236*^9, 3.666177930034356*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphiInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaPhi"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6628519042518234`*^9, 3.6628520623736315`*^9}, {
  3.6661779658521905`*^9, 3.666177967482606*^9}, {3.704581187606821*^9, 
  3.7045811897683268`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7067969245828943`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"So", ",", " ", 
   RowBox[{"for", " ", "single", " ", "wave", " ", "components"}], ",", " ", 
   RowBox[{
   "the", " ", "action", " ", "should", " ", "be", " ", "a", " ", "locally", 
    " ", "valid", " ", "description"}], ",", " ", 
   RowBox[{"since", " ", "the", " ", "boundary", " ", "term", " ", "is", " ", 
    RowBox[{"zero", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706474815120778*^9, 3.706474860723056*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"We", " ", "can", " ", 
    RowBox[{"(", 
     RowBox[{"deactivate", " ", "the", " ", "integrals", " ", "and"}], ")"}], 
    " ", "apply", " ", "all", " ", "the", " ", 
    RowBox[{"derivatives", ".", " ", 
     RowBox[{"We", "'"}]}], "ve", " ", "shown", " ", "above", " ", "that", 
    " ", "the", " ", "boundary", " ", "conditions", " ", "are", " ", "valid", 
    " ", "for", " ", "a", " ", "amplitudes", " ", "b", " ", "depending", " ", 
    "generally", " ", "on", " ", "theta", " ", "and", " ", "phi"}], ",", " ", 
   RowBox[{"but", " ", "we", " ", 
    RowBox[{"won", "'"}], "t", " ", "need", " ", "these", " ", "dependencies",
     " ", 
    RowBox[{"below", ".", " ", "Our"}], " ", "waves", " ", "carry", " ", 
    "only", " ", "mass", " ", "and", " ", "translational", " ", "momentum", 
    " ", "and", " ", "therefore", " ", "have", " ", "infinite", " ", 
    "wavelength", " ", "in", " ", "theta", " ", "and", " ", "phi"}], ",", " ", 
   RowBox[{
    RowBox[{"i", ".", "e", ".", " ", "no"}], " ", "theta", " ", "and", " ", 
    "phi", " ", 
    RowBox[{"dependence", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.704726159003046*^9, 3.7047261858945484`*^9}, {
  3.7060352530538573`*^9, 3.7060353047686415`*^9}, {3.7060353454840565`*^9, 
  3.706035414844925*^9}, {3.706175685232952*^9, 3.706175686291733*^9}, {
  3.7061821570273685`*^9, 3.7061821696339345`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"CLEAR", " ", "GLOBAL", " ", "NAMESPACE", " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.7050545384953156`*^9, 3.7050545730790195`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.706796952839372*^9, 3.7070525919333143`*^9, 
  3.7070795254905148`*^9, 3.707096591539074*^9, 3.7071367620255375`*^9, 
  3.7107088100362096`*^9, 3.7107108765693674`*^9, 3.7109472915932236`*^9, 
  3.710963320960294*^9, 3.710968512008093*^9, 3.710971844937773*^9, 
  3.711023774507946*^9, 3.711026648136907*^9, 3.711028762381281*^9, 
  3.7111393497373176`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"rq", ",", "metric"}], "]"}]], "Input",
 CellChangeTimes->{{3.7066526541789255`*^9, 3.7066526585653515`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", "tret_", "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", "tret", "]"}], "=", 
   RowBox[{
    RowBox[{"2", 
     RowBox[{
      RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"b", "[", 
         RowBox[{"k", ",", "tret"}], "]"}], "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"k", "*", "tret"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", 
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], "]"}]}], 
    "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903238341154*^9, 
   3.692903241803214*^9}, {3.6929970587680025`*^9, 3.692997078850181*^9}, {
   3.6930595265338883`*^9, 3.693059545429216*^9}, {3.704933836623302*^9, 
   3.7049338820453806`*^9}, {3.704933912612405*^9, 3.7049339816902204`*^9}, {
   3.70569294162263*^9, 3.7056929454443364`*^9}, {3.7060353089226627`*^9, 
   3.7060353181652374`*^9}, {3.7061068803306084`*^9, 3.706106886634224*^9}, {
   3.7064783508742275`*^9, 3.7064783510293283`*^9}, {3.706651375398197*^9, 
   3.706651382627028*^9}, 3.706651418887966*^9, {3.706652525769907*^9, 
   3.706652529539811*^9}, {3.706652596563572*^9, 3.7066528134353247`*^9}, {
   3.7066529385818367`*^9, 3.706652953950753*^9}, {3.706695822813854*^9, 
   3.7066958654451723`*^9}, {3.70669900028893*^9, 3.706699002351396*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
  3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
  3.692741488610837*^9, 3.692741493782071*^9}, {3.7049338930176797`*^9, 
  3.704933896461905*^9}, {3.7049339873204226`*^9, 3.704934002212364*^9}, {
  3.7049340804210873`*^9, 3.704934085419406*^9}, {3.706035326233715*^9, 
  3.7060353319930906`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
        RowBox[{"2", " ", 
         TemplateBox[{RowBox[{
             RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
             RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
           RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
          "InactiveIntegrate",
          DisplayFunction->(RowBox[{
             SubsuperscriptBox[
              StyleBox["\[Integral]", "Inactive"], #3, #4], 
             RowBox[{#, 
               RowBox[{
                 StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
          InterpretationFunction->(RowBox[{
             RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
             RowBox[{#, ",", 
               RowBox[{"{", 
                 RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
       "r"]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
         RowBox[{"2", " ", 
          TemplateBox[{RowBox[{
              RowBox[{"b", "[", 
                RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
                RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        "r"]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067969528689013`*^9, 3.7070525920333834`*^9, 
  3.707079525578582*^9, 3.7070965830422616`*^9, 3.7071367623695736`*^9, 
  3.7107088102712517`*^9, 3.7107108766354146`*^9, 3.71094729167528*^9, 
  3.710963321019335*^9, 3.7109685121401863`*^9, 3.7109718450877485`*^9, 
  3.711023774571992*^9, 3.711026648207945*^9, 3.7110287624443264`*^9, 
  3.7111393498023634`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.7067969528809004`*^9, 3.7070525944932203`*^9, 
  3.707079525591092*^9, 3.7070965830512695`*^9, 3.7071367624021072`*^9, 
  3.7107088102792583`*^9, 3.710710876643407*^9, 3.7109472916842885`*^9, 
  3.7109633210283422`*^9, 3.710968512150193*^9, 3.710971845105779*^9, 
  3.7110237745809975`*^9, 3.711026648215951*^9, 3.711028762452345*^9, 
  3.711139349809368*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7050545646047444`*^9, 3.705054589624752*^9}, {
  3.7063055005272193`*^9, 3.70630554028513*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "derivativesDispatch", "]"}]], "Input",
 CellChangeTimes->{{3.7056178217782445`*^9, 3.705617825322756*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"derivativesDispatch", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", "\[Prime]",
        MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "tret"}], "]"}], ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7060387018548975`*^9, 3.7060387157839313`*^9}, {
   3.706478356707346*^9, 3.7064783624924583`*^9}, 3.706651477723851*^9, {
   3.7066530248500133`*^9, 3.7066530550664454`*^9}, {3.7066955160780306`*^9, 
   3.706695619349493*^9}, {3.70669574443151*^9, 3.706695749311695*^9}, {
   3.7067962301525273`*^9, 3.706796241605628*^9}, {3.7107108927044597`*^9, 
   3.710710895506518*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["2",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["2",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       $CellContext`b[$CellContext`k, $CellContext`tret], {$CellContext`k, 0, 
        Rational[1, 2] $CellContext`rs[$CellContext`tret]}], 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       Derivative[
       0, 1][$CellContext`b][$CellContext`k, $CellContext`tret], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[$CellContext`tret]}]}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7067969735272975`*^9, 3.707052628323802*^9, 
  3.707079552615713*^9, 3.7070966187642717`*^9, 3.70713681729449*^9, 
  3.7107088345130353`*^9, 3.7107109408661385`*^9, 3.7107112995897284`*^9, 
  3.7109473142090735`*^9, 3.7109633582015147`*^9, 3.7109685497537246`*^9, 
  3.7109718803118515`*^9, 3.7110238151439667`*^9, 3.7110266799550037`*^9, 
  3.711028786760767*^9, 3.7111393812054276`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"mixedAction", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"16", "*", "Pi"}], ")"}]}], "*", "RicciScalar", "*", 
         "rg"}], ")"}], "/.", "derivativesDispatch"}], "]"}], ",", 
     RowBox[{"TimeConstraint", "\[Rule]", "1"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.704972921779036*^9, 3.704972922013973*^9}, {
   3.7049748811626673`*^9, 3.7049748841066704`*^9}, 3.705054701138736*^9, 
   3.705511072696538*^9, {3.7056925205776434`*^9, 3.7056925293918886`*^9}, 
   3.705693039733186*^9, {3.706651497594928*^9, 3.7066515011226964`*^9}, {
   3.7066515982448688`*^9, 3.7066516078361187`*^9}, {3.7066517093064556`*^9, 
   3.7066517100884914`*^9}, 3.7066519100659323`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"31.46875`", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
            RowBox[{"2", " ", 
             TemplateBox[{RowBox[{
                 RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
               RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
              "InactiveIntegrate",
              DisplayFunction->(RowBox[{
                 SubsuperscriptBox[
                  StyleBox["\[Integral]", "Inactive"], #3, #4], 
                 RowBox[{#, 
                   RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
              InterpretationFunction->(RowBox[{
                 RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                 RowBox[{#, ",", 
                   RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
           ")"}], "4"]}], "+", 
        RowBox[{"8", " ", "r", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"r", "-", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
            RowBox[{"2", " ", 
             TemplateBox[{RowBox[{
                 RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
               RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
              "InactiveIntegrate",
              DisplayFunction->(RowBox[{
                 SubsuperscriptBox[
                  StyleBox["\[Integral]", "Inactive"], #3, #4], 
                 RowBox[{#, 
                   RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
              InterpretationFunction->(RowBox[{
                 RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                 RowBox[{#, ",", 
                   RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
           ")"}], "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", 
            RowBox[{
             SubscriptBox["\[PartialD]", "r"], 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{
               RowBox[{"b", "[", 
                RowBox[{
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
              ")"}], " ", 
            TemplateBox[{RowBox[{"b", "[", 
                RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
              RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
             "InactiveIntegrate",
             DisplayFunction->(RowBox[{
                SubsuperscriptBox[
                 StyleBox["\[Integral]", "Inactive"], #3, #4], 
                RowBox[{#, 
                  RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
             InterpretationFunction->(RowBox[{
                RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                RowBox[{#, ",", 
                  RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
           RowBox[{"2", " ", 
            TemplateBox[{RowBox[{
                RowBox[{
                  SubscriptBox["\[PartialD]", 
                   RowBox[{"r"}]], 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                  ")"}]}],"k","0",RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
             "InactiveIntegrate",
             DisplayFunction->(RowBox[{
                SubsuperscriptBox[
                 StyleBox["\[Integral]", "Inactive"], #3, #4], 
                RowBox[{#, 
                  RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
             InterpretationFunction->(RowBox[{
                RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                RowBox[{#, ",", 
                  RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
          ")"}]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"r", "-", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
            RowBox[{"2", " ", 
             TemplateBox[{RowBox[{
                 RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
               RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
              "InactiveIntegrate",
              DisplayFunction->(RowBox[{
                 SubsuperscriptBox[
                  StyleBox["\[Integral]", "Inactive"], #3, #4], 
                 RowBox[{#, 
                   RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
              InterpretationFunction->(RowBox[{
                 RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                 RowBox[{#, ",", 
                   RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
           ")"}], "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"r", " ", 
               RowBox[{
                SubscriptBox["\[PartialD]", "r"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                 ")"}], " ", 
               TemplateBox[{RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
              TemplateBox[{RowBox[{
                  RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
              RowBox[{"r", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}]}]}], ")"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "4"]}], "+", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "2"], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"r", " ", 
                   RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                     ")"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                  RowBox[{"r", " ", 
                   TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                 ")"}]}]}], ")"}], "2"]}], "+", 
           RowBox[{
            SuperscriptBox["r", "4"], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                  ")"}], " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "2"]}]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
            RowBox[{"2", " ", 
             TemplateBox[{RowBox[{
                 RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
               RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
              "InactiveIntegrate",
              DisplayFunction->(RowBox[{
                 SubsuperscriptBox[
                  StyleBox["\[Integral]", "Inactive"], #3, #4], 
                 RowBox[{#, 
                   RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
              InterpretationFunction->(RowBox[{
                 RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                 RowBox[{#, ",", 
                   RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
           ")"}], "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
              RowBox[{"r", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "2"}], "-", 
                 RowBox[{"2", " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}]}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"r", " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                 RowBox[{"r", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{"r", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{"{", 
                  RowBox[{"r", ",", "2"}], "}"}]], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                 ")"}], " ", 
               TemplateBox[{RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
              RowBox[{"4", " ", 
               TemplateBox[{RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox["k", "2"]}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["\[PartialD]", "r"], 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}], "+", 
                 RowBox[{"4", " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                  " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["r", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                  ")"}], " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "2"]}], "+", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"(", 
             RowBox[{"r", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{"{", 
                  RowBox[{"t", ",", "2"}], "}"}]], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                 ")"}], " ", 
               TemplateBox[{RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
              RowBox[{"4", " ", 
               TemplateBox[{RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox["k", "2"]}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["\[PartialD]", "t"], 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}], "+", 
                 RowBox[{"4", " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                  " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "3"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"r", " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                 RowBox[{"r", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "2"], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"r", " ", 
                   RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                     ")"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                  RowBox[{"r", " ", 
                   TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                 ")"}]}]}], ")"}], "2"]}], "+", 
           RowBox[{
            SuperscriptBox["r", "4"], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                  ")"}], " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "2"]}], "-", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"r", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "-", 
                 RowBox[{"2", " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "-", 
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"r", " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                     ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                    RowBox[{"r", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}]}], ")"}]}], "-", 
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"r", " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                     ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                    RowBox[{"r", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}]}], ")"}]}], "-", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"r", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 RowBox[{"4", " ", 
                  TemplateBox[{RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox["k", "2"]}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "4"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"4", " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox["r", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}], "2"], "+", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 RowBox[{"4", " ", 
                  TemplateBox[{RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox["k", "2"]}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "t"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "4"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"4", " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}], 
       ")"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"64", " ", "\[Pi]", " ", "r", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"r", "-", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
         RowBox[{"2", " ", 
          TemplateBox[{RowBox[{
              RowBox[{"b", "[", 
                RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
                RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}], "3"]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067970100505934`*^9, 3.7070526711229105`*^9, 
  3.707079594904152*^9, 3.707096657128855*^9, 3.7071369487448587`*^9, 
  3.710708866281825*^9, 3.7107109705092597`*^9, 3.7107113064074655`*^9, 
  3.7109473458629103`*^9, 3.710963389772373*^9, 3.7109685822164254`*^9, 
  3.7109719158748603`*^9, 3.7110238454541388`*^9, 3.7110267101485863`*^9, 
  3.7110288178952103`*^9, 3.711139412932907*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Let", "'"}], "s", " ", "get", " ", "this", " ", "out", " ", "of", 
   " ", "mixed", " ", 
   RowBox[{"coordinates", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7055052365469694`*^9, 3.7055052558283195`*^9}, 
   3.7055198234617853`*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"tret", ",", "radv"}], "]"}]], "Input",
 CellChangeTimes->{{3.7047261887420807`*^9, 3.704726192700388*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Remember", " ", "the", " ", "constant", " ", "of", " ", 
    RowBox[{"integration", ".", " ", "We"}], " ", "want", " ", "tret", " ", 
    "to", " ", "equal", " ", "0", " ", "at", " ", "t"}], "=", 
   RowBox[{"0", " ", "on", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "We"}], " ", "want", " ", "the", " ", 
    "coordinate", " ", "to", " ", "also", " ", "be", " ", 
    RowBox[{"exterior", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705516027304986*^9, 3.7055160655961294`*^9}, {
  3.705525886661501*^9, 3.7055258964694357`*^9}, {3.7055262488019156`*^9, 
  3.7055262491221447`*^9}, {3.710947235822905*^9, 3.7109472494514065`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "r"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"radv", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "+", "tret"}], "2"], ",", 
      RowBox[{
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", "rs"}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.707079193862405*^9, 3.7070792547011657`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"radv", "+", "tret", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}], ",", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{"rs", "-", 
      RowBox[{"ProductLog", "[", 
       FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"ProductLog", "[", 
        FractionBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           FractionBox["radv", 
            RowBox[{"2", " ", "rs"}]], "-", 
           FractionBox["tret", 
            RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}]}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7070792462273207`*^9, 3.7070792652023315`*^9}, 
   3.707079595372748*^9, 3.7070966575067225`*^9, 3.7071369504332314`*^9, 
   3.7107088665590057`*^9, 3.7107109707774496`*^9, 3.7107113067176723`*^9, 
   3.7109473462332125`*^9, 3.7109633902046685`*^9, 3.710968582557678*^9, 
   3.7109719161600614`*^9, 3.7110238457643576`*^9, 3.7110267104317813`*^9, 
   3.7110288182311068`*^9, 3.711139413229933*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "r"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"radv", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "+", "tret"}], "2"], ",", 
      RowBox[{
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", "rs"}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"tret", ",", "radv"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.707079314060295*^9, 3.707079315824435*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"tret", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "t"}], "-", 
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "+", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "rs", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              "rs"]}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", "rs", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
          "]"}]}], "-", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}], ",", 
    RowBox[{"radv", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "t"}], "+", 
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "+", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "rs", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              "rs"]}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", "rs", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
          "]"}]}], "-", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7070793188906527`*^9, 3.7070795954923778`*^9, 
  3.7070966576463203`*^9, 3.7071369507724056`*^9, 3.710708866655073*^9, 
  3.710710970870516*^9, 3.7107113068097377`*^9, 3.710947346384626*^9, 
  3.710963390353773*^9, 3.7109685827197905`*^9, 3.7109719162561293`*^9, 
  3.711023845890437*^9, 3.711026710525837*^9, 3.711028818344174*^9, 
  3.711139413336243*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Make", " ", "sure", " ", 
    RowBox[{"they", "'"}], "re", " ", "both", " ", "exterior", " ", "and", 
    " ", "pointing", " ", "outward"}], ",", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
     "should", " ", "be", " ", "real", " ", "and", " ", "positive", " ", 
      "for", " ", "these", " ", "values"}], ")"}], ":"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.705516204944559*^9, 3.7055162514015627`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "t0", ",", "r0", ",", "tret", ",", "radv", ",", "tret0", ",", "radv0"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.705504545439124*^9, 3.7055045489446163`*^9}, {
  3.7055053084435973`*^9, 3.7055053113966722`*^9}, {3.7055056072035103`*^9, 
  3.7055056108050723`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"tret", "[", 
   RowBox[{"t", ",", "r"}], "]"}], "=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "t"}], "-", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{"r", "-", "rs", "+", 
                  RowBox[{"ProductLog", "[", 
                   RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}], ")"}], "/", 
              "rs"}]}], ")"}]}], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"r", "-", "rs", "+", 
             RowBox[{"ProductLog", "[", 
              RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "^", "2"}]}], "]"}]}], 
       "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"rs", "\[Rule]", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7055053360815735`*^9, 3.705505431707327*^9}, 
   3.7055056141564317`*^9, {3.7055058687002172`*^9, 3.705505913862589*^9}, {
   3.705506492749712*^9, 3.705506560428664*^9}, 3.7055179189903355`*^9, {
   3.7055193133365793`*^9, 3.705519314404362*^9}, 3.7055197842746167`*^9, 
   3.7055204667178354`*^9, 3.705521838460837*^9, 3.7055263678530903`*^9, {
   3.7060315576875687`*^9, 3.706031572743643*^9}, {3.706031865451356*^9, 
   3.7060318678418636`*^9}, {3.706035439764843*^9, 3.7060354408353033`*^9}, {
   3.7060990225733385`*^9, 3.7060990231390667`*^9}, {3.706105973840287*^9, 
   3.7061059739554224`*^9}, {3.7061315563278265`*^9, 3.706131556491334*^9}, {
   3.7061786682847357`*^9, 3.7061786683748655`*^9}, {3.706666390402025*^9, 
   3.7066663907512646`*^9}, {3.706695788122141*^9, 3.7066957882627635`*^9}, {
   3.7066960236490335`*^9, 3.706696024133441*^9}, {3.707079413627348*^9, 
   3.707079427471803*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "t"}], "-", 
    RowBox[{"ProductLog", "[", 
     FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]}], 
      "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970105869675`*^9, 3.707052671869439*^9, 
  3.7070794570806503`*^9, 3.7070795955380282`*^9, 3.7070966576883507`*^9, 
  3.707136951203972*^9, 3.7107088666891108`*^9, 3.710710970891531*^9, 
  3.7107113068437614`*^9, 3.710947346419651*^9, 3.7109633903938007`*^9, 
  3.7109685827538047`*^9, 3.7109719162911634`*^9, 3.711023845930463*^9, 
  3.711026710559861*^9, 3.7110288183791723`*^9, 3.711139413368765*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"radv", "[", 
   RowBox[{"t", ",", "r"}], "]"}], "=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "t"}], "+", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", "+", 
            FractionBox[
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"r", "-", "rs", "+", 
                RowBox[{"ProductLog", "[", 
                 FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
             "rs"]}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"r", "-", "rs", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
         "]"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], "/.", 
    RowBox[{"rs", "\[Rule]", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705505396120112*^9, 3.705505423434493*^9}, 
   3.705505617743967*^9, {3.7055058897505054`*^9, 3.7055059184998474`*^9}, {
   3.7055063965006495`*^9, 3.7055064458736057`*^9}, 3.7055179310468664`*^9, 
   3.7055197746442585`*^9, 3.7055204758182735`*^9, 3.705521849144411*^9, 
   3.705526379474334*^9, {3.706031581319132*^9, 3.7060315865856915`*^9}, {
   3.7060318727617893`*^9, 3.706031876061038*^9}, {3.7060354434217815`*^9, 
   3.706035444559292*^9}, {3.7060990399787865`*^9, 3.7060990405584297`*^9}, {
   3.7061059762469263`*^9, 3.7061059763355217`*^9}, {3.7061315618719425`*^9, 
   3.7061315620180655`*^9}, {3.7061786728023*^9, 3.7061786729002237`*^9}, {
   3.7066663948854475`*^9, 3.706666395001677*^9}, {3.706695792280912*^9, 
   3.7066957923746605`*^9}, {3.706696026995162*^9, 3.7066960275732937`*^9}, 
   3.707079433114558*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "t"}], "-", 
    RowBox[{"ProductLog", "[", 
     FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]}], 
      "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970106003428`*^9, 3.70705267188844*^9, 
  3.707079457149705*^9, 3.707079595557541*^9, 3.7070966577070246`*^9, 
  3.707136951280526*^9, 3.7107088667051086`*^9, 3.7107109709055424`*^9, 
  3.710711306857772*^9, 3.7109473464336605`*^9, 3.710963390430828*^9, 
  3.710968582770818*^9, 3.710971916309167*^9, 3.711023845947489*^9, 
  3.7110267105758734`*^9, 3.7110288183966827`*^9, 3.7111394133847885`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"dtretDt", ",", "dtretDt2", ",", "dtretDr", ",", "dtretDr2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7055073380870576`*^9, 3.705507342311051*^9}, {
  3.705508553223236*^9, 3.7055085548744044`*^9}, {3.7055090609298162`*^9, 
  3.705509069124596*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDt", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDt0", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDt0", "\[Equal]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "t"], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "t"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDt0"}], "}"}]}], ")"}]}], ",", "dtretDt0"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ")"}], "/.", 
    "derivativesDispatch"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705507227050387*^9, 3.7055072390849133`*^9}, {
   3.7055085973511333`*^9, 3.70550860559282*^9}, {3.7055086406132803`*^9, 
   3.7055086938059807`*^9}, {3.7055087363010817`*^9, 
   3.7055087949256682`*^9}, {3.70550883124739*^9, 3.7055088620861416`*^9}, 
   3.705692548485416*^9, 3.705694650485814*^9, 3.7066510752179065`*^9, 
   3.7066515162190313`*^9, {3.706651951064633*^9, 3.706651955825344*^9}, {
   3.706651988724886*^9, 3.706651992314353*^9}, {3.706652195601556*^9, 
   3.706652199203477*^9}, {3.70665223589069*^9, 3.706652255474527*^9}, {
   3.7107112524807396`*^9, 3.7107112660760565`*^9}}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"1", "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Log", "[", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]}], 
        "]"}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
       RowBox[{"r", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], " ", 
    TemplateBox[{RowBox[{"b", "[", 
        RowBox[{"k", ",", 
          RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
     "InactiveIntegrate",
     DisplayFunction->(RowBox[{
        SubsuperscriptBox[
         StyleBox["\[Integral]", "Inactive"], #3, #4], 
        RowBox[{#, 
          RowBox[{
            StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
     InterpretationFunction->(RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{#, ",", 
          RowBox[{"{", 
            RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]]], "Output",
 CellChangeTimes->{3.7067970107709813`*^9, 3.707052672090117*^9, 
  3.7070795986465473`*^9, 3.707096660652619*^9, 3.7071369609100876`*^9, 
  3.7107088690300484`*^9, 3.7107109731356897`*^9, 3.710711309030831*^9, 
  3.7107115479999204`*^9, 3.7109473487488956`*^9, 3.7109633927114515`*^9, 
  3.7109685851125965`*^9, 3.710971918709133*^9, 3.7110238487688856`*^9, 
  3.711026712845005*^9, 3.7110288207190647`*^9, 3.7111394156166925`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDt2", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDt20", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDt20", "\[Equal]", 
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", 
               RowBox[{"{", 
                RowBox[{"t", ",", "2"}], "}"}]], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}], "\[Rule]", "dtretDt"}], 
               ",", 
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "2"}], "}"}]], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
                "dtretDt20"}]}], "}"}]}], "]"}]}], ",", "dtretDt20"}], "]"}], 
        "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
     "derivativesDispatch"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt"}], 
     "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7055089291738825`*^9, 3.705508994830984*^9}, {
   3.7055090297497244`*^9, 3.705509049803919*^9}, {3.7055132928992143`*^9, 
   3.7055133256023846`*^9}, {3.7055138914545603`*^9, 3.7055139146301394`*^9}, 
   3.705692558598581*^9, 3.706651077078206*^9, 3.7066515175914445`*^9, {
   3.7066519985536394`*^9, 3.706652001213547*^9}, {3.710711268583868*^9, 
   3.7107112724257174`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
         SuperscriptBox[
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}], 
        "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
           "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "+", 
              RowBox[{"Log", "[", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                 "2"]}], "]"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}], " ", 
         TemplateBox[{RowBox[{
             SuperscriptBox["b", 
              TagBox[
               RowBox[{"(", 
                 RowBox[{"0", ",", "1"}], ")"}], Derivative], 
              MultilineFunction -> None], "[", 
             RowBox[{"k", ",", 
               RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
           RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
          "InactiveIntegrate",
          DisplayFunction->(RowBox[{
             SubsuperscriptBox[
              StyleBox["\[Integral]", "Inactive"], #3, #4], 
             RowBox[{#, 
               RowBox[{
                 StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
          InterpretationFunction->(RowBox[{
             RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
             RowBox[{#, ",", 
               RowBox[{"{", 
                 RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
       ")"}]}], ")"}], "/", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"], " ", 
        TemplateBox[{RowBox[{"b", "[", 
            RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
          RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
         "InactiveIntegrate",
         DisplayFunction->(RowBox[{
            SubsuperscriptBox[
             StyleBox["\[Integral]", "Inactive"], #3, #4], 
            RowBox[{#, 
              RowBox[{
                StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
         InterpretationFunction->(RowBox[{
            RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
            RowBox[{#, ",", 
              RowBox[{"{", 
                RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}]}], ")"}], "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970110461564`*^9, 3.7070526724018373`*^9, 
  3.70707960618666*^9, 3.707096667675099*^9, 3.7071369834099693`*^9, 
  3.710708874390842*^9, 3.7107109784386415`*^9, 3.7107113145337777`*^9, 
  3.710711548012918*^9, 3.71094735463829*^9, 3.710963398623785*^9, 
  3.710968591502142*^9, 3.7109719251046066`*^9, 3.7110238543372927`*^9, 
  3.7110267184761677`*^9, 3.711028826271008*^9, 3.7111394213008194`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDr", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"dtretDr0", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"dtretDr0", "\[Equal]", 
          RowBox[{"Evaluate", "[", 
           RowBox[{
            RowBox[{
             SubscriptBox["\[PartialD]", "r"], 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", "r"], 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
              "dtretDr0"}], "}"}]}], "]"}]}], ",", "dtretDr0"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", "derivativesDispatch"}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.705507227050387*^9, 3.7055072390849133`*^9}, {
   3.7055085973511333`*^9, 3.70550860559282*^9}, {3.7055086406132803`*^9, 
   3.7055086938059807`*^9}, {3.7055087363010817`*^9, 
   3.7055087949256682`*^9}, {3.70550883124739*^9, 3.7055088620861416`*^9}, {
   3.70550908030553*^9, 3.7055090980631046`*^9}, {3.706037576081848*^9, 
   3.7060375775454535`*^9}, 3.7066510809482255`*^9, 3.706651520079502*^9, {
   3.7066520109175186`*^9, 3.706652013706069*^9}, {3.706653275793558*^9, 
   3.7066532786939154`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"r", "+", 
    RowBox[{"ProductLog", "[", 
     FractionBox["1", "\[ExponentialE]"], "]"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"ProductLog", "[", 
       FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
      RowBox[{"rs", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Log", "[", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
             "2"]}], "]"}]}], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], " ", 
       TemplateBox[{RowBox[{"b", "[", 
           RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
        "InactiveIntegrate",
        DisplayFunction->(RowBox[{
           SubsuperscriptBox[
            StyleBox["\[Integral]", "Inactive"], #3, #4], 
           RowBox[{#, 
             RowBox[{
               StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
        InterpretationFunction->(RowBox[{
           RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
           RowBox[{#, ",", 
             RowBox[{"{", 
               RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
     ")"}]}]]}]], "Output",
 CellChangeTimes->{3.706797011080904*^9, 3.7070526725394363`*^9, 
  3.7070796066031275`*^9, 3.7070966680237827`*^9, 3.7071369846227655`*^9, 
  3.71070887549189*^9, 3.710710979547062*^9, 3.7107113156155305`*^9, 
  3.710711548026928*^9, 3.710947355602973*^9, 3.710963399559459*^9, 
  3.7109685924698257`*^9, 3.7109719260392723`*^9, 3.7110238552623224`*^9, 
  3.71102671947886*^9, 3.711028827140109*^9, 3.711139422204706*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDr2", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDr20", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDr20", "\[Equal]", 
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", 
               RowBox[{"{", 
                RowBox[{"r", ",", "2"}], "}"}]], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", "r"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
                "dtretDt"}], ",", 
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", 
                  RowBox[{"{", 
                   RowBox[{"r", ",", "2"}], "}"}]], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
                "dtretDr20"}]}], "}"}]}], "]"}]}], ",", "dtretDr20"}], "]"}], 
        "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
     "derivativesDispatch"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr"}], 
     "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7055089291738825`*^9, 3.705508994830984*^9}, {
   3.7055090297497244`*^9, 3.705509049803919*^9}, {3.705509104144415*^9, 
   3.705509123552185*^9}, 3.705514186216391*^9, 3.7056925648309965`*^9, {
   3.706033055989883*^9, 3.7060330636683855`*^9}, 3.7066510830965595`*^9, 
   3.706651522137929*^9, {3.7066520179689837`*^9, 3.706652019660486*^9}, {
   3.706653291262573*^9, 3.706653314304895*^9}, 3.7066533635257697`*^9, {
   3.7107114634335327`*^9, 3.710711463718734*^9}, {3.71071150978281*^9, 
   3.7107115255972476`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"r", "+", 
                RowBox[{"ProductLog", "[", 
                 FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
            "2"]}], "]"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "5"], " ", 
       TemplateBox[{RowBox[{
           SuperscriptBox["b", 
            TagBox[
             RowBox[{"(", 
               RowBox[{"0", ",", "1"}], ")"}], Derivative], MultilineFunction -> 
            None], "[", 
           RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
        "InactiveIntegrate",
        DisplayFunction->(RowBox[{
           SubsuperscriptBox[
            StyleBox["\[Integral]", "Inactive"], #3, #4], 
           RowBox[{#, 
             RowBox[{
               StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
        InterpretationFunction->(RowBox[{
           RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
           RowBox[{#, ",", 
             RowBox[{"{", 
               RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "6"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
             "2"]}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"4", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "-", 
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "3"], " ", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
         RowBox[{"8", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"8", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "-", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"8", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"8", "+", 
            RowBox[{"16", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], "+", 
            SuperscriptBox[
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}], "2"]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"7", "+", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"3", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
             "2"]}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"6", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"7", "+", 
            RowBox[{"3", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"ProductLog", "[", 
       FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
      RowBox[{"rs", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"], " ", 
        TemplateBox[{RowBox[{"b", "[", 
            RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
          RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
         "InactiveIntegrate",
         DisplayFunction->(RowBox[{
            SubsuperscriptBox[
             StyleBox["\[Integral]", "Inactive"], #3, #4], 
            RowBox[{#, 
              RowBox[{
                StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
         InterpretationFunction->(RowBox[{
            RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
            RowBox[{#, ",", 
              RowBox[{"{", 
                RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}]}], ")"}], "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970112835493`*^9, 3.70705267279463*^9, 
  3.7070796098188534`*^9, 3.7070966709801903`*^9, 3.707136994868971*^9, 
  3.710708877915687*^9, 3.7107109818546953`*^9, 3.7107113176069946`*^9, 
  3.7107115480389485`*^9, 3.710947357668998*^9, 3.7109634014477835`*^9, 
  3.710968594489852*^9, 3.710971929011447*^9, 3.71102385723323*^9, 
  3.7110267214293747`*^9, 3.7110288290374517`*^9, 3.7111394241595764`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "tret", ",", "radv", ",", "action", ",", "b", ",", " ", "actionDispatch1", 
   ",", " ", "actionDispatch2"}], "]"}]], "Input",
 CellChangeTimes->{{3.704884321309889*^9, 3.704884324465171*^9}, {
   3.7048846989445667`*^9, 3.704884699125551*^9}, {3.705511212860873*^9, 
   3.705511215260574*^9}, {3.7059646145814943`*^9, 3.7059646191245623`*^9}, 
   3.70596485701962*^9, {3.706033797718008*^9, 3.70603379996436*^9}, {
   3.7066541515647616`*^9, 3.706654163950402*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionDispatch1", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"t_", ",", "2"}], "}"}]], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt2"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"r_", ",", "2"}], "}"}]], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr2"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "tret_"], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"tret_", ",", "2"}], "}"}]], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "tret"}], "]"}], ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705511848924629*^9, 3.705511869616305*^9}, {
   3.705512003681291*^9, 3.705512007325857*^9}, {3.7055122569768095`*^9, 
   3.7055122626098022`*^9}, {3.705692608319809*^9, 3.705692664779811*^9}, {
   3.7059589565071445`*^9, 3.705958979391015*^9}, {3.7059592055818777`*^9, 
   3.7059592710793858`*^9}, {3.7059608951693277`*^9, 3.70596094557975*^9}, 
   3.7060331392781405`*^9, 3.706033328301489*^9, {3.706033417633859*^9, 
   3.7060334375848007`*^9}, {3.7060335788540444`*^9, 
   3.7060335866557007`*^9}, {3.706033764258354*^9, 3.7060337884153357`*^9}, {
   3.7060357817010975`*^9, 3.706035788904055*^9}, {3.7064783901695986`*^9, 
   3.706478395247201*^9}, {3.7066488990156164`*^9, 3.7066489149098253`*^9}, {
   3.706649011928916*^9, 3.706649050534243*^9}, {3.7066509026013107`*^9, 
   3.7066509597835455`*^9}, {3.7066510900024133`*^9, 
   3.7066511012655077`*^9}, {3.7066533889863744`*^9, 
   3.7066534065166826`*^9}, {3.7066536012390757`*^9, 3.706653631535866*^9}, 
   3.706654109987194*^9, {3.7066956561667137`*^9, 3.706695689337053*^9}, {
   3.7067962665282555`*^9, 3.706796282771744*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"t_", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], 
                    "2"]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t_"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  FractionBox["1", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"r_", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "5"], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "4"],
                     " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "6"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"4", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "3"],
                     " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"8", " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"8", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "-", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"16", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"3", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"6", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"3", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r_"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], {
       Pattern[$CellContext`t, 
        Blank[]], 2}] -> -($CellContext`r + 
      ProductLog[E^(-1)] - $CellContext`rs[
       Hold[
        $CellContext`tret[$CellContext`t, $CellContext`r]]]) $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         1 - (2 + Log[
           E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) (
      4 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
($CellContext`r + ProductLog[E^(-1)]) + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 ($CellContext`r + ProductLog[E^(-1)])^2 - (2 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], 
      Pattern[$CellContext`t, 
       Blank[]]] -> (
      1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         $CellContext`b[$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}])^(-1), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], {
       Pattern[$CellContext`r, 
        Blank[]], 2}] -> ($CellContext`r + 
       ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (-1 + (2 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) \
((2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^5 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
      2 ($CellContext`r + ProductLog[E^(-1)])^4 ((-6) Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^4 (1 - 
        2 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (4 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 - 
        4 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
($CellContext`r + ProductLog[E^(-1)])^3 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        8 Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        8 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (8 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) - \
($CellContext`r + ProductLog[E^(-1)])^2 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + 
       2 (8 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - (8 + 
        16 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]^2) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + 
       2 (7 + 2 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + 
      2 ($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^3 (-1 + 
        2 (3 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (6 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (7 + 
          3 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}])), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> -($CellContext`r + 
      ProductLog[E^(-1)]) ($CellContext`r + 
       ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1)/(
     1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
       2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Inactive[Integrate][
        $CellContext`b[$CellContext`k, 
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), 
    Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       $CellContext`b[$CellContext`k, $CellContext`tret], {$CellContext`k, 0, 
        Rational[1, 2] $CellContext`rs[$CellContext`tret]}], 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       Derivative[
       0, 1][$CellContext`b][$CellContext`k, $CellContext`tret], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[$CellContext`tret]}]}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7067970114231462`*^9, 3.707052672949227*^9, 
  3.7070796100436487`*^9, 3.707096671180134*^9, 3.7071369957563205`*^9, 
  3.7107088781551123`*^9, 3.7107109820208254`*^9, 3.710711317766094*^9, 
  3.7107115483521585`*^9, 3.710947390436556*^9, 3.7109634016909685`*^9, 
  3.710968594700001*^9, 3.710971929165557*^9, 3.7110238574123387`*^9, 
  3.7110267215704765`*^9, 3.7110288292092247`*^9, 3.7111394243438807`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionDispatch2", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"t_", ",", "2"}], "}"}]], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDt2"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDt"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"r_", ",", "2"}], "}"}]], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDr2"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDr"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "tret_"], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"tret_", ",", "2"}], "}"}]], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "tret"}], "]"}], ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705511848924629*^9, 3.705511869616305*^9}, {
   3.705512003681291*^9, 3.705512007325857*^9}, {3.7055122569768095`*^9, 
   3.7055122626098022`*^9}, {3.705692608319809*^9, 3.705692664779811*^9}, {
   3.7059589565071445`*^9, 3.705958979391015*^9}, {3.7059592055818777`*^9, 
   3.7059592710793858`*^9}, {3.7059608951693277`*^9, 3.70596094557975*^9}, 
   3.7060331392781405`*^9, 3.706033328301489*^9, {3.706033417633859*^9, 
   3.7060334375848007`*^9}, {3.7060335788540444`*^9, 
   3.7060335866557007`*^9}, {3.706033764258354*^9, 3.7060337884153357`*^9}, {
   3.7060357817010975`*^9, 3.706035788904055*^9}, {3.7064783901695986`*^9, 
   3.706478395247201*^9}, {3.7066488990156164`*^9, 3.7066489149098253`*^9}, {
   3.706649011928916*^9, 3.706649050534243*^9}, {3.7066509026013107`*^9, 
   3.7066509597835455`*^9}, {3.7066510900024133`*^9, 
   3.7066511012655077`*^9}, {3.7066533889863744`*^9, 
   3.7066534065166826`*^9}, {3.7066536012390757`*^9, 3.706653631535866*^9}, {
   3.706654109987194*^9, 3.706654143562581*^9}, {3.706695712617319*^9, 
   3.7066957343327074`*^9}, {3.706796293518345*^9, 3.7067963142620163`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], 
                    "2"]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  FractionBox["1", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "5"], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "4"],
                     " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "6"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"4", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "3"],
                     " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"8", " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"8", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "-", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"16", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"3", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"6", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"3", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{Derivative[2, 0][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> -($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
       Hold[
        $CellContext`tret[$CellContext`t, $CellContext`r]]]) $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         1 - (2 + Log[
           E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) (
      4 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
($CellContext`r + ProductLog[E^(-1)]) + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 ($CellContext`r + ProductLog[E^(-1)])^2 - (2 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), 
    Derivative[1, 0][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> (
      1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         $CellContext`b[$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}])^(-1), 
    Derivative[0, 2][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (-1 + (2 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) \
((2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^5 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
      2 ($CellContext`r + ProductLog[E^(-1)])^4 ((-6) Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^4 (1 - 
        2 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (4 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 - 
        4 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
($CellContext`r + ProductLog[E^(-1)])^3 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        8 Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        8 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (8 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) - \
($CellContext`r + ProductLog[E^(-1)])^2 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + 
       2 (8 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - (8 + 
        16 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]^2) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + 
       2 (7 + 2 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + 
      2 ($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^3 (-1 + 
        2 (3 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (6 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (7 + 
          3 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}])), 
    Derivative[0, 1][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> -($CellContext`r + 
      ProductLog[E^(-1)]) ($CellContext`r + 
       ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1)/(
     1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
       2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Inactive[Integrate][
        $CellContext`b[$CellContext`k, 
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), 
    Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       $CellContext`b[$CellContext`k, $CellContext`tret], {$CellContext`k, 0, 
        Rational[1, 2] $CellContext`rs[$CellContext`tret]}], 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       Derivative[
       0, 1][$CellContext`b][$CellContext`k, $CellContext`tret], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[$CellContext`tret]}]}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7067970114771843`*^9, 3.7070526730545406`*^9, 
  3.7070796132893667`*^9, 3.7070966712524676`*^9, 3.7071369961421165`*^9, 
  3.7107088782501717`*^9, 3.710710982076852*^9, 3.7107113178251486`*^9, 
  3.7107115486665173`*^9, 3.7109473904955935`*^9, 3.710963401813041*^9, 
  3.7109685948110924`*^9, 3.710971929222597*^9, 3.7110238575086527`*^9, 
  3.7110267216305075`*^9, 3.7110288292892804`*^9, 3.711139424423951*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "We", " ", "substitute", " ", "the", " ", "energy", " ", "of", " ", "the", 
    " ", "gravitational", " ", "waves", " ", "emitted", " ", "for", " ", 
    "the", " ", "change", " ", "in", " ", "the", " ", "mass", " ", "of", " ", 
    "the", " ", "black", " ", "hole"}], ",", " ", 
   RowBox[{
   "or", " ", "half", " ", "the", " ", "change", " ", "in", " ", "the", " ", 
    "Schwarzschild", " ", 
    RowBox[{"radius", ".", " ", "We"}], " ", "eliminate", " ", "two", " ", 
    "orders", " ", "of", " ", "derivatives", " ", "by", " ", "substituting", 
    " ", "and", " ", "simplifying", " ", "the", " ", "derivatives", " ", "of",
     " ", "tret", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"which", " ", "depends", " ", "on", " ", "the", " ", "time"}], 
       "-", 
       RowBox[{
       "varying", " ", "local", " ", "apparent", " ", "Schwarzschild", " ", 
        "radius"}]}], ")"}], "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7062142703891087`*^9, 3.7062142738815684`*^9}, {
  3.7109474237136664`*^9, 3.7109474683379507`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"NOTE", ":", " ", 
    RowBox[{
    "We", " ", "need", " ", "to", " ", "break", " ", "out", " ", "the", " ", 
     "steps", " ", "to", " ", "show", " ", "that", " ", "the", " ", 
     "replacement", " ", "is", " ", 
     RowBox[{"correct", ".", " ", "The"}], " ", "\"\<FreeQ\>\"", " ", 
     "expressions", " ", "demonstrate", " ", "that", " ", "we", " ", "have", 
     " ", "properly", " ", "substituted", " ", "at", " ", "each", " ", 
     "step"}]}], ",", " ", 
   RowBox[{
   "and", " ", "that", " ", "we", " ", "lose", " ", "no", " ", "dependencies",
     " ", "due", " ", "to", " ", "substitution", " ", 
    RowBox[{"error", ".", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "The", " ", "action", " ", "should", " ", "be", " ", "free", " ", "of",
         " ", "derivatives", " ", "after", " ", "every", " ", 
        RowBox[{"substitution", ".", " ", "As"}], " ", "soon", " ", "as", " ",
         "we", " ", "have", " ", "only", " ", "direct", " ", "t", " ", "and", 
        " ", "r", " ", "dependence"}], ",", " ", 
       RowBox[{
       "we", " ", "replace", " ", "them", " ", "with", " ", "tret", " ", 
        "and", " ", 
        RowBox[{"adv", "."}]}]}], ")"}]}]}]}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.7062138987157445`*^9, 3.7062139398258724`*^9}, {
  3.70621397354376*^9, 3.7062143659719734`*^9}, {3.7062144025789003`*^9, 
  3.7062144818850994`*^9}, {3.7062146425466843`*^9, 3.706214643511368*^9}, {
  3.7109474770900187`*^9, 3.710947531596428*^9}, {3.748303805555135*^9, 
  3.7483038540621247`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "part1", "]"}]], "Input",
 CellChangeTimes->{{3.70661898580243*^9, 3.706619000104952*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part1", "=", 
   RowBox[{"mixedAction", "/.", "actionDispatch1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706214454049369*^9, 3.706214458529555*^9}, 
   3.7062145079665813`*^9, 3.7062145841041*^9, {3.7062146186866026`*^9, 
   3.7062146211903763`*^9}, {3.706618949977069*^9, 3.706618960477949*^9}, {
   3.706624296880173*^9, 3.7066243359762545`*^9}, {3.7066534495513477`*^9, 
   3.7066534529550567`*^9}, 3.706654174606394*^9, {3.7066961052296925`*^9, 
   3.706696108839039*^9}, {3.710709034669042*^9, 3.7107090362531333`*^9}, {
   3.710710954984371*^9, 3.710710956554002*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           FractionBox[
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                   RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                  ")"}], "4"]}], "+", 
               TemplateBox[{"6"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}], 
            RowBox[{"64", " ", "\[Pi]", " ", "r", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"r", "-", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "3"]}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 213, 32815564352516750793, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 213, 32815564352516750793, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 213, 32815564352516750793, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[213]]], "Output",
 CellChangeTimes->{3.710711317919203*^9, 3.7107115493390045`*^9, 
  3.710947390581194*^9, 3.7109634019521475`*^9, 3.7109685949181566`*^9, 
  3.710971929314663*^9, 3.7110238576027393`*^9, 3.7110267217175827`*^9, 
  3.7110288293753757`*^9, 3.71113942450875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.710708766426069*^9, 
   3.7107087665671577`*^9}, {3.710711018128372*^9, 3.710711019937623*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011692658*^9, 3.70705267336576*^9, 
  3.707079613582587*^9, 3.707096671480565*^9, 3.7071369971004944`*^9, 
  3.7107088783632603`*^9, 3.7107090438873563`*^9, 3.7107109910877686`*^9, 
  3.7107110682458663`*^9, 3.710711317929222*^9, 3.7107115495523787`*^9, 
  3.7109473905982265`*^9, 3.7109634019692593`*^9, 3.710968594936186*^9, 
  3.710971929334676*^9, 3.7110238576217327`*^9, 3.711026721736583*^9, 
  3.7110288293903856`*^9, 3.7111394245247436`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.710708769806054*^9, 3.7107087699011207`*^9}, {
   3.710711026147724*^9, 3.7107110283741055`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011706167*^9, 3.707052673384272*^9, 
  3.707079613597603*^9, 3.707096671495575*^9, 3.7071369971455326`*^9, 
  3.7107088783732677`*^9, 3.710709043898376*^9, 3.7107109911328*^9, 
  3.710711068256875*^9, 3.710711317940219*^9, 3.7107115495633993`*^9, 
  3.710947390613221*^9, 3.7109634019812703`*^9, 3.7109685949461775`*^9, 
  3.710971929347686*^9, 3.7110238576337414`*^9, 3.711026721749593*^9, 
  3.711028829400893*^9, 3.7111394245352535`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.7107087730617685`*^9, 3.710708773152051*^9}, {
   3.710711032202963*^9, 3.7107110340609484`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011718752*^9, 3.7070526734022875`*^9, 
  3.7070796136166143`*^9, 3.707096671509585*^9, 3.707136997199066*^9, 
  3.710708878384276*^9, 3.710709043910384*^9, 3.7107109911428056`*^9, 
  3.710711068268901*^9, 3.7107113179522276`*^9, 3.710711549576395*^9, 
  3.710947390624242*^9, 3.7109634019917965`*^9, 3.7109685949581966`*^9, 
  3.7109719293606944`*^9, 3.7110238576467505`*^9, 3.7110267217616*^9, 
  3.7110288294119005`*^9, 3.7111394245452633`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7107087757734833`*^9, 3.7107087758615327`*^9}, {3.7107110382841277`*^9, 
   3.7107110400263686`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011732257*^9, 3.7070526734207983`*^9, 
  3.7070796136326275`*^9, 3.707096671523096*^9, 3.707136997253107*^9, 
  3.7107088783952694`*^9, 3.7107090439233956`*^9, 3.710710991152812*^9, 
  3.7107110682808914`*^9, 3.710711317962235*^9, 3.7107115495874133`*^9, 
  3.7109473906392527`*^9, 3.7109634020033045`*^9, 3.7109685949691935`*^9, 
  3.710971929374705*^9, 3.7110238576577587`*^9, 3.7110267217726145`*^9, 
  3.711028829421908*^9, 3.711139424556285*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}, {3.710708778442186*^9, 3.7107087785362515`*^9}, {
   3.7107110445626287`*^9, 3.710711045683758*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117457705`*^9, 3.7070526734603367`*^9, 
  3.707079613647636*^9, 3.7070966715361032`*^9, 3.7071369973071404`*^9, 
  3.71070887840629*^9, 3.710709043935398*^9, 3.71071099116282*^9, 
  3.7107110682918987`*^9, 3.7107113179732428`*^9, 3.710711549599412*^9, 
  3.7109473906502485`*^9, 3.7109634020211926`*^9, 3.7109685949791994`*^9, 
  3.7109719293887296`*^9, 3.7110238576697793`*^9, 3.7110267217846165`*^9, 
  3.7110288294329157`*^9, 3.711139424568279*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}, {
   3.710708781045534*^9, 3.710708781131608*^9}, {3.7107110499183197`*^9, 
   3.7107110515998635`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011758847*^9, 3.7070526734753475`*^9, 
  3.7070796136656504`*^9, 3.7070966715496135`*^9, 3.7071369974197197`*^9, 
  3.710708878417299*^9, 3.7107090439453983`*^9, 3.7107109911748285`*^9, 
  3.710711068302907*^9, 3.71071131798425*^9, 3.710711549612421*^9, 
  3.710947390661256*^9, 3.7109634020362043`*^9, 3.7109685949902163`*^9, 
  3.710971929401724*^9, 3.7110238576817846`*^9, 3.711026721796626*^9, 
  3.711028829443924*^9, 3.7111394245792994`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}, {
   3.7107087838912654`*^9, 3.71070878396832*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117718687`*^9, 3.7070526734918633`*^9, 
  3.707079613681667*^9, 3.7070966715651245`*^9, 3.707136997470256*^9, 
  3.710708878428306*^9, 3.710709043957405*^9, 3.7107109911858377`*^9, 
  3.7107110683139143`*^9, 3.710711317994257*^9, 3.7107115496234417`*^9, 
  3.7109473906722765`*^9, 3.7109634020482254`*^9, 3.710968595001224*^9, 
  3.710971929414733*^9, 3.711023857693796*^9, 3.7110267218076344`*^9, 
  3.7110288294549313`*^9, 3.7111394245902944`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}, {3.7107087885234227`*^9, 
   3.7107087886094832`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117848673`*^9, 3.70705267350836*^9, 
  3.707079613696676*^9, 3.707096671579134*^9, 3.7071369975197906`*^9, 
  3.7107088784393015`*^9, 3.7107090439684143`*^9, 3.7107109911958427`*^9, 
  3.7107110683249226`*^9, 3.7107113180062656`*^9, 3.7107115496364484`*^9, 
  3.7109473906822824`*^9, 3.710963402058232*^9, 3.710968595012232*^9, 
  3.7109719294267416`*^9, 3.711023857704805*^9, 3.711026721821643*^9, 
  3.7110288294664392`*^9, 3.711139424601303*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, {3.7107087911212254`*^9, 
   3.7107087912092876`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117983913`*^9, 3.707052673524871*^9, 
  3.7070796137156906`*^9, 3.7070966715926437`*^9, 3.7071369975708265`*^9, 
  3.7107088784493213`*^9, 3.710709043980423*^9, 3.71071099120685*^9, 
  3.7107110683359303`*^9, 3.7107113180162725`*^9, 3.7107115496484466`*^9, 
  3.7109473906912947`*^9, 3.710963402069227*^9, 3.710968595024241*^9, 
  3.71097192943775*^9, 3.711023857716813*^9, 3.71102672183265*^9, 
  3.711028829477701*^9, 3.711139424611322*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, {3.710708795540551*^9, 3.710708795626613*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970118114004`*^9, 3.7070526735418863`*^9, 
  3.7070796137327023`*^9, 3.7070966716051626`*^9, 3.7071369976203628`*^9, 
  3.7107088784593277`*^9, 3.7107090439914317`*^9, 3.7107109912178583`*^9, 
  3.7107110683469396`*^9, 3.71071131802728*^9, 3.7107115496614666`*^9, 
  3.710947390702297*^9, 3.7109634020802474`*^9, 3.7109685950362387`*^9, 
  3.7109719294497576`*^9, 3.7110238577298098`*^9, 3.7110267218446593`*^9, 
  3.7110288294894447`*^9, 3.7111394246233273`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part2", "]"}]], "Input",
 CellChangeTimes->{{3.706619006547717*^9, 3.706619008947876*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part2", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"ReleaseHold", "[", "part1", "]"}], "/.", "actionDispatch2"}], 
    ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062151778259754`*^9, 3.7062151798088675`*^9}, {
   3.706618970466958*^9, 3.706618977879029*^9}, {3.7066190180887847`*^9, 
   3.7066190220028777`*^9}, {3.7066190642140007`*^9, 3.706619068551487*^9}, {
   3.706619141032773*^9, 3.7066191451473627`*^9}, 3.706619318226982*^9, {
   3.7066242113094826`*^9, 3.706624221932489*^9}, {3.7066243440194364`*^9, 
   3.7066243460224853`*^9}, {3.706638918135659*^9, 3.706638926885065*^9}, {
   3.706649084792491*^9, 3.7066490885648603`*^9}, {3.706649140429368*^9, 
   3.706649202080886*^9}, {3.7066497217261195`*^9, 3.7066497367470055`*^9}, {
   3.706650842280785*^9, 3.706650854095054*^9}, {3.7066540507956977`*^9, 
   3.706654055366178*^9}, 3.7066541842598677`*^9}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.015625`", ",", 
           FractionBox[
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "+", 
                   RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                  ")"}], "4"]}], "+", 
               TemplateBox[{"6"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}], 
            RowBox[{"64", " ", "\[Pi]", " ", "r", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"r", "-", 
                RowBox[{"rs", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "-", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "3"]}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 225, 32815564352516750793, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 225, 32815564352516750793, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 225, 32815564352516750793, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[225]]], "Output",
 CellChangeTimes->{3.706797011664652*^9, 3.7070526733307343`*^9, 
  3.707079613551565*^9, 3.707096671453548*^9, 3.707136997005433*^9, 
  3.7107090639661236`*^9, 3.7107113323480334`*^9, 3.710711549997707*^9, 
  3.7109473908063755`*^9, 3.7109634021913266`*^9, 3.710968595123314*^9, 
  3.7109719295178056`*^9, 3.7110238578098803`*^9, 3.71102672191072*^9, 
  3.711028829557521*^9, 3.71113942468938*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011692658*^9, 3.70705267336576*^9, 
  3.707079613582587*^9, 3.707096671480565*^9, 3.7071369971004944`*^9, 
  3.7107090639881396`*^9, 3.7107113323690476`*^9, 3.710711550456259*^9, 
  3.7109473908273926`*^9, 3.7109634022083254`*^9, 3.710968595140313*^9, 
  3.7109719295358186`*^9, 3.7110238578328953`*^9, 3.7110267219267178`*^9, 
  3.711028829580349*^9, 3.711139424706402*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011706167*^9, 3.707052673384272*^9, 
  3.707079613597603*^9, 3.707096671495575*^9, 3.7071369971455326`*^9, 
  3.7107090640001483`*^9, 3.7107113323820443`*^9, 3.710711550468259*^9, 
  3.710947390838398*^9, 3.7109634022183456`*^9, 3.7109685951523213`*^9, 
  3.7109719295468264`*^9, 3.711023857844903*^9, 3.7110267219377375`*^9, 
  3.71102882959087*^9, 3.7111394247174006`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011718752*^9, 3.7070526734022875`*^9, 
  3.7070796136166143`*^9, 3.707096671509585*^9, 3.707136997199066*^9, 
  3.710709064011157*^9, 3.710711332393063*^9, 3.7107115504802666`*^9, 
  3.7109473908494015`*^9, 3.71096340222935*^9, 3.7109685951623287`*^9, 
  3.710971929558835*^9, 3.7110238578559113`*^9, 3.7110267219497504`*^9, 
  3.7110288296018653`*^9, 3.7111394247284203`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011732257*^9, 3.7070526734207983`*^9, 
  3.7070796136326275`*^9, 3.707096671523096*^9, 3.707136997253107*^9, 
  3.7107090640221767`*^9, 3.7107113324050603`*^9, 3.7107115504932904`*^9, 
  3.7109473908593955`*^9, 3.710963402240348*^9, 3.7109685951733494`*^9, 
  3.7109719295698423`*^9, 3.7110238578679166`*^9, 3.7110267219597597`*^9, 
  3.711028829612872*^9, 3.7111394247394295`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117457705`*^9, 3.7070526734603367`*^9, 
  3.707079613647636*^9, 3.7070966715361032`*^9, 3.7071369973071404`*^9, 
  3.710709064034173*^9, 3.7107113324170756`*^9, 3.7107115505042953`*^9, 
  3.7109473908704033`*^9, 3.710963402251356*^9, 3.710968595185346*^9, 
  3.710971929581851*^9, 3.7110238578799148`*^9, 3.7110267219737625`*^9, 
  3.7110288296233807`*^9, 3.711139424749439*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011758847*^9, 3.7070526734753475`*^9, 
  3.7070796136656504`*^9, 3.7070966715496135`*^9, 3.7071369974197197`*^9, 
  3.7107090640451803`*^9, 3.7107113324280767`*^9, 3.710711550517292*^9, 
  3.7109473908804235`*^9, 3.710963402263377*^9, 3.710968595196353*^9, 
  3.710971929593859*^9, 3.7110238578909235`*^9, 3.7110267219857583`*^9, 
  3.711028829635389*^9, 3.7111394247604465`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117718687`*^9, 3.7070526734918633`*^9, 
  3.707079613681667*^9, 3.7070966715651245`*^9, 3.707136997470256*^9, 
  3.710709064055187*^9, 3.710711332439085*^9, 3.7107115505303016`*^9, 
  3.71094739089043*^9, 3.7109634022753735`*^9, 3.7109685952073717`*^9, 
  3.7109719296078696`*^9, 3.7110238579029446`*^9, 3.711026721996768*^9, 
  3.711028829645396*^9, 3.7111394247714543`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117848673`*^9, 3.70705267350836*^9, 
  3.707079613696676*^9, 3.707096671579134*^9, 3.7071369975197906`*^9, 
  3.710709064066195*^9, 3.7107113324510937`*^9, 3.7107115505433235`*^9, 
  3.7109473909014406`*^9, 3.710963402287381*^9, 3.710968595218379*^9, 
  3.710971929617877*^9, 3.7110238579149404`*^9, 3.711026722008775*^9, 
  3.7110288296559157`*^9, 3.711139424781474*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117983913`*^9, 3.707052673524871*^9, 
  3.7070796137156906`*^9, 3.7070966715926437`*^9, 3.7071369975708265`*^9, 
  3.710709064077203*^9, 3.710711332462101*^9, 3.7107115505543203`*^9, 
  3.7109473909124336`*^9, 3.7109634022974014`*^9, 3.710968595229376*^9, 
  3.710971929629885*^9, 3.7110238579259605`*^9, 3.711026722019796*^9, 
  3.7110288296664104`*^9, 3.7111394247924695`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970118114004`*^9, 3.7070526735418863`*^9, 
  3.7070796137327023`*^9, 3.7070966716051626`*^9, 3.7071369976203628`*^9, 
  3.7107090640892115`*^9, 3.7107113324741096`*^9, 3.7107115505673413`*^9, 
  3.7109473909234543`*^9, 3.7109634023084064`*^9, 3.7109685952403965`*^9, 
  3.7109719296398935`*^9, 3.711023857938958*^9, 3.711026722031804*^9, 
  3.7110288296774187`*^9, 3.7111394248044786`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part3", "]"}]], "Input",
 CellChangeTimes->{{3.7062152405937815`*^9, 3.706215244254385*^9}, {
  3.706619025284499*^9, 3.7066190276926603`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part3", "=", 
   RowBox[{"ReleaseHold", "[", "part2", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706215246833702*^9, 3.706215250583861*^9}, {
   3.706619031446687*^9, 3.706619054850689*^9}, {3.7066191495636835`*^9, 
   3.7066191496676917`*^9}, 3.7066193203487835`*^9, {3.706624132920161*^9, 
   3.7066241690121803`*^9}, {3.7066243489429207`*^9, 3.706624350976511*^9}, {
   3.706638974472149*^9, 3.7066389956375675`*^9}, {3.7066492157598977`*^9, 
   3.7066492387415266`*^9}, {3.7066497413816605`*^9, 3.70664975143225*^9}, {
   3.7066542963603945`*^9, 3.706654308437786*^9}, {3.706654366971634*^9, 
   3.7066543861177993`*^9}, {3.706654433697198*^9, 3.706654438914833*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           FractionBox[
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "+", 
                   RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                  ")"}], "4"]}], "+", 
               TemplateBox[{"7"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["r", "4"], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]], "-", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}], "-", 
                  RowBox[{"2", " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "3"], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}], "+", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                  RowBox[{
                   SuperscriptBox["r", "4"], " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], "-", 
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]}], ")"}], "2"], " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}]}], ")"}]}], 
            RowBox[{"64", " ", "\[Pi]", " ", "r", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"r", "-", 
                RowBox[{"rs", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "-", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "3"]}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 237, 32815564352516750793, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 237, 32815564352516750793, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 237, 32815564352516750793, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[237]]], "Output",
 CellChangeTimes->{3.7067970118759317`*^9, 3.7070526736439705`*^9, 
  3.7070796138203626`*^9, 3.7070966716767054`*^9, 3.707136997977621*^9, 
  3.7107090786144514`*^9, 3.7107113327773256`*^9, 3.710711550913585*^9, 
  3.710947390993491*^9, 3.7109634024224896`*^9, 3.7109686072440176`*^9, 
  3.7109719296989346`*^9, 3.7110238580169744`*^9, 3.71102672208985*^9, 
  3.7110288297369604`*^9, 3.7111394248665485`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.706654333537593*^9, 
   3.7066543336536913`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.70679701190245*^9, 3.7070526736779947`*^9, 
  3.707079613851386*^9, 3.707096671702222*^9, 3.7071369980777636`*^9, 
  3.710709078637468*^9, 3.7107113328023415`*^9, 3.710711551382147*^9, 
  3.7109473910145054`*^9, 3.710963402448496*^9, 3.710968607369106*^9, 
  3.710971929719949*^9, 3.7110238580495753`*^9, 3.71102672211086*^9, 
  3.7110288297599773`*^9, 3.711139424889553*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, 3.7066543368029566`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011915066*^9, 3.7070526736959925`*^9, 
  3.707079613866396*^9, 3.70709667171523*^9, 3.7071369981172976`*^9, 
  3.710709078649477*^9, 3.71071133281435*^9, 3.710711551652338*^9, 
  3.710947391026517*^9, 3.710963402461505*^9, 3.7109686073801136`*^9, 
  3.710971929731957*^9, 3.7110238580645866`*^9, 3.711026722121856*^9, 
  3.7110288297699842`*^9, 3.7111394249015613`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, 3.7066543377221355`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011929561*^9, 3.707052673713505*^9, 
  3.7070796138814087`*^9, 3.7070966717282395`*^9, 3.7071369981663327`*^9, 
  3.7107090786604843`*^9, 3.710711332826359*^9, 3.710711551935602*^9, 
  3.7109473910375223`*^9, 3.710963402473513*^9, 3.7109686073911214`*^9, 
  3.7109719297439656`*^9, 3.711023858075593*^9, 3.7110267221338634`*^9, 
  3.7110288297809925`*^9, 3.7111394249175725`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, 
   3.7066543386733255`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011943571*^9, 3.70705267373202*^9, 
  3.7070796138964195`*^9, 3.7070966717417393`*^9, 3.707136998223386*^9, 
  3.7107090786734934`*^9, 3.7107113328363657`*^9, 3.710711551950611*^9, 
  3.7109473910485296`*^9, 3.7109634024855223`*^9, 3.710968607402129*^9, 
  3.7109719297529716`*^9, 3.711023858086602*^9, 3.7110267221448717`*^9, 
  3.711028829792575*^9, 3.7111394249285793`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}, 3.706654339672192*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970119570804`*^9, 3.707052673751532*^9, 
  3.7070796139114323`*^9, 3.707096671754739*^9, 3.70713699827192*^9, 
  3.7107090786865025`*^9, 3.7107113328483877`*^9, 3.710711552202791*^9, 
  3.7109473910595503`*^9, 3.710963402498531*^9, 3.71096860741341*^9, 
  3.7109719297649803`*^9, 3.71102385809761*^9, 3.711026722154891*^9, 
  3.7110288298040733`*^9, 3.7111394249397526`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}, 
   3.7066543406228957`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.70679701197009*^9, 3.7070526737680454`*^9, 
  3.707079613926443*^9, 3.7070966717674084`*^9, 3.7071369983455067`*^9, 
  3.7107090786997657`*^9, 3.710711332860383*^9, 3.7107115522218046`*^9, 
  3.7109473910715466`*^9, 3.7109634025125427`*^9, 3.7109686074244194`*^9, 
  3.7109719297759886`*^9, 3.7110238581086173`*^9, 3.7110267221678877`*^9, 
  3.71102882981458*^9, 3.711139424951417*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}, 
   3.706654341922807*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970119841*^9, 3.7070526737845554`*^9, 
  3.7070796139404526`*^9, 3.7070966717809196`*^9, 3.7071369984405737`*^9, 
  3.710709078709773*^9, 3.71071133287039*^9, 3.710711552240818*^9, 
  3.7109473910815525`*^9, 3.71096340252555*^9, 3.710968607436426*^9, 
  3.7109719297879972`*^9, 3.7110238581206255`*^9, 3.711026722178908*^9, 
  3.7110288298255887`*^9, 3.7111394249644256`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}, 3.706654342843735*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011997609*^9, 3.7070526738015676`*^9, 
  3.7070796139554634`*^9, 3.7070966717941303`*^9, 3.7071369984846053`*^9, 
  3.710709078721792*^9, 3.710711332881398*^9, 3.710711552255828*^9, 
  3.710947391092561*^9, 3.7109634026506386`*^9, 3.710968607448435*^9, 
  3.7109719297990055`*^9, 3.711023858132634*^9, 3.7110267221899137`*^9, 
  3.711028829837096*^9, 3.711139424977435*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, 3.706654343803641*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970120126195`*^9, 3.7070526738180933`*^9, 
  3.7070796139714766`*^9, 3.707096671807639*^9, 3.7071369985361414`*^9, 
  3.710709078733803*^9, 3.710711332892406*^9, 3.710711552268837*^9, 
  3.710947391103582*^9, 3.710963402661647*^9, 3.7109686074604435`*^9, 
  3.7109719298090115`*^9, 3.7110238581436424`*^9, 3.7110267222019296`*^9, 
  3.7110288298481054`*^9, 3.711139424989444*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, 3.7066543449255176`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.70679701202713*^9, 3.707052673834605*^9, 
  3.7070796139874897`*^9, 3.7070966718206496`*^9, 3.7071369985846753`*^9, 
  3.710709078745798*^9, 3.710711332904414*^9, 3.710711552281847*^9, 
  3.7109473911135883`*^9, 3.710963402671666*^9, 3.710968607471451*^9, 
  3.710971929819019*^9, 3.711023858163657*^9, 3.7110267222139196`*^9, 
  3.7110288298588476`*^9, 3.7111394249994507`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part4", "]"}]], "Input",
 CellChangeTimes->{{3.7062152405937815`*^9, 3.706215244254385*^9}, {
  3.706619025284499*^9, 3.7066190276926603`*^9}, {3.706654481687329*^9, 
  3.7066544818407874`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part4", "=", 
   RowBox[{"part3", "/.", 
    RowBox[{
     RowBox[{"tret", "[", 
      RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", "tret"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706215246833702*^9, 3.706215250583861*^9}, {
   3.706619031446687*^9, 3.706619054850689*^9}, {3.7066191495636835`*^9, 
   3.7066191496676917`*^9}, 3.7066193203487835`*^9, {3.706624132920161*^9, 
   3.7066241690121803`*^9}, {3.7066243489429207`*^9, 3.706624350976511*^9}, {
   3.706638974472149*^9, 3.7066389956375675`*^9}, {3.7066492157598977`*^9, 
   3.7066492387415266`*^9}, {3.7066497413816605`*^9, 3.70664975143225*^9}, {
   3.7066542963603945`*^9, 3.706654308437786*^9}, {3.706654366971634*^9, 
   3.7066543861177993`*^9}, {3.706654433697198*^9, 3.706654438914833*^9}, {
   3.706654485006815*^9, 3.7066544999848537`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.015625`", ",", 
           FractionBox[
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                  ")"}], "4"]}], "+", 
               TemplateBox[{"7"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["r", "4"], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]], 
                    "-", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}], "-", 
                  RowBox[{"2", " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "3"], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}], "+", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                  RowBox[{
                   SuperscriptBox["r", "4"], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], "-", 
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}], "2"], " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}]}], ")"}]}], 
            RowBox[{"64", " ", "\[Pi]", " ", "r", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"r", "-", 
                RowBox[{"rs", "[", "tret", "]"}], "-", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "3"]}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 249, 32815564352516750793, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 249, 32815564352516750793, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 249, 32815564352516750793, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[249]]], "Output",
 CellChangeTimes->{3.7067970121707325`*^9, 3.7070526740369997`*^9, 
  3.7070796140825605`*^9, 3.707096671896716*^9, 3.7071369988974237`*^9, 
  3.7107090922997856`*^9, 3.7107113332056274`*^9, 3.710711552846245*^9, 
  3.710947391202651*^9, 3.7109634027897377`*^9, 3.7109686075835314`*^9, 
  3.710971929882063*^9, 3.7110238582417107`*^9, 3.711026722285983*^9, 
  3.7110288299224896`*^9, 3.711139425064015*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part4", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.706654333537593*^9, 
   3.7066543336536913`*^9}, {3.7066545215464315`*^9, 3.706654525518781*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970131620197`*^9, 3.707052675133671*^9, 
  3.7070796141135845`*^9, 3.7070966719247227`*^9, 3.707136998994121*^9, 
  3.7107090923107805`*^9, 3.710711333765684*^9, 3.71071155352773*^9, 
  3.7109473912246675`*^9, 3.7109634030609303`*^9, 3.7109686076055465`*^9, 
  3.7109719299130855`*^9, 3.7110238583587933`*^9, 3.7110267223390245`*^9, 
  3.7110288299514494`*^9, 3.711139425089032*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part4", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, 3.7066543368029566`*^9, {3.706654531539798*^9, 
   3.7066545348888583`*^9}}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.7067970131740427`*^9, 3.707052675149669*^9, 
  3.7070796141295958`*^9, 3.707096671938237*^9, 3.7071369990396295`*^9, 
  3.710709092320804*^9, 3.7107113337766914`*^9, 3.7107115535397367`*^9, 
  3.7109473912346735`*^9, 3.7109634030769415`*^9, 3.7109686076165543`*^9, 
  3.7109719299341*^9, 3.7110238583698125`*^9, 3.711026722355034*^9, 
  3.7110288299624405`*^9, 3.7111394250990515`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part5", "]"}]], "Input",
 CellChangeTimes->{{3.7070796745990076`*^9, 3.7070796811603165`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part5", "=", 
   RowBox[{"part4", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "\[Rule]", 
       RowBox[{
        RowBox[{"1", "/", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "+", "tret", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}]}], ",", 
      RowBox[{"r", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                FractionBox["tret", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
              RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}]}], "-", 
         RowBox[{"ProductLog", "[", 
          RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7062155547968793`*^9, 3.7062155556284695`*^9}, {
   3.7066192502887297`*^9, 3.706619270532578*^9}, 3.706647037217538*^9, {
   3.7066545566884704`*^9, 3.7066545589232144`*^9}, {3.7070525339688964`*^9, 
   3.707052566764186*^9}, {3.707079093125204*^9, 3.7070791157068367`*^9}, 
   3.707079655285966*^9}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           FractionBox[
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
                   RowBox[{"rs", "[", "tret", "]"}], "-", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}], "+", 
                   RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                  ")"}], "4"]}], "+", 
               TemplateBox[{"7"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}], 
            RowBox[{"64", " ", "\[Pi]", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"ProductLog", "[", 
                 FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], "-", 
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", "tret", "]"}]}], "-", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "3"]}]]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 253, 32815564352516750793, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 253, 32815564352516750793, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 253, 32815564352516750793, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[253]]], "Output",
 CellChangeTimes->{3.7067970132460794`*^9, 3.707052675234742*^9, 
  3.707079614226274*^9, 3.7070796960050955`*^9, 3.7070966720363245`*^9, 
  3.707136999404229*^9, 3.7107090994668455`*^9, 3.710711334078906*^9, 
  3.710711553889983*^9, 3.710947391348755*^9, 3.7109634031860175`*^9, 
  3.710968607722629*^9, 3.710971930013156*^9, 3.7110238584438534`*^9, 
  3.711026722432087*^9, 3.7110288300323396`*^9, 3.7111394251721106`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part5", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706215460996825*^9, 3.706215491152727*^9}, 3.7066192935106173`*^9, {
   3.7066545812088137`*^9, 3.706654581302062*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797013270111*^9, 3.7070526752667513`*^9, 
  3.707079614254293*^9, 3.7070796960311146`*^9, 3.7070966720596714`*^9, 
  3.70713699949881*^9, 3.71070909947784*^9, 3.7107113340989075`*^9, 
  3.7107115546285057`*^9, 3.7109473913687663`*^9, 3.71096340320403*^9, 
  3.7109686077436438`*^9, 3.7109719300321703`*^9, 3.71102385846487*^9, 
  3.7110267224521008`*^9, 3.711028830050942*^9, 3.711139425195113*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part5", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, {
   3.7062154710174227`*^9, 3.7062154931891913`*^9}, 3.706619294614687*^9, {
   3.706654585086229*^9, 3.7066545851721334`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970132821198`*^9, 3.7070526752847633`*^9, 
  3.7070796142693033`*^9, 3.707079696047126*^9, 3.707096672073681*^9, 
  3.7071369995427227`*^9, 3.7107090994878607`*^9, 3.7107113341109285`*^9, 
  3.7107115546415167`*^9, 3.7109473914598207`*^9, 3.710963403215038*^9, 
  3.710968607756654*^9, 3.710971930058189*^9, 3.7110238584748774`*^9, 
  3.7110267224640975`*^9, 3.7110288300622983`*^9, 3.7111394252081223`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "action", "]"}]], "Input",
 CellChangeTimes->{{3.70661934432819*^9, 3.7066193484420156`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Optional", " ", "simplification", " ", "that", " ", "takes", " ", "a", " ",
    "long", " ", 
   RowBox[{"time", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7066546732748623`*^9, 3.706654679224305*^9}, {
  3.706654824082139*^9, 3.7066548334537473`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Timing", "[", 
   RowBox[{"action", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"part5", ",", 
      RowBox[{"TimeConstraint", "\[Rule]", "1"}]}], "]"}]}], "]"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.706033714218753*^9, 3.7060337474537334`*^9}, {
   3.7060338125520315`*^9, 3.7060338155505257`*^9}, {3.706033856558793*^9, 
   3.7060338727588377`*^9}, 3.7060344183796415`*^9, 3.70603461027704*^9, {
   3.7060358937130594`*^9, 3.70603590140924*^9}, {3.706036091270903*^9, 
   3.706036098641983*^9}, {3.7060362948007603`*^9, 3.706036324833975*^9}, {
   3.7060387331409287`*^9, 3.70603874923289*^9}, {3.7060503164107027`*^9, 
   3.706050434550256*^9}, {3.7060506387248707`*^9, 3.7060506558604617`*^9}, 
   3.7060509790232434`*^9, {3.7060510361427975`*^9, 3.7060510803264856`*^9}, {
   3.7060511168335247`*^9, 3.7060511190375204`*^9}, {3.706051247761168*^9, 
   3.7060512797731543`*^9}, {3.706051622654997*^9, 3.706051627134486*^9}, {
   3.7060517261424913`*^9, 3.7060517287163577`*^9}, {3.7060812734735556`*^9, 
   3.70608130352538*^9}, 3.7061838973514943`*^9, {3.7061840431452*^9, 
   3.7061840499418507`*^9}, {3.706202593302619*^9, 3.706202600336193*^9}, {
   3.706202723277877*^9, 3.7062027324230304`*^9}, {3.7062052141018105`*^9, 
   3.7062052157669907`*^9}, {3.7066053621210527`*^9, 
   3.7066054000228486`*^9}, {3.7066058980005426`*^9, 
   3.7066059128060155`*^9}, {3.706619282976776*^9, 3.7066192984013667`*^9}, {
   3.7066545953077955`*^9, 3.706654611083618*^9}, {3.706654816888632*^9, 
   3.706654819558566*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"action", "=", "part5"}]], "Input",
 CellChangeTimes->{{3.706033714218753*^9, 3.7060337474537334`*^9}, {
   3.7060338125520315`*^9, 3.7060338155505257`*^9}, {3.706033856558793*^9, 
   3.7060338727588377`*^9}, 3.7060344183796415`*^9, 3.70603461027704*^9, {
   3.7060358937130594`*^9, 3.70603590140924*^9}, {3.706036091270903*^9, 
   3.706036098641983*^9}, {3.7060362948007603`*^9, 3.706036324833975*^9}, {
   3.7060387331409287`*^9, 3.70603874923289*^9}, {3.7060503164107027`*^9, 
   3.706050434550256*^9}, {3.7060506387248707`*^9, 3.7060506558604617`*^9}, 
   3.7060509790232434`*^9, {3.7060510361427975`*^9, 3.7060510803264856`*^9}, {
   3.7060511168335247`*^9, 3.7060511190375204`*^9}, {3.706051247761168*^9, 
   3.7060512797731543`*^9}, {3.706051622654997*^9, 3.706051627134486*^9}, {
   3.7060517261424913`*^9, 3.7060517287163577`*^9}, {3.7060812734735556`*^9, 
   3.70608130352538*^9}, 3.7061838973514943`*^9, {3.7061840431452*^9, 
   3.7061840499418507`*^9}, {3.706202593302619*^9, 3.706202600336193*^9}, {
   3.706202723277877*^9, 3.7062027324230304`*^9}, {3.7062052141018105`*^9, 
   3.7062052157669907`*^9}, {3.7066053621210527`*^9, 
   3.7066054000228486`*^9}, {3.7066058980005426`*^9, 
   3.7066059128060155`*^9}, {3.706619282976776*^9, 3.7066192984013667`*^9}, {
   3.7066545953077955`*^9, 3.706654611083618*^9}, {3.70665465437514*^9, 
   3.706654665365509*^9}, {3.7066548374242334`*^9, 3.706654842219472*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         FractionBox[
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"Sin", "[", "theta", "]"}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"8", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
                 RowBox[{"rs", "[", "tret", "]"}], "-", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}], "+", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}], "4"]}], "+", 
             TemplateBox[{"7"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], ")"}]}]}], ")"}]}], 
          RowBox[{"64", " ", "\[Pi]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"ProductLog", "[", 
                 FractionBox[
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["radv", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "-", 
                    FractionBox["tret", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}]], 
                  RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}]}], "-", 
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                   RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}], " ", 
               RowBox[{"rs", "[", "tret", "]"}]}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                  RowBox[{"rs", "[", "tret", "]"}], "2"]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], "3"]}]],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 259, 32815564352516750793, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 259, 32815564352516750793, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 259, 32815564352516750793, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[259]]], "Output",
 CellChangeTimes->{3.706797013380175*^9, 3.707052675410853*^9, 
  3.7070796144159155`*^9, 3.707079696162212*^9, 3.7070966721927223`*^9, 
  3.7071369999770517`*^9, 3.710709117849481*^9, 3.71071133442914*^9, 
  3.7107115549797554`*^9, 3.7109473915869107`*^9, 3.71096340334114*^9, 
  3.710968607908761*^9, 3.710971930149253*^9, 3.7110238585539317`*^9, 
  3.711026722548174*^9, 3.7110288301435633`*^9, 3.7111394253542647`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "black", " ", "hole", " ", "must", " ", "emit", " ", 
     "momentum"}], "-", 
    RowBox[{"conserving", " ", "groups", " ", "of", " ", "gravitons"}]}], ",",
    " ", 
   RowBox[{
   "such", " ", "as", " ", "entangled", " ", "pairs", " ", "travelling", " ", 
    "opposite", " ", 
    RowBox[{"directions", ".", " ", "Hence"}]}], ",", " ", 
   RowBox[{"k0", "\[LessEqual]", 
    RowBox[{
     RowBox[{"rs", "/", "2."}], " ", "We", " ", "omit", " ", "just", " ", 
     "the", " ", "limit", " ", "of", " ", "full", " ", "radiation", " ", "or",
      " ", "zero", " ", "mass", " ", "for", " ", "the", " ", "black", " ", 
     "hole"}]}], ",", " ", 
   RowBox[{"for", " ", 
    RowBox[{"simplification", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706268744478545*^9, 3.7062688079098167`*^9}, {
  3.706269800112443*^9, 3.7062698218608327`*^9}, {3.706272971073468*^9, 
  3.706272979575471*^9}, {3.710947553102855*^9, 3.710947591246303*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Let", "'"}], "s", " ", "look", " ", "at", " ", "the", " ", 
   RowBox[{"(", "presumable", ")"}], " ", 
   RowBox[{"eigenstates", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7061786165238314`*^9, 3.7061786348850875`*^9}, 
   3.70713643774555*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "b", "]"}]], "Input",
 CellChangeTimes->{{3.705965029871872*^9, 3.705965031619845*^9}, {
  3.7061785929359636`*^9, 3.7061785963390837`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"b", "[", 
   RowBox[{"k_", ",", "tret_"}], "]"}], ":=", 
  RowBox[{"b0", "*", 
   RowBox[{"DiracDelta", "[", 
    RowBox[{"k0", "-", "k"}], "]"}], "*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{"tret", "-", "tMin"}], "]"}], "-", 
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{"tMax", "-", "tret"}], "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.706178798337844*^9, 3.7061788394719305`*^9}, {
  3.7064465820990744`*^9, 3.7064465825473995`*^9}, {3.7064786902005405`*^9, 
  3.7064786904637156`*^9}, {3.706652823559634*^9, 3.706652826265891*^9}, {
  3.706652904705448*^9, 3.706652906677582*^9}, {3.706794392686748*^9, 
  3.7067944337798142`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "This", " ", "gravity", " ", "wave", " ", "is", " ", "spread", " ", "over",
     " ", "some", " ", "tret", " ", "interval"}], ",", " ", 
   RowBox[{"starting", " ", "at", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "It"}], " ", "is", " ", "independent", " ", 
    "of", " ", 
    RowBox[{"radv", ".", " ", "We"}], " ", "can", " ", "think", " ", "of", 
    " ", "the", " ", "eigenstate", " ", "as", " ", "\"\<instantaneously\>\"", 
    " ", "\"\<turning on\>\"", " ", "or", " ", "\"\<turning off\>\""}], ",", 
   " ", 
   RowBox[{
   "via", " ", "an", " ", "arbitrarily", " ", "sharply", " ", "tuned", " ", 
    "bump", " ", "function"}], ",", " ", 
   RowBox[{
   "with", " ", "an", " ", "arbitrarily", " ", "small", " ", "effect", " ", 
    "on", " ", "the", " ", "action", " ", "at", " ", "the", " ", 
    RowBox[{"edges", "."}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.706474952898325*^9, 3.7064751848473516`*^9}, {
   3.7064752345233545`*^9, 3.706475240350449*^9}, {3.7065725058914533`*^9, 
   3.7065725490271626`*^9}, {3.706572588929371*^9, 3.7065726294220123`*^9}, {
   3.7066552865888214`*^9, 3.70665542938916*^9}, {3.706656870676395*^9, 
   3.7066570449316683`*^9}, {3.7070888527831936`*^9, 
   3.7070888668863883`*^9}, {3.707088970945671*^9, 3.707088971906969*^9}, {
   3.7070943459344893`*^9, 3.7070943502256722`*^9}, 3.707094390944048*^9, {
   3.7070945496388984`*^9, 3.7070945680889697`*^9}, {3.7109476181958203`*^9, 
   3.7109476229792356`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"If", " ", "a", " ", 
    RowBox[{"particle", "'"}], "s", " ", "position", " ", "along", " ", 
    "tret", " ", "is", " ", "totally", " ", "uncertain"}], ",", " ", 
   RowBox[{"the", " ", "expectation", " ", "for", " ", "power"}], ",", " ", 
   RowBox[{"proportional", " ", "to", " ", "b"}], ",", " ", 
   RowBox[{"is", " ", 
    RowBox[{"zero", ".", "  ", "However"}]}], ",", " ", 
   RowBox[{
   "the", " ", "particle", " ", "can", " ", "emit", " ", "from", " ", "the", 
    " ", "horizon", " ", "at", " ", "any", " ", "time"}], ",", " ", 
   RowBox[{
   "and", " ", "then", " ", "impart", " ", "energy", " ", "to", " ", "an", 
    " ", "external", " ", "object", " ", "it", " ", "collides", " ", 
    RowBox[{
    "with", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "More"}], " ", 
    "than", " ", "one", " ", "particle", " ", "is", " ", "potentially", " ", 
    "emitted", " ", "over", " ", "a", " ", "given", " ", "tret", " ", 
    RowBox[{"interval", ".", " ", "Each"}], " ", 
    RowBox[{"particle", "'"}], "s", " ", "contribution", " ", "to", " ", 
    "the", " ", "emission", " ", "power", " ", "is", " ", "infinitesimal"}], 
   ",", " ", 
   RowBox[{
   "but", " ", "there", " ", "is", " ", "a", " ", "lifetime", " ", "for", " ",
     "a", " ", "radiating", " ", "black", " ", "hole", " ", "and", " ", 
    "some", " ", "number", " ", "of", " ", "particles", " ", "that", " ", 
    "can", " ", "be", " ", "emitted", " ", "at", " ", "a", " ", "particular", 
    " ", "wavelength", " ", "between", " ", "some", " ", "tret", " ", 
    "hypersurface", " ", "and", " ", "the", " ", "total", " ", "evaporation", 
    " ", "of", " ", "the", " ", 
    RowBox[{"hole", ".", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "Other", " ", "factors", " ", "contribute", " ", "to", " ", "the", " ",
         "black", " ", 
        RowBox[{"hole", "'"}], "s", " ", "lifetime", " ", "to", " ", "some", 
        " ", "degree"}], ",", " ", 
       RowBox[{"notably", " ", "Hawking", " ", 
        RowBox[{"radiation", "."}]}]}], ")"}]}], " ", "Depending", " ", "on", 
    " ", "when", " ", "the", " ", "full", " ", "energy", " ", "of", " ", 
    "the", " ", "hole", " ", "is", " ", "emitted"}], ",", " ", 
   RowBox[{
   "the", " ", "contributions", " ", "of", " ", "the", " ", "multiple", " ", 
    "particles", " ", "in", " ", "a", " ", "given", " ", "momentum", " ", 
    "eigenstate", " ", "must", " ", "integrate", " ", "to", " ", "some", " ", 
    "finite", " ", 
    RowBox[{"amplitude", ".", " ", "We"}], " ", "expect", " ", "a", " ", 
    "nondispersive", " ", 
    RowBox[{"packet", ".", " ", "A"}], " ", "sharp", " ", "bump", " ", 
    "function", " ", "wrapping", " ", "an", " ", "eigenstate", " ", "can", 
    " ", "be", " ", "expressed", " ", "by", " ", "a", " ", "Fourier", " ", 
    "decomposition"}], ",", " ", 
   RowBox[{
   "and", " ", "it", " ", "seems", " ", "the", " ", "bump", " ", "could", " ",
     "be", " ", "tuned", " ", "to", " ", "minimize", " ", "the", " ", 
    "perturbation", " ", "of", " ", "the", " ", 
    RowBox[{"action", ".", " ", "However"}]}], ",", " ", 
   RowBox[{
   "the", " ", "reader", " ", "can", " ", "check", " ", "that", " ", "the", 
    " ", "interior", " ", "region", " ", "of", " ", "this", " ", "wave", " ", 
    "carries", " ", "zero", " ", "action"}], ",", " ", 
   RowBox[{
   "while", " ", "the", " ", "leading", " ", "and", " ", "trailing", " ", 
    "limiting", " ", "points", " ", "give", " ", "a", " ", "finite", " ", 
    "contribution", " ", "to", " ", "the", " ", "global", " ", "action", " ", 
    RowBox[{"integral", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.70708890861983*^9, 3.7070890999314175`*^9}, {
   3.7070891316923065`*^9, 3.7070892964521465`*^9}, {3.707089341257987*^9, 
   3.7070893449882154`*^9}, {3.70708938678729*^9, 3.7070895536864386`*^9}, {
   3.707089608332946*^9, 3.7070896182771053`*^9}, {3.7070896544352875`*^9, 
   3.70708969687753*^9}, {3.707089733219514*^9, 3.70709011628891*^9}, {
   3.7070915545008574`*^9, 3.7070921327835207`*^9}, 3.7070944247985497`*^9, {
   3.707094636331729*^9, 3.707094691940267*^9}, {3.710971908051479*^9, 
   3.7109720358264627`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "surfaceAction", "]"}]], "Input",
 CellChangeTimes->{{3.7056581958692913`*^9, 3.7056581985942197`*^9}, {
  3.706655572159067*^9, 3.706655573939849*^9}, {3.7066557714396896`*^9, 
  3.706655787847981*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"surfaceAction", "[", 
   RowBox[{
   "b0x_", ",", "k0x_", ",", "rsx_", ",", "tretx_", ",", "radvx_", ",", 
    "tMinx_", ",", "tMaxx_"}], "]"}], ":=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k0x", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{"rsx", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      FractionBox["rsx", "2"], "\[GreaterEqual]", 
      FractionBox["k0x", 
       RowBox[{"2", "*", "Pi"}]]}]}], ",", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Activate", "[", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Evaluate", "[", "action", "]"}], "/.", 
          RowBox[{"Dispatch", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"b0", "\[Rule]", "b0x"}], ",", 
             RowBox[{"k0", "\[Rule]", "k0x"}], ",", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rsx"}], ",", 
             RowBox[{"tret", "\[Rule]", "tretx"}], ",", 
             RowBox[{"radv", "\[Rule]", "radvx"}], ",", 
             RowBox[{"tMin", "\[Rule]", "tMinx"}], ",", 
             RowBox[{"tMax", "\[Rule]", "tMaxx"}]}], "}"}], "]"}]}], ")"}], 
        "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"theta", ",", "0", ",", 
        RowBox[{"2", "*", "Pi"}]}], "}"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705657715277094*^9, 3.7056579662646823`*^9}, {
   3.7056580036381617`*^9, 3.7056580559532304`*^9}, 3.705658087021271*^9, {
   3.705658185446907*^9, 3.705658192973238*^9}, {3.705658256472229*^9, 
   3.705658263877475*^9}, {3.705658316630986*^9, 3.705658326530038*^9}, 
   3.705658504510239*^9, {3.705692781944783*^9, 3.7056928151683397`*^9}, {
   3.7056930192506533`*^9, 3.7056930235086565`*^9}, {3.7056955558121324`*^9, 
   3.7056955705460987`*^9}, {3.7059551715669775`*^9, 
   3.7059551800636225`*^9}, {3.705959503881569*^9, 3.705959559770999*^9}, {
   3.70596278467291*^9, 3.705962865357805*^9}, {3.7059629250295753`*^9, 
   3.70596292643598*^9}, {3.705966814720058*^9, 3.7059668165317435`*^9}, {
   3.705966847809899*^9, 3.7059668662393456`*^9}, {3.7060132704472575`*^9, 
   3.706013292969748*^9}, {3.706036440146333*^9, 3.7060364933298388`*^9}, {
   3.706036600676008*^9, 3.70603662335409*^9}, {3.70603665977748*^9, 
   3.706036691788991*^9}, {3.7060367290337524`*^9, 3.706036734934205*^9}, 
   3.7060368007236385`*^9, 3.706039190216445*^9, {3.706049772936886*^9, 
   3.706049870522284*^9}, {3.706049944174079*^9, 3.7060499948435707`*^9}, {
   3.7060518179697876`*^9, 3.7060518199136763`*^9}, {3.706053200328584*^9, 
   3.7060532022203355`*^9}, 3.706053332508293*^9, {3.706053405465456*^9, 
   3.706053411306328*^9}, {3.706053727825545*^9, 3.706053749529708*^9}, {
   3.7060538005179*^9, 3.7060538813396835`*^9}, {3.7060543043439407`*^9, 
   3.706054352712446*^9}, {3.706054482554579*^9, 3.7060544855907707`*^9}, {
   3.706054537991891*^9, 3.706054538620818*^9}, {3.7060545900829144`*^9, 
   3.706054593660288*^9}, {3.706054765282383*^9, 3.7060548505338573`*^9}, {
   3.7060548845289946`*^9, 3.7060548864995546`*^9}, {3.7060549896532607`*^9, 
   3.706055068349059*^9}, {3.7060551216513233`*^9, 3.706055128423306*^9}, {
   3.7060551922955556`*^9, 3.706055197922015*^9}, {3.706055259098593*^9, 
   3.7060552886488934`*^9}, 3.7060553206540112`*^9, {3.706055385680229*^9, 
   3.706055413860113*^9}, {3.706055483081433*^9, 3.706055485869997*^9}, {
   3.706081527674307*^9, 3.706081534273489*^9}, {3.706081567737709*^9, 
   3.7060815692941904`*^9}, {3.706081800221809*^9, 3.706081820243625*^9}, {
   3.7061006166732187`*^9, 3.706100742081583*^9}, {3.706100806564559*^9, 
   3.7061008637306576`*^9}, {3.7061009051409483`*^9, 
   3.7061009092563763`*^9}, {3.706100944778161*^9, 3.706101005150423*^9}, 
   3.7061010366383815`*^9, {3.7061011358709974`*^9, 3.7061011428734555`*^9}, {
   3.7061015747334447`*^9, 3.70610163883422*^9}, {3.706101964506838*^9, 
   3.7061019728136735`*^9}, {3.7061020216271796`*^9, 
   3.7061020917305517`*^9}, {3.70610248128618*^9, 3.7061026087924366`*^9}, {
   3.706105751827306*^9, 3.70610577982643*^9}, {3.70611079924465*^9, 
   3.70611082928557*^9}, {3.7061127190426717`*^9, 3.706112743609668*^9}, {
   3.706115486607291*^9, 3.706115529653722*^9}, {3.7061214684363203`*^9, 
   3.7061214907823534`*^9}, {3.7061317697318583`*^9, 3.706131784320633*^9}, {
   3.7061789980588875`*^9, 3.7061790024790792`*^9}, 3.7061854362960663`*^9, {
   3.706185542483763*^9, 3.7061855482026815`*^9}, {3.706186041659445*^9, 
   3.706186088603198*^9}, {3.706186366195821*^9, 3.7061863850423675`*^9}, {
   3.706186435008073*^9, 3.706186449787319*^9}, {3.706187455575446*^9, 
   3.706187508878639*^9}, {3.7061879500231266`*^9, 3.7061879785416365`*^9}, {
   3.706188048295308*^9, 3.706188079052984*^9}, {3.706188120992028*^9, 
   3.7061881384329014`*^9}, {3.7061882388183627`*^9, 
   3.7061882426117735`*^9}, {3.706216873461732*^9, 3.706216977414239*^9}, {
   3.706217232973194*^9, 3.706217290839428*^9}, {3.706217327123201*^9, 
   3.7062173350584726`*^9}, {3.706217493023801*^9, 3.7062175497518015`*^9}, {
   3.706217616949519*^9, 3.7062176769636*^9}, {3.706218249546606*^9, 
   3.7062182783543205`*^9}, {3.706218318883894*^9, 3.70621832701687*^9}, {
   3.706218358429544*^9, 3.7062184244226246`*^9}, {3.706218489321022*^9, 
   3.7062184986533213`*^9}, 3.706218654875938*^9, {3.7062188964615564`*^9, 
   3.7062189067824492`*^9}, {3.7062189475288754`*^9, 3.706218954605404*^9}, {
   3.7062191171850405`*^9, 3.706219117564308*^9}, {3.706219338021233*^9, 
   3.7062193428526597`*^9}, {3.706219469287239*^9, 3.7062194717409835`*^9}, {
   3.706220711904273*^9, 3.7062207515463047`*^9}, {3.706221507830227*^9, 
   3.7062215243722243`*^9}, {3.706221707966698*^9, 3.706221723694584*^9}, {
   3.706222992187294*^9, 3.7062229980881524`*^9}, {3.7062635289025307`*^9, 
   3.7062635353611083`*^9}, {3.706268704999566*^9, 3.706268737799814*^9}, {
   3.7062688129994535`*^9, 3.70626886653723*^9}, {3.7062689427382927`*^9, 
   3.706268946170724*^9}, {3.7062694279873304`*^9, 3.7062694364123135`*^9}, {
   3.7062694766027775`*^9, 3.7062695835984755`*^9}, {3.706269687301952*^9, 
   3.706269703932006*^9}, {3.706269829522262*^9, 3.70626983052097*^9}, {
   3.7062698708882427`*^9, 3.7062699743872833`*^9}, {3.7062700112532587`*^9, 
   3.706270030318783*^9}, {3.706270061205742*^9, 3.706270144946049*^9}, {
   3.7062703551908474`*^9, 3.706270374252355*^9}, {3.706270434667646*^9, 
   3.706270438548396*^9}, {3.7062704689786444`*^9, 3.7062704730555067`*^9}, {
   3.7063059255139084`*^9, 3.7063059276364927`*^9}, {3.7063060845169272`*^9, 
   3.7063060971351905`*^9}, {3.7064468869548483`*^9, 3.706446887505237*^9}, {
   3.706446935896923*^9, 3.7064469393763766`*^9}, {3.7064788087734413`*^9, 
   3.706478816251055*^9}, {3.7065579829218273`*^9, 3.7065579858084*^9}, {
   3.7065718406821003`*^9, 3.7065718437622967`*^9}, {3.7066547269806643`*^9, 
   3.706654731338624*^9}, {3.706654768980348*^9, 3.7066547838896766`*^9}, {
   3.7066549701584373`*^9, 3.7066550076816196`*^9}, {3.706655056331792*^9, 
   3.7066550620514936`*^9}, {3.7066551093530936`*^9, 
   3.7066551151644783`*^9}, {3.7066552009543915`*^9, 3.706655204857794*^9}, {
   3.7066554733755417`*^9, 3.706655478506642*^9}, {3.706655533969252*^9, 
   3.7066555815254536`*^9}, {3.7066556185601397`*^9, 
   3.7066556197270985`*^9}, {3.7066556729591684`*^9, 
   3.7066557396789155`*^9}, {3.7066557904616437`*^9, 
   3.7066558387325945`*^9}, {3.706655923387447*^9, 3.706655952495371*^9}, {
   3.7066954271096325`*^9, 3.706695435411521*^9}, {3.7066961605382075`*^9, 
   3.7066961917407813`*^9}, {3.7066972510653944`*^9, 3.706697256926237*^9}, {
   3.7067944655733004`*^9, 3.706794516010293*^9}, {3.7071365247737474`*^9, 
   3.70713654321145*^9}, {3.7109685659904013`*^9, 3.710968586372406*^9}, {
   3.710968710352377*^9, 3.710968757789235*^9}, {3.7109722815339794`*^9, 
   3.710972291633735*^9}, {3.7109731838082733`*^9, 3.710973207157635*^9}, {
   3.7110238771196117`*^9, 3.711023888557123*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "hypersurfaceAction", "]"}]], "Input",
 CellChangeTimes->{{3.711023958466051*^9, 3.7110239595010824`*^9}, {
  3.7110252399539757`*^9, 3.711025241845312*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{
   "b0x_", ",", "k0x_", ",", "rsx_", ",", "radvx_", ",", "tMinx_", ",", 
    "tMaxx_"}], "]"}], ":=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k0x", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{"rsx", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      FractionBox["rsx", "2"], "\[GreaterEqual]", 
      FractionBox["k0x", 
       RowBox[{"2", "*", "Pi"}]]}]}], ",", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Activate", "[", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Evaluate", "[", "action", "]"}], "/.", 
          RowBox[{"Dispatch", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"b0", "\[Rule]", "b0x"}], ",", 
             RowBox[{"k0", "\[Rule]", "k0x"}], ",", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rsx"}], ",", 
             RowBox[{"radv", "\[Rule]", "radvx"}], ",", 
             RowBox[{"tMin", "\[Rule]", "tMinx"}], ",", 
             RowBox[{"tMax", "\[Rule]", "tMaxx"}]}], "}"}], "]"}]}], ")"}], 
        "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"theta", ",", "0", ",", 
        RowBox[{"2", "*", "Pi"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tret", ",", "tMinx", ",", "tMaxx"}], "}"}]}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.705657715277094*^9, 3.7056579662646823`*^9}, {
   3.7056580036381617`*^9, 3.7056580559532304`*^9}, 3.705658087021271*^9, {
   3.705658185446907*^9, 3.705658192973238*^9}, {3.705658256472229*^9, 
   3.705658263877475*^9}, {3.705658316630986*^9, 3.705658326530038*^9}, 
   3.705658504510239*^9, {3.705692781944783*^9, 3.7056928151683397`*^9}, {
   3.7056930192506533`*^9, 3.7056930235086565`*^9}, {3.7056955558121324`*^9, 
   3.7056955705460987`*^9}, {3.7059551715669775`*^9, 
   3.7059551800636225`*^9}, {3.705959503881569*^9, 3.705959559770999*^9}, {
   3.70596278467291*^9, 3.705962865357805*^9}, {3.7059629250295753`*^9, 
   3.70596292643598*^9}, {3.705966814720058*^9, 3.7059668165317435`*^9}, {
   3.705966847809899*^9, 3.7059668662393456`*^9}, {3.7060132704472575`*^9, 
   3.706013292969748*^9}, {3.706036440146333*^9, 3.7060364933298388`*^9}, {
   3.706036600676008*^9, 3.70603662335409*^9}, {3.70603665977748*^9, 
   3.706036691788991*^9}, {3.7060367290337524`*^9, 3.706036734934205*^9}, 
   3.7060368007236385`*^9, 3.706039190216445*^9, {3.706049772936886*^9, 
   3.706049870522284*^9}, {3.706049944174079*^9, 3.7060499948435707`*^9}, {
   3.7060518179697876`*^9, 3.7060518199136763`*^9}, {3.706053200328584*^9, 
   3.7060532022203355`*^9}, 3.706053332508293*^9, {3.706053405465456*^9, 
   3.706053411306328*^9}, {3.706053727825545*^9, 3.706053749529708*^9}, {
   3.7060538005179*^9, 3.7060538813396835`*^9}, {3.7060543043439407`*^9, 
   3.706054352712446*^9}, {3.706054482554579*^9, 3.7060544855907707`*^9}, {
   3.706054537991891*^9, 3.706054538620818*^9}, {3.7060545900829144`*^9, 
   3.706054593660288*^9}, {3.706054765282383*^9, 3.7060548505338573`*^9}, {
   3.7060548845289946`*^9, 3.7060548864995546`*^9}, {3.7060549896532607`*^9, 
   3.706055068349059*^9}, {3.7060551216513233`*^9, 3.706055128423306*^9}, {
   3.7060551922955556`*^9, 3.706055197922015*^9}, {3.706055259098593*^9, 
   3.7060552886488934`*^9}, 3.7060553206540112`*^9, {3.706055385680229*^9, 
   3.706055413860113*^9}, {3.706055483081433*^9, 3.706055485869997*^9}, {
   3.706081527674307*^9, 3.706081534273489*^9}, {3.706081567737709*^9, 
   3.7060815692941904`*^9}, {3.706081800221809*^9, 3.706081820243625*^9}, {
   3.7061006166732187`*^9, 3.706100742081583*^9}, {3.706100806564559*^9, 
   3.7061008637306576`*^9}, {3.7061009051409483`*^9, 
   3.7061009092563763`*^9}, {3.706100944778161*^9, 3.706101005150423*^9}, 
   3.7061010366383815`*^9, {3.7061011358709974`*^9, 3.7061011428734555`*^9}, {
   3.7061015747334447`*^9, 3.70610163883422*^9}, {3.706101964506838*^9, 
   3.7061019728136735`*^9}, {3.7061020216271796`*^9, 
   3.7061020917305517`*^9}, {3.70610248128618*^9, 3.7061026087924366`*^9}, {
   3.706105751827306*^9, 3.70610577982643*^9}, {3.70611079924465*^9, 
   3.70611082928557*^9}, {3.7061127190426717`*^9, 3.706112743609668*^9}, {
   3.706115486607291*^9, 3.706115529653722*^9}, {3.7061214684363203`*^9, 
   3.7061214907823534`*^9}, {3.7061317697318583`*^9, 3.706131784320633*^9}, {
   3.7061789980588875`*^9, 3.7061790024790792`*^9}, 3.7061854362960663`*^9, {
   3.706185542483763*^9, 3.7061855482026815`*^9}, {3.706186041659445*^9, 
   3.706186088603198*^9}, {3.706186366195821*^9, 3.7061863850423675`*^9}, {
   3.706186435008073*^9, 3.706186449787319*^9}, {3.706187455575446*^9, 
   3.706187508878639*^9}, {3.7061879500231266`*^9, 3.7061879785416365`*^9}, {
   3.706188048295308*^9, 3.706188079052984*^9}, {3.706188120992028*^9, 
   3.7061881384329014`*^9}, {3.7061882388183627`*^9, 
   3.7061882426117735`*^9}, {3.706216873461732*^9, 3.706216977414239*^9}, {
   3.706217232973194*^9, 3.706217290839428*^9}, {3.706217327123201*^9, 
   3.7062173350584726`*^9}, {3.706217493023801*^9, 3.7062175497518015`*^9}, {
   3.706217616949519*^9, 3.7062176769636*^9}, {3.706218249546606*^9, 
   3.7062182783543205`*^9}, {3.706218318883894*^9, 3.70621832701687*^9}, {
   3.706218358429544*^9, 3.7062184244226246`*^9}, {3.706218489321022*^9, 
   3.7062184986533213`*^9}, 3.706218654875938*^9, {3.7062188964615564`*^9, 
   3.7062189067824492`*^9}, {3.7062189475288754`*^9, 3.706218954605404*^9}, {
   3.7062191171850405`*^9, 3.706219117564308*^9}, {3.706219338021233*^9, 
   3.7062193428526597`*^9}, {3.706219469287239*^9, 3.7062194717409835`*^9}, {
   3.706220711904273*^9, 3.7062207515463047`*^9}, {3.706221507830227*^9, 
   3.7062215243722243`*^9}, {3.706221707966698*^9, 3.706221723694584*^9}, {
   3.706222992187294*^9, 3.7062229980881524`*^9}, {3.7062635289025307`*^9, 
   3.7062635353611083`*^9}, {3.706268704999566*^9, 3.706268737799814*^9}, {
   3.7062688129994535`*^9, 3.70626886653723*^9}, {3.7062689427382927`*^9, 
   3.706268946170724*^9}, {3.7062694279873304`*^9, 3.7062694364123135`*^9}, {
   3.7062694766027775`*^9, 3.7062695835984755`*^9}, {3.706269687301952*^9, 
   3.706269703932006*^9}, {3.706269829522262*^9, 3.70626983052097*^9}, {
   3.7062698708882427`*^9, 3.7062699743872833`*^9}, {3.7062700112532587`*^9, 
   3.706270030318783*^9}, {3.706270061205742*^9, 3.706270144946049*^9}, {
   3.7062703551908474`*^9, 3.706270374252355*^9}, {3.706270434667646*^9, 
   3.706270438548396*^9}, {3.7062704689786444`*^9, 3.7062704730555067`*^9}, {
   3.7063059255139084`*^9, 3.7063059276364927`*^9}, {3.7063060845169272`*^9, 
   3.7063060971351905`*^9}, {3.7064468869548483`*^9, 3.706446887505237*^9}, {
   3.706446935896923*^9, 3.7064469393763766`*^9}, {3.7064788087734413`*^9, 
   3.706478816251055*^9}, {3.7065579829218273`*^9, 3.7065579858084*^9}, {
   3.7065718406821003`*^9, 3.7065718437622967`*^9}, {3.7066547269806643`*^9, 
   3.706654731338624*^9}, {3.706654768980348*^9, 3.7066547838896766`*^9}, {
   3.7066549701584373`*^9, 3.7066550076816196`*^9}, {3.706655056331792*^9, 
   3.7066550620514936`*^9}, {3.7066551093530936`*^9, 
   3.7066551151644783`*^9}, {3.7066552009543915`*^9, 3.706655204857794*^9}, {
   3.7066554733755417`*^9, 3.706655478506642*^9}, {3.706655533969252*^9, 
   3.7066555815254536`*^9}, {3.7066556185601397`*^9, 
   3.7066556197270985`*^9}, {3.7066556729591684`*^9, 
   3.7066557396789155`*^9}, {3.7066557904616437`*^9, 
   3.7066558387325945`*^9}, {3.706655923387447*^9, 3.706655952495371*^9}, {
   3.7066954271096325`*^9, 3.706695435411521*^9}, {3.7066961605382075`*^9, 
   3.7066961917407813`*^9}, {3.7066972510653944`*^9, 3.706697256926237*^9}, {
   3.7067944655733004`*^9, 3.706794516010293*^9}, {3.7071365247737474`*^9, 
   3.70713654321145*^9}, {3.7109685659904013`*^9, 3.710968586372406*^9}, {
   3.710968710352377*^9, 3.710968757789235*^9}, {3.7109722815339794`*^9, 
   3.710972291633735*^9}, {3.7109731838082733`*^9, 3.710973207157635*^9}, {
   3.7110238500830574`*^9, 3.7110238560151043`*^9}, {3.7110239143864594`*^9, 
   3.71102393970078*^9}, 3.7110252465462484`*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Exact", " ", 
   RowBox[{"precision", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706189288864447*^9, 3.7061892950653496`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{"1", ",", "Pi", ",", "1", ",", "0", ",", "1", ",", "2"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7066996355206833`*^9, 3.7066996747517595`*^9}, {
   3.7067948203199615`*^9, 3.706794820587158*^9}, {3.7067948580446224`*^9, 
   3.7067948611688385`*^9}, {3.7067948941231346`*^9, 3.7067948942192*^9}, {
   3.7071365519522924`*^9, 3.707136552815325*^9}, {3.7109686186022263`*^9, 
   3.7109686194445796`*^9}, {3.710972322335517*^9, 3.710972322853877*^9}, {
   3.7109723881158357`*^9, 3.7109723913888435`*^9}, {3.710973217771014*^9, 
   3.71097321892085*^9}, {3.7110239752304926`*^9, 3.711023981363349*^9}, {
   3.7110240179678245`*^9, 3.7110240197035103`*^9}, 3.7110252488135204`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10.890625`", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.7067970302110915`*^9, 3.7070526878743095`*^9, 
  3.707079717630557*^9, 3.707096693051445*^9, 3.707137071828716*^9, 
  3.7107091353738375`*^9, 3.710711351171215*^9, 3.710711556353213*^9, 
  3.7109477363042316`*^9, 3.7109634214240294`*^9, 3.7109686548393316`*^9, 
  3.7109687384602075`*^9, 3.7109687803339076`*^9, 3.7109723182573614`*^9, 
  3.710972373766156*^9, 3.7109727749411507`*^9, 3.7109728244701433`*^9, 
  3.710973144877393*^9, 3.7109732324668813`*^9, 3.711024001161667*^9, 
  3.7110240462411857`*^9, 3.711025292903221*^9, 3.711026734327283*^9, 
  3.711028842044501*^9, 3.7111394372879224`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{
    RowBox[{"1", "/", "2"}], ",", 
    RowBox[{"Pi", "/", "2"}], ",", "1", ",", "0", ",", "1", ",", "3"}], "]"}],
   "]"}]], "Input",
 CellChangeTimes->{{3.7067306210697145`*^9, 3.7067306221845174`*^9}, {
   3.706794831674974*^9, 3.7067948337864943`*^9}, {3.706794876323547*^9, 
   3.7067949031665573`*^9}, {3.70713655504204*^9, 3.707136556138891*^9}, {
   3.710968624209052*^9, 3.7109686300237308`*^9}, {3.710972325174136*^9, 
   3.7109723257044907`*^9}, {3.710972395718176*^9, 3.710972398650576*^9}, {
   3.7109732237126255`*^9, 3.7109732254958677`*^9}, {3.711023986395852*^9, 
   3.7110239952715597`*^9}, {3.7110240295552015`*^9, 3.7110240300655556`*^9}, 
   3.711025250000532*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"11.875`", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.706797046908889*^9, 3.7070527005178604`*^9, 
  3.707079738974783*^9, 3.7070967041619186`*^9, 3.707137107628215*^9, 
  3.7107091441433773`*^9, 3.7107113596751595`*^9, 3.7107115566133795`*^9, 
  3.710947745299906*^9, 3.7109634299582725`*^9, 3.710968663642439*^9, 
  3.71096873849395*^9, 3.710968788819501*^9, 3.7109723183674393`*^9, 
  3.710972838212237*^9, 3.710973158486139*^9, 3.7109732328431487`*^9, 
  3.711024001227701*^9, 3.7110240589311686`*^9, 3.7110253057133865`*^9, 
  3.7110267467700915`*^9, 3.71102885473206*^9, 3.7111394501139984`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{
    RowBox[{"1", "/", "2"}], ",", 
    RowBox[{"Pi", "/", "2"}], ",", "1", ",", 
    RowBox[{"1", "/", "2"}], ",", "1", ",", "3"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7067306210697145`*^9, 3.7067306221845174`*^9}, {
   3.706794831674974*^9, 3.7067948337864943`*^9}, {3.706794876323547*^9, 
   3.7067949031665573`*^9}, {3.70713655504204*^9, 3.707136556138891*^9}, {
   3.710968624209052*^9, 3.7109686300237308`*^9}, {3.710972325174136*^9, 
   3.7109723257044907`*^9}, {3.710972395718176*^9, 3.710972398650576*^9}, {
   3.7109732237126255`*^9, 3.7109732254958677`*^9}, {3.711023986395852*^9, 
   3.7110239952715597`*^9}, {3.7110240295552015`*^9, 3.7110240300655556`*^9}, 
   3.711025250000532*^9, {3.711139464124914*^9, 3.7111394690994377`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"12.21875`", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.706797046908889*^9, 3.7070527005178604`*^9, 
  3.707079738974783*^9, 3.7070967041619186`*^9, 3.707137107628215*^9, 
  3.7107091441433773`*^9, 3.7107113596751595`*^9, 3.7107115566133795`*^9, 
  3.710947745299906*^9, 3.7109634299582725`*^9, 3.710968663642439*^9, 
  3.71096873849395*^9, 3.710968788819501*^9, 3.7109723183674393`*^9, 
  3.710972838212237*^9, 3.710973158486139*^9, 3.7109732328431487`*^9, 
  3.711024001227701*^9, 3.7110240589311686`*^9, 3.7110253057133865`*^9, 
  3.7110267467700915`*^9, 3.71102885473206*^9, 3.7111394501139984`*^9, 
  3.7111394947475863`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{
    RowBox[{"1", "/", "2"}], ",", 
    RowBox[{"Pi", "/", "2"}], ",", "1", ",", 
    RowBox[{"1", "/", "4"}], ",", "1", ",", "3"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7067306210697145`*^9, 3.7067306221845174`*^9}, {
   3.706794831674974*^9, 3.7067948337864943`*^9}, {3.706794876323547*^9, 
   3.7067949031665573`*^9}, {3.70713655504204*^9, 3.707136556138891*^9}, {
   3.710968624209052*^9, 3.7109686300237308`*^9}, {3.710972325174136*^9, 
   3.7109723257044907`*^9}, {3.710972395718176*^9, 3.710972398650576*^9}, {
   3.7109732237126255`*^9, 3.7109732254958677`*^9}, {3.711023986395852*^9, 
   3.7110239952715597`*^9}, {3.7110240295552015`*^9, 3.7110240300655556`*^9}, 
   3.711025250000532*^9, {3.711139464124914*^9, 3.7111394690994377`*^9}, {
   3.7111395037869854`*^9, 3.7111395042703247`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"11.828125`", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.706797046908889*^9, 3.7070527005178604`*^9, 3.707079738974783*^9, 
   3.7070967041619186`*^9, 3.707137107628215*^9, 3.7107091441433773`*^9, 
   3.7107113596751595`*^9, 3.7107115566133795`*^9, 3.710947745299906*^9, 
   3.7109634299582725`*^9, 3.710968663642439*^9, 3.71096873849395*^9, 
   3.710968788819501*^9, 3.7109723183674393`*^9, 3.710972838212237*^9, 
   3.710973158486139*^9, 3.7109732328431487`*^9, 3.711024001227701*^9, 
   3.7110240589311686`*^9, 3.7110253057133865`*^9, 3.7110267467700915`*^9, 
   3.71102885473206*^9, 3.7111394501139984`*^9, {3.7111394947475863`*^9, 
   3.7111395199914503`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "testPoints", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"testPoints", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b0", ",", 
       RowBox[{"hypersurfaceAction", "[", 
        RowBox[{"b0", ",", 
         RowBox[{"Pi", "*", "b0"}], ",", "1", ",", "0", ",", "1", ",", 
         RowBox[{"1", "+", 
          RowBox[{"1", "/", "b0"}]}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b0", ",", 
       RowBox[{"1", "/", "4"}], ",", "1", ",", 
       RowBox[{"1", "/", "80"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7066571803126583`*^9, 3.7066572212626104`*^9}, {
  3.7066574313141394`*^9, 3.706657564436542*^9}, {3.7066576182317667`*^9, 
  3.706657635574894*^9}, {3.706729419810376*^9, 3.7067294647239933`*^9}, {
  3.706729528997373*^9, 3.7067295955280724`*^9}, {3.706729814460966*^9, 
  3.706729837957585*^9}, {3.7067306871349115`*^9, 3.7067307913179417`*^9}, {
  3.7067309688974266`*^9, 3.706730989549166*^9}, {3.7067949662511683`*^9, 
  3.7067949887370515`*^9}, {3.707053865545887*^9, 3.7070538674571133`*^9}, {
  3.707136559163252*^9, 3.7071365608015566`*^9}, {3.7109688230866804`*^9, 
  3.7109688393995347`*^9}, {3.7110242676533375`*^9, 3.7110243120015635`*^9}, {
  3.7110252517447824`*^9, 3.7110252742789106`*^9}, {3.711026524924984*^9, 
  3.7110265361417522`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.78125`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "4"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["21", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["11", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["23", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "10"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["5", "16"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["13", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["27", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["7", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["29", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "8"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["31", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["2", "5"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["33", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["17", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["7", "16"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["9", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["37", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["19", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["39", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["41", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["21", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["43", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["11", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["9", "16"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["23", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["47", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "5"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["49", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["5", "8"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["51", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["13", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["53", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["27", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["11", "16"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["7", "10"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["57", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["29", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["59", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "4"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["61", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["31", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["63", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["4", "5"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["13", "16"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["33", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["67", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["17", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["69", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["7", "8"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["71", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["9", "10"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["73", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["37", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["15", "16"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["19", "20"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["77", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["39", "40"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["79", "80"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7067971386544223`*^9, 3.707052713412956*^9, 3.707053880234522*^9, 
   3.70707976028545*^9, 3.707096714001536*^9, 3.7071371596423607`*^9, 
   3.7107091539136076`*^9, 3.710711371493312*^9, 3.7107115584531837`*^9, 
   3.7109477593927813`*^9, 3.710963443504938*^9, 3.71096868571855*^9, 
   3.7109687386544857`*^9, {3.710968789034531*^9, 3.7109687956063633`*^9}, 
   3.710968863014867*^9, 3.710973160959877*^9, 3.710973242988585*^9, 
   3.7110252258815413`*^9, 3.7110268338937616`*^9, 3.7110289446402187`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"With", " ", "tret"}], "=", "0"}], ",", " ", 
   RowBox[{"radv", "=", 
    RowBox[{
    "0", " ", "fixed", " ", "at", " ", "the", " ", "Schwarzschild", " ", 
     "radius", " ", "these", " ", "appear", " ", "to", " ", "be", " ", 
     "eigenstate", " ", "vacuum", " ", 
     RowBox[{"solutions", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706731455276094*^9, 3.7067315802897015`*^9}, {
  3.706797389892145*^9, 3.7067974361528616`*^9}, {3.707067323463315*^9, 
  3.707067373604967*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Again", ",", " ", 
   RowBox[{
   "the", " ", "gravity", " ", "wave", " ", "is", " ", "spread", " ", "over", 
    " ", "some", " ", "tret", " ", "interval"}], ",", " ", 
   RowBox[{"starting", " ", "at", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "It"}], " ", "has", " ", "no", " ", "spread",
     " ", "over", " ", 
    RowBox[{"radv", ".", " ", 
     RowBox[{"(", 
      RowBox[{"Technically", ",", " ", 
       RowBox[{
       "the", " ", "spread", " ", "over", " ", "tret", " ", "must", " ", "be",
         " ", "infinite"}], ",", " ", 
       RowBox[{
       "but", " ", "we", " ", "can", " ", "think", " ", "of", " ", "the", " ",
         "eigenstate", " ", "as", " ", "\"\<instantaneously\>\"", " ", 
        "\"\<turning on\>\"", " ", "or", " ", "\"\<turning off\>\""}], ",", 
       " ", 
       RowBox[{
       "via", " ", "an", " ", "arbitrarily", " ", "sharply", " ", "tuned", 
        " ", "bump", " ", "function"}], ",", " ", 
       RowBox[{
       "with", " ", "an", " ", "arbitrarily", " ", "small", " ", "effect", 
        " ", "on", " ", "the", " ", 
        RowBox[{"action", "."}]}]}], ")"}]}], " ", "By", " ", "time", " ", 
    "translation", " ", "symmetry"}], ",", " ", 
   RowBox[{
    RowBox[{"we", " ", "can", " ", "set", " ", "radv"}], "=", 
    RowBox[{"0", " ", "without", " ", "loss", " ", "of", " ", 
     RowBox[{"generality", ":"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706474952898325*^9, 3.7064751848473516`*^9}, {
  3.7064752345233545`*^9, 3.706475240350449*^9}, {3.7065725058914533`*^9, 
  3.7065725490271626`*^9}, {3.706572588929371*^9, 3.7065726294220123`*^9}, {
  3.7066552865888214`*^9, 3.70665542938916*^9}, {3.706656870676395*^9, 
  3.7066570449316683`*^9}, {3.7067945628834667`*^9, 3.706794566565078*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"What", " ", "about", " ", "two", " ", "wave", " ", 
    RowBox[{"components", "?", " ", "If"}], " ", "both", " ", "have", " ", 
    "constant", " ", "power", " ", "over", " ", "a", " ", "time", " ", 
    "interval"}], ",", " ", 
   RowBox[{
   "they", " ", "both", " ", "contribute", " ", "consistently", " ", "to", 
    " ", "the", " ", "inverse", " ", "lifetime", " ", "of", " ", "the", " ", 
    RowBox[{"hole", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7070957978627605`*^9, 3.7070958046919603`*^9}, {
   3.707096758441179*^9, 3.707096759194661*^9}, {3.7071365909743967`*^9, 
   3.707136641370701*^9}, 3.71094774732533*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "b", "]"}]], "Input",
 CellChangeTimes->{{3.705965029871872*^9, 3.705965031619845*^9}, {
  3.7061785929359636`*^9, 3.7061785963390837`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"b", "[", 
   RowBox[{"k_", ",", "tret_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"b0", "*", 
    RowBox[{"DiracDelta", "[", 
     RowBox[{"k0", "-", "k"}], "]"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"HeavisideTheta", "[", 
       RowBox[{"tret", "-", "tMin0"}], "]"}], "-", 
      RowBox[{"HeavisideTheta", "[", 
       RowBox[{"tMax0", "-", "tret"}], "]"}]}], ")"}]}], "+", 
   RowBox[{"b1", "*", 
    RowBox[{"DiracDelta", "[", 
     RowBox[{"k1", "-", "k"}], "]"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"HeavisideTheta", "[", 
       RowBox[{"tret", "-", "tMin1"}], "]"}], "-", 
      RowBox[{"HeavisideTheta", "[", 
       RowBox[{"tMax1", "-", "tret"}], "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.707095839160425*^9, 3.707095892211213*^9}, {
  3.707136570073756*^9, 3.7071365859985085`*^9}, {3.7071366465843043`*^9, 
  3.7071366721861134`*^9}, {3.71102654764992*^9, 3.7110265871039743`*^9}, {
  3.7110267099954615`*^9, 3.7110267591954503`*^9}, {3.7110286844557114`*^9, 
  3.711028701739543*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"b", "[", 
  RowBox[{"k", ",", "tret"}], "]"}]], "Input",
 CellChangeTimes->{{3.705083037311754*^9, 3.70508304255491*^9}, 
   3.7060370724665318`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"b0", " ", 
   RowBox[{"DiracDelta", "[", 
    RowBox[{
     RowBox[{"-", "k"}], "+", "k0"}], "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"HeavisideTheta", "[", 
       RowBox[{"tMax0", "-", "tret"}], "]"}]}], "+", 
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{
       RowBox[{"-", "tMin0"}], "+", "tret"}], "]"}]}], ")"}]}], "+", 
  RowBox[{"b1", " ", 
   RowBox[{"DiracDelta", "[", 
    RowBox[{
     RowBox[{"-", "k"}], "+", "k1"}], "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"HeavisideTheta", "[", 
       RowBox[{"tMax1", "-", "tret"}], "]"}]}], "+", 
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{
       RowBox[{"-", "tMin1"}], "+", "tret"}], "]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.70679701349527*^9, 3.7070526755549545`*^9, 
  3.707079614481964*^9, 3.7070796962652893`*^9, 3.7070967477045584`*^9, 
  3.7071371645959525`*^9, 3.710709154938201*^9, 3.710711372750347*^9, 
  3.7107115587372437`*^9, 3.710947762298704*^9, 3.710963445316987*^9, 
  3.710969075241562*^9, 3.7110270072442055`*^9, 3.711028944901044*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "hypersurfaceAction", "]"}]], "Input",
 CellChangeTimes->{{3.711023958466051*^9, 3.7110239595010824`*^9}, 
   3.711025259430572*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"hypersurfaceAction", "[", 
   RowBox[{
   "b0x_", ",", "k0x_", ",", "b1x_", ",", "k1x_", ",", "rsx_", ",", "radvx_", 
    ",", "tMin0x_", ",", "tMax0x_", ",", "tMin1x_", ",", "tMax1x_"}], "]"}], ":=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k0x", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{"k1x", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{"rsx", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      FractionBox["rsx", "2"], "\[GreaterEqual]", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["k0x", 
         RowBox[{"2", "*", "Pi"}]], "+", 
        FractionBox["k1x", 
         RowBox[{"2", "*", "Pi"}]]}], ")"}]}]}], ",", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Activate", "[", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Evaluate", "[", "action", "]"}], "/.", 
          RowBox[{"Dispatch", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"b0", "\[Rule]", "b0x"}], ",", 
             RowBox[{"k0", "\[Rule]", "k0x"}], ",", 
             RowBox[{"b1", "\[Rule]", "b1x"}], ",", 
             RowBox[{"k1", "\[Rule]", "k1x"}], ",", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rsx"}], ",", 
             RowBox[{"radv", "\[Rule]", "radvx"}], ",", 
             RowBox[{"tMin0", "\[Rule]", "tMin0x"}], ",", 
             RowBox[{"tMax0", "\[Rule]", "tMax0x"}], ",", 
             RowBox[{"tMin1", "\[Rule]", "tMin1x"}], ",", 
             RowBox[{"tMax1", "\[Rule]", "tMax1x"}]}], "}"}], "]"}]}], ")"}], 
        "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"theta", ",", "0", ",", 
        RowBox[{"2", "*", "Pi"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tret", ",", 
        RowBox[{"Min", "[", 
         RowBox[{"tMin0x", ",", "tMax0x", ",", "tMin1x", ",", "tMax1x"}], 
         "]"}], ",", 
        RowBox[{"Max", "[", 
         RowBox[{"tMin0x", ",", "tMax0x", ",", "tMin1x", ",", "tMax1x"}], 
         "]"}]}], "}"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705657715277094*^9, 3.7056579662646823`*^9}, {
   3.7056580036381617`*^9, 3.7056580559532304`*^9}, 3.705658087021271*^9, {
   3.705658185446907*^9, 3.705658192973238*^9}, {3.705658256472229*^9, 
   3.705658263877475*^9}, {3.705658316630986*^9, 3.705658326530038*^9}, 
   3.705658504510239*^9, {3.705692781944783*^9, 3.7056928151683397`*^9}, {
   3.7056930192506533`*^9, 3.7056930235086565`*^9}, {3.7056955558121324`*^9, 
   3.7056955705460987`*^9}, {3.7059551715669775`*^9, 
   3.7059551800636225`*^9}, {3.705959503881569*^9, 3.705959559770999*^9}, {
   3.70596278467291*^9, 3.705962865357805*^9}, {3.7059629250295753`*^9, 
   3.70596292643598*^9}, {3.705966814720058*^9, 3.7059668165317435`*^9}, {
   3.705966847809899*^9, 3.7059668662393456`*^9}, {3.7060132704472575`*^9, 
   3.706013292969748*^9}, {3.706036440146333*^9, 3.7060364933298388`*^9}, {
   3.706036600676008*^9, 3.70603662335409*^9}, {3.70603665977748*^9, 
   3.706036691788991*^9}, {3.7060367290337524`*^9, 3.706036734934205*^9}, 
   3.7060368007236385`*^9, 3.706039190216445*^9, {3.706049772936886*^9, 
   3.706049870522284*^9}, {3.706049944174079*^9, 3.7060499948435707`*^9}, {
   3.7060518179697876`*^9, 3.7060518199136763`*^9}, {3.706053200328584*^9, 
   3.7060532022203355`*^9}, 3.706053332508293*^9, {3.706053405465456*^9, 
   3.706053411306328*^9}, {3.706053727825545*^9, 3.706053749529708*^9}, {
   3.7060538005179*^9, 3.7060538813396835`*^9}, {3.7060543043439407`*^9, 
   3.706054352712446*^9}, {3.706054482554579*^9, 3.7060544855907707`*^9}, {
   3.706054537991891*^9, 3.706054538620818*^9}, {3.7060545900829144`*^9, 
   3.706054593660288*^9}, {3.706054765282383*^9, 3.7060548505338573`*^9}, {
   3.7060548845289946`*^9, 3.7060548864995546`*^9}, {3.7060549896532607`*^9, 
   3.706055068349059*^9}, {3.7060551216513233`*^9, 3.706055128423306*^9}, {
   3.7060551922955556`*^9, 3.706055197922015*^9}, {3.706055259098593*^9, 
   3.7060552886488934`*^9}, 3.7060553206540112`*^9, {3.706055385680229*^9, 
   3.706055413860113*^9}, {3.706055483081433*^9, 3.706055485869997*^9}, {
   3.706081527674307*^9, 3.706081534273489*^9}, {3.706081567737709*^9, 
   3.7060815692941904`*^9}, {3.706081800221809*^9, 3.706081820243625*^9}, {
   3.7061006166732187`*^9, 3.706100742081583*^9}, {3.706100806564559*^9, 
   3.7061008637306576`*^9}, {3.7061009051409483`*^9, 
   3.7061009092563763`*^9}, {3.706100944778161*^9, 3.706101005150423*^9}, 
   3.7061010366383815`*^9, {3.7061011358709974`*^9, 3.7061011428734555`*^9}, {
   3.7061015747334447`*^9, 3.70610163883422*^9}, {3.706101964506838*^9, 
   3.7061019728136735`*^9}, {3.7061020216271796`*^9, 
   3.7061020917305517`*^9}, {3.70610248128618*^9, 3.7061026087924366`*^9}, {
   3.706105751827306*^9, 3.70610577982643*^9}, {3.70611079924465*^9, 
   3.70611082928557*^9}, {3.7061127190426717`*^9, 3.706112743609668*^9}, {
   3.706115486607291*^9, 3.706115529653722*^9}, {3.7061214684363203`*^9, 
   3.7061214907823534`*^9}, {3.7061317697318583`*^9, 3.706131784320633*^9}, {
   3.7061789980588875`*^9, 3.7061790024790792`*^9}, 3.7061854362960663`*^9, {
   3.706185542483763*^9, 3.7061855482026815`*^9}, {3.706186041659445*^9, 
   3.706186088603198*^9}, {3.706186366195821*^9, 3.7061863850423675`*^9}, {
   3.706186435008073*^9, 3.706186449787319*^9}, {3.706187455575446*^9, 
   3.706187508878639*^9}, {3.7061879500231266`*^9, 3.7061879785416365`*^9}, {
   3.706188048295308*^9, 3.706188079052984*^9}, {3.706188120992028*^9, 
   3.7061881384329014`*^9}, {3.7061882388183627`*^9, 
   3.7061882426117735`*^9}, {3.706216873461732*^9, 3.706216977414239*^9}, {
   3.706217232973194*^9, 3.706217290839428*^9}, {3.706217327123201*^9, 
   3.7062173350584726`*^9}, {3.706217493023801*^9, 3.7062175497518015`*^9}, {
   3.706217616949519*^9, 3.7062176769636*^9}, {3.706218249546606*^9, 
   3.7062182783543205`*^9}, {3.706218318883894*^9, 3.70621832701687*^9}, {
   3.706218358429544*^9, 3.7062184244226246`*^9}, {3.706218489321022*^9, 
   3.7062184986533213`*^9}, 3.706218654875938*^9, {3.7062188964615564`*^9, 
   3.7062189067824492`*^9}, {3.7062189475288754`*^9, 3.706218954605404*^9}, {
   3.7062191171850405`*^9, 3.706219117564308*^9}, {3.706219338021233*^9, 
   3.7062193428526597`*^9}, {3.706219469287239*^9, 3.7062194717409835`*^9}, {
   3.706220711904273*^9, 3.7062207515463047`*^9}, {3.706221507830227*^9, 
   3.7062215243722243`*^9}, {3.706221707966698*^9, 3.706221723694584*^9}, {
   3.706222992187294*^9, 3.7062229980881524`*^9}, {3.7062635289025307`*^9, 
   3.7062635353611083`*^9}, {3.706268704999566*^9, 3.706268737799814*^9}, {
   3.7062688129994535`*^9, 3.70626886653723*^9}, {3.7062689427382927`*^9, 
   3.706268946170724*^9}, {3.7062694279873304`*^9, 3.7062694364123135`*^9}, {
   3.7062694766027775`*^9, 3.7062695835984755`*^9}, {3.706269687301952*^9, 
   3.706269703932006*^9}, {3.706269829522262*^9, 3.70626983052097*^9}, {
   3.7062698708882427`*^9, 3.7062699743872833`*^9}, {3.7062700112532587`*^9, 
   3.706270030318783*^9}, {3.706270061205742*^9, 3.706270144946049*^9}, {
   3.7062703551908474`*^9, 3.706270374252355*^9}, {3.706270434667646*^9, 
   3.706270438548396*^9}, {3.7062704689786444`*^9, 3.7062704730555067`*^9}, {
   3.7063059255139084`*^9, 3.7063059276364927`*^9}, {3.7063060845169272`*^9, 
   3.7063060971351905`*^9}, {3.7064468869548483`*^9, 3.706446887505237*^9}, {
   3.706446935896923*^9, 3.7064469393763766`*^9}, {3.7064788087734413`*^9, 
   3.706478816251055*^9}, {3.7065579829218273`*^9, 3.7065579858084*^9}, {
   3.7065718406821003`*^9, 3.7065718437622967`*^9}, {3.7066547269806643`*^9, 
   3.706654731338624*^9}, {3.706654768980348*^9, 3.7066547838896766`*^9}, {
   3.7066549701584373`*^9, 3.7066550076816196`*^9}, {3.706655056331792*^9, 
   3.7066550620514936`*^9}, {3.7066551093530936`*^9, 
   3.7066551151644783`*^9}, {3.7066552009543915`*^9, 3.706655204857794*^9}, {
   3.7066554733755417`*^9, 3.706655478506642*^9}, {3.706655533969252*^9, 
   3.7066555815254536`*^9}, {3.7066556185601397`*^9, 
   3.7066556197270985`*^9}, {3.7066556729591684`*^9, 
   3.7066557396789155`*^9}, {3.7066557904616437`*^9, 
   3.7066558387325945`*^9}, {3.706655923387447*^9, 3.706655952495371*^9}, {
   3.7066954271096325`*^9, 3.706695435411521*^9}, {3.7066961605382075`*^9, 
   3.7066961917407813`*^9}, {3.7066972510653944`*^9, 3.706697256926237*^9}, {
   3.7067944655733004`*^9, 3.706794516010293*^9}, {3.7071365247737474`*^9, 
   3.70713654321145*^9}, {3.7109685659904013`*^9, 3.710968586372406*^9}, {
   3.710968710352377*^9, 3.710968757789235*^9}, {3.7109722815339794`*^9, 
   3.710972291633735*^9}, {3.7109731838082733`*^9, 3.710973207157635*^9}, {
   3.7110238500830574`*^9, 3.7110238560151043`*^9}, {3.7110239143864594`*^9, 
   3.71102393970078*^9}, {3.7110243953398705`*^9, 3.711024415236852*^9}, {
   3.711024502327474*^9, 3.7110245341471767`*^9}, 3.7110252608515835`*^9, {
   3.7110265944136705`*^9, 3.711026615290885*^9}, {3.711026769557596*^9, 
   3.7110268343310757`*^9}, {3.711026872384173*^9, 3.7110269294601297`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "testPoints", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"testPoints", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b0", ",", "b1", ",", 
       RowBox[{"hypersurfaceAction", "[", 
        RowBox[{"b0", ",", 
         RowBox[{"Pi", "*", "b0"}], ",", "b1", ",", 
         RowBox[{"Pi", "*", "b1"}], ",", "1", ",", "0", ",", "1", ",", 
         RowBox[{"1", "/", "b0"}], ",", "1", ",", 
         RowBox[{"1", "/", "b1"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b0", ",", 
       RowBox[{"1", "/", "4"}], ",", 
       RowBox[{"1", "/", "2"}], ",", 
       RowBox[{"1", "/", "16"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b1", ",", 
       RowBox[{"1", "/", "4"}], ",", 
       RowBox[{"1", "/", "2"}], ",", 
       RowBox[{"1", "/", "16"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7070959755061226`*^9, 3.7070960022088594`*^9}, {
   3.7070968976130037`*^9, 3.707096907262003*^9}, {3.7070969819280095`*^9, 
   3.7070969946109314`*^9}, {3.7070970330390406`*^9, 3.707097077473054*^9}, {
   3.707136843075342*^9, 3.7071368849699707`*^9}, {3.711024370128138*^9, 
   3.711024371715262*^9}, {3.7110245789957604`*^9, 3.7110246217633615`*^9}, {
   3.7110246932779293`*^9, 3.7110247167636714`*^9}, 3.711025265341647*^9, {
   3.7110253396848364`*^9, 3.711025356447915*^9}, {3.7110266197640467`*^9, 
   3.711026621642008*^9}, {3.7110269438157134`*^9, 3.7110269975532455`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.9375`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "4"], ",", 
         FractionBox["1", "4"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "4"], ",", 
         FractionBox["5", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "4"], ",", 
         FractionBox["3", "8"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "4"], ",", 
         FractionBox["7", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "4"], ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["5", "16"], ",", 
         FractionBox["1", "4"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["5", "16"], ",", 
         FractionBox["5", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["5", "16"], ",", 
         FractionBox["3", "8"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["5", "16"], ",", 
         FractionBox["7", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["5", "16"], ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "8"], ",", 
         FractionBox["1", "4"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "8"], ",", 
         FractionBox["5", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "8"], ",", 
         FractionBox["3", "8"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "8"], ",", 
         FractionBox["7", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "8"], ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["7", "16"], ",", 
         FractionBox["1", "4"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["7", "16"], ",", 
         FractionBox["5", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["7", "16"], ",", 
         FractionBox["3", "8"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["7", "16"], ",", 
         FractionBox["7", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["7", "16"], ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", 
         FractionBox["1", "4"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", 
         FractionBox["5", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", 
         FractionBox["3", "8"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", 
         FractionBox["7", "16"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.711027083541897*^9, 3.711029026829709*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"CLEAR", " ", "GLOBAL", " ", "NAMESPACE", " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.7045807104212956`*^9, 3.704580720751587*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"For", " ", "the", " ", "exact"}], ",", " ", 
   RowBox[{
   "recursive", " ", "coordinates", " ", "with", " ", "presumable", " ", 
    "eigenstates", " ", "of", " ", "the", " ", "gravitons"}], ",", " ", 
   RowBox[{
   "that", " ", "is", " ", "single", " ", "sinosoidal", " ", "wave", " ", 
    "components"}], ",", " ", 
   RowBox[{
   "the", " ", "boundary", " ", "conditions", " ", "are", " ", "satisfied", 
    " ", "on", " ", "a", " ", "tret", " ", "hypersurface", " ", "for", " ", 
    "arbitrary", " ", "paired", " ", "constant", " ", "radv"}], ",", " ", 
   "theta", ",", " ", 
   RowBox[{"and", " ", "phi", " ", 
    RowBox[{"faces", ".", " ", "We"}], " ", "demonstrate", " ", "this", " ", 
    RowBox[{"below", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.710948165102765*^9, 3.7109481740989294`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"rs", "/", "r"}]}], ")"}], "^", 
    RowBox[{"-", "1"}]}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054980856513186`*^9, 3.705498122833687*^9}, {
   3.7054981792294493`*^9, 3.70549818076854*^9}, {3.705498235422139*^9, 
   3.705498264159997*^9}, {3.705498370567457*^9, 3.7054983833725424`*^9}, 
   3.705514804297816*^9, 3.7055148385640783`*^9, {3.705525186217229*^9, 
   3.7055253278004975`*^9}, {3.7055258500205107`*^9, 3.7055258656035814`*^9}}],

Cell[BoxData[
 RowBox[{"r", "+", 
  RowBox[{"rs", " ", 
   RowBox[{"Log", "[", 
    RowBox[{"r", "-", "rs"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.7067967470345936`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Remember", " ", "the", " ", "constant", " ", "of", " ", 
    RowBox[{"integration", ".", " ", "We"}], " ", "want", " ", "tret", " ", 
    "to", " ", "equal", " ", "0", " ", "at", " ", "t"}], "=", 
   RowBox[{"0", " ", "on", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "We"}], " ", "want", " ", "the", " ", 
    "coordinate", " ", "to", " ", "also", " ", "be", " ", 
    RowBox[{"exterior", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705516027304986*^9, 3.7055160655961294`*^9}, {
  3.705525886661501*^9, 3.7055258964694357`*^9}, {3.7055262488019156`*^9, 
  3.7055262491221447`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "-", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"rs", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"r", "-", "rs"}], "]"}]}]}], ")"}]}], ")"}], "\[Equal]", 
     "tret"}], ",", "tret"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7054993689206886`*^9, 3.705499437609107*^9}, {
   3.7054998588565397`*^9, 3.7054998751240654`*^9}, 3.705500171824253*^9, {
   3.705514764541647*^9, 3.7055147702196703`*^9}, {3.7055148408547163`*^9, 
   3.705514841379064*^9}, {3.705514871448057*^9, 3.7055148732713757`*^9}, {
   3.7055150874930925`*^9, 3.70551508774026*^9}, {3.7055151678950543`*^9, 
   3.7055151946490097`*^9}, {3.7055154929789534`*^9, 
   3.7055154990122285`*^9}, {3.7055156229229703`*^9, 3.705515624212884*^9}, 
   3.705515679055741*^9, 3.7055157293410172`*^9, {3.70551599868874*^9, 
   3.7055160048511057`*^9}, {3.705516257710047*^9, 3.7055162720412006`*^9}, 
   3.7055163529427876`*^9, 3.7055166276162415`*^9, {3.7055175194226294`*^9, 
   3.705517547359689*^9}, {3.7055200707301893`*^9, 3.705520071040408*^9}, 
   3.705521493439684*^9, {3.705521552456608*^9, 3.705521556120209*^9}, {
   3.705524903512908*^9, 3.705524903849158*^9}, 3.705525118848544*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"tret", "\[Rule]", 
    RowBox[{
     RowBox[{"-", "r"}], "+", "t", "-", 
     RowBox[{"rs", " ", 
      RowBox[{"Log", "[", 
       RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.7067967470826406`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"t", "+", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"rs", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"r", "-", "rs"}], "]"}]}]}], ")"}]}], ")"}], "\[Equal]", 
     "radv"}], ",", "radv"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7055002447048855`*^9, 3.7055002589239545`*^9}, 
   3.705500294433987*^9, {3.7055147767402897`*^9, 3.705514777471809*^9}, {
   3.7055148463485823`*^9, 3.705514846596758*^9}, 3.705514883520553*^9, {
   3.7055152626029596`*^9, 3.7055152828154593`*^9}, 3.7055154010532904`*^9, {
   3.705516115782676*^9, 3.705516120574097*^9}, {3.705516309627805*^9, 
   3.7055163117843437`*^9}, 3.705516649166503*^9, {3.705517551330515*^9, 
   3.705517551557664*^9}, 3.7055176844115696`*^9, {3.7055200736442385`*^9, 
   3.7055200742716713`*^9}, 3.7055214561300063`*^9, {3.7055215588792934`*^9, 
   3.7055215591321836`*^9}, {3.7055249096862645`*^9, 3.705524910211654*^9}, {
   3.705525950259535*^9, 3.7055259728765554`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"radv", "\[Rule]", 
    RowBox[{"r", "+", "t", "+", 
     RowBox[{"rs", " ", 
      RowBox[{"Log", "[", 
       RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.7067967470916348`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"tret", ",", "radv"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "r"}], "+", "t", "-", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}], ",", 
      RowBox[{"r", "+", "t", "+", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}], ",", "Reals"}], "]"}]], "Input",
 CellChangeTimes->{{3.7055003503596044`*^9, 3.7055003954996147`*^9}, {
   3.7055149114598885`*^9, 3.705514926216339*^9}, 3.7055152213359184`*^9, {
   3.7055153006360846`*^9, 3.705515321491778*^9}, {3.7055154119579935`*^9, 
   3.705515419452567*^9}, 3.7055155193316097`*^9, 3.7055157007710977`*^9, {
   3.705516137864853*^9, 3.7055161476587677`*^9}, {3.705516325643051*^9, 
   3.7055163353799763`*^9}, 3.70551636675955*^9, {3.7055166432413*^9, 
   3.705516664252186*^9}, {3.7055175344532595`*^9, 3.70551757990675*^9}, 
   3.7055176958156567`*^9, {3.705520090819089*^9, 3.705520109916751*^9}, {
   3.7055209117667627`*^9, 3.705520937426956*^9}, 3.705521469519494*^9, {
   3.705521509158736*^9, 3.705521510869949*^9}, {3.7055215795946813`*^9, 
   3.7055215926219163`*^9}, {3.7055249609175653`*^9, 3.705524974278043*^9}, 
   3.7055259369631405`*^9, {3.7055259951395016`*^9, 3.705525996252287*^9}, {
   3.7064347212429523`*^9, 3.706434725721117*^9}, {3.706439143787035*^9, 
   3.706439147270501*^9}, {3.706453012970621*^9, 3.706453013737133*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"tret", ",", "radv"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "r"}], "+", "t", "-", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}], ",", 
      RowBox[{"r", "+", "t", "+", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"r", "-", "rs"}], "]"}]}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}], ",", "Reals"}], "]"}]], "Output",
 CellChangeTimes->{3.7067967472627554`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"t", "=", 
  FractionBox[
   RowBox[{"radv", "+", "tret"}], "2"]}]], "Input",
 CellChangeTimes->{{3.7055178472847843`*^9, 3.70551784778714*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"radv", "+", "tret"}], "2"]], "Output",
 CellChangeTimes->{3.7067967472737627`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Single", " ", "wave", " ", 
   RowBox[{"component", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706474687783756*^9, 3.7064746972794776`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"tret_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"b0", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", "*", "tret"}], "]"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"HeavisideTheta", "[", 
        RowBox[{"tret", "-", "tMin"}], "]"}], "-", 
       RowBox[{"HeavisideTheta", "[", 
        RowBox[{"tMax", "-", "tret"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903238341154*^9, 
   3.692903241803214*^9}, {3.6929970587680025`*^9, 3.692997078850181*^9}, {
   3.6930595265338883`*^9, 3.693059545429216*^9}, {3.704933836623302*^9, 
   3.7049338820453806`*^9}, {3.704933912612405*^9, 3.7049339816902204`*^9}, 
   3.7061068435454426`*^9, {3.7064540207155185`*^9, 3.706454055522153*^9}, {
   3.7064541117828784`*^9, 3.706454117078611*^9}, {3.706454158640012*^9, 
   3.70645420250396*^9}, {3.706455492467339*^9, 3.706455495710661*^9}, {
   3.706796551168295*^9, 3.7067965960991745`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rq", "[", 
  RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.7064541244798346`*^9, 3.70645414331219*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rs", "[", "tret", "]"}], "+", 
  RowBox[{"b0", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"HeavisideTheta", "[", 
       RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{
       RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.7067967472997828`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Recursive", " ", "definition", " ", "in", " ", "terms", " ", "of", " ", 
   RowBox[{"rq", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7064747034778643`*^9, 3.7064747261079073`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"r", "=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"tret", ",", "theta", ",", " ", "phi"}], "]"}], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"ProductLog", "[", 
      FractionBox[
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox["radv", 
          RowBox[{"2", " ", 
           RowBox[{"rq", "[", 
            RowBox[{"tret", ",", "theta", ",", " ", "phi"}], "]"}]}]], "-", 
         FractionBox["tret", 
          RowBox[{"2", " ", 
           RowBox[{"rq", "[", 
            RowBox[{"tret", ",", "theta", ",", " ", "phi"}], "]"}]}]]}]], 
       RowBox[{"rq", "[", 
        RowBox[{"tret", ",", "theta", ",", " ", "phi"}], "]"}]], "]"}]}], 
    ")"}]}]}]], "Input",
 CellChangeTimes->{{3.705501044642853*^9, 3.7055010524613943`*^9}, {
   3.7055013487531047`*^9, 3.7055013489452405`*^9}, {3.7055027793855386`*^9, 
   3.705502796259491*^9}, 3.705503146182869*^9, {3.7055031967398977`*^9, 
   3.705503206742957*^9}, {3.7055177993251624`*^9, 3.7055178091501517`*^9}, {
   3.7055194411634593`*^9, 3.7055194436952796`*^9}, {3.7055203865319953`*^9, 
   3.705520396254884*^9}, {3.705521728613337*^9, 3.705521746107731*^9}, {
   3.7055262595835295`*^9, 3.7055262749764366`*^9}, {3.7055272967006035`*^9, 
   3.705527297618252*^9}, {3.706106069093521*^9, 3.706106072064708*^9}, {
   3.7061061130057545`*^9, 3.7061061167806787`*^9}, {3.7061061502657127`*^9, 
   3.7061061607090054`*^9}, {3.706106605270755*^9, 3.7061066443063593`*^9}, {
   3.70610742541571*^9, 3.706107451529374*^9}, {3.706454660411109*^9, 
   3.7064547617037916`*^9}, 3.706796660894008*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"ProductLog", "[", 
     FractionBox[
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        FractionBox["radv", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
        FractionBox["tret", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
      RowBox[{
       RowBox[{"rs", "[", "tret", "]"}], "+", 
       RowBox[{"b0", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"HeavisideTheta", "[", 
            RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
          RowBox[{"HeavisideTheta", "[", 
           RowBox[{
            RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"rs", "[", "tret", "]"}], "+", 
    RowBox[{"b0", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"HeavisideTheta", "[", 
         RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
       RowBox[{"HeavisideTheta", "[", 
        RowBox[{
         RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.706796747318008*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "untrnsMetric", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"untrnsMetric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"tret", ",", "theta", ",", "phi"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
   3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
   3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
   3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
   3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
   3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
   3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
   3.692741488610837*^9, 3.692741493782071*^9}, {3.7049338930176797`*^9, 
   3.704933896461905*^9}, {3.7049339873204226`*^9, 3.704934002212364*^9}, {
   3.7049340804210873`*^9, 3.704934085419406*^9}, 3.7049702486890497`*^9, {
   3.706106553386031*^9, 3.7061065633420568`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox["1", 
       RowBox[{"1", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            FractionBox["radv", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
            FractionBox["tret", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "+", 
           RowBox[{"b0", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
              RowBox[{"HeavisideTheta", "[", 
               RowBox[{
                RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ",", "0", 
     ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox["1", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}]], ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], "2"], 
      " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}], ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], "2"], 
      " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7067967473405223`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "jcbian", "]"}]], "Input",
 CellChangeTimes->{{3.704536866118086*^9, 3.7045368705967164`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jcbian", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"t", ",", "tret"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{"t", ",", "radv"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"r", ",", "tret"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{"r", ",", "radv"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7045368298209867`*^9, 3.7045368512569337`*^9}, {
  3.704536890714956*^9, 3.704536900707712*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"-", 
             FractionBox[
              RowBox[{
               RowBox[{"-", "radv"}], "+", "tret", "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rs", "[", "tret", "]"}], "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"b0", " ", "k0", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"DiracDelta", "[", 
             RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
            RowBox[{"DiracDelta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["rs", "\[Prime]",
           MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "radv"}], "+", "tret", "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"rs", "[", "tret", "]"}], "+", 
               RowBox[{"b0", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]], " ", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"-", 
             FractionBox[
              RowBox[{
               RowBox[{"-", "radv"}], "+", "tret", "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rs", "[", "tret", "]"}], "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"b0", " ", "k0", " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                  "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
               ")"}], "/", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"-", "radv"}], "+", "tret", "+", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["1", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}], "-", 
                FractionBox[
                 RowBox[{"radv", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]], 
                "+", 
                FractionBox[
                 RowBox[{"tret", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]]}], 
               ")"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], ")"}]}], 
        ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"-", 
             FractionBox[
              RowBox[{
               RowBox[{"-", "radv"}], "+", "tret", "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rs", "[", "tret", "]"}], "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}]}]}], 
     ",", 
     FractionBox[
      RowBox[{"ProductLog", "[", 
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "radv"}], "+", "tret", "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"rs", "[", "tret", "]"}], "+", 
               RowBox[{"b0", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], 
      RowBox[{"2", "+", 
       RowBox[{"2", " ", 
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{
              RowBox[{"-", "radv"}], "+", "tret", "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "+", 
           RowBox[{"b0", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
              RowBox[{"HeavisideTheta", "[", 
               RowBox[{
                RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]}]], ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706796748116168*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "metric", "]"}]], "Input",
 CellChangeTimes->{{3.704538996185095*^9, 3.704538998961834*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{
   RowBox[{"Transpose", "[", "jcbian", "]"}], ".", "untrnsMetric", ".", 
   "jcbian"}]}]], "Input",
 CellChangeTimes->{{3.704536650289685*^9, 3.704536651399123*^9}, {
  3.7045367006960144`*^9, 3.704536701274145*^9}, {3.7045369955720143`*^9, 
  3.7045370233166013`*^9}, {3.704538965511732*^9, 3.7045389708749495`*^9}, {
  3.7045390097590475`*^9, 3.7045390139346905`*^9}, {3.7045390504810467`*^9, 
  3.704539053152063*^9}, {3.704539116322667*^9, 3.7045391336037054`*^9}, {
  3.7045392989975533`*^9, 3.704539302763184*^9}, {3.704628138208721*^9, 
  3.7046281436504726`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox["1", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
               FractionBox["tret", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}]}], 
      "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"-", "radv"}], "+", "tret", "+", 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], 
           " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"b0", " ", "k0", " ", 
              RowBox[{"Cos", "[", 
               RowBox[{"k0", " ", "tret"}], "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{
                  RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], "+", 
             RowBox[{"b0", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DiracDelta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                RowBox[{"DiracDelta", "[", 
                 RowBox[{
                  RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
             RowBox[{
              SuperscriptBox["rs", "\[Prime]",
               MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{
                RowBox[{"-", "radv"}], "+", "tret", "+", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rs", "[", "tret", "]"}], "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]], " ", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"-", "radv"}], "+", "tret", "+", 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                   ")"}], "/", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}], 
                 ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}], "-", 
                    FractionBox[
                    RowBox[{"radv", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]], 
                    "+", 
                    FractionBox[
                    RowBox[{"tret", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]]}], 
                   ")"}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rs", "[", "tret", "]"}], "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
              ")"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"-", "radv"}], "+", "tret", "+", 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}]}]}],
          ")"}], "2"], "/", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox["1", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
               FractionBox["tret", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], 
        ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox["1", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
               FractionBox["tret", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}]}], 
      "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"-", 
             FractionBox[
              RowBox[{
               RowBox[{"-", "radv"}], "+", "tret", "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rs", "[", "tret", "]"}], "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], 
            " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"b0", " ", "k0", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
              "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"DiracDelta", "[", 
                  RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                 RowBox[{"DiracDelta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["rs", "\[Prime]",
                MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{
                 RowBox[{"-", "radv"}], "+", "tret", "+", 
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]], " ", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    ")"}], "/", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}], 
                  ")"}]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}], "-", 
                    FractionBox[
                    RowBox[{"radv", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]], 
                    "+", 
                    FractionBox[
                    RowBox[{"tret", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]]}], 
                    ")"}]}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
               ")"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], 
             ")"}]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox["1", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}], 
         " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"2", " ", 
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"-", "radv"}], "+", "tret", "+", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
              RowBox[{
               RowBox[{"rs", "[", "tret", "]"}], "+", 
               RowBox[{"b0", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]}], ")"}]}], 
        ")"}]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox["1", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
               FractionBox["tret", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}]}], 
      "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"-", 
             FractionBox[
              RowBox[{
               RowBox[{"-", "radv"}], "+", "tret", "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rs", "[", "tret", "]"}], "+", 
                  RowBox[{"b0", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], 
            " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"b0", " ", "k0", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
              "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"DiracDelta", "[", 
                  RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                 RowBox[{"DiracDelta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["rs", "\[Prime]",
                MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{
                 RowBox[{"-", "radv"}], "+", "tret", "+", 
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]], " ", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    ")"}], "/", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}], 
                  ")"}]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}], "-", 
                    FractionBox[
                    RowBox[{"radv", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]], 
                    "+", 
                    FractionBox[
                    RowBox[{"tret", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], "+", 
                    RowBox[{"DiracDelta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret", "]"}]}], ")"}]}], 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]]}], 
                    ")"}]}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
               ")"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"-", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"-", "radv"}], "+", "tret", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], 
             ")"}]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox["1", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}], 
         " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"2", " ", 
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"-", "radv"}], "+", "tret", "+", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
              RowBox[{
               RowBox[{"rs", "[", "tret", "]"}], "+", 
               RowBox[{"b0", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]}], ")"}]}], 
        ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox["1", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
               FractionBox["tret", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}]}], 
      "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{
              RowBox[{"-", "radv"}], "+", "tret", "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "+", 
           RowBox[{"b0", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
              RowBox[{"HeavisideTheta", "[", 
               RowBox[{
                RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], "2"], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox["1", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}], 
         " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"2", " ", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"-", "radv"}], "+", "tret", "+", 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]}], ")"}], 
          "2"]}], ")"}]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], "2"], 
      " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}], ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], "2"], 
      " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7067967483318357`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"metric", "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "1"}], "]"}], "]"}], "-", 
   RowBox[{"metric", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.70453906444353*^9, 3.7045390762084684`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7067967484904337`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "coord", "]"}]], "Input",
 CellChangeTimes->{{3.7045355004619265`*^9, 3.7045355026963215`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9, {
   3.7045390892453403`*^9, 3.704539092100324*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.7067967485084467`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.7067967485179553`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", 
    RowBox[{"HERE", ".", " ", 
     RowBox[{"(", 
      RowBox[{"SEE", " ", "IMPORTANT", " ", 
       RowBox[{"NOTE", "."}]}], ")"}]}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.705501434662224*^9, 3.7055014481297655`*^9}, {
  3.7055186126258783`*^9, 3.705518618302295*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "boundary", " ", "conditions", " ", "must", " ", "be", " ", 
     "satisfied", " ", "for", " ", "the", " ", "Einstein"}], "-", 
    RowBox[{
    "Hilbert", " ", "action", " ", "to", " ", "be", " ", "a", " ", 
     "meaningful", " ", "description", " ", "of", " ", "the", " ", 
     RowBox[{"interior", ".", " ", "With"}], " ", "a", " ", "single", " ", 
     "wave", " ", "component"}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "we", " ", "first", " ", "check", " ", "what", " ", "parts", " ", "of", 
     " ", "the", " ", "boundary", " ", "condition", " ", "are", " ", "non"}], 
    "-", 
    RowBox[{"trivial", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132299679185*^9, 3.6921323138532095`*^9}, {
  3.692132347221799*^9, 3.692132422250717*^9}, {3.6921412641823487`*^9, 
  3.6921412675535693`*^9}, {3.706474768922086*^9, 3.7064747823445864`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"IMPORTANT", " ", 
    RowBox[{"NOTE", ":", " ", 
     RowBox[{
     "This", " ", "hypersurface", " ", "takes", " ", "over", " ", "15", " ", 
      "minutes"}]}]}], ",", " ", 
   RowBox[{"or", " ", "much", " ", 
    RowBox[{"longer", ".", " ", "If"}], " ", "it", " ", "can", " ", "be", " ",
     "calculated", " ", "without", " ", "simplification", " ", "until", " ", 
    "the", " ", "end"}], ",", " ", 
   RowBox[{"that", " ", "should", " ", "be", " ", 
    RowBox[{"sufficient", ".", " ", "Try"}], " ", "removing", " ", "all", " ",
     "simplification", " ", "from", " ", 
    RowBox[{"diffgeo", ".", "m"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.70550392165765*^9, 3.7055039739778395`*^9}, {
  3.705504122934465*^9, 3.705504134673783*^9}, {3.7055185814581585`*^9, 
  3.705518626338377*^9}}],

Cell[BoxData[
 RowBox[{"hypersurface", "[", 
  RowBox[{"tret", ",", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.705501503976407*^9, 3.7055015115827956`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["induced"], "Input",
 CellChangeTimes->{{3.7045895141564503`*^9, 3.704589515365304*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         FractionBox["1", 
          RowBox[{"1", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox[
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
               FractionBox["tret", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"rs", "[", "tret", "]"}], "+", 
                   RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "+", 
              RowBox[{"b0", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"HeavisideTheta", "[", 
                   RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                 RowBox[{"HeavisideTheta", "[", 
                  RowBox[{
                   RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}]}], 
      "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"ProductLog", "[", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{
              RowBox[{"-", "radv"}], "+", "tret", "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "+", 
           RowBox[{"b0", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
              RowBox[{"HeavisideTheta", "[", 
               RowBox[{
                RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}], "2"], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox["1", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], ")"}], 
         " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"2", " ", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"-", "radv"}], "+", "tret", "+", 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]}], ")"}], 
          "2"]}], ")"}]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], "2"], 
      " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}], ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["radv", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]], "-", 
             FractionBox["tret", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"rs", "[", "tret", "]"}], "+", 
                 RowBox[{"b0", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}]}]]}]], 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "+", 
            RowBox[{"b0", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"HeavisideTheta", "[", 
                 RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
               RowBox[{"HeavisideTheta", "[", 
                RowBox[{
                 RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], "2"], 
      " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", "tret", "]"}], "+", 
         RowBox[{"b0", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"HeavisideTheta", "[", 
              RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
            RowBox[{"HeavisideTheta", "[", 
             RowBox[{
              RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", "tret"}], "]"}]}]}], ")"}], "2"]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7067967754210424`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"induced4", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"induced", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6655804877921205`*^9, 3.665580493705736*^9}, {
   3.665580545400695*^9, 3.66558054862733*^9}, {3.692379441140069*^9, 
   3.692379484574189*^9}, {3.692379649006301*^9, 3.6923796730028324`*^9}, {
   3.704589576640542*^9, 3.7045896891634665`*^9}, 3.7045901463917885`*^9}],

Cell[BoxData[
 RowBox[{"invInduced", ":=", 
  RowBox[{"raise", "[", 
   RowBox[{"induced4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655806306454115`*^9, 3.665580646289775*^9}, 
   3.692379529459448*^9}],

Cell[CellGroupData[{

Cell[BoxData["invInduced"], "Input",
 CellChangeTimes->{{3.706107262715*^9, 3.706107263949423*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             FractionBox[
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  FractionBox["1", "4"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                    FractionBox["tret", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}]], 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"b0", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}]]}], 
                   ")"}]}], "+", 
                 FractionBox[
                  SuperscriptBox[
                   RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "]"}], "2"], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}]}]]}], ")"}], " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}]]}], ")"}], 
               " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "4"], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], "+", 
                  FractionBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], "+", 
                    FractionBox[
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]}], ")"}], "2"]], ",", 
             RowBox[{"-", 
              FractionBox[
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "4"], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}]}]]}], ")"}]}], "+", 
                  FractionBox[
                   SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox["1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]]}], ")"}], " ", 
                RowBox[{"(", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "4"], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], "+", 
                  FractionBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]]}], ",", "0", 
             ",", "0"}], "}"}], ",", 
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton",
            DisplayFunction->(FrameBox[
              RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}],
               Background -> GrayLevel[0.75], 
              BaseStyle -> {
               "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
              ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
              FrameStyle -> None, RoundingRadius -> 7]& )], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             FractionBox["1", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )]], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0", ",", 
             FractionBox[
              SuperscriptBox[
               RowBox[{"Csc", "[", "theta", "]"}], "2"], 
              RowBox[{
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], " ", 
               SuperscriptBox[
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "2"]}]]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 209, 32787104624362336920, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 209, 32787104624362336920, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 209, 32787104624362336920, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[209]]], "Output",
 CellChangeTimes->{3.7067967755526247`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "In", " ", "order", " ", "for", " ", "the", " ", "boundary", " ", 
    "conditions", " ", "to", " ", "be", " ", "satisfied"}], ",", " ", 
   RowBox[{
   "a", " ", "surface", " ", "integral", " ", "of", " ", "this", " ", 
    "extrinsic", " ", "term", " ", "must", " ", 
    RowBox[{"vanish", ".", " ", "We"}], " ", "assume", " ", "that", " ", 
    "bounding", " ", "volumes", " ", "are", " ", "parallel", " ", "and", " ", 
    "perpendicular", " ", "to", " ", "the", " ", "coordinates"}], ",", " ", 
   RowBox[{
   "and", " ", "we", " ", "pair", " ", "opposing", " ", "faces", " ", "of", 
    " ", "bounding", " ", 
    RowBox[{"volumes", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132495168952*^9, 3.6921326406697955`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "beh", ",", "behr", ",", "behrInt", ",", "behthetaInt", ",", "behthetaInt", 
   ",", "behphi", ",", "behphiInt"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061077058466268`*^9, 3.7061077423378444`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"beh", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"beh", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], "*", 
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "2"}], "]"}], "]"}], "*", 
    RowBox[{"induced", "[", 
     RowBox[{"[", 
      RowBox[{"3", ",", "3"}], "]"}], "]"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"extrinsictrace", "*", "invInduced"}], "-", "extrinsic"}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6603971267987247`*^9, 3.6603971528391542`*^9}, {
  3.660397263234913*^9, 3.660397267532553*^9}, {3.6605219711757355`*^9, 
  3.660521978394868*^9}, {3.660522382933532*^9, 3.6605223880095186`*^9}, {
  3.6655802785875387`*^9, 3.665580302897689*^9}, {3.6655806543942823`*^9, 
  3.665580677067096*^9}, {3.665610203393684*^9, 3.665610228652419*^9}, {
  3.6923799958554554`*^9, 3.692380000270088*^9}, {3.692572862825182*^9, 
  3.692572869357932*^9}, {3.7045812298568335`*^9, 3.704581233319463*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"behr", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behr", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519859290266`*^9, {3.6655992558355274`*^9, 3.6655992611412916`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behr", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.7045811542919507`*^9, 3.7045811562329884`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], 
           "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["1", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox[
                   SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                   RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "]"}]}]]}], ")"}]}], "+", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"ProductLog", "[", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "]"}], "2"], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                FractionBox["1", 
                 RowBox[{"1", "+", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], ")"}], "2"]}]]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"rs", "[", "tret", "]"}], "+", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )]}], ")"}], "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], ")"}]}], "+", 
            FractionBox[
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "4"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "]"}]}]]}], ")"}]}], "+", 
                FractionBox[
                 SuperscriptBox[
                  RowBox[{"ProductLog", "[", 
                   FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}], "2"], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "-", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}]]}], ")"}], " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}]]}], ")"}], 
              " ", 
              SuperscriptBox[
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  FractionBox[
                   RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                   RowBox[{
                    SqrtBox[
                    RowBox[{"-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "-", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]}]], "+", 
                TemplateBox[{"4"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )], "+", 
                FractionBox[
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                 RowBox[{"2", " ", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], "+", 
                   FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]}], ")"}], "2"]]}], 
           ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 214, 32787104624362336920, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 214, 32787104624362336920, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 214, 32787104624362336920, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[214]]], "Output",
 CellChangeTimes->{3.706796777470982*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behrInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaR_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behrInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], "]"}], 
   "=", 
   RowBox[{
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", 
      RowBox[{"r", "+", "deltaR"}], ",", "theta", ",", "phi"}], "]"}], "-", 
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519972360644`*^9, {3.6636693207273684`*^9, 3.6636693315311337`*^9}, {
   3.666177898908599*^9, 3.666177905909754*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behrInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaR"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7045811600781393`*^9, 3.7045811619550724`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7067967776483145`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behtheta", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behtheta", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852018175275*^9, 3.6628957832517853`*^9, {3.665599271940704*^9, 
   3.6655992769696407`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behtheta", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.704581165870282*^9, 3.704581167887597*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], 
           "4"], " ", 
          TemplateBox[{"3"},
           "OutputSizeLimit`Skeleton",
           DisplayFunction->(FrameBox[
             RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
             Background -> GrayLevel[0.75], 
             BaseStyle -> {
              "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
               ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
             ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
             FrameStyle -> None, RoundingRadius -> 7]& )], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "]"}]}]]}], ")"}]}], "+", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}], "2"], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}]]}], ")"}], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"1", "-", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]], " ", 
                    TemplateBox[{"2"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}], 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "3"]}]]}], "-", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], 
                 RowBox[{
                  SqrtBox[
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}]}]]}], ")"}]}], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox["1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]]}], 
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}]]}]], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}]]}], "+", 
               TemplateBox[{"5"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )]}], ")"}]}], "+", 
            FractionBox[
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], 
             SuperscriptBox[
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], "2"]]}], ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 218, 32787104624362336920, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 218, 32787104624362336920, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 218, 32787104624362336920, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[218]]], "Output",
 CellChangeTimes->{3.7067967792121334`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behthetaInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaTheta_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behthetaInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", 
      RowBox[{"theta", "+", "deltaTheta"}], ",", "phi"}], "]"}], "-", 
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520318824463`*^9, {3.666177910561014*^9, 3.6661779178956223`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behthetaInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.6628520420339923`*^9, {3.666177961515559*^9, 3.666177963080166*^9}, {
   3.704581173235983*^9, 3.7045811762465343`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706796779430373*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphi", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behphi", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852051097291*^9, {3.6655992823310194`*^9, 3.6655992860243697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphi", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi"}], "]"}]], "Input",
 CellChangeTimes->{{3.7045811816524315`*^9, 3.7045811833243504`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["radv", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]], "-", 
                 FractionBox["tret", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]]}]], 
               RowBox[{
                RowBox[{"rs", "[", "tret", "]"}], "+", 
                RowBox[{"b0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}]}], "+", 
                   RowBox[{"HeavisideTheta", "[", 
                    RowBox[{
                    RowBox[{"-", "tMin"}], "+", "tret"}], "]"}]}], ")"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"k0", " ", "tret"}], "]"}]}]}]], "]"}]}], ")"}], 
           "4"], " ", 
          TemplateBox[{"3"},
           "OutputSizeLimit`Skeleton",
           DisplayFunction->(FrameBox[
             RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
             Background -> GrayLevel[0.75], 
             BaseStyle -> {
              "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
               ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
             ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
             FrameStyle -> None, RoundingRadius -> 7]& )], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox[
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "]"}]}]]}], ")"}]}], "+", 
                    FractionBox[
                    SuperscriptBox[
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}], "2"], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]}]]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}]]}], ")"}], 
                  " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "b0", " ", "k0", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k0", " ", "tret"}], "]"}], " ", 
                    RowBox[{"HeavisideTheta", "[", 
                    RowBox[{"tMax", "-", "tret"}], "]"}], " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}], "+", 
                    TemplateBox[{"68"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], 
                 RowBox[{
                  SqrtBox[
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "]"}]}]]}], ")"}]}], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    FractionBox["1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]}]]}], 
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}]}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    FractionBox["1", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ")"}]}], "+", 
                    FractionBox[
                    SuperscriptBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}]]}]], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}]]}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "4"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "+", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}], 
                RowBox[{
                 SqrtBox[
                  RowBox[{"-", 
                   FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}]], " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]]}], ")"}]}], "+", 
            FractionBox[
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], 
             RowBox[{
              SuperscriptBox[
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], "2"], " ", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )]}]]}], ")"}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 222, 32787104624362336920, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 222, 32787104624362336920, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 222, 32787104624362336920, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[222]]], "Output",
 CellChangeTimes->{3.706796780835354*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphiInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaPhi_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behphiInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], "]"}],
    "=", 
   RowBox[{
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", 
      RowBox[{"phi", "+", "deltaPhi"}]}], "]"}], "-", 
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520584446745`*^9, {3.666177923109236*^9, 3.666177930034356*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphiInt", "[", 
  RowBox[{"tret", ",", "radv", ",", "theta", ",", "phi", ",", "deltaPhi"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6628519042518234`*^9, 3.6628520623736315`*^9}, {
  3.6661779658521905`*^9, 3.666177967482606*^9}, {3.704581187606821*^9, 
  3.7045811897683268`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.706796781039025*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"So", ",", " ", 
   RowBox[{"for", " ", "single", " ", "wave", " ", "components"}], ",", " ", 
   RowBox[{
   "the", " ", "action", " ", "should", " ", "be", " ", "a", " ", "locally", 
    " ", "valid", " ", "description"}], ",", " ", 
   RowBox[{"since", " ", "the", " ", "boundary", " ", "term", " ", "is", " ", 
    RowBox[{"zero", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706474815120778*^9, 3.706474860723056*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"CLEAR", " ", "GLOBAL", " ", "NAMESPACE", " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.7050545384953156`*^9, 3.7050545730790195`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "We", " ", "have", " ", "shown", " ", "that", " ", "the", " ", "action"}], 
   ",", " ", 
   RowBox[{"for", " ", "this", " ", "metric"}], ",", " ", 
   RowBox[{"is", " ", "functionally", " ", 
    RowBox[{"minimized", ".", " ", "As"}], " ", "this", " ", "implies", " ", 
    "a", " ", "vacuum", " ", "solution"}], ",", " ", 
   RowBox[{
   "we", " ", "should", " ", "therefore", " ", "be", " ", "able", " ", "to", 
    " ", "show", " ", "that", " ", "the", " ", "Ricci", " ", "tensor", " ", 
    "is", " ", "zero"}], ",", " ", 
   RowBox[{
   "following", " ", "the", " ", "usual", " ", "form", " ", "of", " ", "the", 
    " ", "vacuum", " ", "Einstein", " ", "field", " ", 
    RowBox[{"equations", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7482181447257905`*^9, 3.7482182327334757`*^9}, {
  3.74830394415129*^9, 3.748303950409667*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{3.706796952839372*^9, 3.7070525919333143`*^9, 
  3.7070795254905148`*^9, 3.707096591539074*^9, 3.7071367620255375`*^9, 
  3.7107088100362096`*^9, 3.7107108765693674`*^9, 3.7109472915932236`*^9, 
  3.710963320960294*^9, 3.710968512008093*^9, 3.710971844937773*^9, 
  3.711023774507946*^9, 3.711026648136907*^9, 3.711028762381281*^9, 
  3.7111393497373176`*^9, 3.748218236704858*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"rq", ",", "metric"}], "]"}]], "Input",
 CellChangeTimes->{{3.7066526541789255`*^9, 3.7066526585653515`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", "tret_", "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", "tret", "]"}], "=", 
   RowBox[{
    RowBox[{"2", 
     RowBox[{
      RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"b", "[", 
         RowBox[{"k", ",", "tret"}], "]"}], "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"k", "*", "tret"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", 
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], "]"}]}], 
    "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903238341154*^9, 
   3.692903241803214*^9}, {3.6929970587680025`*^9, 3.692997078850181*^9}, {
   3.6930595265338883`*^9, 3.693059545429216*^9}, {3.704933836623302*^9, 
   3.7049338820453806`*^9}, {3.704933912612405*^9, 3.7049339816902204`*^9}, {
   3.70569294162263*^9, 3.7056929454443364`*^9}, {3.7060353089226627`*^9, 
   3.7060353181652374`*^9}, {3.7061068803306084`*^9, 3.706106886634224*^9}, {
   3.7064783508742275`*^9, 3.7064783510293283`*^9}, {3.706651375398197*^9, 
   3.706651382627028*^9}, 3.706651418887966*^9, {3.706652525769907*^9, 
   3.706652529539811*^9}, {3.706652596563572*^9, 3.7066528134353247`*^9}, {
   3.7066529385818367`*^9, 3.706652953950753*^9}, {3.706695822813854*^9, 
   3.7066958654451723`*^9}, {3.70669900028893*^9, 3.706699002351396*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], ")"}], "/", 
         "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
  3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
  3.692741488610837*^9, 3.692741493782071*^9}, {3.7049338930176797`*^9, 
  3.704933896461905*^9}, {3.7049339873204226`*^9, 3.704934002212364*^9}, {
  3.7049340804210873`*^9, 3.704934085419406*^9}, {3.706035326233715*^9, 
  3.7060353319930906`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
        RowBox[{"2", " ", 
         TemplateBox[{RowBox[{
             RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
             RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
           RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
          "InactiveIntegrate",
          DisplayFunction->(RowBox[{
             SubsuperscriptBox[
              StyleBox["\[Integral]", "Inactive"], #3, #4], 
             RowBox[{#, 
               RowBox[{
                 StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
          InterpretationFunction->(RowBox[{
             RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
             RowBox[{#, ",", 
               RowBox[{"{", 
                 RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
       "r"]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
         RowBox[{"2", " ", 
          TemplateBox[{RowBox[{
              RowBox[{"b", "[", 
                RowBox[{"k", ",", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
                RowBox[{"k", " ", 
                  RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        "r"]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067969528689013`*^9, 3.7070525920333834`*^9, 
  3.707079525578582*^9, 3.7070965830422616`*^9, 3.7071367623695736`*^9, 
  3.7107088102712517`*^9, 3.7107108766354146`*^9, 3.71094729167528*^9, 
  3.710963321019335*^9, 3.7109685121401863`*^9, 3.7109718450877485`*^9, 
  3.711023774571992*^9, 3.711026648207945*^9, 3.7110287624443264`*^9, 
  3.7111393498023634`*^9, 3.748218249252344*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.7067969528809004`*^9, 3.7070525944932203`*^9, 
  3.707079525591092*^9, 3.7070965830512695`*^9, 3.7071367624021072`*^9, 
  3.7107088102792583`*^9, 3.710710876643407*^9, 3.7109472916842885`*^9, 
  3.7109633210283422`*^9, 3.710968512150193*^9, 3.710971845105779*^9, 
  3.7110237745809975`*^9, 3.711026648215951*^9, 3.711028762452345*^9, 
  3.711139349809368*^9, 3.748218249264275*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", 
    RowBox[{"HERE", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7050545646047444`*^9, 3.705054589624752*^9}, {
  3.7063055005272193`*^9, 3.70630554028513*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "derivativesDispatch", "]"}]], "Input",
 CellChangeTimes->{{3.7056178217782445`*^9, 3.705617825322756*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"derivativesDispatch", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", "\[Prime]",
        MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "tret"}], "]"}], ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7060387018548975`*^9, 3.7060387157839313`*^9}, {
   3.706478356707346*^9, 3.7064783624924583`*^9}, 3.706651477723851*^9, {
   3.7066530248500133`*^9, 3.7066530550664454`*^9}, {3.7066955160780306`*^9, 
   3.706695619349493*^9}, {3.70669574443151*^9, 3.706695749311695*^9}, {
   3.7067962301525273`*^9, 3.706796241605628*^9}, {3.7107108927044597`*^9, 
   3.710710895506518*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["2",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["2",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       $CellContext`b[$CellContext`k, $CellContext`tret], {$CellContext`k, 0, 
        Rational[1, 2] $CellContext`rs[$CellContext`tret]}], 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       Derivative[
       0, 1][$CellContext`b][$CellContext`k, $CellContext`tret], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[$CellContext`tret]}]}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7067969735272975`*^9, 3.707052628323802*^9, 
  3.707079552615713*^9, 3.7070966187642717`*^9, 3.70713681729449*^9, 
  3.7107088345130353`*^9, 3.7107109408661385`*^9, 3.7107112995897284`*^9, 
  3.7109473142090735`*^9, 3.7109633582015147`*^9, 3.7109685497537246`*^9, 
  3.7109718803118515`*^9, 3.7110238151439667`*^9, 3.7110266799550037`*^9, 
  3.711028786760767*^9, 3.7111393812054276`*^9, 3.7482182678106875`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "mixedRT", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"mixedRT", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"RicciTensor", "/.", "derivativesDispatch"}], "]"}], ",", 
     RowBox[{"TimeConstraint", "\[Rule]", "1"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.704972921779036*^9, 3.704972922013973*^9}, {
   3.7049748811626673`*^9, 3.7049748841066704`*^9}, 3.705054701138736*^9, 
   3.705511072696538*^9, {3.7056925205776434`*^9, 3.7056925293918886`*^9}, 
   3.705693039733186*^9, {3.706651497594928*^9, 3.7066515011226964`*^9}, {
   3.7066515982448688`*^9, 3.7066516078361187`*^9}, {3.7066517093064556`*^9, 
   3.7066517100884914`*^9}, 3.7066519100659323`*^9, {3.748218278040367*^9, 
   3.748218290274624*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"15.859375`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], "5"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"r", " ", 
                 RowBox[{
                  SubscriptBox["\[PartialD]", "r"], 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                   ")"}], " ", 
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                RowBox[{"r", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}]}]}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "r"}], "+", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], "4"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", "r"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{
                  SubscriptBox["\[PartialD]", "r"], 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                   ")"}], " ", 
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                RowBox[{"3", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                RowBox[{"r", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}]}]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"r", " ", 
                 RowBox[{
                  SubscriptBox["\[PartialD]", "r"], 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                   ")"}], " ", 
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                RowBox[{"r", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}]}]}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "r"}], "+", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"r", " ", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                    ")"}], " ", 
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                 RowBox[{"r", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                ")"}]}]}], ")"}], "2"]}], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox["r", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "r"}], "+", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], "2"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}]}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                 ")"}], " ", 
               TemplateBox[{RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
              TemplateBox[{RowBox[{
                  RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
             ")"}], "2"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["r", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], "3"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "2"}], "}"}]], 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                ")"}], " ", 
              TemplateBox[{RowBox[{"b", "[", 
                  RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
              TemplateBox[{RowBox[{
                  SuperscriptBox["b", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                   MultilineFunction -> None], "[", 
                  RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                 " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                 " ", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                 SuperscriptBox[
                  TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                  "2"]}], "+", 
                RowBox[{
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                 " ", 
                 TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}]}], "-", 
             TemplateBox[{RowBox[{"(", 
                 RowBox[{
                   RowBox[{
                    RowBox[{"-", "k"}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]}], "+", 
                    RowBox[{"k", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                   RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
              "InactiveIntegrate",
              DisplayFunction->(RowBox[{
                 SubsuperscriptBox[
                  StyleBox["\[Integral]", "Inactive"], #3, #4], 
                 RowBox[{#, 
                   RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
              InterpretationFunction->(RowBox[{
                 RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                 RowBox[{#, ",", 
                   RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], " ", 
              TemplateBox[{RowBox[{"b", "[", 
                  RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
              RowBox[{
               SuperscriptBox["b", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "-", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], " ", 
              SuperscriptBox[
               TemplateBox[{RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"], 
              " ", 
              RowBox[{
               SuperscriptBox["b", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"1", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], ")"}]}],
           "+", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}], "5"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"{", 
                 RowBox[{"r", ",", "2"}], "}"}]], 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
              TemplateBox[{RowBox[{"b", "[", 
                  RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"b", "[", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"{", 
                 RowBox[{"r", ",", "2"}], "}"}]], 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], " ", 
              TemplateBox[{RowBox[{"b", "[", 
                  RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
             RowBox[{"2", " ", "r", " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", "r"], 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                ")"}], " ", 
              TemplateBox[{RowBox[{"b", "[", 
                  RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
             RowBox[{
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"b", "[", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                 " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}]}], "-", 
             RowBox[{"2", " ", 
              TemplateBox[{RowBox[{
                  RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
             RowBox[{"2", " ", "r", " ", 
              TemplateBox[{RowBox[{
                  RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              TemplateBox[{RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                    RowBox[{"-", "k"}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]}], "+", 
                    RowBox[{"k", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "r"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                RowBox[{
                 RowBox[{"b", "[", 
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "-", 
                   RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                  ")"}]}], "+", 
                RowBox[{
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                 " ", 
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                   RowBox[{
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                  ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", 
          SuperscriptBox["r", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
             RowBox[{"2", " ", 
              TemplateBox[{RowBox[{
                  RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
            ")"}], "4"]}], ")"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "t"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                 ")"}], " ", 
               TemplateBox[{RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
              TemplateBox[{RowBox[{
                  RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
             ")"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"r", " ", 
            RowBox[{"(", 
             RowBox[{"r", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}]}], ")"}]}], ")"}]}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "t"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{
                  RowBox[{"b", "[", 
                   RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                 ")"}], " ", 
               TemplateBox[{RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
              TemplateBox[{RowBox[{
                  RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                  RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
               "InactiveIntegrate",
               DisplayFunction->(RowBox[{
                  SubsuperscriptBox[
                   StyleBox["\[Integral]", "Inactive"], #3, #4], 
                  RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
               InterpretationFunction->(RowBox[{
                  RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
             ")"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"r", " ", 
            RowBox[{"(", 
             RowBox[{"r", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
              RowBox[{"2", " ", 
               TemplateBox[{RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                 RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
             ")"}]}], ")"}]}], ")"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"r", " ", 
                   RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                     ")"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "-", 
                  RowBox[{"r", " ", 
                   TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                 ")"}]}]}], ")"}]}], "-", 
            RowBox[{"4", " ", 
             SuperscriptBox["r", "4"], " ", 
             RowBox[{"(", 
              RowBox[{"r", "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                   ")"}], " ", 
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
               ")"}], "2"]}], "+", 
            RowBox[{
             SuperscriptBox["r", "4"], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "2"}], "}"}]], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                  ")"}], " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                   " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                   " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                   SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                  RowBox[{
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                   " ", 
                   TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                 ")"}]}], "-", 
               TemplateBox[{RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "k"}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]}], "+", 
                    RowBox[{"k", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"t"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                "InactiveIntegrate",
                DisplayFunction->(RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                   RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                InterpretationFunction->(RowBox[{
                   RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                   RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "+", 
               RowBox[{"2", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                RowBox[{
                 SuperscriptBox["b", 
                  TagBox[
                   RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                   Derivative],
                  MultilineFunction->None], "[", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "-", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                " ", 
                SuperscriptBox[
                 TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"], 
                " ", 
                RowBox[{
                 SuperscriptBox["b", 
                  TagBox[
                   RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                   Derivative],
                  MultilineFunction->None], "[", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
              ")"}]}], "+", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                RowBox[{"2", " ", 
                 TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                   RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                  "InactiveIntegrate",
                  DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                  InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
               ")"}], "4"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{
                 SubscriptBox["\[PartialD]", 
                  RowBox[{"{", 
                   RowBox[{"r", ",", "2"}], "}"}]], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"b", "[", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                RowBox[{
                 SubscriptBox["\[PartialD]", 
                  RowBox[{"{", 
                   RowBox[{"r", ",", "2"}], "}"}]], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
               RowBox[{"2", " ", "r", " ", 
                RowBox[{
                 SubscriptBox["\[PartialD]", "r"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}],
                  ")"}], " ", 
                TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
               RowBox[{
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  RowBox[{
                   SuperscriptBox["r", "2"], " ", 
                   RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                   " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", "r"], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                 ")"}]}], "-", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
               RowBox[{"2", " ", "r", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                TemplateBox[{RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "k"}], " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], " ", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]}], "+", 
                    RowBox[{"k", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r", ",", "2"}], "}"}]}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["\[PartialD]", 
                    RowBox[{"r"}]], 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", "k", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                  RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "-", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                  RowBox[{
                   RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}], 
                   " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["r", "4"], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
               RowBox[{"2", " ", 
                TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                  RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                 "InactiveIntegrate",
                 DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                 InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
              ")"}], "3"], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox[
                RowBox[{
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                 RowBox[{"2", " ", 
                  TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                   "InactiveIntegrate",
                   DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                   InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                "r"]}], ")"}], "2"]}], ")"}]}], ")"}]}], ",", "0", ",", "0"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "r"], 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}], 
            ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
          TemplateBox[{RowBox[{
              RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{"r"}]], 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                  RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                ")"}]}],"k","0",RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
         ")"}]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "r"], 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{
              RowBox[{"b", "[", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ",", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], "]"}]}]}], 
            ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
          TemplateBox[{RowBox[{
              RowBox[{
                SubscriptBox["\[PartialD]", 
                 RowBox[{"r"}]], 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], " ", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}], "+", 
                  RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}]}], 
                ")"}]}],"k","0",RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
         ")"}]}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7067970100505934`*^9, 3.7070526711229105`*^9, 
  3.707079594904152*^9, 3.707096657128855*^9, 3.7071369487448587`*^9, 
  3.710708866281825*^9, 3.7107109705092597`*^9, 3.7107113064074655`*^9, 
  3.7109473458629103`*^9, 3.710963389772373*^9, 3.7109685822164254`*^9, 
  3.7109719158748603`*^9, 3.7110238454541388`*^9, 3.7110267101485863`*^9, 
  3.7110288178952103`*^9, 3.711139412932907*^9, 3.74821831336691*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Let", "'"}], "s", " ", "get", " ", "this", " ", "out", " ", "of", 
   " ", "mixed", " ", 
   RowBox[{"coordinates", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7055052365469694`*^9, 3.7055052558283195`*^9}, 
   3.7055198234617853`*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"tret", ",", "radv"}], "]"}]], "Input",
 CellChangeTimes->{{3.7047261887420807`*^9, 3.704726192700388*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Remember", " ", "the", " ", "constant", " ", "of", " ", 
    RowBox[{"integration", ".", " ", "We"}], " ", "want", " ", "tret", " ", 
    "to", " ", "equal", " ", "0", " ", "at", " ", "t"}], "=", 
   RowBox[{"0", " ", "on", " ", "the", " ", "event", " ", 
    RowBox[{"horizon", ".", " ", "We"}], " ", "want", " ", "the", " ", 
    "coordinate", " ", "to", " ", "also", " ", "be", " ", 
    RowBox[{"exterior", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.705516027304986*^9, 3.7055160655961294`*^9}, {
  3.705525886661501*^9, 3.7055258964694357`*^9}, {3.7055262488019156`*^9, 
  3.7055262491221447`*^9}, {3.710947235822905*^9, 3.7109472494514065`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "r"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"radv", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "+", "tret"}], "2"], ",", 
      RowBox[{
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", "rs"}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.707079193862405*^9, 3.7070792547011657`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"radv", "+", "tret", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}], ",", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{"rs", "-", 
      RowBox[{"ProductLog", "[", 
       FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
      RowBox[{"rs", " ", 
       RowBox[{"ProductLog", "[", 
        FractionBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           FractionBox["radv", 
            RowBox[{"2", " ", "rs"}]], "-", 
           FractionBox["tret", 
            RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}]}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7070792462273207`*^9, 3.7070792652023315`*^9}, 
   3.707079595372748*^9, 3.7070966575067225`*^9, 3.7071369504332314`*^9, 
   3.7107088665590057`*^9, 3.7107109707774496`*^9, 3.7107113067176723`*^9, 
   3.7109473462332125`*^9, 3.7109633902046685`*^9, 3.710968582557678*^9, 
   3.7109719161600614`*^9, 3.7110238457643576`*^9, 3.7110267104317813`*^9, 
   3.7110288182311068`*^9, 3.711139413229933*^9, 3.748218339585775*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "r"}], "}"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"radv", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "+", "tret"}], "2"], ",", 
      RowBox[{
       RowBox[{"rs", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox["radv", 
               RowBox[{"2", " ", "rs"}]], "-", 
              FractionBox["tret", 
               RowBox[{"2", " ", "rs"}]]}]], "rs"], "]"}]}], ")"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"tret", ",", "radv"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.707079314060295*^9, 3.707079315824435*^9}}],

Cell[BoxData[
 TemplateBox[{
  "Solve","ifun",
   "\"Inverse functions are being used by \
\\!\\(\\*RowBox[{\\\"Solve\\\"}]\\), so some solutions may not be found; use \
Reduce for complete solution information.\"",2,194,1,23329795055653053601,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.748218339737401*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"tret", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "t"}], "-", 
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "+", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "rs", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              "rs"]}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", "rs", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
          "]"}]}], "-", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}], ",", 
    RowBox[{"radv", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "t"}], "+", 
        RowBox[{"rs", " ", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "+", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "rs", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              "rs"]}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "-", "rs", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
          "]"}]}], "-", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7070793188906527`*^9, 3.7070795954923778`*^9, 
  3.7070966576463203`*^9, 3.7071369507724056`*^9, 3.710708866655073*^9, 
  3.710710970870516*^9, 3.7107113068097377`*^9, 3.710947346384626*^9, 
  3.710963390353773*^9, 3.7109685827197905`*^9, 3.7109719162561293`*^9, 
  3.711023845890437*^9, 3.711026710525837*^9, 3.711028818344174*^9, 
  3.711139413336243*^9, 3.7482183397443495`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Make", " ", "sure", " ", 
    RowBox[{"they", "'"}], "re", " ", "both", " ", "exterior", " ", "and", 
    " ", "pointing", " ", "outward"}], ",", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
     "should", " ", "be", " ", "real", " ", "and", " ", "positive", " ", 
      "for", " ", "these", " ", "values"}], ")"}], ":"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.705516204944559*^9, 3.7055162514015627`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "t0", ",", "r0", ",", "tret", ",", "radv", ",", "tret0", ",", "radv0"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.705504545439124*^9, 3.7055045489446163`*^9}, {
  3.7055053084435973`*^9, 3.7055053113966722`*^9}, {3.7055056072035103`*^9, 
  3.7055056108050723`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"tret", "[", 
   RowBox[{"t", ",", "r"}], "]"}], "=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "t"}], "-", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{"r", "-", "rs", "+", 
                  RowBox[{"ProductLog", "[", 
                   RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}], ")"}], "/", 
              "rs"}]}], ")"}]}], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"r", "-", "rs", "+", 
             RowBox[{"ProductLog", "[", 
              RowBox[{"1", "/", "E"}], "]"}]}], ")"}], "^", "2"}]}], "]"}]}], 
       "-", 
       RowBox[{"ProductLog", "[", 
        RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"rs", "\[Rule]", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7055053360815735`*^9, 3.705505431707327*^9}, 
   3.7055056141564317`*^9, {3.7055058687002172`*^9, 3.705505913862589*^9}, {
   3.705506492749712*^9, 3.705506560428664*^9}, 3.7055179189903355`*^9, {
   3.7055193133365793`*^9, 3.705519314404362*^9}, 3.7055197842746167`*^9, 
   3.7055204667178354`*^9, 3.705521838460837*^9, 3.7055263678530903`*^9, {
   3.7060315576875687`*^9, 3.706031572743643*^9}, {3.706031865451356*^9, 
   3.7060318678418636`*^9}, {3.706035439764843*^9, 3.7060354408353033`*^9}, {
   3.7060990225733385`*^9, 3.7060990231390667`*^9}, {3.706105973840287*^9, 
   3.7061059739554224`*^9}, {3.7061315563278265`*^9, 3.706131556491334*^9}, {
   3.7061786682847357`*^9, 3.7061786683748655`*^9}, {3.706666390402025*^9, 
   3.7066663907512646`*^9}, {3.706695788122141*^9, 3.7066957882627635`*^9}, {
   3.7066960236490335`*^9, 3.706696024133441*^9}, {3.707079413627348*^9, 
   3.707079427471803*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "t"}], "-", 
    RowBox[{"ProductLog", "[", 
     FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]}], 
      "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970105869675`*^9, 3.707052671869439*^9, 
  3.7070794570806503`*^9, 3.7070795955380282`*^9, 3.7070966576883507`*^9, 
  3.707136951203972*^9, 3.7107088666891108`*^9, 3.710710970891531*^9, 
  3.7107113068437614`*^9, 3.710947346419651*^9, 3.7109633903938007`*^9, 
  3.7109685827538047`*^9, 3.7109719162911634`*^9, 3.711023845930463*^9, 
  3.711026710559861*^9, 3.7110288183791723`*^9, 3.711139413368765*^9, 
  3.7482183824870653`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"radv", "[", 
   RowBox[{"t", ",", "r"}], "]"}], "=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "t"}], "+", 
       RowBox[{"rs", " ", 
        RowBox[{"Log", "[", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", "+", 
            FractionBox[
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"r", "-", "rs", "+", 
                RowBox[{"ProductLog", "[", 
                 FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
             "rs"]}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"r", "-", "rs", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
         "]"}]}], "-", 
       RowBox[{"ProductLog", "[", 
        FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], "/.", 
    RowBox[{"rs", "\[Rule]", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705505396120112*^9, 3.705505423434493*^9}, 
   3.705505617743967*^9, {3.7055058897505054`*^9, 3.7055059184998474`*^9}, {
   3.7055063965006495`*^9, 3.7055064458736057`*^9}, 3.7055179310468664`*^9, 
   3.7055197746442585`*^9, 3.7055204758182735`*^9, 3.705521849144411*^9, 
   3.705526379474334*^9, {3.706031581319132*^9, 3.7060315865856915`*^9}, {
   3.7060318727617893`*^9, 3.706031876061038*^9}, {3.7060354434217815`*^9, 
   3.706035444559292*^9}, {3.7060990399787865`*^9, 3.7060990405584297`*^9}, {
   3.7061059762469263`*^9, 3.7061059763355217`*^9}, {3.7061315618719425`*^9, 
   3.7061315620180655`*^9}, {3.7061786728023*^9, 3.7061786729002237`*^9}, {
   3.7066663948854475`*^9, 3.706666395001677*^9}, {3.706695792280912*^9, 
   3.7066957923746605`*^9}, {3.706696026995162*^9, 3.7066960275732937`*^9}, 
   3.707079433114558*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "t"}], "-", 
    RowBox[{"ProductLog", "[", 
     FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}]}], 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]}], 
      "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970106003428`*^9, 3.70705267188844*^9, 
  3.707079457149705*^9, 3.707079595557541*^9, 3.7070966577070246`*^9, 
  3.707136951280526*^9, 3.7107088667051086`*^9, 3.7107109709055424`*^9, 
  3.710711306857772*^9, 3.7109473464336605`*^9, 3.710963390430828*^9, 
  3.710968582770818*^9, 3.710971916309167*^9, 3.711023845947489*^9, 
  3.7110267105758734`*^9, 3.7110288183966827`*^9, 3.7111394133847885`*^9, 
  3.7482183825090055`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"dtretDt", ",", "dtretDt2", ",", "dtretDr", ",", "dtretDr2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7055073380870576`*^9, 3.705507342311051*^9}, {
  3.705508553223236*^9, 3.7055085548744044`*^9}, {3.7055090609298162`*^9, 
  3.705509069124596*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDt", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDt0", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDt0", "\[Equal]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "t"], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                SubscriptBox["\[PartialD]", "t"], 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
               "dtretDt0"}], "}"}]}], ")"}]}], ",", "dtretDt0"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ")"}], "/.", 
    "derivativesDispatch"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705507227050387*^9, 3.7055072390849133`*^9}, {
   3.7055085973511333`*^9, 3.70550860559282*^9}, {3.7055086406132803`*^9, 
   3.7055086938059807`*^9}, {3.7055087363010817`*^9, 
   3.7055087949256682`*^9}, {3.70550883124739*^9, 3.7055088620861416`*^9}, 
   3.705692548485416*^9, 3.705694650485814*^9, 3.7066510752179065`*^9, 
   3.7066515162190313`*^9, {3.706651951064633*^9, 3.706651955825344*^9}, {
   3.706651988724886*^9, 3.706651992314353*^9}, {3.706652195601556*^9, 
   3.706652199203477*^9}, {3.70665223589069*^9, 3.706652255474527*^9}, {
   3.7107112524807396`*^9, 3.7107112660760565`*^9}}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"1", "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Log", "[", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], "2"]}], 
        "]"}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
       RowBox[{"r", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], " ", 
    TemplateBox[{RowBox[{"b", "[", 
        RowBox[{"k", ",", 
          RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
     "InactiveIntegrate",
     DisplayFunction->(RowBox[{
        SubsuperscriptBox[
         StyleBox["\[Integral]", "Inactive"], #3, #4], 
        RowBox[{#, 
          RowBox[{
            StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
     InterpretationFunction->(RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{#, ",", 
          RowBox[{"{", 
            RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]]], "Output",
 CellChangeTimes->{3.7067970107709813`*^9, 3.707052672090117*^9, 
  3.7070795986465473`*^9, 3.707096660652619*^9, 3.7071369609100876`*^9, 
  3.7107088690300484`*^9, 3.7107109731356897`*^9, 3.710711309030831*^9, 
  3.7107115479999204`*^9, 3.7109473487488956`*^9, 3.7109633927114515`*^9, 
  3.7109685851125965`*^9, 3.710971918709133*^9, 3.7110238487688856`*^9, 
  3.711026712845005*^9, 3.7110288207190647`*^9, 3.7111394156166925`*^9, 
  3.7482183842822638`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDt2", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDt20", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDt20", "\[Equal]", 
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", 
               RowBox[{"{", 
                RowBox[{"t", ",", "2"}], "}"}]], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", "t"], 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}], "\[Rule]", "dtretDt"}], 
               ",", 
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "2"}], "}"}]], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
                "dtretDt20"}]}], "}"}]}], "]"}]}], ",", "dtretDt20"}], "]"}], 
        "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
     "derivativesDispatch"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt"}], 
     "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7055089291738825`*^9, 3.705508994830984*^9}, {
   3.7055090297497244`*^9, 3.705509049803919*^9}, {3.7055132928992143`*^9, 
   3.7055133256023846`*^9}, {3.7055138914545603`*^9, 3.7055139146301394`*^9}, 
   3.705692558598581*^9, 3.706651077078206*^9, 3.7066515175914445`*^9, {
   3.7066519985536394`*^9, 3.706652001213547*^9}, {3.710711268583868*^9, 
   3.7107112724257174`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", "+", 
        RowBox[{"ProductLog", "[", 
         FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], "+", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
         SuperscriptBox[
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}], 
        "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"]}], 
           "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "+", 
              RowBox[{"Log", "[", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                   RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                 "2"]}], "]"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}], " ", 
         TemplateBox[{RowBox[{
             SuperscriptBox["b", 
              TagBox[
               RowBox[{"(", 
                 RowBox[{"0", ",", "1"}], ")"}], Derivative], 
              MultilineFunction -> None], "[", 
             RowBox[{"k", ",", 
               RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
           RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
          "InactiveIntegrate",
          DisplayFunction->(RowBox[{
             SubsuperscriptBox[
              StyleBox["\[Integral]", "Inactive"], #3, #4], 
             RowBox[{#, 
               RowBox[{
                 StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
          InterpretationFunction->(RowBox[{
             RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
             RowBox[{#, ",", 
               RowBox[{"{", 
                 RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
       ")"}]}], ")"}], "/", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"], " ", 
        TemplateBox[{RowBox[{"b", "[", 
            RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
          RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
         "InactiveIntegrate",
         DisplayFunction->(RowBox[{
            SubsuperscriptBox[
             StyleBox["\[Integral]", "Inactive"], #3, #4], 
            RowBox[{#, 
              RowBox[{
                StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
         InterpretationFunction->(RowBox[{
            RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
            RowBox[{#, ",", 
              RowBox[{"{", 
                RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}]}], ")"}], "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970110461564`*^9, 3.7070526724018373`*^9, 
  3.70707960618666*^9, 3.707096667675099*^9, 3.7071369834099693`*^9, 
  3.710708874390842*^9, 3.7107109784386415`*^9, 3.7107113145337777`*^9, 
  3.710711548012918*^9, 3.71094735463829*^9, 3.710963398623785*^9, 
  3.710968591502142*^9, 3.7109719251046066`*^9, 3.7110238543372927`*^9, 
  3.7110267184761677`*^9, 3.711028826271008*^9, 3.7111394213008194`*^9, 
  3.748218388942839*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDr", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"dtretDr0", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"dtretDr0", "\[Equal]", 
          RowBox[{"Evaluate", "[", 
           RowBox[{
            RowBox[{
             SubscriptBox["\[PartialD]", "r"], 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", "r"], 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
              "dtretDr0"}], "}"}]}], "]"}]}], ",", "dtretDr0"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", "derivativesDispatch"}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.705507227050387*^9, 3.7055072390849133`*^9}, {
   3.7055085973511333`*^9, 3.70550860559282*^9}, {3.7055086406132803`*^9, 
   3.7055086938059807`*^9}, {3.7055087363010817`*^9, 
   3.7055087949256682`*^9}, {3.70550883124739*^9, 3.7055088620861416`*^9}, {
   3.70550908030553*^9, 3.7055090980631046`*^9}, {3.706037576081848*^9, 
   3.7060375775454535`*^9}, 3.7066510809482255`*^9, 3.706651520079502*^9, {
   3.7066520109175186`*^9, 3.706652013706069*^9}, {3.706653275793558*^9, 
   3.7066532786939154`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"r", "+", 
    RowBox[{"ProductLog", "[", 
     FractionBox["1", "\[ExponentialE]"], "]"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"ProductLog", "[", 
       FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
      RowBox[{"rs", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Log", "[", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
             "2"]}], "]"}]}], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"r", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
          RowBox[{"rs", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{"tret", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
           RowBox[{"rs", "[", 
            RowBox[{"Hold", "[", 
             RowBox[{"tret", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], " ", 
       TemplateBox[{RowBox[{"b", "[", 
           RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
        "InactiveIntegrate",
        DisplayFunction->(RowBox[{
           SubsuperscriptBox[
            StyleBox["\[Integral]", "Inactive"], #3, #4], 
           RowBox[{#, 
             RowBox[{
               StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
        InterpretationFunction->(RowBox[{
           RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
           RowBox[{#, ",", 
             RowBox[{"{", 
               RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
     ")"}]}]]}]], "Output",
 CellChangeTimes->{3.706797011080904*^9, 3.7070526725394363`*^9, 
  3.7070796066031275`*^9, 3.7070966680237827`*^9, 3.7071369846227655`*^9, 
  3.71070887549189*^9, 3.710710979547062*^9, 3.7107113156155305`*^9, 
  3.710711548026928*^9, 3.710947355602973*^9, 3.710963399559459*^9, 
  3.7109685924698257`*^9, 3.7109719260392723`*^9, 3.7110238552623224`*^9, 
  3.71102671947886*^9, 3.711028827140109*^9, 3.711139422204706*^9, 
  3.748218389482361*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dtretDr2", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"dtretDr20", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"dtretDr20", "\[Equal]", 
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", 
               RowBox[{"{", 
                RowBox[{"r", ",", "2"}], "}"}]], 
              RowBox[{"tret", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", "r"], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
                "dtretDt"}], ",", 
               RowBox[{
                RowBox[{
                 SubscriptBox["\[PartialD]", 
                  RowBox[{"{", 
                   RowBox[{"r", ",", "2"}], "}"}]], 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "\[Rule]", 
                "dtretDr20"}]}], "}"}]}], "]"}]}], ",", "dtretDr20"}], "]"}], 
        "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
     "derivativesDispatch"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr"}], 
     "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7055089291738825`*^9, 3.705508994830984*^9}, {
   3.7055090297497244`*^9, 3.705509049803919*^9}, {3.705509104144415*^9, 
   3.705509123552185*^9}, 3.705514186216391*^9, 3.7056925648309965`*^9, {
   3.706033055989883*^9, 3.7060330636683855`*^9}, 3.7066510830965595`*^9, 
   3.706651522137929*^9, {3.7066520179689837`*^9, 3.706652019660486*^9}, {
   3.706653291262573*^9, 3.706653314304895*^9}, 3.7066533635257697`*^9, {
   3.7107114634335327`*^9, 3.710711463718734*^9}, {3.71071150978281*^9, 
   3.7107115255972476`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"rs", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{"tret", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"Log", "[", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"r", "+", 
                RowBox[{"ProductLog", "[", 
                 FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
             RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"r", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
            "2"]}], "]"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "5"], " ", 
       TemplateBox[{RowBox[{
           SuperscriptBox["b", 
            TagBox[
             RowBox[{"(", 
               RowBox[{"0", ",", "1"}], ")"}], Derivative], MultilineFunction -> 
            None], "[", 
           RowBox[{"k", ",", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"rs", "[", 
             RowBox[{"Hold", "[", 
               RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
        "InactiveIntegrate",
        DisplayFunction->(RowBox[{
           SubsuperscriptBox[
            StyleBox["\[Integral]", "Inactive"], #3, #4], 
           RowBox[{#, 
             RowBox[{
               StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
        InterpretationFunction->(RowBox[{
           RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
           RowBox[{#, ",", 
             RowBox[{"{", 
               RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "6"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
             "2"]}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"4", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "-", 
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "3"], " ", 
       RowBox[{"rs", "[", 
        RowBox[{"Hold", "[", 
         RowBox[{"tret", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
         RowBox[{"8", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"8", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "-", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"8", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"8", "+", 
            RowBox[{"16", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], "+", 
            SuperscriptBox[
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}], "2"]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"7", "+", 
            RowBox[{"2", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"r", "+", 
         RowBox[{"ProductLog", "[", 
          FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"3", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{"b", "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
              RowBox[{"rs", "[", 
               RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "+", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                 RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
             "2"]}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"6", "+", 
            RowBox[{"Log", "[", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"r", "+", 
                   RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"r", "+", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
               "2"]}], "]"}]}], ")"}], " ", 
          SuperscriptBox[
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], "2"]}],
          "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"7", "+", 
            RowBox[{"3", " ", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"r", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
          TemplateBox[{RowBox[{
              SuperscriptBox["b", 
               TagBox[
                RowBox[{"(", 
                  RowBox[{"0", ",", "1"}], ")"}], Derivative], 
               MultilineFunction -> None], "[", 
              RowBox[{"k", ",", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
            RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"rs", "[", 
                RowBox[{"Hold", "[", 
                  RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
           "InactiveIntegrate",
           DisplayFunction->(RowBox[{
              SubsuperscriptBox[
               StyleBox["\[Integral]", "Inactive"], #3, #4], 
              RowBox[{#, 
                RowBox[{
                  StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
           InterpretationFunction->(RowBox[{
              RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
              RowBox[{#, ",", 
                RowBox[{"{", 
                  RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
        ")"}]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "+", 
      RowBox[{"ProductLog", "[", 
       FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
      RowBox[{"rs", "[", 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "+", 
           RowBox[{"ProductLog", "[", 
            FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"], " ", 
        TemplateBox[{RowBox[{"b", "[", 
            RowBox[{"k", ",", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
          RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"rs", "[", 
              RowBox[{"Hold", "[", 
                RowBox[{"tret", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
         "InactiveIntegrate",
         DisplayFunction->(RowBox[{
            SubsuperscriptBox[
             StyleBox["\[Integral]", "Inactive"], #3, #4], 
            RowBox[{#, 
              RowBox[{
                StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
         InterpretationFunction->(RowBox[{
            RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
            RowBox[{#, ",", 
              RowBox[{"{", 
                RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", "+", 
          RowBox[{"ProductLog", "[", 
           FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
        RowBox[{"rs", "[", 
         RowBox[{"Hold", "[", 
          RowBox[{"tret", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"rs", "[", 
          RowBox[{"Hold", "[", 
           RowBox[{"tret", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"Log", "[", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "+", 
                  RowBox[{"ProductLog", "[", 
                   FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                "2"]}], "]"}]}], ")"}], " ", 
           TemplateBox[{RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"rs", "[", 
                 RowBox[{"Hold", "[", 
                   RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
            "InactiveIntegrate",
            DisplayFunction->(RowBox[{
               SubsuperscriptBox[
                StyleBox["\[Integral]", "Inactive"], #3, #4], 
               RowBox[{#, 
                 RowBox[{
                   StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
            InterpretationFunction->(RowBox[{
               RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
               RowBox[{#, ",", 
                 RowBox[{"{", 
                   RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
         ")"}]}]}], ")"}], "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7067970112835493`*^9, 3.70705267279463*^9, 
  3.7070796098188534`*^9, 3.7070966709801903`*^9, 3.707136994868971*^9, 
  3.710708877915687*^9, 3.7107109818546953`*^9, 3.7107113176069946`*^9, 
  3.7107115480389485`*^9, 3.710947357668998*^9, 3.7109634014477835`*^9, 
  3.710968594489852*^9, 3.710971929011447*^9, 3.71102385723323*^9, 
  3.7110267214293747`*^9, 3.7110288290374517`*^9, 3.7111394241595764`*^9, 
  3.748218391030223*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "tret", ",", "radv", ",", "action", ",", "b", ",", " ", "actionDispatch1", 
   ",", " ", "actionDispatch2"}], "]"}]], "Input",
 CellChangeTimes->{{3.704884321309889*^9, 3.704884324465171*^9}, {
   3.7048846989445667`*^9, 3.704884699125551*^9}, {3.705511212860873*^9, 
   3.705511215260574*^9}, {3.7059646145814943`*^9, 3.7059646191245623`*^9}, 
   3.70596485701962*^9, {3.706033797718008*^9, 3.70603379996436*^9}, {
   3.7066541515647616`*^9, 3.706654163950402*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionDispatch1", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"t_", ",", "2"}], "}"}]], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt2"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDt"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"r_", ",", "2"}], "}"}]], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr2"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"Hold", "[", 
        RowBox[{"tret", "[", 
         RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", "dtretDr"}], 
     ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "tret_"], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"tret_", ",", "2"}], "}"}]], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "tret"}], "]"}], ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705511848924629*^9, 3.705511869616305*^9}, {
   3.705512003681291*^9, 3.705512007325857*^9}, {3.7055122569768095`*^9, 
   3.7055122626098022`*^9}, {3.705692608319809*^9, 3.705692664779811*^9}, {
   3.7059589565071445`*^9, 3.705958979391015*^9}, {3.7059592055818777`*^9, 
   3.7059592710793858`*^9}, {3.7059608951693277`*^9, 3.70596094557975*^9}, 
   3.7060331392781405`*^9, 3.706033328301489*^9, {3.706033417633859*^9, 
   3.7060334375848007`*^9}, {3.7060335788540444`*^9, 
   3.7060335866557007`*^9}, {3.706033764258354*^9, 3.7060337884153357`*^9}, {
   3.7060357817010975`*^9, 3.706035788904055*^9}, {3.7064783901695986`*^9, 
   3.706478395247201*^9}, {3.7066488990156164`*^9, 3.7066489149098253`*^9}, {
   3.706649011928916*^9, 3.706649050534243*^9}, {3.7066509026013107`*^9, 
   3.7066509597835455`*^9}, {3.7066510900024133`*^9, 
   3.7066511012655077`*^9}, {3.7066533889863744`*^9, 
   3.7066534065166826`*^9}, {3.7066536012390757`*^9, 3.706653631535866*^9}, 
   3.706654109987194*^9, {3.7066956561667137`*^9, 3.706695689337053*^9}, {
   3.7067962665282555`*^9, 3.706796282771744*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"t_", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], 
                    "2"]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", "t_"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  FractionBox["1", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", 
                    RowBox[{"{", 
                    RowBox[{"r_", ",", "2"}], "}"}]], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "5"], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "4"],
                     " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "6"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"4", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "3"],
                     " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"8", " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"8", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "-", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"16", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"3", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"6", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"3", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[PartialD]", "r_"], 
                   RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], {
       Pattern[$CellContext`t, 
        Blank[]], 2}] -> -($CellContext`r + 
      ProductLog[E^(-1)] - $CellContext`rs[
       Hold[
        $CellContext`tret[$CellContext`t, $CellContext`r]]]) $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         1 - (2 + Log[
           E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) (
      4 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
($CellContext`r + ProductLog[E^(-1)]) + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 ($CellContext`r + ProductLog[E^(-1)])^2 - (2 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], 
      Pattern[$CellContext`t, 
       Blank[]]] -> (
      1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         $CellContext`b[$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}])^(-1), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], {
       Pattern[$CellContext`r, 
        Blank[]], 2}] -> ($CellContext`r + 
       ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (-1 + (2 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) \
((2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^5 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
      2 ($CellContext`r + ProductLog[E^(-1)])^4 ((-6) Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^4 (1 - 
        2 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (4 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 - 
        4 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
($CellContext`r + ProductLog[E^(-1)])^3 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        8 Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        8 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (8 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) - \
($CellContext`r + ProductLog[E^(-1)])^2 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + 
       2 (8 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - (8 + 
        16 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]^2) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + 
       2 (7 + 2 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + 
      2 ($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^3 (-1 + 
        2 (3 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (6 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (7 + 
          3 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}])), D[
      Hold[
       $CellContext`tret[
        Pattern[$CellContext`t, 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]]]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> -($CellContext`r + 
      ProductLog[E^(-1)]) ($CellContext`r + 
       ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1)/(
     1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
       2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Inactive[Integrate][
        $CellContext`b[$CellContext`k, 
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), 
    Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       $CellContext`b[$CellContext`k, $CellContext`tret], {$CellContext`k, 0, 
        Rational[1, 2] $CellContext`rs[$CellContext`tret]}], 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       Derivative[
       0, 1][$CellContext`b][$CellContext`k, $CellContext`tret], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[$CellContext`tret]}]}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7067970114231462`*^9, 3.707052672949227*^9, 
  3.7070796100436487`*^9, 3.707096671180134*^9, 3.7071369957563205`*^9, 
  3.7107088781551123`*^9, 3.7107109820208254`*^9, 3.710711317766094*^9, 
  3.7107115483521585`*^9, 3.710947390436556*^9, 3.7109634016909685`*^9, 
  3.710968594700001*^9, 3.710971929165557*^9, 3.7110238574123387`*^9, 
  3.7110267215704765`*^9, 3.7110288292092247`*^9, 3.7111394243438807`*^9, 
  3.748218391235674*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionDispatch2", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"t_", ",", "2"}], "}"}]], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDt2"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t_"], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDt"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"r_", ",", "2"}], "}"}]], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDr2"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "r_"], 
       RowBox[{"tret", "[", 
        RowBox[{"t_", ",", "r_"}], "]"}]}], "\[Rule]", "dtretDr"}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "tret_"], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"{", 
         RowBox[{"tret_", ",", "2"}], "}"}]], 
       RowBox[{"rs", "[", "tret_", "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2"}], 
       RowBox[{
        RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "tret"}], "]"}], ",", "tret"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", "2"}]}], "}"}]}], 
        "]"}]}]}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705511848924629*^9, 3.705511869616305*^9}, {
   3.705512003681291*^9, 3.705512007325857*^9}, {3.7055122569768095`*^9, 
   3.7055122626098022`*^9}, {3.705692608319809*^9, 3.705692664779811*^9}, {
   3.7059589565071445`*^9, 3.705958979391015*^9}, {3.7059592055818777`*^9, 
   3.7059592710793858`*^9}, {3.7059608951693277`*^9, 3.70596094557975*^9}, 
   3.7060331392781405`*^9, 3.706033328301489*^9, {3.706033417633859*^9, 
   3.7060334375848007`*^9}, {3.7060335788540444`*^9, 
   3.7060335866557007`*^9}, {3.706033764258354*^9, 3.7060337884153357`*^9}, {
   3.7060357817010975`*^9, 3.706035788904055*^9}, {3.7064783901695986`*^9, 
   3.706478395247201*^9}, {3.7066488990156164`*^9, 3.7066489149098253`*^9}, {
   3.706649011928916*^9, 3.706649050534243*^9}, {3.7066509026013107`*^9, 
   3.7066509597835455`*^9}, {3.7066510900024133`*^9, 
   3.7066511012655077`*^9}, {3.7066533889863744`*^9, 
   3.7066534065166826`*^9}, {3.7066536012390757`*^9, 3.706653631535866*^9}, {
   3.706654109987194*^9, 3.706654143562581*^9}, {3.706695712617319*^9, 
   3.7066957343327074`*^9}, {3.706796293518345*^9, 3.7067963142620163`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["6",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], 
                    "2"]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  FractionBox["1", 
                   RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  FractionBox[
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "5"], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "4"],
                     " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "6"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"4", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "3"],
                     " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"8", " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{"8", " ", 
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "-", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"8", "+", 
                    RowBox[{"16", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    SuperscriptBox[
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], "2"]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"3", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"6", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    SuperscriptBox[
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )], 
                    "2"]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"7", "+", 
                    RowBox[{"3", " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{
                    SuperscriptBox["b", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}], Derivative], 
                    MultilineFunction -> None], "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}]}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], "2"],
                     " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "+", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]}], ")"}], "3"]}]]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["tret", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t_", ",", "r_"}], "]"}], "\[Rule]", 
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], ")"}], 
                    "2"]}], "]"}]}], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}]}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}], 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]]}], ")"}], 
                    " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]]}]}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", "\[Prime]",
                    MultilineFunction->None], "[", "tret_", "]"}], "\[Rule]", 
                  RowBox[{
                   RowBox[{"-", "2"}], " ", 
                   TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{Derivative[2, 0][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> -($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
       Hold[
        $CellContext`tret[$CellContext`t, $CellContext`r]]]) $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] (
         1 - (2 + Log[
           E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) (
      4 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] ((-2) \
($CellContext`r + ProductLog[E^(-1)]) + $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]) (
        2 ($CellContext`r + ProductLog[E^(-1)])^2 - (2 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), 
    Derivative[1, 0][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> (
      1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
        2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
       Inactive[Integrate][
         $CellContext`b[$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}])^(-1), 
    Derivative[0, 2][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (
       2 ($CellContext`r + ProductLog[E^(-1)])^2 Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - \
($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (-1 + (2 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + (2 + 
           Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
          Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]))^(-3) \
((2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^5 
       Inactive[Integrate][
         Derivative[0, 1][$CellContext`b][$CellContext`k, 
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
      2 ($CellContext`r + ProductLog[E^(-1)])^4 ((-6) Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^4 (1 - 
        2 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (4 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
            $CellContext`b[$CellContext`k, 
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 - 
        4 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + \
($CellContext`r + ProductLog[E^(-1)])^3 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] (
        8 Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        8 (2 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (8 + 
          Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) - \
($CellContext`r + ProductLog[E^(-1)])^2 $CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]]^2 (-1 + 
       2 (8 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - (8 + 
        16 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]^2) 
       Inactive[Integrate][
          $CellContext`b[$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + 
       2 (7 + 2 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
          Derivative[0, 1][$CellContext`b][$CellContext`k, 
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]}]) + 
      2 ($CellContext`r + ProductLog[E^(-1)]) $CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]^3 (-1 + 
        2 (3 + Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
               Hold[
                $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
         Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}] - 
        Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] (6 + 
         Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) 
        Inactive[Integrate][
           $CellContext`b[$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}]^2 + (7 + 
          3 Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
                Hold[
                 $CellContext`tret[$CellContext`t, $CellContext`r]]])^2]) \
($CellContext`r + ProductLog[E^(-1)]) Inactive[Integrate][
           Derivative[0, 1][$CellContext`b][$CellContext`k, 
            Hold[
             $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
              Hold[
               $CellContext`tret[$CellContext`t, $CellContext`r]]]}])), 
    Derivative[0, 1][$CellContext`tret][
      Pattern[$CellContext`t, 
       Blank[]], 
      Pattern[$CellContext`r, 
       Blank[]]] -> -($CellContext`r + 
      ProductLog[E^(-1)]) ($CellContext`r + 
       ProductLog[E^(-1)] - $CellContext`rs[
        Hold[
         $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1)/(
     1 + (-Log[E^(2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]]) \
($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
             Hold[
              $CellContext`tret[$CellContext`t, $CellContext`r]]])^2] + 
       2 ($CellContext`r + ProductLog[E^(-1)])/$CellContext`rs[
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]] + 
       2 ($CellContext`r + ProductLog[E^(-1)] - $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]])^(-1) \
$CellContext`rs[
          Hold[
           $CellContext`tret[$CellContext`t, $CellContext`r]]]) 
      Inactive[Integrate][
        $CellContext`b[$CellContext`k, 
         Hold[
          $CellContext`tret[$CellContext`t, $CellContext`r]]], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[
           Hold[
            $CellContext`tret[$CellContext`t, $CellContext`r]]]}]), 
    Derivative[1][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       $CellContext`b[$CellContext`k, $CellContext`tret], {$CellContext`k, 0, 
        Rational[1, 2] $CellContext`rs[$CellContext`tret]}], 
    Derivative[2][$CellContext`rs][
      Pattern[$CellContext`tret, 
       Blank[]]] -> (-2) Inactive[Integrate][
       Derivative[
       0, 1][$CellContext`b][$CellContext`k, $CellContext`tret], \
{$CellContext`k, 0, Rational[1, 2] $CellContext`rs[$CellContext`tret]}]}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7067970114771843`*^9, 3.7070526730545406`*^9, 
  3.7070796132893667`*^9, 3.7070966712524676`*^9, 3.7071369961421165`*^9, 
  3.7107088782501717`*^9, 3.710710982076852*^9, 3.7107113178251486`*^9, 
  3.7107115486665173`*^9, 3.7109473904955935`*^9, 3.710963401813041*^9, 
  3.7109685948110924`*^9, 3.710971929222597*^9, 3.7110238575086527`*^9, 
  3.7110267216305075`*^9, 3.7110288292892804`*^9, 3.711139424423951*^9, 
  3.748218391335407*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "We", " ", "substitute", " ", "the", " ", "energy", " ", "of", " ", "the", 
    " ", "gravitational", " ", "waves", " ", "emitted", " ", "for", " ", 
    "the", " ", "change", " ", "in", " ", "the", " ", "mass", " ", "of", " ", 
    "the", " ", "black", " ", "hole"}], ",", " ", 
   RowBox[{
   "or", " ", "half", " ", "the", " ", "change", " ", "in", " ", "the", " ", 
    "Schwarzschild", " ", 
    RowBox[{"radius", ".", " ", "We"}], " ", "eliminate", " ", "two", " ", 
    "orders", " ", "of", " ", "derivatives", " ", "by", " ", "substituting", 
    " ", "and", " ", "simplifying", " ", "the", " ", "derivatives", " ", "of",
     " ", "tret", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"which", " ", "depends", " ", "on", " ", "the", " ", "time"}], 
       "-", 
       RowBox[{
       "varying", " ", "local", " ", "apparent", " ", "Schwarzschild", " ", 
        "radius"}]}], ")"}], "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7062142703891087`*^9, 3.7062142738815684`*^9}, {
  3.7109474237136664`*^9, 3.7109474683379507`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"NOTE", ":", " ", 
    RowBox[{
    "We", " ", "need", " ", "to", " ", "break", " ", "out", " ", "the", " ", 
     "steps", " ", "to", " ", "show", " ", "that", " ", "the", " ", 
     "replacement", " ", "is", " ", 
     RowBox[{"correct", ".", " ", "The"}], " ", "\"\<FreeQ\>\"", " ", 
     "expressions", " ", "demonstrate", " ", "that", " ", "we", " ", "have", 
     " ", "properly", " ", "substituted", " ", "at", " ", "each", " ", 
     "step"}]}], ",", " ", 
   RowBox[{
   "and", " ", "that", " ", "we", " ", "lose", " ", "no", " ", "dependencies",
     " ", "due", " ", "to", " ", "substitution", " ", 
    RowBox[{"error", ".", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "The", " ", "action", " ", "should", " ", "be", " ", "free", " ", "of",
         " ", "derivatives", " ", "after", " ", "every", " ", 
        RowBox[{"substitution", ".", " ", "As"}], " ", "soon", " ", "as", " ",
         "we", " ", "have", " ", "only", " ", "direct", " ", "t", " ", "and", 
        " ", "r", " ", "dependence"}], ",", " ", 
       RowBox[{
       "we", " ", "replace", " ", "them", " ", "with", " ", "tret", " ", 
        "and", " ", 
        RowBox[{"adv", "."}]}]}], ")"}]}]}]}], " ", "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.7062138987157445`*^9, 3.7062139398258724`*^9}, {
  3.70621397354376*^9, 3.7062143659719734`*^9}, {3.7062144025789003`*^9, 
  3.7062144818850994`*^9}, {3.7062146425466843`*^9, 3.706214643511368*^9}, {
  3.7109474770900187`*^9, 3.710947531596428*^9}, {3.7483039738430014`*^9, 
  3.748303978123602*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "part1", "]"}]], "Input",
 CellChangeTimes->{{3.70661898580243*^9, 3.706619000104952*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part1", "=", 
   RowBox[{"mixedRT", "/.", "actionDispatch1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706214454049369*^9, 3.706214458529555*^9}, 
   3.7062145079665813`*^9, 3.7062145841041*^9, {3.7062146186866026`*^9, 
   3.7062146211903763`*^9}, {3.706618949977069*^9, 3.706618960477949*^9}, {
   3.706624296880173*^9, 3.7066243359762545`*^9}, {3.7066534495513477`*^9, 
   3.7066534529550567`*^9}, 3.706654174606394*^9, {3.7066961052296925`*^9, 
   3.706696108839039*^9}, {3.710709034669042*^9, 3.7107090362531333`*^9}, {
   3.710710954984371*^9, 3.710710956554002*^9}, {3.74821839492082*^9, 
   3.748218396126596*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               FractionBox[
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "8"}], " ", 
                  SuperscriptBox["r", "4"], " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], "k"}]}]}]}]}], 
                    ")"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ",", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]}]}]]}], "+", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "2"]}], "-", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 TemplateBox[{"4"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "5"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "]"}]}], ")"}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "+", 
                    TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]}], 
                RowBox[{"2", " ", 
                 SuperscriptBox["r", "4"], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}], "4"]}]], ",", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]], "-", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}], 
                 RowBox[{"r", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}], "-", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], "]"}]}],"k","0",
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"Hold", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", " ", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                 RowBox[{"r", " ", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton",
                   DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], ",", 
               TemplateBox[{"2"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], ",", "0"}], "}"}], ",", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0", ",", 
               TemplateBox[{"1"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )]}], "}"}]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 208, 23329795055653053601, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 208, 23329795055653053601, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 208, 23329795055653053601, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[208]]], "Output",
 CellChangeTimes->{3.710711317919203*^9, 3.7107115493390045`*^9, 
  3.710947390581194*^9, 3.7109634019521475`*^9, 3.7109685949181566`*^9, 
  3.710971929314663*^9, 3.7110238576027393`*^9, 3.7110267217175827`*^9, 
  3.7110288293753757`*^9, 3.71113942450875*^9, 3.7482184004270973`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.710708766426069*^9, 
   3.7107087665671577`*^9}, {3.710711018128372*^9, 3.710711019937623*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011692658*^9, 3.70705267336576*^9, 
  3.707079613582587*^9, 3.707096671480565*^9, 3.7071369971004944`*^9, 
  3.7107088783632603`*^9, 3.7107090438873563`*^9, 3.7107109910877686`*^9, 
  3.7107110682458663`*^9, 3.710711317929222*^9, 3.7107115495523787`*^9, 
  3.7109473905982265`*^9, 3.7109634019692593`*^9, 3.710968594936186*^9, 
  3.710971929334676*^9, 3.7110238576217327`*^9, 3.711026721736583*^9, 
  3.7110288293903856`*^9, 3.7111394245247436`*^9, 3.7482184118256197`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.710708769806054*^9, 3.7107087699011207`*^9}, {
   3.710711026147724*^9, 3.7107110283741055`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011706167*^9, 3.707052673384272*^9, 
  3.707079613597603*^9, 3.707096671495575*^9, 3.7071369971455326`*^9, 
  3.7107088783732677`*^9, 3.710709043898376*^9, 3.7107109911328*^9, 
  3.710711068256875*^9, 3.710711317940219*^9, 3.7107115495633993`*^9, 
  3.710947390613221*^9, 3.7109634019812703`*^9, 3.7109685949461775`*^9, 
  3.710971929347686*^9, 3.7110238576337414`*^9, 3.711026721749593*^9, 
  3.711028829400893*^9, 3.7111394245352535`*^9, 3.748218411858532*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.7107087730617685`*^9, 3.710708773152051*^9}, {
   3.710711032202963*^9, 3.7107110340609484`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011718752*^9, 3.7070526734022875`*^9, 
  3.7070796136166143`*^9, 3.707096671509585*^9, 3.707136997199066*^9, 
  3.710708878384276*^9, 3.710709043910384*^9, 3.7107109911428056`*^9, 
  3.710711068268901*^9, 3.7107113179522276`*^9, 3.710711549576395*^9, 
  3.710947390624242*^9, 3.7109634019917965`*^9, 3.7109685949581966`*^9, 
  3.7109719293606944`*^9, 3.7110238576467505`*^9, 3.7110267217616*^9, 
  3.7110288294119005`*^9, 3.7111394245452633`*^9, 3.748218411876484*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7107087757734833`*^9, 3.7107087758615327`*^9}, {3.7107110382841277`*^9, 
   3.7107110400263686`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011732257*^9, 3.7070526734207983`*^9, 
  3.7070796136326275`*^9, 3.707096671523096*^9, 3.707136997253107*^9, 
  3.7107088783952694`*^9, 3.7107090439233956`*^9, 3.710710991152812*^9, 
  3.7107110682808914`*^9, 3.710711317962235*^9, 3.7107115495874133`*^9, 
  3.7109473906392527`*^9, 3.7109634020033045`*^9, 3.7109685949691935`*^9, 
  3.710971929374705*^9, 3.7110238576577587`*^9, 3.7110267217726145`*^9, 
  3.711028829421908*^9, 3.711139424556285*^9, 3.7482184118964305`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}, {3.710708778442186*^9, 3.7107087785362515`*^9}, {
   3.7107110445626287`*^9, 3.710711045683758*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117457705`*^9, 3.7070526734603367`*^9, 
  3.707079613647636*^9, 3.7070966715361032`*^9, 3.7071369973071404`*^9, 
  3.71070887840629*^9, 3.710709043935398*^9, 3.71071099116282*^9, 
  3.7107110682918987`*^9, 3.7107113179732428`*^9, 3.710711549599412*^9, 
  3.7109473906502485`*^9, 3.7109634020211926`*^9, 3.7109685949791994`*^9, 
  3.7109719293887296`*^9, 3.7110238576697793`*^9, 3.7110267217846165`*^9, 
  3.7110288294329157`*^9, 3.711139424568279*^9, 3.748218411918372*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}, {
   3.710708781045534*^9, 3.710708781131608*^9}, {3.7107110499183197`*^9, 
   3.7107110515998635`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011758847*^9, 3.7070526734753475`*^9, 
  3.7070796136656504`*^9, 3.7070966715496135`*^9, 3.7071369974197197`*^9, 
  3.710708878417299*^9, 3.7107090439453983`*^9, 3.7107109911748285`*^9, 
  3.710711068302907*^9, 3.71071131798425*^9, 3.710711549612421*^9, 
  3.710947390661256*^9, 3.7109634020362043`*^9, 3.7109685949902163`*^9, 
  3.710971929401724*^9, 3.7110238576817846`*^9, 3.711026721796626*^9, 
  3.711028829443924*^9, 3.7111394245792994`*^9, 3.7482184119383183`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}, {
   3.7107087838912654`*^9, 3.71070878396832*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117718687`*^9, 3.7070526734918633`*^9, 
  3.707079613681667*^9, 3.7070966715651245`*^9, 3.707136997470256*^9, 
  3.710708878428306*^9, 3.710709043957405*^9, 3.7107109911858377`*^9, 
  3.7107110683139143`*^9, 3.710711317994257*^9, 3.7107115496234417`*^9, 
  3.7109473906722765`*^9, 3.7109634020482254`*^9, 3.710968595001224*^9, 
  3.710971929414733*^9, 3.711023857693796*^9, 3.7110267218076344`*^9, 
  3.7110288294549313`*^9, 3.7111394245902944`*^9, 3.7482184119562707`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}, {3.7107087885234227`*^9, 
   3.7107087886094832`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117848673`*^9, 3.70705267350836*^9, 
  3.707079613696676*^9, 3.707096671579134*^9, 3.7071369975197906`*^9, 
  3.7107088784393015`*^9, 3.7107090439684143`*^9, 3.7107109911958427`*^9, 
  3.7107110683249226`*^9, 3.7107113180062656`*^9, 3.7107115496364484`*^9, 
  3.7109473906822824`*^9, 3.710963402058232*^9, 3.710968595012232*^9, 
  3.7109719294267416`*^9, 3.711023857704805*^9, 3.711026721821643*^9, 
  3.7110288294664392`*^9, 3.711139424601303*^9, 3.748218411974222*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, {3.7107087911212254`*^9, 
   3.7107087912092876`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117983913`*^9, 3.707052673524871*^9, 
  3.7070796137156906`*^9, 3.7070966715926437`*^9, 3.7071369975708265`*^9, 
  3.7107088784493213`*^9, 3.710709043980423*^9, 3.71071099120685*^9, 
  3.7107110683359303`*^9, 3.7107113180162725`*^9, 3.7107115496484466`*^9, 
  3.7109473906912947`*^9, 3.710963402069227*^9, 3.710968595024241*^9, 
  3.71097192943775*^9, 3.711023857716813*^9, 3.71102672183265*^9, 
  3.711028829477701*^9, 3.711139424611322*^9, 3.748218411992174*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part1", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, {3.710708795540551*^9, 3.710708795626613*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970118114004`*^9, 3.7070526735418863`*^9, 
  3.7070796137327023`*^9, 3.7070966716051626`*^9, 3.7071369976203628`*^9, 
  3.7107088784593277`*^9, 3.7107090439914317`*^9, 3.7107109912178583`*^9, 
  3.7107110683469396`*^9, 3.71071131802728*^9, 3.7107115496614666`*^9, 
  3.710947390702297*^9, 3.7109634020802474`*^9, 3.7109685950362387`*^9, 
  3.7109719294497576`*^9, 3.7110238577298098`*^9, 3.7110267218446593`*^9, 
  3.7110288294894447`*^9, 3.7111394246233273`*^9, 3.7482184120141153`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part2", "]"}]], "Input",
 CellChangeTimes->{{3.706619006547717*^9, 3.706619008947876*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part2", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"ReleaseHold", "[", "part1", "]"}], "/.", "actionDispatch2"}], 
    ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062151778259754`*^9, 3.7062151798088675`*^9}, {
   3.706618970466958*^9, 3.706618977879029*^9}, {3.7066190180887847`*^9, 
   3.7066190220028777`*^9}, {3.7066190642140007`*^9, 3.706619068551487*^9}, {
   3.706619141032773*^9, 3.7066191451473627`*^9}, 3.706619318226982*^9, {
   3.7066242113094826`*^9, 3.706624221932489*^9}, {3.7066243440194364`*^9, 
   3.7066243460224853`*^9}, {3.706638918135659*^9, 3.706638926885065*^9}, {
   3.706649084792491*^9, 3.7066490885648603`*^9}, {3.706649140429368*^9, 
   3.706649202080886*^9}, {3.7066497217261195`*^9, 3.7066497367470055`*^9}, {
   3.706650842280785*^9, 3.706650854095054*^9}, {3.7066540507956977`*^9, 
   3.706654055366178*^9}, 3.7066541842598677`*^9}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.015625`", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               FractionBox[
                RowBox[{
                 TemplateBox[{"7"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"r", "-", 
                    RowBox[{"rs", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], "-", 
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], "5"], " ", 
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}]}]}], 
                RowBox[{"2", " ", 
                 SuperscriptBox["r", "4"], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}], "4"]}]], ",", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{"rs", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]}], "]"}]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]], "-", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], "k"}]}]}]}], 
                   ")"}]}], 
                 RowBox[{"r", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "-", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], "}"}], ",", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0", ",", 
               RowBox[{
                RowBox[{"-", "2"}], " ", 
                SuperscriptBox[
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ",", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], "]"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]}], ")"}]}]]}], "-", 
                  RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], "k"}]}]}]}], 
                 ")"}]}]}], "}"}]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 220, 23329795055653053601, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 220, 23329795055653053601, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 220, 23329795055653053601, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[220]]], "Output",
 CellChangeTimes->{3.706797011664652*^9, 3.7070526733307343`*^9, 
  3.707079613551565*^9, 3.707096671453548*^9, 3.707136997005433*^9, 
  3.7107090639661236`*^9, 3.7107113323480334`*^9, 3.710711549997707*^9, 
  3.7109473908063755`*^9, 3.7109634021913266`*^9, 3.710968595123314*^9, 
  3.7109719295178056`*^9, 3.7110238578098803`*^9, 3.71102672191072*^9, 
  3.711028829557521*^9, 3.71113942468938*^9, 3.7482184263826976`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011692658*^9, 3.70705267336576*^9, 
  3.707079613582587*^9, 3.707096671480565*^9, 3.7071369971004944`*^9, 
  3.7107090639881396`*^9, 3.7107113323690476`*^9, 3.710711550456259*^9, 
  3.7109473908273926`*^9, 3.7109634022083254`*^9, 3.710968595140313*^9, 
  3.7109719295358186`*^9, 3.7110238578328953`*^9, 3.7110267219267178`*^9, 
  3.711028829580349*^9, 3.711139424706402*^9, 3.7482184264246187`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011706167*^9, 3.707052673384272*^9, 
  3.707079613597603*^9, 3.707096671495575*^9, 3.7071369971455326`*^9, 
  3.7107090640001483`*^9, 3.7107113323820443`*^9, 3.710711550468259*^9, 
  3.710947390838398*^9, 3.7109634022183456`*^9, 3.7109685951523213`*^9, 
  3.7109719295468264`*^9, 3.711023857844903*^9, 3.7110267219377375`*^9, 
  3.71102882959087*^9, 3.7111394247174006`*^9, 3.74821842644154*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011718752*^9, 3.7070526734022875`*^9, 
  3.7070796136166143`*^9, 3.707096671509585*^9, 3.707136997199066*^9, 
  3.710709064011157*^9, 3.710711332393063*^9, 3.7107115504802666`*^9, 
  3.7109473908494015`*^9, 3.71096340222935*^9, 3.7109685951623287`*^9, 
  3.710971929558835*^9, 3.7110238578559113`*^9, 3.7110267219497504`*^9, 
  3.7110288296018653`*^9, 3.7111394247284203`*^9, 3.7482184264584947`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011732257*^9, 3.7070526734207983`*^9, 
  3.7070796136326275`*^9, 3.707096671523096*^9, 3.707136997253107*^9, 
  3.7107090640221767`*^9, 3.7107113324050603`*^9, 3.7107115504932904`*^9, 
  3.7109473908593955`*^9, 3.710963402240348*^9, 3.7109685951733494`*^9, 
  3.7109719295698423`*^9, 3.7110238578679166`*^9, 3.7110267219597597`*^9, 
  3.711028829612872*^9, 3.7111394247394295`*^9, 3.7482184264754496`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117457705`*^9, 3.7070526734603367`*^9, 
  3.707079613647636*^9, 3.7070966715361032`*^9, 3.7071369973071404`*^9, 
  3.710709064034173*^9, 3.7107113324170756`*^9, 3.7107115505042953`*^9, 
  3.7109473908704033`*^9, 3.710963402251356*^9, 3.710968595185346*^9, 
  3.710971929581851*^9, 3.7110238578799148`*^9, 3.7110267219737625`*^9, 
  3.7110288296233807`*^9, 3.711139424749439*^9, 3.748218426492404*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011758847*^9, 3.7070526734753475`*^9, 
  3.7070796136656504`*^9, 3.7070966715496135`*^9, 3.7071369974197197`*^9, 
  3.7107090640451803`*^9, 3.7107113324280767`*^9, 3.710711550517292*^9, 
  3.7109473908804235`*^9, 3.710963402263377*^9, 3.710968595196353*^9, 
  3.710971929593859*^9, 3.7110238578909235`*^9, 3.7110267219857583`*^9, 
  3.711028829635389*^9, 3.7111394247604465`*^9, 3.748218426508361*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117718687`*^9, 3.7070526734918633`*^9, 
  3.707079613681667*^9, 3.7070966715651245`*^9, 3.707136997470256*^9, 
  3.710709064055187*^9, 3.710711332439085*^9, 3.7107115505303016`*^9, 
  3.71094739089043*^9, 3.7109634022753735`*^9, 3.7109685952073717`*^9, 
  3.7109719296078696`*^9, 3.7110238579029446`*^9, 3.711026721996768*^9, 
  3.711028829645396*^9, 3.7111394247714543`*^9, 3.7482184265254493`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117848673`*^9, 3.70705267350836*^9, 
  3.707079613696676*^9, 3.707096671579134*^9, 3.7071369975197906`*^9, 
  3.710709064066195*^9, 3.7107113324510937`*^9, 3.7107115505433235`*^9, 
  3.7109473909014406`*^9, 3.710963402287381*^9, 3.710968595218379*^9, 
  3.710971929617877*^9, 3.7110238579149404`*^9, 3.711026722008775*^9, 
  3.7110288296559157`*^9, 3.711139424781474*^9, 3.7482184265413046`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970117983913`*^9, 3.707052673524871*^9, 
  3.7070796137156906`*^9, 3.7070966715926437`*^9, 3.7071369975708265`*^9, 
  3.710709064077203*^9, 3.710711332462101*^9, 3.7107115505543203`*^9, 
  3.7109473909124336`*^9, 3.7109634022974014`*^9, 3.710968595229376*^9, 
  3.710971929629885*^9, 3.7110238579259605`*^9, 3.711026722019796*^9, 
  3.7110288296664104`*^9, 3.7111394247924695`*^9, 3.7482184265582633`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part2", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970118114004`*^9, 3.7070526735418863`*^9, 
  3.7070796137327023`*^9, 3.7070966716051626`*^9, 3.7071369976203628`*^9, 
  3.7107090640892115`*^9, 3.7107113324741096`*^9, 3.7107115505673413`*^9, 
  3.7109473909234543`*^9, 3.7109634023084064`*^9, 3.7109685952403965`*^9, 
  3.7109719296398935`*^9, 3.711023857938958*^9, 3.711026722031804*^9, 
  3.7110288296774187`*^9, 3.7111394248044786`*^9, 3.74821842657618*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part3", "]"}]], "Input",
 CellChangeTimes->{{3.7062152405937815`*^9, 3.706215244254385*^9}, {
  3.706619025284499*^9, 3.7066190276926603`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part3", "=", 
   RowBox[{"ReleaseHold", "[", "part2", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706215246833702*^9, 3.706215250583861*^9}, {
   3.706619031446687*^9, 3.706619054850689*^9}, {3.7066191495636835`*^9, 
   3.7066191496676917`*^9}, 3.7066193203487835`*^9, {3.706624132920161*^9, 
   3.7066241690121803`*^9}, {3.7066243489429207`*^9, 3.706624350976511*^9}, {
   3.706638974472149*^9, 3.7066389956375675`*^9}, {3.7066492157598977`*^9, 
   3.7066492387415266`*^9}, {3.7066497413816605`*^9, 3.70664975143225*^9}, {
   3.7066542963603945`*^9, 3.706654308437786*^9}, {3.706654366971634*^9, 
   3.7066543861177993`*^9}, {3.706654433697198*^9, 3.706654438914833*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               FractionBox[
                RowBox[{
                 TemplateBox[{"7"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "5"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"3"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "+", 
                    TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]}], 
                RowBox[{"2", " ", 
                 SuperscriptBox["r", "4"], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}], "4"]}]], ",", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]}], "]"}]}], "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}]], "-", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], "k"}]}]}]}], 
                   ")"}]}], 
                 RowBox[{"r", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}], "-", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, 
                 FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                 RoundingRadius -> 7]& )], "}"}], ",", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0", ",", 
               RowBox[{
                RowBox[{"-", "2"}], " ", 
                SuperscriptBox[
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "]"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "]"}],"k","0",RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"tret", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]}], ")"}]}]]}], "-", 
                  RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                   RowBox[{
                    RowBox[{"-", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], "k"}]}]}]}], 
                 ")"}]}]}], "}"}]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 232, 23329795055653053601, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 232, 23329795055653053601, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 232, 23329795055653053601, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[232]]], "Output",
 CellChangeTimes->{3.7067970118759317`*^9, 3.7070526736439705`*^9, 
  3.7070796138203626`*^9, 3.7070966716767054`*^9, 3.707136997977621*^9, 
  3.7107090786144514`*^9, 3.7107113327773256`*^9, 3.710711550913585*^9, 
  3.710947390993491*^9, 3.7109634024224896`*^9, 3.7109686072440176`*^9, 
  3.7109719296989346`*^9, 3.7110238580169744`*^9, 3.71102672208985*^9, 
  3.7110288297369604`*^9, 3.7111394248665485`*^9, 3.7482184381302867`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.706654333537593*^9, 
   3.7066543336536913`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.70679701190245*^9, 3.7070526736779947`*^9, 
  3.707079613851386*^9, 3.707096671702222*^9, 3.7071369980777636`*^9, 
  3.710709078637468*^9, 3.7107113328023415`*^9, 3.710711551382147*^9, 
  3.7109473910145054`*^9, 3.710963402448496*^9, 3.710968607369106*^9, 
  3.710971929719949*^9, 3.7110238580495753`*^9, 3.71102672211086*^9, 
  3.7110288297599773`*^9, 3.711139424889553*^9, 3.748218438170212*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, 3.7066543368029566`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011915066*^9, 3.7070526736959925`*^9, 
  3.707079613866396*^9, 3.70709667171523*^9, 3.7071369981172976`*^9, 
  3.710709078649477*^9, 3.71071133281435*^9, 3.710711551652338*^9, 
  3.710947391026517*^9, 3.710963402461505*^9, 3.7109686073801136`*^9, 
  3.710971929731957*^9, 3.7110238580645866`*^9, 3.711026722121856*^9, 
  3.7110288297699842`*^9, 3.7111394249015613`*^9, 3.748218438192121*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, 3.7066543377221355`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011929561*^9, 3.707052673713505*^9, 
  3.7070796138814087`*^9, 3.7070966717282395`*^9, 3.7071369981663327`*^9, 
  3.7107090786604843`*^9, 3.710711332826359*^9, 3.710711551935602*^9, 
  3.7109473910375223`*^9, 3.710963402473513*^9, 3.7109686073911214`*^9, 
  3.7109719297439656`*^9, 3.711023858075593*^9, 3.7110267221338634`*^9, 
  3.7110288297809925`*^9, 3.7111394249175725`*^9, 3.7482184382170534`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"Hold", "[", 
     RowBox[{"tret", "[", 
      RowBox[{"t_", ",", "r_"}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, 
   3.7066543386733255`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011943571*^9, 3.70705267373202*^9, 
  3.7070796138964195`*^9, 3.7070966717417393`*^9, 3.707136998223386*^9, 
  3.7107090786734934`*^9, 3.7107113328363657`*^9, 3.710711551950611*^9, 
  3.7109473910485296`*^9, 3.7109634024855223`*^9, 3.710968607402129*^9, 
  3.7109719297529716`*^9, 3.711023858086602*^9, 3.7110267221448717`*^9, 
  3.711028829792575*^9, 3.7111394249285793`*^9, 3.7482184382340097`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.7066542232712793`*^9, 
   3.706654226998408*^9}, 3.706654339672192*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970119570804`*^9, 3.707052673751532*^9, 
  3.7070796139114323`*^9, 3.707096671754739*^9, 3.70713699827192*^9, 
  3.7107090786865025`*^9, 3.7107113328483877`*^9, 3.710711552202791*^9, 
  3.7109473910595503`*^9, 3.710963402498531*^9, 3.71096860741341*^9, 
  3.7109719297649803`*^9, 3.71102385809761*^9, 3.711026722154891*^9, 
  3.7110288298040733`*^9, 3.7111394249397526`*^9, 3.7482184382499676`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, {3.7066542297800884`*^9, 3.706654232503418*^9}, 
   3.7066543406228957`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.70679701197009*^9, 3.7070526737680454`*^9, 
  3.707079613926443*^9, 3.7070966717674084`*^9, 3.7071369983455067`*^9, 
  3.7107090786997657`*^9, 3.710711332860383*^9, 3.7107115522218046`*^9, 
  3.7109473910715466`*^9, 3.7109634025125427`*^9, 3.7109686074244194`*^9, 
  3.7109719297759886`*^9, 3.7110238581086173`*^9, 3.7110267221678877`*^9, 
  3.71102882981458*^9, 3.711139424951417*^9, 3.74821843826692*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "r_"], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, {3.706648713770418*^9, 
   3.706648713841943*^9}, 3.7066487500934367`*^9, {3.7066535543942647`*^9, 
   3.7066535590445986`*^9}, {3.706654236719203*^9, 3.706654239781204*^9}, 
   3.706654341922807*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970119841*^9, 3.7070526737845554`*^9, 
  3.7070796139404526`*^9, 3.7070966717809196`*^9, 3.7071369984405737`*^9, 
  3.710709078709773*^9, 3.71071133287039*^9, 3.710711552240818*^9, 
  3.7109473910815525`*^9, 3.71096340252555*^9, 3.710968607436426*^9, 
  3.7109719297879972`*^9, 3.7110238581206255`*^9, 3.711026722178908*^9, 
  3.7110288298255887`*^9, 3.7111394249644256`*^9, 3.748218438284872*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"r_", ",", "2"}], "}"}]], 
    RowBox[{"tret", "[", 
     RowBox[{"t_", ",", "r_"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, {3.7066487168818417`*^9, 3.706648716961035*^9}, 
   3.706648751165529*^9, {3.706653562487499*^9, 3.706653565605011*^9}, {
   3.7066542435869503`*^9, 3.706654245558213*^9}, 3.706654342843735*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797011997609*^9, 3.7070526738015676`*^9, 
  3.7070796139554634`*^9, 3.7070966717941303`*^9, 3.7071369984846053`*^9, 
  3.710709078721792*^9, 3.710711332881398*^9, 3.710711552255828*^9, 
  3.710947391092561*^9, 3.7109634026506386`*^9, 3.710968607448435*^9, 
  3.7109719297990055`*^9, 3.711023858132634*^9, 3.7110267221899137`*^9, 
  3.711028829837096*^9, 3.711139424977435*^9, 3.7482184382998323`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t_"], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, 
   3.7066190139496174`*^9, {3.7066484463853426`*^9, 3.706648475642807*^9}, {
   3.7066487426595497`*^9, 3.7066487427699137`*^9}, 3.7066488316814594`*^9, {
   3.706654266628583*^9, 3.706654266939515*^9}, 3.706654343803641*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970120126195`*^9, 3.7070526738180933`*^9, 
  3.7070796139714766`*^9, 3.707096671807639*^9, 3.7071369985361414`*^9, 
  3.710709078733803*^9, 3.710711332892406*^9, 3.710711552268837*^9, 
  3.710947391103582*^9, 3.710963402661647*^9, 3.7109686074604435`*^9, 
  3.7109719298090115`*^9, 3.7110238581436424`*^9, 3.7110267222019296`*^9, 
  3.7110288298481054`*^9, 3.711139424989444*^9, 3.7482184383167887`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part3", ",", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"t_", ",", "2"}], "}"}]], 
    RowBox[{"rs", "[", "t_", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.7066190152805986`*^9, {3.706648458390333*^9, 3.706648477940911*^9}, 
   3.7066487468277173`*^9, 3.706648832556662*^9, {3.706654269303115*^9, 
   3.7066542693585014`*^9}, 3.7066543449255176`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.70679701202713*^9, 3.707052673834605*^9, 
  3.7070796139874897`*^9, 3.7070966718206496`*^9, 3.7071369985846753`*^9, 
  3.710709078745798*^9, 3.710711332904414*^9, 3.710711552281847*^9, 
  3.7109473911135883`*^9, 3.710963402671666*^9, 3.710968607471451*^9, 
  3.710971929819019*^9, 3.711023858163657*^9, 3.7110267222139196`*^9, 
  3.7110288298588476`*^9, 3.7111394249994507`*^9, 3.748218438333742*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part4", "]"}]], "Input",
 CellChangeTimes->{{3.7062152405937815`*^9, 3.706215244254385*^9}, {
  3.706619025284499*^9, 3.7066190276926603`*^9}, {3.706654481687329*^9, 
  3.7066544818407874`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part4", "=", 
   RowBox[{"part3", "/.", 
    RowBox[{
     RowBox[{"tret", "[", 
      RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", "tret"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.706215246833702*^9, 3.706215250583861*^9}, {
   3.706619031446687*^9, 3.706619054850689*^9}, {3.7066191495636835`*^9, 
   3.7066191496676917`*^9}, 3.7066193203487835`*^9, {3.706624132920161*^9, 
   3.7066241690121803`*^9}, {3.7066243489429207`*^9, 3.706624350976511*^9}, {
   3.706638974472149*^9, 3.7066389956375675`*^9}, {3.7066492157598977`*^9, 
   3.7066492387415266`*^9}, {3.7066497413816605`*^9, 3.70664975143225*^9}, {
   3.7066542963603945`*^9, 3.706654308437786*^9}, {3.706654366971634*^9, 
   3.7066543861177993`*^9}, {3.706654433697198*^9, 3.706654438914833*^9}, {
   3.706654485006815*^9, 3.7066544999848537`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               FractionBox[
                RowBox[{
                 TemplateBox[{"7"},
                  "OutputSizeLimit`Skeleton",
                  DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "5"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"2", " ", "r", " ", 
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]], "+", 
                    TemplateBox[{"10"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}]}]}], 
                RowBox[{"2", " ", 
                 SuperscriptBox["r", "4"], " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "r"}], "+", 
                    RowBox[{"rs", "[", "tret", "]"}], "+", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}], "4"]}]], ",", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"], ",", "tret"}], 
                    "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", "tret", " ", 
                    RowBox[{"rs", "[", "tret", "]"}]}], "]"}]}]}], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{"1", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Log", "[", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], "2"]}], "]"}]}], "+", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], "+", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]]}], ")"}], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]], "-", 
                    RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]], 
                    RowBox[{
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "k"}]}]}]}], ")"}]}], 
                 RowBox[{"r", " ", 
                  RowBox[{"(", 
                   RowBox[{"r", "-", 
                    RowBox[{"rs", "[", "tret", "]"}], "-", 
                    RowBox[{"2", " ", 
                    TemplateBox[{RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", "tret"}], "]"}]}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                   ")"}]}]]}], ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", 
                TemplateBox[{"1"},
                 "OutputSizeLimit`Skeleton",
                 DisplayFunction->(FrameBox[
                   
                   RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                   Background -> GrayLevel[0.75], 
                   BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                   Baseline, ContentPadding -> False, 
                   FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                   RoundingRadius -> 7]& )]}], ",", 
               TemplateBox[{"2"},
                "OutputSizeLimit`Skeleton",
                DisplayFunction->(FrameBox[
                  
                  RowBox[{
                   "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                  Background -> GrayLevel[0.75], 
                  BaseStyle -> {
                   "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                  Baseline, ContentPadding -> False, 
                  FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                  RoundingRadius -> 7]& )], ",", "0"}], "}"}], ",", 
             TemplateBox[{"1"},
              "OutputSizeLimit`Skeleton",
              DisplayFunction->(FrameBox[
                
                RowBox[{
                 "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                Background -> GrayLevel[0.75], 
                BaseStyle -> {
                 "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                  ShowStringCharacters -> False}, BaselinePosition -> 
                Baseline, ContentPadding -> False, 
                FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                RoundingRadius -> 7]& )], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0", ",", 
               RowBox[{
                RowBox[{"-", "2"}], " ", 
                SuperscriptBox[
                 RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", 
                   FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    RowBox[{"ProductLog", "[", 
                    FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
                    RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{RowBox[{"b", "[", 
                    RowBox[{"k", ",", "tret"}], "]"}],"k","0",FractionBox[
                    RowBox[{"rs", "[", "tret", "]"}], "2"]},
                    "InactiveIntegrate",
                    DisplayFunction->(RowBox[{
                    SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], #3, #4], 
                    RowBox[{#, 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], #2}]}]}]& ),
                    InterpretationFunction->(RowBox[{
                    RowBox[{"Inactive", "[", "Integrate", "]"}], "[", 
                    RowBox[{#, ",", 
                    RowBox[{"{", 
                    RowBox[{#2, ",", #3, ",", #4}], "}"}]}], "]"}]& )]}]}], 
                    ")"}]}]]}], "-", 
                  RowBox[{
                   SubsuperscriptBox[
                    StyleBox["\[Integral]", "Inactive"], "0", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], "2"]], 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{"\" \[CenterEllipsis]\"", #, 
                    "\"\[CenterEllipsis] \""}], Background -> GrayLevel[0.75],
                     BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}], 
                    RowBox[{
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )], ")"}], " ", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton",
                    DisplayFunction->(FrameBox[
                    
                    RowBox[{
                    "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                    Background -> GrayLevel[0.75], 
                    BaseStyle -> {
                    "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                    ShowStringCharacters -> False}, BaselinePosition -> 
                    Baseline, ContentPadding -> False, 
                    FrameMargins -> {{1, 1}, {1, 2}}, FrameStyle -> None, 
                    RoundingRadius -> 7]& )]}]]}], 
                    RowBox[{
                    StyleBox["\[DifferentialD]", "Inactive"], "k"}]}]}]}], 
                 ")"}]}]}], "}"}]}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 244, 23329795055653053601, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 244, 23329795055653053601, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 244, 23329795055653053601, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[244]]], "Output",
 CellChangeTimes->{3.7067970121707325`*^9, 3.7070526740369997`*^9, 
  3.7070796140825605`*^9, 3.707096671896716*^9, 3.7071369988974237`*^9, 
  3.7107090922997856`*^9, 3.7107113332056274`*^9, 3.710711552846245*^9, 
  3.710947391202651*^9, 3.7109634027897377`*^9, 3.7109686075835314`*^9, 
  3.710971929882063*^9, 3.7110238582417107`*^9, 3.711026722285983*^9, 
  3.7110288299224896`*^9, 3.711139425064015*^9, 3.7482184510846815`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part4", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706618988146584*^9, 3.7066190026011004`*^9}, 3.706648747951063*^9, {
   3.70665353820609*^9, 3.7066535432525253`*^9}, {3.706654333537593*^9, 
   3.7066543336536913`*^9}, {3.7066545215464315`*^9, 3.706654525518781*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970131620197`*^9, 3.707052675133671*^9, 
  3.7070796141135845`*^9, 3.7070966719247227`*^9, 3.707136998994121*^9, 
  3.7107090923107805`*^9, 3.710711333765684*^9, 3.71071155352773*^9, 
  3.7109473912246675`*^9, 3.7109634030609303`*^9, 3.7109686076055465`*^9, 
  3.7109719299130855`*^9, 3.7110238583587933`*^9, 3.7110267223390245`*^9, 
  3.7110288299514494`*^9, 3.711139425089032*^9, 3.748218451107588*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part4", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, 
   3.706619004217528*^9, 3.706648748876591*^9, {3.7066535471177244`*^9, 
   3.706653551736028*^9}, 3.7066543368029566`*^9, {3.706654531539798*^9, 
   3.7066545348888583`*^9}}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.7067970131740427`*^9, 3.707052675149669*^9, 
  3.7070796141295958`*^9, 3.707096671938237*^9, 3.7071369990396295`*^9, 
  3.710709092320804*^9, 3.7107113337766914`*^9, 3.7107115535397367`*^9, 
  3.7109473912346735`*^9, 3.7109634030769415`*^9, 3.7109686076165543`*^9, 
  3.7109719299341*^9, 3.7110238583698125`*^9, 3.711026722355034*^9, 
  3.7110288299624405`*^9, 3.7111394250990515`*^9, 3.74821845112554*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "part5", "]"}]], "Input",
 CellChangeTimes->{{3.7070796745990076`*^9, 3.7070796811603165`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"part5", "=", 
   RowBox[{"part4", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "\[Rule]", 
       RowBox[{
        RowBox[{"1", "/", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "+", "tret", "+", 
          RowBox[{"ProductLog", "[", 
           RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}]}], ",", 
      RowBox[{"r", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"ProductLog", "[", 
             FractionBox[
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
                FractionBox["tret", 
                 RowBox[{"2", " ", 
                  RowBox[{"rs", "[", "tret", "]"}]}]]}]], 
              RowBox[{"rs", "[", "tret", "]"}]], "]"}]}], ")"}]}], "-", 
         RowBox[{"ProductLog", "[", 
          RowBox[{"1", "/", "E"}], "]"}]}], ")"}]}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7062155547968793`*^9, 3.7062155556284695`*^9}, {
   3.7066192502887297`*^9, 3.706619270532578*^9}, 3.706647037217538*^9, {
   3.7066545566884704`*^9, 3.7066545589232144`*^9}, {3.7070525339688964`*^9, 
   3.707052566764186*^9}, {3.707079093125204*^9, 3.7070791157068367`*^9}, 
   3.707079655285966*^9}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{"0.`", ",", 
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton",
            DisplayFunction->(FrameBox[
              RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}],
               Background -> GrayLevel[0.75], 
              BaseStyle -> {
               "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
              ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
              FrameStyle -> None, RoundingRadius -> 7]& )]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 248, 23329795055653053601, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 248, 23329795055653053601, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 248, 23329795055653053601, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[248]]], "Output",
 CellChangeTimes->{3.7067970132460794`*^9, 3.707052675234742*^9, 
  3.707079614226274*^9, 3.7070796960050955`*^9, 3.7070966720363245`*^9, 
  3.707136999404229*^9, 3.7107090994668455`*^9, 3.710711334078906*^9, 
  3.710711553889983*^9, 3.710947391348755*^9, 3.7109634031860175`*^9, 
  3.710968607722629*^9, 3.710971930013156*^9, 3.7110238584438534`*^9, 
  3.711026722432087*^9, 3.7110288300323396`*^9, 3.7111394251721106`*^9, 
  3.7482184761007853`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part5", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145240469637`*^9, 3.706214542373519*^9}, {
   3.706215460996825*^9, 3.706215491152727*^9}, 3.7066192935106173`*^9, {
   3.7066545812088137`*^9, 3.706654581302062*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.706797013270111*^9, 3.7070526752667513`*^9, 
  3.707079614254293*^9, 3.7070796960311146`*^9, 3.7070966720596714`*^9, 
  3.70713699949881*^9, 3.71070909947784*^9, 3.7107113340989075`*^9, 
  3.7107115546285057`*^9, 3.7109473913687663`*^9, 3.71096340320403*^9, 
  3.7109686077436438`*^9, 3.7109719300321703`*^9, 3.71102385846487*^9, 
  3.7110267224521008`*^9, 3.711028830050942*^9, 3.711139425195113*^9, 
  3.7482184761227026`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"part5", ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.7062145443149104`*^9, 3.706214561688204*^9}, {
   3.7062154710174227`*^9, 3.7062154931891913`*^9}, 3.706619294614687*^9, {
   3.706654585086229*^9, 3.7066545851721334`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.7067970132821198`*^9, 3.7070526752847633`*^9, 
  3.7070796142693033`*^9, 3.707079696047126*^9, 3.707096672073681*^9, 
  3.7071369995427227`*^9, 3.7107090994878607`*^9, 3.7107113341109285`*^9, 
  3.7107115546415167`*^9, 3.7109473914598207`*^9, 3.710963403215038*^9, 
  3.710968607756654*^9, 3.710971930058189*^9, 3.7110238584748774`*^9, 
  3.7110267224640975`*^9, 3.7110288300622983`*^9, 3.7111394252081223`*^9, 
  3.748218476139659*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "ricciSimp", "]"}]], "Input",
 CellChangeTimes->{{3.70661934432819*^9, 3.7066193484420156`*^9}, 
   3.7482263543563156`*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Optional", " ", "simplification", " ", "that", " ", "takes", " ", "a", " ",
    "long", " ", 
   RowBox[{"time", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7066546732748623`*^9, 3.706654679224305*^9}, {
  3.706654824082139*^9, 3.7066548334537473`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Timing", "[", 
   RowBox[{"action", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"part5", ",", 
      RowBox[{"TimeConstraint", "\[Rule]", "1"}]}], "]"}]}], "]"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.706033714218753*^9, 3.7060337474537334`*^9}, {
   3.7060338125520315`*^9, 3.7060338155505257`*^9}, {3.706033856558793*^9, 
   3.7060338727588377`*^9}, 3.7060344183796415`*^9, 3.70603461027704*^9, {
   3.7060358937130594`*^9, 3.70603590140924*^9}, {3.706036091270903*^9, 
   3.706036098641983*^9}, {3.7060362948007603`*^9, 3.706036324833975*^9}, {
   3.7060387331409287`*^9, 3.70603874923289*^9}, {3.7060503164107027`*^9, 
   3.706050434550256*^9}, {3.7060506387248707`*^9, 3.7060506558604617`*^9}, 
   3.7060509790232434`*^9, {3.7060510361427975`*^9, 3.7060510803264856`*^9}, {
   3.7060511168335247`*^9, 3.7060511190375204`*^9}, {3.706051247761168*^9, 
   3.7060512797731543`*^9}, {3.706051622654997*^9, 3.706051627134486*^9}, {
   3.7060517261424913`*^9, 3.7060517287163577`*^9}, {3.7060812734735556`*^9, 
   3.70608130352538*^9}, 3.7061838973514943`*^9, {3.7061840431452*^9, 
   3.7061840499418507`*^9}, {3.706202593302619*^9, 3.706202600336193*^9}, {
   3.706202723277877*^9, 3.7062027324230304`*^9}, {3.7062052141018105`*^9, 
   3.7062052157669907`*^9}, {3.7066053621210527`*^9, 
   3.7066054000228486`*^9}, {3.7066058980005426`*^9, 
   3.7066059128060155`*^9}, {3.706619282976776*^9, 3.7066192984013667`*^9}, {
   3.7066545953077955`*^9, 3.706654611083618*^9}, {3.706654816888632*^9, 
   3.706654819558566*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ricciSimp", "=", "part5"}]], "Input",
 CellChangeTimes->{{3.706033714218753*^9, 3.7060337474537334`*^9}, {
   3.7060338125520315`*^9, 3.7060338155505257`*^9}, {3.706033856558793*^9, 
   3.7060338727588377`*^9}, 3.7060344183796415`*^9, 3.70603461027704*^9, {
   3.7060358937130594`*^9, 3.70603590140924*^9}, {3.706036091270903*^9, 
   3.706036098641983*^9}, {3.7060362948007603`*^9, 3.706036324833975*^9}, {
   3.7060387331409287`*^9, 3.70603874923289*^9}, {3.7060503164107027`*^9, 
   3.706050434550256*^9}, {3.7060506387248707`*^9, 3.7060506558604617`*^9}, 
   3.7060509790232434`*^9, {3.7060510361427975`*^9, 3.7060510803264856`*^9}, {
   3.7060511168335247`*^9, 3.7060511190375204`*^9}, {3.706051247761168*^9, 
   3.7060512797731543`*^9}, {3.706051622654997*^9, 3.706051627134486*^9}, {
   3.7060517261424913`*^9, 3.7060517287163577`*^9}, {3.7060812734735556`*^9, 
   3.70608130352538*^9}, 3.7061838973514943`*^9, {3.7061840431452*^9, 
   3.7061840499418507`*^9}, {3.706202593302619*^9, 3.706202600336193*^9}, {
   3.706202723277877*^9, 3.7062027324230304`*^9}, {3.7062052141018105`*^9, 
   3.7062052157669907`*^9}, {3.7066053621210527`*^9, 
   3.7066054000228486`*^9}, {3.7066058980005426`*^9, 
   3.7066059128060155`*^9}, {3.706619282976776*^9, 3.7066192984013667`*^9}, {
   3.7066545953077955`*^9, 3.706654611083618*^9}, {3.70665465437514*^9, 
   3.706654665365509*^9}, {3.7066548374242334`*^9, 3.706654842219472*^9}, {
   3.7482184815003233`*^9, 3.7482184887010717`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         TemplateBox[{"1"},
          "OutputSizeLimit`Skeleton",
          DisplayFunction->(FrameBox[
            RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
            Background -> GrayLevel[0.75], 
            BaseStyle -> {
             "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
              ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
            ContentPadding -> False, FrameMargins -> {{1, 1}, {1, 2}}, 
            FrameStyle -> None, RoundingRadius -> 7]& )],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 251, 23329795055653053601, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 251, 23329795055653053601, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 251, 23329795055653053601, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[251]]], "Output",
 CellChangeTimes->{3.706797013380175*^9, 3.707052675410853*^9, 
  3.7070796144159155`*^9, 3.707079696162212*^9, 3.7070966721927223`*^9, 
  3.7071369999770517`*^9, 3.710709117849481*^9, 3.71071133442914*^9, 
  3.7107115549797554`*^9, 3.7109473915869107`*^9, 3.71096340334114*^9, 
  3.710968607908761*^9, 3.710971930149253*^9, 3.7110238585539317`*^9, 
  3.711026722548174*^9, 3.7110288301435633`*^9, 3.7111394253542647`*^9, 
  3.7482185004197364`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Let", "'"}], "s", " ", "look", " ", "at", " ", "the", " ", 
   RowBox[{"(", "presumable", ")"}], " ", 
   RowBox[{"eigenstates", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7061786165238314`*^9, 3.7061786348850875`*^9}, 
   3.70713643774555*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "b", "]"}]], "Input",
 CellChangeTimes->{{3.705965029871872*^9, 3.705965031619845*^9}, {
  3.7061785929359636`*^9, 3.7061785963390837`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"b", "[", 
   RowBox[{"k_", ",", "tret_"}], "]"}], ":=", 
  RowBox[{"b0", "*", 
   RowBox[{"DiracDelta", "[", 
    RowBox[{"k0", "-", "k"}], "]"}], "*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{"tret", "-", "tMin"}], "]"}], "-", 
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{"tMax", "-", "tret"}], "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.706178798337844*^9, 3.7061788394719305`*^9}, {
  3.7064465820990744`*^9, 3.7064465825473995`*^9}, {3.7064786902005405`*^9, 
  3.7064786904637156`*^9}, {3.706652823559634*^9, 3.706652826265891*^9}, {
  3.706652904705448*^9, 3.706652906677582*^9}, {3.706794392686748*^9, 
  3.7067944337798142`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "ricciTensorActive", "]"}]], "Input",
 CellChangeTimes->{{3.7056581958692913`*^9, 3.7056581985942197`*^9}, {
  3.706655572159067*^9, 3.706655573939849*^9}, {3.7066557714396896`*^9, 
  3.706655787847981*^9}, {3.7482186175525875`*^9, 3.7482186187972574`*^9}, {
  3.748220187209817*^9, 3.7482201881084137`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ricciTensorActive", "[", 
   RowBox[{"k0x_", ",", "rsx_"}], "]"}], ":=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k0x", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{"rsx", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      FractionBox["rsx", "2"], "\[GreaterEqual]", 
      FractionBox["k0x", 
       RowBox[{"2", "*", "Pi"}]]}]}], ",", 
    RowBox[{"Activate", "[", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Evaluate", "[", "ricciSimp", "]"}], "/.", 
        RowBox[{"Dispatch", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"k0", "\[Rule]", "k0x"}], ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rsx"}]}], "}"}], 
         "]"}]}], ")"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705657715277094*^9, 3.7056579662646823`*^9}, {
   3.7056580036381617`*^9, 3.7056580559532304`*^9}, 3.705658087021271*^9, {
   3.705658185446907*^9, 3.705658192973238*^9}, {3.705658256472229*^9, 
   3.705658263877475*^9}, {3.705658316630986*^9, 3.705658326530038*^9}, 
   3.705658504510239*^9, {3.705692781944783*^9, 3.7056928151683397`*^9}, {
   3.7056930192506533`*^9, 3.7056930235086565`*^9}, {3.7056955558121324`*^9, 
   3.7056955705460987`*^9}, {3.7059551715669775`*^9, 
   3.7059551800636225`*^9}, {3.705959503881569*^9, 3.705959559770999*^9}, {
   3.70596278467291*^9, 3.705962865357805*^9}, {3.7059629250295753`*^9, 
   3.70596292643598*^9}, {3.705966814720058*^9, 3.7059668165317435`*^9}, {
   3.705966847809899*^9, 3.7059668662393456`*^9}, {3.7060132704472575`*^9, 
   3.706013292969748*^9}, {3.706036440146333*^9, 3.7060364933298388`*^9}, {
   3.706036600676008*^9, 3.70603662335409*^9}, {3.70603665977748*^9, 
   3.706036691788991*^9}, {3.7060367290337524`*^9, 3.706036734934205*^9}, 
   3.7060368007236385`*^9, 3.706039190216445*^9, {3.706049772936886*^9, 
   3.706049870522284*^9}, {3.706049944174079*^9, 3.7060499948435707`*^9}, {
   3.7060518179697876`*^9, 3.7060518199136763`*^9}, {3.706053200328584*^9, 
   3.7060532022203355`*^9}, 3.706053332508293*^9, {3.706053405465456*^9, 
   3.706053411306328*^9}, {3.706053727825545*^9, 3.706053749529708*^9}, {
   3.7060538005179*^9, 3.7060538813396835`*^9}, {3.7060543043439407`*^9, 
   3.706054352712446*^9}, {3.706054482554579*^9, 3.7060544855907707`*^9}, {
   3.706054537991891*^9, 3.706054538620818*^9}, {3.7060545900829144`*^9, 
   3.706054593660288*^9}, {3.706054765282383*^9, 3.7060548505338573`*^9}, {
   3.7060548845289946`*^9, 3.7060548864995546`*^9}, {3.7060549896532607`*^9, 
   3.706055068349059*^9}, {3.7060551216513233`*^9, 3.706055128423306*^9}, {
   3.7060551922955556`*^9, 3.706055197922015*^9}, {3.706055259098593*^9, 
   3.7060552886488934`*^9}, 3.7060553206540112`*^9, {3.706055385680229*^9, 
   3.706055413860113*^9}, {3.706055483081433*^9, 3.706055485869997*^9}, {
   3.706081527674307*^9, 3.706081534273489*^9}, {3.706081567737709*^9, 
   3.7060815692941904`*^9}, {3.706081800221809*^9, 3.706081820243625*^9}, {
   3.7061006166732187`*^9, 3.706100742081583*^9}, {3.706100806564559*^9, 
   3.7061008637306576`*^9}, {3.7061009051409483`*^9, 
   3.7061009092563763`*^9}, {3.706100944778161*^9, 3.706101005150423*^9}, 
   3.7061010366383815`*^9, {3.7061011358709974`*^9, 3.7061011428734555`*^9}, {
   3.7061015747334447`*^9, 3.70610163883422*^9}, {3.706101964506838*^9, 
   3.7061019728136735`*^9}, {3.7061020216271796`*^9, 
   3.7061020917305517`*^9}, {3.70610248128618*^9, 3.7061026087924366`*^9}, {
   3.706105751827306*^9, 3.70610577982643*^9}, {3.70611079924465*^9, 
   3.70611082928557*^9}, {3.7061127190426717`*^9, 3.706112743609668*^9}, {
   3.706115486607291*^9, 3.706115529653722*^9}, {3.7061214684363203`*^9, 
   3.7061214907823534`*^9}, {3.7061317697318583`*^9, 3.706131784320633*^9}, {
   3.7061789980588875`*^9, 3.7061790024790792`*^9}, 3.7061854362960663`*^9, {
   3.706185542483763*^9, 3.7061855482026815`*^9}, {3.706186041659445*^9, 
   3.706186088603198*^9}, {3.706186366195821*^9, 3.7061863850423675`*^9}, {
   3.706186435008073*^9, 3.706186449787319*^9}, {3.706187455575446*^9, 
   3.706187508878639*^9}, {3.7061879500231266`*^9, 3.7061879785416365`*^9}, {
   3.706188048295308*^9, 3.706188079052984*^9}, {3.706188120992028*^9, 
   3.7061881384329014`*^9}, {3.7061882388183627`*^9, 
   3.7061882426117735`*^9}, {3.706216873461732*^9, 3.706216977414239*^9}, {
   3.706217232973194*^9, 3.706217290839428*^9}, {3.706217327123201*^9, 
   3.7062173350584726`*^9}, {3.706217493023801*^9, 3.7062175497518015`*^9}, {
   3.706217616949519*^9, 3.7062176769636*^9}, {3.706218249546606*^9, 
   3.7062182783543205`*^9}, {3.706218318883894*^9, 3.70621832701687*^9}, {
   3.706218358429544*^9, 3.7062184244226246`*^9}, {3.706218489321022*^9, 
   3.7062184986533213`*^9}, 3.706218654875938*^9, {3.7062188964615564`*^9, 
   3.7062189067824492`*^9}, {3.7062189475288754`*^9, 3.706218954605404*^9}, {
   3.7062191171850405`*^9, 3.706219117564308*^9}, {3.706219338021233*^9, 
   3.7062193428526597`*^9}, {3.706219469287239*^9, 3.7062194717409835`*^9}, {
   3.706220711904273*^9, 3.7062207515463047`*^9}, {3.706221507830227*^9, 
   3.7062215243722243`*^9}, {3.706221707966698*^9, 3.706221723694584*^9}, {
   3.706222992187294*^9, 3.7062229980881524`*^9}, {3.7062635289025307`*^9, 
   3.7062635353611083`*^9}, {3.706268704999566*^9, 3.706268737799814*^9}, {
   3.7062688129994535`*^9, 3.70626886653723*^9}, {3.7062689427382927`*^9, 
   3.706268946170724*^9}, {3.7062694279873304`*^9, 3.7062694364123135`*^9}, {
   3.7062694766027775`*^9, 3.7062695835984755`*^9}, {3.706269687301952*^9, 
   3.706269703932006*^9}, {3.706269829522262*^9, 3.70626983052097*^9}, {
   3.7062698708882427`*^9, 3.7062699743872833`*^9}, {3.7062700112532587`*^9, 
   3.706270030318783*^9}, {3.706270061205742*^9, 3.706270144946049*^9}, {
   3.7062703551908474`*^9, 3.706270374252355*^9}, {3.706270434667646*^9, 
   3.706270438548396*^9}, {3.7062704689786444`*^9, 3.7062704730555067`*^9}, {
   3.7063059255139084`*^9, 3.7063059276364927`*^9}, {3.7063060845169272`*^9, 
   3.7063060971351905`*^9}, {3.7064468869548483`*^9, 3.706446887505237*^9}, {
   3.706446935896923*^9, 3.7064469393763766`*^9}, {3.7064788087734413`*^9, 
   3.706478816251055*^9}, {3.7065579829218273`*^9, 3.7065579858084*^9}, {
   3.7065718406821003`*^9, 3.7065718437622967`*^9}, {3.7066547269806643`*^9, 
   3.706654731338624*^9}, {3.706654768980348*^9, 3.7066547838896766`*^9}, {
   3.7066549701584373`*^9, 3.7066550076816196`*^9}, {3.706655056331792*^9, 
   3.7066550620514936`*^9}, {3.7066551093530936`*^9, 
   3.7066551151644783`*^9}, {3.7066552009543915`*^9, 3.706655204857794*^9}, {
   3.7066554733755417`*^9, 3.706655478506642*^9}, {3.706655533969252*^9, 
   3.7066555815254536`*^9}, {3.7066556185601397`*^9, 
   3.7066556197270985`*^9}, {3.7066556729591684`*^9, 
   3.7066557396789155`*^9}, {3.7066557904616437`*^9, 
   3.7066558387325945`*^9}, {3.706655923387447*^9, 3.706655952495371*^9}, {
   3.7066954271096325`*^9, 3.706695435411521*^9}, {3.7066961605382075`*^9, 
   3.7066961917407813`*^9}, {3.7066972510653944`*^9, 3.706697256926237*^9}, {
   3.7067944655733004`*^9, 3.706794516010293*^9}, {3.7071365247737474`*^9, 
   3.70713654321145*^9}, {3.7109685659904013`*^9, 3.710968586372406*^9}, {
   3.710968710352377*^9, 3.710968757789235*^9}, {3.7109722815339794`*^9, 
   3.710972291633735*^9}, {3.7109731838082733`*^9, 3.710973207157635*^9}, {
   3.7110238771196117`*^9, 3.711023888557123*^9}, {3.7482185838407187`*^9, 
   3.7482186034413147`*^9}, {3.7482186680794897`*^9, 3.748218669089748*^9}, {
   3.7482201910076613`*^9, 3.7482201922543554`*^9}, {3.7482206963165684`*^9, 
   3.7482207282950764`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Exact", " ", 
   RowBox[{"precision", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.706189288864447*^9, 3.7061892950653496`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"ricciTensorActive", "[", 
   RowBox[{"Pi", ",", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7066996355206833`*^9, 3.7066996747517595`*^9}, {
   3.7067948203199615`*^9, 3.706794820587158*^9}, {3.7067948580446224`*^9, 
   3.7067948611688385`*^9}, {3.7067948941231346`*^9, 3.7067948942192*^9}, {
   3.7071365519522924`*^9, 3.707136552815325*^9}, {3.7109686186022263`*^9, 
   3.7109686194445796`*^9}, {3.710972322335517*^9, 3.710972322853877*^9}, {
   3.7109723881158357`*^9, 3.7109723913888435`*^9}, {3.710973217771014*^9, 
   3.71097321892085*^9}, {3.7110239752304926`*^9, 3.711023981363349*^9}, {
   3.7110240179678245`*^9, 3.7110240197035103`*^9}, 3.7110252488135204`*^9, {
   3.748218623515604*^9, 3.748218650120468*^9}, {3.7482186916335144`*^9, 
   3.7482186917371936`*^9}, {3.7482187541403394`*^9, 3.748218769725668*^9}, {
   3.748218877638132*^9, 3.7482189044265566`*^9}, {3.748220434651208*^9, 
   3.7482205196031065`*^9}, {3.748220577108307*^9, 3.748220582313423*^9}, 
   3.748220666008646*^9, {3.748220736788355*^9, 3.748220742752408*^9}, {
   3.748220777717958*^9, 3.7482207785846*^9}, {3.748220892618696*^9, 
   3.748220955454729*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"11.78125`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", "2"], "-", 
                FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", "2"], "-", 
                FractionBox["tret", "2"]}]], "]"}]}], ")"}], "5"]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", "2"], "-", 
                FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
               RowBox[{"ProductLog", "[", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox["radv", "2"], "-", 
                  FractionBox["tret", "2"]}]], "]"}]}], ")"}]}]}], ")"}]}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", "2"], "-", 
               FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", "2"], "-", 
               FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"]}]], ",", "0",
        ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7067970302110915`*^9, 3.7070526878743095`*^9, 3.707079717630557*^9, 
   3.707096693051445*^9, 3.707137071828716*^9, 3.7107091353738375`*^9, 
   3.710711351171215*^9, 3.710711556353213*^9, 3.7109477363042316`*^9, 
   3.7109634214240294`*^9, 3.7109686548393316`*^9, 3.7109687384602075`*^9, 
   3.7109687803339076`*^9, 3.7109723182573614`*^9, 3.710972373766156*^9, 
   3.7109727749411507`*^9, 3.7109728244701433`*^9, 3.710973144877393*^9, 
   3.7109732324668813`*^9, 3.711024001161667*^9, 3.7110240462411857`*^9, 
   3.711025292903221*^9, 3.711026734327283*^9, 3.711028842044501*^9, 
   3.7111394372879224`*^9, {3.748218628794523*^9, 3.748218705307908*^9}, {
   3.74821876808607*^9, 3.7482187827289*^9}, {3.748218891673604*^9, 
   3.7482189080079308`*^9}, 3.7482201582622223`*^9, 3.7482204561447396`*^9, {
   3.748220489256206*^9, 3.748220514723112*^9}, 3.7482205754178596`*^9, {
   3.748220639447624*^9, 3.7482206820507126`*^9}, 3.748220747401977*^9, 
   3.748220795569187*^9, {3.7482209191617255`*^9, 3.748220970875454*^9}, 
   3.7482220989094934`*^9, 3.7482222440873175`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", "2"], "-", 
                FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", "2"], "-", 
                FractionBox["tret", "2"]}]], "]"}]}], ")"}], "5"]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                FractionBox["radv", "2"], "-", 
                FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
               RowBox[{"ProductLog", "[", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  FractionBox["radv", "2"], "-", 
                  FractionBox["tret", "2"]}]], "]"}]}], ")"}]}]}], ")"}]}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", "2"], "-", 
               FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               FractionBox["radv", "2"], "-", 
               FractionBox["tret", "2"]}]], "]"}]}], ")"}], "4"]}]], ",", "0",
        ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"tret", "\[Rule]", "radv"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7482209876097097`*^9, 3.7482209991947613`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7482214778728456`*^9, 3.748222244237914*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"For", " ", "self"}], "-", "consistency"}], ",", " ", 
   RowBox[{"if", " ", "we", " ", "can", " ", "only", " ", "fix", " ", 
    RowBox[{"rs", "[", "tret", "]"}], " ", "to", " ", "a", " ", "constant", 
    " ", "when", " ", "we", " ", "fix", " ", "tret", " ", "to", " ", "a", " ", 
    RowBox[{"constant", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7482228445653954`*^9, 3.7482228791888433`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "ricciTensorActive", "]"}]], "Input",
 CellChangeTimes->{{3.7056581958692913`*^9, 3.7056581985942197`*^9}, {
  3.706655572159067*^9, 3.706655573939849*^9}, {3.7066557714396896`*^9, 
  3.706655787847981*^9}, {3.7482186175525875`*^9, 3.7482186187972574`*^9}, {
  3.748220187209817*^9, 3.7482201881084137`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ricciTensorActive", "[", 
   RowBox[{"k0x_", ",", "rsx_", ",", "tretx_"}], "]"}], ":=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k0x", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{"rsx", "\[GreaterEqual]", "0"}], "&&", 
     RowBox[{
      FractionBox["rsx", "2"], "\[GreaterEqual]", 
      FractionBox["k0x", 
       RowBox[{"2", "*", "Pi"}]]}]}], ",", 
    RowBox[{"Activate", "[", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Evaluate", "[", "ricciSimp", "]"}], "/.", 
        RowBox[{"Dispatch", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"k0", "\[Rule]", "k0x"}], ",", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rsx"}], ",", 
           RowBox[{"tret", "\[Rule]", "tretx"}]}], "}"}], "]"}]}], ")"}], 
      "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.705657715277094*^9, 3.7056579662646823`*^9}, {
   3.7056580036381617`*^9, 3.7056580559532304`*^9}, 3.705658087021271*^9, {
   3.705658185446907*^9, 3.705658192973238*^9}, {3.705658256472229*^9, 
   3.705658263877475*^9}, {3.705658316630986*^9, 3.705658326530038*^9}, 
   3.705658504510239*^9, {3.705692781944783*^9, 3.7056928151683397`*^9}, {
   3.7056930192506533`*^9, 3.7056930235086565`*^9}, {3.7056955558121324`*^9, 
   3.7056955705460987`*^9}, {3.7059551715669775`*^9, 
   3.7059551800636225`*^9}, {3.705959503881569*^9, 3.705959559770999*^9}, {
   3.70596278467291*^9, 3.705962865357805*^9}, {3.7059629250295753`*^9, 
   3.70596292643598*^9}, {3.705966814720058*^9, 3.7059668165317435`*^9}, {
   3.705966847809899*^9, 3.7059668662393456`*^9}, {3.7060132704472575`*^9, 
   3.706013292969748*^9}, {3.706036440146333*^9, 3.7060364933298388`*^9}, {
   3.706036600676008*^9, 3.70603662335409*^9}, {3.70603665977748*^9, 
   3.706036691788991*^9}, {3.7060367290337524`*^9, 3.706036734934205*^9}, 
   3.7060368007236385`*^9, 3.706039190216445*^9, {3.706049772936886*^9, 
   3.706049870522284*^9}, {3.706049944174079*^9, 3.7060499948435707`*^9}, {
   3.7060518179697876`*^9, 3.7060518199136763`*^9}, {3.706053200328584*^9, 
   3.7060532022203355`*^9}, 3.706053332508293*^9, {3.706053405465456*^9, 
   3.706053411306328*^9}, {3.706053727825545*^9, 3.706053749529708*^9}, {
   3.7060538005179*^9, 3.7060538813396835`*^9}, {3.7060543043439407`*^9, 
   3.706054352712446*^9}, {3.706054482554579*^9, 3.7060544855907707`*^9}, {
   3.706054537991891*^9, 3.706054538620818*^9}, {3.7060545900829144`*^9, 
   3.706054593660288*^9}, {3.706054765282383*^9, 3.7060548505338573`*^9}, {
   3.7060548845289946`*^9, 3.7060548864995546`*^9}, {3.7060549896532607`*^9, 
   3.706055068349059*^9}, {3.7060551216513233`*^9, 3.706055128423306*^9}, {
   3.7060551922955556`*^9, 3.706055197922015*^9}, {3.706055259098593*^9, 
   3.7060552886488934`*^9}, 3.7060553206540112`*^9, {3.706055385680229*^9, 
   3.706055413860113*^9}, {3.706055483081433*^9, 3.706055485869997*^9}, {
   3.706081527674307*^9, 3.706081534273489*^9}, {3.706081567737709*^9, 
   3.7060815692941904`*^9}, {3.706081800221809*^9, 3.706081820243625*^9}, {
   3.7061006166732187`*^9, 3.706100742081583*^9}, {3.706100806564559*^9, 
   3.7061008637306576`*^9}, {3.7061009051409483`*^9, 
   3.7061009092563763`*^9}, {3.706100944778161*^9, 3.706101005150423*^9}, 
   3.7061010366383815`*^9, {3.7061011358709974`*^9, 3.7061011428734555`*^9}, {
   3.7061015747334447`*^9, 3.70610163883422*^9}, {3.706101964506838*^9, 
   3.7061019728136735`*^9}, {3.7061020216271796`*^9, 
   3.7061020917305517`*^9}, {3.70610248128618*^9, 3.7061026087924366`*^9}, {
   3.706105751827306*^9, 3.70610577982643*^9}, {3.70611079924465*^9, 
   3.70611082928557*^9}, {3.7061127190426717`*^9, 3.706112743609668*^9}, {
   3.706115486607291*^9, 3.706115529653722*^9}, {3.7061214684363203`*^9, 
   3.7061214907823534`*^9}, {3.7061317697318583`*^9, 3.706131784320633*^9}, {
   3.7061789980588875`*^9, 3.7061790024790792`*^9}, 3.7061854362960663`*^9, {
   3.706185542483763*^9, 3.7061855482026815`*^9}, {3.706186041659445*^9, 
   3.706186088603198*^9}, {3.706186366195821*^9, 3.7061863850423675`*^9}, {
   3.706186435008073*^9, 3.706186449787319*^9}, {3.706187455575446*^9, 
   3.706187508878639*^9}, {3.7061879500231266`*^9, 3.7061879785416365`*^9}, {
   3.706188048295308*^9, 3.706188079052984*^9}, {3.706188120992028*^9, 
   3.7061881384329014`*^9}, {3.7061882388183627`*^9, 
   3.7061882426117735`*^9}, {3.706216873461732*^9, 3.706216977414239*^9}, {
   3.706217232973194*^9, 3.706217290839428*^9}, {3.706217327123201*^9, 
   3.7062173350584726`*^9}, {3.706217493023801*^9, 3.7062175497518015`*^9}, {
   3.706217616949519*^9, 3.7062176769636*^9}, {3.706218249546606*^9, 
   3.7062182783543205`*^9}, {3.706218318883894*^9, 3.70621832701687*^9}, {
   3.706218358429544*^9, 3.7062184244226246`*^9}, {3.706218489321022*^9, 
   3.7062184986533213`*^9}, 3.706218654875938*^9, {3.7062188964615564`*^9, 
   3.7062189067824492`*^9}, {3.7062189475288754`*^9, 3.706218954605404*^9}, {
   3.7062191171850405`*^9, 3.706219117564308*^9}, {3.706219338021233*^9, 
   3.7062193428526597`*^9}, {3.706219469287239*^9, 3.7062194717409835`*^9}, {
   3.706220711904273*^9, 3.7062207515463047`*^9}, {3.706221507830227*^9, 
   3.7062215243722243`*^9}, {3.706221707966698*^9, 3.706221723694584*^9}, {
   3.706222992187294*^9, 3.7062229980881524`*^9}, {3.7062635289025307`*^9, 
   3.7062635353611083`*^9}, {3.706268704999566*^9, 3.706268737799814*^9}, {
   3.7062688129994535`*^9, 3.70626886653723*^9}, {3.7062689427382927`*^9, 
   3.706268946170724*^9}, {3.7062694279873304`*^9, 3.7062694364123135`*^9}, {
   3.7062694766027775`*^9, 3.7062695835984755`*^9}, {3.706269687301952*^9, 
   3.706269703932006*^9}, {3.706269829522262*^9, 3.70626983052097*^9}, {
   3.7062698708882427`*^9, 3.7062699743872833`*^9}, {3.7062700112532587`*^9, 
   3.706270030318783*^9}, {3.706270061205742*^9, 3.706270144946049*^9}, {
   3.7062703551908474`*^9, 3.706270374252355*^9}, {3.706270434667646*^9, 
   3.706270438548396*^9}, {3.7062704689786444`*^9, 3.7062704730555067`*^9}, {
   3.7063059255139084`*^9, 3.7063059276364927`*^9}, {3.7063060845169272`*^9, 
   3.7063060971351905`*^9}, {3.7064468869548483`*^9, 3.706446887505237*^9}, {
   3.706446935896923*^9, 3.7064469393763766`*^9}, {3.7064788087734413`*^9, 
   3.706478816251055*^9}, {3.7065579829218273`*^9, 3.7065579858084*^9}, {
   3.7065718406821003`*^9, 3.7065718437622967`*^9}, {3.7066547269806643`*^9, 
   3.706654731338624*^9}, {3.706654768980348*^9, 3.7066547838896766`*^9}, {
   3.7066549701584373`*^9, 3.7066550076816196`*^9}, {3.706655056331792*^9, 
   3.7066550620514936`*^9}, {3.7066551093530936`*^9, 
   3.7066551151644783`*^9}, {3.7066552009543915`*^9, 3.706655204857794*^9}, {
   3.7066554733755417`*^9, 3.706655478506642*^9}, {3.706655533969252*^9, 
   3.7066555815254536`*^9}, {3.7066556185601397`*^9, 
   3.7066556197270985`*^9}, {3.7066556729591684`*^9, 
   3.7066557396789155`*^9}, {3.7066557904616437`*^9, 
   3.7066558387325945`*^9}, {3.706655923387447*^9, 3.706655952495371*^9}, {
   3.7066954271096325`*^9, 3.706695435411521*^9}, {3.7066961605382075`*^9, 
   3.7066961917407813`*^9}, {3.7066972510653944`*^9, 3.706697256926237*^9}, {
   3.7067944655733004`*^9, 3.706794516010293*^9}, {3.7071365247737474`*^9, 
   3.70713654321145*^9}, {3.7109685659904013`*^9, 3.710968586372406*^9}, {
   3.710968710352377*^9, 3.710968757789235*^9}, {3.7109722815339794`*^9, 
   3.710972291633735*^9}, {3.7109731838082733`*^9, 3.710973207157635*^9}, {
   3.7110238771196117`*^9, 3.711023888557123*^9}, {3.7482185838407187`*^9, 
   3.7482186034413147`*^9}, {3.7482186680794897`*^9, 3.748218669089748*^9}, {
   3.7482201910076613`*^9, 3.7482201922543554`*^9}, {3.7482206963165684`*^9, 
   3.7482207282950764`*^9}, {3.748222792044825*^9, 3.7482228056055655`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"ricciTensorActive", "[", 
   RowBox[{"Pi", ",", "1", ",", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7482213259121575`*^9, 3.7482213431511154`*^9}, {
  3.748221548054196*^9, 3.748221549538227*^9}, {3.7482228153215876`*^9, 
  3.7482228171397257`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10.203125`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["3", "2"]}], "+", 
                FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["3", "2"]}], "+", 
                FractionBox["radv", "2"]}]], "]"}]}], ")"}], "5"]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["3", "2"]}], "+", 
                FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
               RowBox[{"ProductLog", "[", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", 
                   FractionBox["3", "2"]}], "+", 
                  FractionBox["radv", "2"]}]], "]"}]}], ")"}]}]}], ")"}]}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["3", "2"]}], "+", 
               FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["3", "2"]}], "+", 
               FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"]}]], ",", "0",
        ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7482210049712934`*^9, {3.748221333082021*^9, 3.7482213587543445`*^9}, 
   3.7482228325814376`*^9, 3.748222897212626*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "This", " ", "limits", " ", "to", " ", "zero", " ", "as", " ", "radv"}], "->",
     "tret"}], ",", " ", 
   RowBox[{
    RowBox[{"which", " ", "traces", " ", "directly", " ", "out"}], "-", 
    RowBox[{"going", " ", "light"}], "-", 
    RowBox[{"light", " ", 
     RowBox[{"paths", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7482229591989193`*^9, 3.748222981740616*^9}, {
  3.7482230782685204`*^9, 3.7482230844440084`*^9}, {3.748304066119259*^9, 
  3.748304111260193*^9}, {3.748304416389984*^9, 3.7483044174083104`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["3", "2"]}], "+", 
                FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["3", "2"]}], "+", 
                FractionBox["radv", "2"]}]], "]"}]}], ")"}], "5"]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"ProductLog", "[", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox["3", "2"]}], "+", 
                FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"ProductLog", "[", 
                FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
               RowBox[{"ProductLog", "[", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", 
                   FractionBox["3", "2"]}], "+", 
                  FractionBox["radv", "2"]}]], "]"}]}], ")"}]}]}], ")"}]}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["3", "2"]}], "+", 
               FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"ProductLog", "[", 
             FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
            RowBox[{"ProductLog", "[", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["3", "2"]}], "+", 
               FractionBox["radv", "2"]}]], "]"}]}], ")"}], "4"]}]], ",", "0",
        ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"radv", "\[Rule]", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7482213259121575`*^9, 3.7482213431511154`*^9}, {
  3.748221548054196*^9, 3.748221549538227*^9}, {3.7482228153215876`*^9, 
  3.7482228171397257`*^9}, {3.748222996765443*^9, 3.748223013060873*^9}, {
  3.7482230934968295`*^9, 3.7482231286159263`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.748223019171534*^9, 3.748223033851283*^9}, {
  3.7482231042929363`*^9, 3.748223132096595*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"ricciTensorActive", "[", 
   RowBox[{"Pi", ",", "2", ",", "3"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748223156214153*^9, 3.7482231563138437`*^9}, {
  3.7482232032812614`*^9, 3.748223210939786*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10.046875`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"2", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
            "4"]}], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2"}], "-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
            "5"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"2", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
            "4"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "6"}], "+", 
             RowBox[{"4", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], 
               ")"}]}]}], ")"}]}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"ProductLog", "[", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
           "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"ProductLog", "[", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
           "4"]}], ")"}]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.748223170788142*^9, {3.7482232138500032`*^9, 3.748223227773774*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"2", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
            "4"]}], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2"}], "-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
            "5"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"2", "+", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"ProductLog", "[", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
            "4"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "6"}], "+", 
             RowBox[{"4", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"ProductLog", "[", 
                  FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"ProductLog", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], 
               ")"}]}]}], ")"}]}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"ProductLog", "[", 
              FractionBox["1", "\[ExponentialE]"], "]"}], "-", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"ProductLog", "[", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
           "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ProductLog", "[", 
               FractionBox["1", "\[ExponentialE]"], "]"}]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"ProductLog", "[", 
                 RowBox[{
                  FractionBox["1", "2"], " ", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["7", "4"]}], "+", 
                    FractionBox["radv", "4"]}]]}], "]"}]}], ")"}]}]}], ")"}], 
           "4"]}], ")"}]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"radv", "\[Rule]", "3"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7482231878365583`*^9, 3.7482231943411655`*^9}, {
  3.748223241745448*^9, 3.748223246522643*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.748223197632366*^9, 3.7482232500811634`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "We", " ", "see", " ", "that", " ", "the", " ", "manifold", " ", "is", 
     " ", "globally", " ", "\"\<vacuum,\>\"", " ", "in", " ", "that", " ", 
     "the", " ", "Einstein"}], "-", 
    RowBox[{"Hilbert", " ", "action", " ", 
     RowBox[{"(", 
      RowBox[{"and", " ", "the", " ", "Ricci", " ", "scalar"}], ")"}], " ", 
     "vanish", " ", "when", " ", "integrated", " ", "over", " ", "a", " ", 
     "volume", " ", "that", " ", "fully", " ", "contains", " ", "the", " ", 
     "time"}], "-", 
    RowBox[{"dependent", " ", "gravitational", " ", 
     RowBox[{"radiation", ".", " ", "We"}], " ", "also", " ", "see"}]}], ",", 
   " ", 
   RowBox[{"here", " ", "in", " ", "the", " ", "Ricci", " ", "tensor"}], ",", 
   " ", 
   RowBox[{"that", " ", "this", " ", "does", " ", "not", " ", "hold", " ", 
    RowBox[{"locally", ".", " ", "The"}], " ", "Ricci", " ", "tensor", " ", 
    "and", " ", "Ricci", " ", "scalar", " ", "are", " ", "zero", " ", "only", 
    " ", "on", " ", "average", " ", "over", " ", "an", " ", "appropriate", 
    " ", "region", " ", "of", " ", 
    RowBox[{"integration", ".", " ", "Locally"}]}], ",", " ", 
   RowBox[{
   "the", " ", "passage", " ", "of", " ", "time", " ", "is", " ", "deformed", 
    " ", "sinusoidally", " ", "inside", " ", "of", " ", "test", " ", 
    "hyperspheres"}], ",", " ", 
   RowBox[{
    RowBox[{
    "such", " ", "that", " ", "the", " ", "average", " ", "deformation", " ", 
     "is", " ", "equivalent", " ", "to", " ", "flat", " ", 
     RowBox[{"space", ".", " ", "The"}], " ", "Einstein"}], "-", 
    RowBox[{
    "Hilbert", " ", "action", " ", "is", " ", "globally", " ", "functionally",
      " ", "minimized", " ", 
     RowBox[{"(", 
      RowBox[{"as", " ", "equal", " ", "to", " ", "0"}], ")"}], " ", "with", 
     " ", "vanishing", " ", "boundary"}]}], ",", " ", 
   RowBox[{
   "satisfying", " ", "the", " ", "action", " ", "principle", " ", "of", " ", 
    "general", " ", "relativity"}], ",", " ", 
   RowBox[{
   "but", " ", "the", " ", "metric", " ", "is", " ", "not", " ", "generally", 
    " ", "locally", " ", 
    RowBox[{"vacuum", ".", " ", "The"}], " ", "manifold", " ", "contains", 
    " ", "real", " ", "gravitational", " ", "radiation"}], ",", " ", 
   RowBox[{
    RowBox[{"while", " ", "satisfying", " ", "the", " ", "Wheeler"}], "-", 
    RowBox[{
    "DeWitt", " ", "constraints", " ", "and", " ", "functionally", " ", 
     "minimizing", " ", "the", " ", "global", " ", "Einstein"}], "-", 
    RowBox[{"Hilbert", " ", 
     RowBox[{"action", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7482254364808493`*^9, 3.7482258093538885`*^9}, {
  3.7483041433822556`*^9, 3.7483043689837694`*^9}}]
},
WindowSize->{1584, 817},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 358, 7, 30, "Input"],
Cell[919, 29, 758, 13, 50, "Input"],
Cell[1680, 44, 1487, 29, 88, "Input"],
Cell[3170, 75, 855, 15, 50, "Input"],
Cell[CellGroupData[{
Cell[4050, 94, 284, 5, 30, "Input"],
Cell[4337, 101, 143, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4517, 109, 577, 12, 30, "Input"],
Cell[5097, 123, 175, 5, 30, "Output"]
}, Open  ]],
Cell[5287, 131, 621, 11, 30, "Input"],
Cell[CellGroupData[{
Cell[5933, 146, 1321, 25, 30, "Input"],
Cell[7257, 173, 296, 9, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7590, 187, 588, 16, 30, "Input"],
Cell[8181, 205, 82348, 1341, 250, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90566, 1551, 1099, 22, 30, "Input"],
Cell[91668, 1575, 275, 8, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91980, 1588, 1633, 33, 30, "Input"],
Cell[93616, 1623, 669, 21, 68, "Output"]
}, Open  ]],
Cell[94300, 1647, 398, 10, 30, "Input"],
Cell[94701, 1659, 811, 24, 74, "Input"],
Cell[CellGroupData[{
Cell[95537, 1687, 1056, 31, 74, "Input"],
Cell[96596, 1720, 902, 26, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97535, 1751, 1060, 31, 74, "Input"],
Cell[98598, 1784, 2006, 57, 63, "Output"]
}, Open  ]],
Cell[100619, 1844, 620, 12, 30, "Input"],
Cell[CellGroupData[{
Cell[101264, 1860, 2127, 41, 74, "Input"],
Cell[103394, 1903, 74, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103505, 1909, 836, 17, 50, "Input"],
Cell[104344, 1928, 73, 1, 30, "Output"]
}, Open  ]],
Cell[104432, 1932, 3299, 56, 30, "Input"],
Cell[CellGroupData[{
Cell[107756, 1992, 1844, 43, 30, "Input"],
Cell[109603, 2037, 2494, 70, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112134, 2112, 76, 2, 30, "Input"],
Cell[112213, 2116, 89, 2, 30, "Output"]
}, Open  ]],
Cell[112317, 2121, 265, 6, 38, "Input"],
Cell[112585, 2129, 894, 20, 50, "Input"],
Cell[113482, 2151, 231, 5, 30, "Input"],
Cell[CellGroupData[{
Cell[113738, 2160, 76, 1, 30, "Input"],
Cell[113817, 2163, 3913, 101, 116, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117767, 2269, 101, 1, 30, "Input"],
Cell[117871, 2272, 1433, 41, 60, "Output"]
}, Open  ]],
Cell[119319, 2316, 656, 16, 30, "Input"],
Cell[119978, 2334, 267, 7, 30, "Input"],
Cell[120248, 2343, 801, 16, 50, "Input"],
Cell[121052, 2361, 328, 6, 30, "Input"],
Cell[121383, 2369, 1180, 28, 30, "Input"],
Cell[122566, 2399, 502, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[123093, 2416, 106, 2, 30, "Input"],
Cell[123202, 2420, 72, 1, 30, "Output"]
}, Open  ]],
Cell[123289, 2424, 659, 17, 30, "Input"],
Cell[CellGroupData[{
Cell[123973, 2445, 127, 3, 30, "Input"],
Cell[124103, 2450, 70, 1, 30, "Output"]
}, Open  ]],
Cell[124188, 2454, 534, 14, 30, "Input"],
Cell[CellGroupData[{
Cell[124747, 2472, 110, 2, 30, "Input"],
Cell[124860, 2476, 5084, 144, 222, "Output"]
}, Open  ]],
Cell[129959, 2623, 636, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[130620, 2643, 228, 5, 30, "Input"],
Cell[130851, 2650, 70, 1, 30, "Output"]
}, Open  ]],
Cell[130936, 2654, 504, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[131465, 2671, 108, 2, 30, "Input"],
Cell[131576, 2675, 3309, 94, 81, "Output"]
}, Open  ]],
Cell[134900, 2772, 619, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[135544, 2792, 252, 5, 30, "Input"],
Cell[135799, 2799, 70, 1, 30, "Output"]
}, Open  ]],
Cell[135884, 2803, 451, 8, 30, "Input"],
Cell[136338, 2813, 3027, 64, 145, "Input"],
Cell[139368, 2879, 277, 6, 41, "Input"],
Cell[CellGroupData[{
Cell[139670, 2889, 577, 12, 30, "Input"],
Cell[140250, 2903, 173, 5, 30, "Output"]
}, Open  ]],
Cell[140438, 2911, 674, 12, 30, "Input"],
Cell[CellGroupData[{
Cell[141137, 2927, 1321, 25, 30, "Input"],
Cell[142461, 2954, 294, 9, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142792, 2968, 1099, 22, 30, "Input"],
Cell[143894, 2992, 273, 8, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144204, 3005, 1614, 32, 30, "Input"],
Cell[145821, 3039, 617, 19, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146475, 3063, 167, 4, 50, "Input"],
Cell[146645, 3069, 121, 3, 46, "Output"]
}, Open  ]],
Cell[146781, 3075, 3299, 56, 30, "Input"],
Cell[150083, 3133, 240, 5, 30, "Input"],
Cell[CellGroupData[{
Cell[150348, 3142, 1471, 29, 76, "Input"],
Cell[151822, 3173, 576, 17, 70, "Output"]
}, Open  ]],
Cell[152413, 3193, 69, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[152507, 3198, 1600, 37, 30, "Input"],
Cell[154110, 3237, 4195, 117, 172, "Output"]
}, Open  ]],
Cell[158320, 3357, 131, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[158476, 3363, 833, 23, 30, "Input"],
Cell[159312, 3388, 3818, 105, 215, "Output"]
}, Open  ]],
Cell[163145, 3496, 129, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[163299, 3502, 621, 11, 30, "Input"],
Cell[163923, 3515, 22753, 588, 1075, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[186713, 4108, 321, 9, 30, "Input"],
Cell[187037, 4119, 69, 1, 30, "Output"]
}, Open  ]],
Cell[187121, 4123, 132, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[187278, 4129, 342, 6, 30, "Input"],
Cell[187623, 4137, 149, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[187809, 4145, 76, 2, 30, "Input"],
Cell[187888, 4149, 87, 2, 30, "Output"]
}, Open  ]],
Cell[187990, 4154, 445, 11, 38, "Input"],
Cell[188438, 4167, 1073, 22, 69, "Input"],
Cell[189514, 4191, 862, 18, 50, "Input"],
Cell[190379, 4211, 178, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[190582, 4219, 101, 1, 30, "Input"],
Cell[190686, 4222, 5383, 144, 225, "Output"]
}, Open  ]],
Cell[196084, 4369, 1554, 42, 30, "Input"],
Cell[197641, 4413, 267, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[197933, 4424, 99, 1, 30, "Input"],
Cell[198035, 4427, 127729, 2957, 7676, "Output"]
}, Open  ]],
Cell[325779, 7387, 801, 16, 50, "Input"],
Cell[326583, 7405, 252, 5, 30, "Input"],
Cell[326838, 7412, 1178, 27, 30, "Input"],
Cell[328019, 7441, 502, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[328546, 7458, 182, 3, 30, "Input"],
Cell[328731, 7463, 39621, 833, 326, "Output"]
}, Open  ]],
Cell[368367, 8299, 659, 17, 30, "Input"],
Cell[CellGroupData[{
Cell[369051, 8320, 203, 4, 30, "Input"],
Cell[369257, 8326, 72, 1, 30, "Output"]
}, Open  ]],
Cell[369344, 8330, 534, 14, 30, "Input"],
Cell[CellGroupData[{
Cell[369903, 8348, 182, 3, 30, "Input"],
Cell[370088, 8353, 36809, 792, 368, "Output"]
}, Open  ]],
Cell[406912, 9148, 636, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[407573, 9168, 286, 6, 30, "Input"],
Cell[407862, 9176, 70, 1, 30, "Output"]
}, Open  ]],
Cell[407947, 9180, 504, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[408476, 9197, 184, 3, 30, "Input"],
Cell[408663, 9202, 40055, 837, 286, "Output"]
}, Open  ]],
Cell[448733, 10042, 619, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[449377, 10062, 309, 6, 30, "Input"],
Cell[449689, 10070, 72, 1, 30, "Output"]
}, Open  ]],
Cell[449776, 10074, 479, 9, 30, "Input"],
Cell[450258, 10085, 1439, 26, 69, "Input"],
Cell[451700, 10113, 279, 6, 41, "Input"],
Cell[CellGroupData[{
Cell[452004, 10123, 284, 5, 30, "Input"],
Cell[452291, 10130, 478, 8, 30, "Output"]
}, Open  ]],
Cell[452784, 10141, 157, 3, 30, "Input"],
Cell[452944, 10146, 3696, 62, 30, "Input"],
Cell[CellGroupData[{
Cell[456665, 10212, 1688, 41, 30, "Input"],
Cell[458356, 10255, 3963, 99, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[462356, 10359, 76, 2, 30, "Input"],
Cell[462435, 10363, 426, 7, 30, "Output"]
}, Open  ]],
Cell[462876, 10373, 303, 7, 30, "Input"],
Cell[463182, 10382, 144, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[463351, 10388, 1665, 44, 30, "Input"],
Cell[465019, 10434, 8839, 219, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[473895, 10658, 889, 19, 30, "Input"],
Cell[474787, 10679, 193269, 4290, 3052, "Output"]
}, Open  ]],
Cell[668071, 14972, 303, 7, 30, "Input"],
Cell[668377, 14981, 155, 3, 30, "Input"],
Cell[668535, 14986, 722, 12, 30, "Input"],
Cell[CellGroupData[{
Cell[669282, 15002, 1056, 31, 74, "Input"],
Cell[670341, 15035, 1252, 31, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[671630, 15071, 1060, 31, 74, "Input"],
Cell[672693, 15104, 2341, 62, 63, "Output"]
}, Open  ]],
Cell[675049, 15169, 481, 12, 30, "Input"],
Cell[675533, 15183, 317, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[675875, 15194, 2160, 50, 30, "Input"],
Cell[678038, 15246, 1839, 46, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[679914, 15297, 2054, 47, 69, "Input"],
Cell[681971, 15346, 1834, 46, 67, "Output"]
}, Open  ]],
Cell[683820, 15395, 300, 6, 30, "Input"],
Cell[CellGroupData[{
Cell[684145, 15405, 1564, 35, 30, "Input"],
Cell[685712, 15442, 3127, 80, 85, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[688876, 15527, 2029, 52, 55, "Input"],
Cell[690908, 15581, 12416, 305, 314, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[703361, 15891, 1437, 33, 30, "Input"],
Cell[704801, 15926, 3800, 96, 97, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[708638, 16027, 2217, 55, 55, "Input"],
Cell[710858, 16084, 42623, 1038, 993, "Output"]
}, Open  ]],
Cell[753496, 17125, 517, 9, 30, "Input"],
Cell[CellGroupData[{
Cell[754038, 17138, 3412, 88, 55, "Input"],
Cell[757453, 17228, 97588, 2152, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[855078, 19385, 3260, 80, 74, "Input"],
Cell[858341, 19467, 97538, 2145, 72, "Output"]
}, Open  ]],
Cell[955894, 21615, 1132, 24, 69, "Input"],
Cell[957029, 21641, 1604, 32, 69, "Input"],
Cell[958636, 21675, 127, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[958788, 21681, 627, 10, 30, "Input"],
Cell[959418, 21693, 13278, 319, 150, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[972733, 22017, 526, 11, 33, "Input"],
Cell[973262, 22030, 508, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[973807, 22042, 556, 13, 33, "Input"],
Cell[974366, 22057, 499, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[974902, 22069, 583, 12, 33, "Input"],
Cell[975488, 22083, 505, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[976030, 22095, 610, 14, 33, "Input"],
Cell[976643, 22111, 509, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[977189, 22123, 545, 11, 33, "Input"],
Cell[977737, 22136, 511, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[978285, 22148, 573, 13, 33, "Input"],
Cell[978861, 22163, 506, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[979404, 22175, 545, 11, 33, "Input"],
Cell[979952, 22188, 509, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[980498, 22200, 573, 13, 33, "Input"],
Cell[981074, 22215, 508, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[981619, 22227, 497, 10, 33, "Input"],
Cell[982119, 22239, 502, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[982658, 22251, 514, 11, 33, "Input"],
Cell[983175, 22264, 520, 7, 30, "Output"]
}, Open  ]],
Cell[983710, 22274, 128, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[983863, 22280, 926, 16, 30, "Input"],
Cell[984792, 22298, 12991, 311, 150, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[997820, 22614, 428, 10, 33, "Input"],
Cell[998251, 22626, 433, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[998721, 22637, 456, 12, 33, "Input"],
Cell[999180, 22651, 433, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[999650, 22662, 483, 11, 33, "Input"],
Cell[1000136, 22675, 435, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1000608, 22686, 502, 12, 33, "Input"],
Cell[1001113, 22700, 440, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1001590, 22711, 445, 10, 33, "Input"],
Cell[1002038, 22723, 438, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1002513, 22734, 469, 11, 33, "Input"],
Cell[1002985, 22747, 438, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1003460, 22758, 494, 10, 33, "Input"],
Cell[1003957, 22770, 435, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1004429, 22781, 519, 12, 33, "Input"],
Cell[1004951, 22795, 431, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1005419, 22806, 443, 9, 33, "Input"],
Cell[1005865, 22817, 438, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1006340, 22828, 468, 11, 33, "Input"],
Cell[1006811, 22841, 446, 6, 30, "Output"]
}, Open  ]],
Cell[1007272, 22850, 181, 3, 30, "Input"],
Cell[CellGroupData[{
Cell[1007478, 22857, 726, 11, 30, "Input"],
Cell[1008207, 22870, 22342, 494, 200, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1030586, 23369, 480, 11, 33, "Input"],
Cell[1031069, 23382, 428, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1031534, 23393, 480, 12, 33, "Input"],
Cell[1032017, 23407, 428, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1032482, 23418, 507, 11, 33, "Input"],
Cell[1032992, 23431, 438, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1033467, 23442, 530, 13, 33, "Input"],
Cell[1034000, 23457, 435, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1034472, 23468, 467, 10, 33, "Input"],
Cell[1034942, 23480, 431, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1035410, 23491, 497, 12, 33, "Input"],
Cell[1035910, 23505, 438, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1036385, 23516, 520, 11, 33, "Input"],
Cell[1036908, 23529, 432, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1037377, 23540, 541, 12, 33, "Input"],
Cell[1037921, 23554, 432, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1038390, 23565, 465, 9, 33, "Input"],
Cell[1038858, 23576, 436, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1039331, 23587, 492, 11, 33, "Input"],
Cell[1039826, 23600, 431, 6, 30, "Output"]
}, Open  ]],
Cell[1040272, 23609, 232, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[1040529, 23617, 859, 15, 30, "Input"],
Cell[1041391, 23634, 21625, 480, 202, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1063053, 24119, 378, 6, 30, "Input"],
Cell[1063434, 24127, 439, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1063910, 24138, 329, 6, 30, "Input"],
Cell[1064242, 24146, 439, 6, 30, "Output"]
}, Open  ]],
Cell[1064696, 24155, 132, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[1064853, 24161, 1532, 39, 76, "Input"],
Cell[1066388, 24202, 15987, 369, 168, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1082412, 24576, 279, 5, 30, "Input"],
Cell[1082694, 24583, 454, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1083185, 24594, 281, 5, 30, "Input"],
Cell[1083469, 24601, 464, 6, 30, "Output"]
}, Open  ]],
Cell[1083948, 24610, 130, 2, 30, "Input"],
Cell[1084081, 24614, 312, 7, 30, "Input"],
Cell[1084396, 24623, 1579, 26, 30, "Input"],
Cell[CellGroupData[{
Cell[1086000, 24653, 1445, 20, 30, "Input"],
Cell[1087448, 24675, 15772, 368, 168, "Output"]
}, Open  ]],
Cell[1103235, 25046, 1034, 23, 69, "Input"],
Cell[1104272, 25071, 313, 7, 30, "Input"],
Cell[1104588, 25080, 177, 3, 30, "Input"],
Cell[1104768, 25085, 728, 17, 30, "Input"],
Cell[1105499, 25104, 1544, 28, 69, "Input"],
Cell[1107046, 25134, 4240, 76, 202, "Input"],
Cell[1111289, 25212, 240, 4, 30, "Input"],
Cell[1111532, 25218, 8031, 127, 99, "Input"],
Cell[1119566, 25347, 194, 3, 30, "Input"],
Cell[1119763, 25352, 8131, 130, 99, "Input"],
Cell[1127897, 25484, 183, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[1128105, 25492, 775, 12, 30, "Input"],
Cell[1128883, 25506, 704, 11, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1129624, 25522, 773, 14, 30, "Input"],
Cell[1130400, 25538, 648, 10, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1131085, 25553, 843, 14, 30, "Input"],
Cell[1131931, 25569, 677, 11, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1132645, 25585, 897, 15, 30, "Input"],
Cell[1133545, 25602, 715, 12, 30, "Output"]
}, Open  ]],
Cell[1134275, 25617, 67, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[1134367, 25622, 1336, 26, 30, "Input"],
Cell[1135706, 25650, 6135, 194, 113, "Output"]
}, Open  ]],
Cell[1141856, 25847, 569, 13, 30, "Input"],
Cell[1142428, 25862, 1832, 36, 107, "Input"],
Cell[1144263, 25900, 699, 13, 30, "Input"],
Cell[1144965, 25915, 177, 3, 30, "Input"],
Cell[1145145, 25920, 1075, 27, 30, "Input"],
Cell[CellGroupData[{
Cell[1146245, 25951, 173, 4, 30, "Input"],
Cell[1146421, 25957, 1141, 30, 30, "Output"]
}, Open  ]],
Cell[1147577, 25990, 169, 3, 30, "Input"],
Cell[1147749, 25995, 9063, 147, 118, "Input"],
Cell[1156815, 26144, 67, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[1156907, 26149, 1443, 30, 30, "Input"],
Cell[1158353, 26181, 3735, 116, 79, "Output"]
}, Open  ]],
Cell[1162103, 26300, 277, 6, 41, "Input"],
Cell[1162383, 26308, 880, 18, 69, "Input"],
Cell[CellGroupData[{
Cell[1163288, 26330, 577, 12, 30, "Input"],
Cell[1163868, 26344, 175, 5, 30, "Output"]
}, Open  ]],
Cell[1164058, 26352, 674, 12, 30, "Input"],
Cell[CellGroupData[{
Cell[1164757, 26368, 1321, 25, 30, "Input"],
Cell[1166081, 26395, 296, 9, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1166414, 26409, 1099, 22, 30, "Input"],
Cell[1167516, 26433, 275, 8, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1167828, 26446, 1614, 32, 30, "Input"],
Cell[1169445, 26480, 617, 19, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1170099, 26504, 167, 4, 50, "Input"],
Cell[1170269, 26510, 121, 3, 46, "Output"]
}, Open  ]],
Cell[1170405, 26516, 197, 4, 30, "Input"],
Cell[1170605, 26522, 3412, 56, 30, "Input"],
Cell[CellGroupData[{
Cell[1174042, 26582, 164, 3, 30, "Input"],
Cell[1174209, 26587, 469, 14, 30, "Output"]
}, Open  ]],
Cell[1174693, 26604, 240, 5, 30, "Input"],
Cell[CellGroupData[{
Cell[1174958, 26613, 1654, 34, 78, "Input"],
Cell[1176615, 26649, 2450, 68, 94, "Output"]
}, Open  ]],
Cell[1179080, 26720, 69, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[1179174, 26725, 1600, 37, 30, "Input"],
Cell[1180777, 26764, 10411, 265, 342, "Output"]
}, Open  ]],
Cell[1191203, 27032, 131, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[1191359, 27038, 833, 23, 30, "Input"],
Cell[1192195, 27063, 25112, 602, 771, "Output"]
}, Open  ]],
Cell[1217322, 27668, 129, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[1217476, 27674, 621, 11, 30, "Input"],
Cell[1218100, 27687, 103464, 2403, 2907, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1321601, 30095, 321, 9, 30, "Input"],
Cell[1321925, 30106, 72, 1, 30, "Output"]
}, Open  ]],
Cell[1322012, 30110, 132, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[1322169, 30116, 342, 6, 30, "Input"],
Cell[1322514, 30124, 149, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1322700, 30132, 76, 2, 30, "Input"],
Cell[1322779, 30136, 89, 2, 30, "Output"]
}, Open  ]],
Cell[1322883, 30141, 445, 11, 38, "Input"],
Cell[1323331, 30154, 951, 20, 50, "Input"],
Cell[1324285, 30176, 862, 18, 50, "Input"],
Cell[1325150, 30196, 178, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[1325353, 30204, 101, 1, 30, "Input"],
Cell[1325457, 30207, 15238, 376, 534, "Output"]
}, Open  ]],
Cell[1340710, 30586, 1554, 42, 30, "Input"],
Cell[1342267, 30630, 267, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[1342559, 30641, 99, 1, 30, "Input"],
Cell[1342661, 30644, 41646, 883, 262, "Output"]
}, Open  ]],
Cell[1384322, 31530, 801, 16, 50, "Input"],
Cell[1385126, 31548, 252, 5, 30, "Input"],
Cell[1385381, 31555, 1178, 27, 30, "Input"],
Cell[1386562, 31584, 502, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[1387089, 31601, 182, 3, 30, "Input"],
Cell[1387274, 31606, 36860, 801, 282, "Output"]
}, Open  ]],
Cell[1424149, 32410, 659, 17, 30, "Input"],
Cell[CellGroupData[{
Cell[1424833, 32431, 203, 4, 30, "Input"],
Cell[1425039, 32437, 72, 1, 30, "Output"]
}, Open  ]],
Cell[1425126, 32441, 534, 14, 30, "Input"],
Cell[CellGroupData[{
Cell[1425685, 32459, 182, 3, 30, "Input"],
Cell[1425870, 32464, 39218, 827, 330, "Output"]
}, Open  ]],
Cell[1465103, 33294, 636, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[1465764, 33314, 286, 6, 30, "Input"],
Cell[1466053, 33322, 70, 1, 30, "Output"]
}, Open  ]],
Cell[1466138, 33326, 504, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[1466667, 33343, 184, 3, 30, "Input"],
Cell[1466854, 33348, 36849, 785, 330, "Output"]
}, Open  ]],
Cell[1503718, 34136, 619, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[1504362, 34156, 309, 6, 30, "Input"],
Cell[1504674, 34164, 70, 1, 30, "Output"]
}, Open  ]],
Cell[1504759, 34168, 479, 9, 30, "Input"],
Cell[1505241, 34179, 279, 6, 41, "Input"],
Cell[1505523, 34187, 912, 19, 50, "Input"],
Cell[CellGroupData[{
Cell[1506460, 34210, 284, 5, 30, "Input"],
Cell[1506747, 34217, 500, 8, 30, "Output"]
}, Open  ]],
Cell[1507262, 34228, 157, 3, 30, "Input"],
Cell[1507422, 34233, 3696, 62, 30, "Input"],
Cell[CellGroupData[{
Cell[1511143, 34299, 1688, 41, 30, "Input"],
Cell[1512834, 34342, 3985, 99, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1516856, 34446, 76, 2, 30, "Input"],
Cell[1516935, 34450, 448, 7, 30, "Output"]
}, Open  ]],
Cell[1517398, 34460, 303, 7, 30, "Input"],
Cell[1517704, 34469, 144, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[1517873, 34475, 1665, 44, 30, "Input"],
Cell[1519541, 34521, 8863, 219, 72, "Output"]
}, Open  ]],
Cell[1528419, 34743, 64, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[1528508, 34748, 762, 14, 30, "Input"],
Cell[1529273, 34764, 192850, 4323, 3376, "Output"]
}, Open  ]],
Cell[1722138, 39090, 303, 7, 30, "Input"],
Cell[1722444, 39099, 155, 3, 30, "Input"],
Cell[1722602, 39104, 722, 12, 30, "Input"],
Cell[CellGroupData[{
Cell[1723349, 39120, 1056, 31, 74, "Input"],
Cell[1724408, 39153, 1274, 31, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1725719, 39189, 1060, 31, 74, "Input"],
Cell[1726782, 39222, 340, 8, 21, "Message"],
Cell[1727125, 39232, 2365, 62, 63, "Output"]
}, Open  ]],
Cell[1729505, 39297, 481, 12, 30, "Input"],
Cell[1729989, 39311, 317, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[1730331, 39322, 2160, 50, 30, "Input"],
Cell[1732494, 39374, 1866, 47, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1734397, 39426, 2054, 47, 69, "Input"],
Cell[1736454, 39475, 1861, 47, 67, "Output"]
}, Open  ]],
Cell[1738330, 39525, 300, 6, 30, "Input"],
Cell[CellGroupData[{
Cell[1738655, 39535, 1564, 35, 30, "Input"],
Cell[1740222, 39572, 3154, 81, 85, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1743413, 39658, 2029, 52, 55, "Input"],
Cell[1745445, 39712, 12441, 306, 314, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1757923, 40023, 1437, 33, 30, "Input"],
Cell[1759363, 40058, 3825, 97, 97, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1763225, 40160, 2217, 55, 55, "Input"],
Cell[1765445, 40217, 42648, 1039, 993, "Output"]
}, Open  ]],
Cell[1808108, 41259, 517, 9, 30, "Input"],
Cell[CellGroupData[{
Cell[1808650, 41272, 3412, 88, 55, "Input"],
Cell[1812065, 41362, 97613, 2153, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1909715, 43520, 3260, 80, 74, "Input"],
Cell[1912978, 43602, 97563, 2146, 72, "Output"]
}, Open  ]],
Cell[2010556, 45751, 1132, 24, 69, "Input"],
Cell[2011691, 45777, 1609, 32, 69, "Input"],
Cell[2013303, 45811, 127, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[2013455, 45817, 672, 11, 30, "Input"],
Cell[2014130, 45830, 39325, 828, 238, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2053492, 46663, 526, 11, 33, "Input"],
Cell[2054021, 46676, 532, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2054590, 46688, 556, 13, 33, "Input"],
Cell[2055149, 46703, 521, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2055707, 46715, 583, 12, 33, "Input"],
Cell[2056293, 46729, 527, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2056857, 46741, 610, 14, 33, "Input"],
Cell[2057470, 46757, 533, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2058040, 46769, 545, 11, 33, "Input"],
Cell[2058588, 46782, 533, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2059158, 46794, 573, 13, 33, "Input"],
Cell[2059734, 46809, 530, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2060301, 46821, 545, 11, 33, "Input"],
Cell[2060849, 46834, 533, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2061419, 46846, 573, 13, 33, "Input"],
Cell[2061995, 46861, 530, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2062562, 46873, 497, 10, 33, "Input"],
Cell[2063062, 46885, 524, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2063623, 46897, 514, 11, 33, "Input"],
Cell[2064140, 46910, 544, 7, 30, "Output"]
}, Open  ]],
Cell[2064699, 46920, 128, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[2064852, 46926, 926, 16, 30, "Input"],
Cell[2065781, 46944, 35843, 762, 294, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2101661, 47711, 428, 10, 33, "Input"],
Cell[2102092, 47723, 457, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2102586, 47734, 456, 12, 33, "Input"],
Cell[2103045, 47748, 454, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2103536, 47759, 483, 11, 33, "Input"],
Cell[2104022, 47772, 459, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2104518, 47783, 502, 12, 33, "Input"],
Cell[2105023, 47797, 464, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2105524, 47808, 445, 10, 33, "Input"],
Cell[2105972, 47820, 460, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2106469, 47831, 469, 11, 33, "Input"],
Cell[2106941, 47844, 460, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2107438, 47855, 494, 10, 33, "Input"],
Cell[2107935, 47867, 459, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2108431, 47878, 519, 12, 33, "Input"],
Cell[2108953, 47892, 455, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2109445, 47903, 443, 9, 33, "Input"],
Cell[2109891, 47914, 462, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2110390, 47925, 468, 11, 33, "Input"],
Cell[2110861, 47938, 467, 6, 30, "Output"]
}, Open  ]],
Cell[2111343, 47947, 181, 3, 30, "Input"],
Cell[CellGroupData[{
Cell[2111549, 47954, 726, 11, 30, "Input"],
Cell[2112278, 47967, 34837, 746, 286, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2147152, 48718, 480, 11, 33, "Input"],
Cell[2147635, 48731, 450, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2148122, 48742, 480, 12, 33, "Input"],
Cell[2148605, 48756, 450, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2149092, 48767, 507, 11, 33, "Input"],
Cell[2149602, 48780, 462, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2150101, 48791, 530, 13, 33, "Input"],
Cell[2150634, 48806, 459, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2151130, 48817, 467, 10, 33, "Input"],
Cell[2151600, 48829, 455, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2152092, 48840, 497, 12, 33, "Input"],
Cell[2152592, 48854, 459, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2153088, 48865, 520, 11, 33, "Input"],
Cell[2153611, 48878, 454, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2154102, 48889, 541, 12, 33, "Input"],
Cell[2154646, 48903, 456, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2155139, 48914, 465, 9, 33, "Input"],
Cell[2155607, 48925, 460, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2156104, 48936, 492, 11, 33, "Input"],
Cell[2156599, 48949, 453, 6, 30, "Output"]
}, Open  ]],
Cell[2157067, 48958, 232, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[2157324, 48966, 859, 15, 30, "Input"],
Cell[2158186, 48983, 37676, 795, 304, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2195899, 49783, 378, 6, 30, "Input"],
Cell[2196280, 49791, 461, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2196778, 49802, 329, 6, 30, "Input"],
Cell[2197110, 49810, 460, 6, 30, "Output"]
}, Open  ]],
Cell[2197585, 49819, 132, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[2197742, 49825, 1532, 39, 76, "Input"],
Cell[2199277, 49866, 8143, 206, 96, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2207457, 50077, 279, 5, 30, "Input"],
Cell[2207739, 50084, 481, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2208257, 50096, 281, 5, 30, "Input"],
Cell[2208541, 50103, 489, 7, 30, "Output"]
}, Open  ]],
Cell[2209045, 50113, 161, 3, 30, "Input"],
Cell[2209209, 50118, 312, 7, 30, "Input"],
Cell[2209524, 50127, 1579, 26, 30, "Input"],
Cell[CellGroupData[{
Cell[2211128, 50157, 1502, 21, 30, "Input"],
Cell[2212633, 50180, 8106, 205, 94, "Output"]
}, Open  ]],
Cell[2220754, 50388, 313, 7, 30, "Input"],
Cell[2221070, 50397, 177, 3, 30, "Input"],
Cell[2221250, 50402, 728, 17, 30, "Input"],
Cell[2221981, 50421, 345, 5, 30, "Input"],
Cell[2222329, 50428, 7701, 118, 50, "Input"],
Cell[2230033, 50548, 183, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[2230241, 50556, 1203, 18, 30, "Input"],
Cell[2231447, 50576, 4547, 106, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2236031, 50687, 3550, 91, 124, "Input"],
Cell[2239584, 50780, 435, 11, 30, "Output"]
}, Open  ]],
Cell[2240034, 50794, 480, 9, 30, "Input"],
Cell[2240517, 50805, 345, 5, 30, "Input"],
Cell[2240865, 50812, 7816, 119, 50, "Input"],
Cell[CellGroupData[{
Cell[2248706, 50935, 310, 6, 30, "Input"],
Cell[2249019, 50943, 3521, 93, 118, "Output"]
}, Open  ]],
Cell[2252555, 51039, 610, 14, 30, "Input"],
Cell[CellGroupData[{
Cell[2253190, 51057, 3676, 94, 124, "Input"],
Cell[2256869, 51153, 486, 12, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2257392, 51170, 257, 5, 30, "Input"],
Cell[2257652, 51177, 5020, 132, 123, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2262709, 51314, 5075, 132, 164, "Input"],
Cell[2267787, 51448, 435, 11, 30, "Output"]
}, Open  ]],
Cell[2268237, 51462, 2764, 56, 145, "Input"]
}
]
*)

